Destinations = Destinations or {}

Destinations.FishLocationsIndex = {
  FISHNUMBER = 1,
  LOCATION = 2,
  --  40 = Foul   > Crawler/Fish Roe  (Slaughterfish/Trodh/Chub)
  --  41 = River  > Insect/Shad       (River Betty/Salmon/Fish Roe)
  --  42 = Ocean  > Worm/Chub         (Dhufish/Longfin/Minnow)
  --  43 = Lake   > Guts/Minnow       (Spadetail/Silverside Perch/Shad)
  --  44 = Unknown
}

local DESTINATIONS_FISH_TYPE_FOUL = 1
local DESTINATIONS_FISH_TYPE_RIVER = 2
local DESTINATIONS_FISH_TYPE_OCEAN = 3
local DESTINATIONS_FISH_TYPE_LAKE = 4

-- key is achievementId
Destinations.FishLocationsStore = {
  [471] = { -- Glenumbra
    { 1, DESTINATIONS_FISH_TYPE_FOUL },
    { 2, DESTINATIONS_FISH_TYPE_LAKE },
    { 3, DESTINATIONS_FISH_TYPE_RIVER },
    { 4, DESTINATIONS_FISH_TYPE_OCEAN },
    { 5, DESTINATIONS_FISH_TYPE_LAKE },
    { 6, DESTINATIONS_FISH_TYPE_LAKE },
    { 7, DESTINATIONS_FISH_TYPE_RIVER },
    { 8, DESTINATIONS_FISH_TYPE_RIVER },
    { 9, DESTINATIONS_FISH_TYPE_FOUL },
    { 10, DESTINATIONS_FISH_TYPE_FOUL },
    { 11, DESTINATIONS_FISH_TYPE_OCEAN },
    { 12, DESTINATIONS_FISH_TYPE_OCEAN },
  },
  [472] = { -- Stormhaven
    { 1, DESTINATIONS_FISH_TYPE_FOUL },
    { 2, DESTINATIONS_FISH_TYPE_OCEAN },
    { 3, DESTINATIONS_FISH_TYPE_LAKE },
    { 4, DESTINATIONS_FISH_TYPE_RIVER },
    { 5, DESTINATIONS_FISH_TYPE_LAKE },
    { 6, DESTINATIONS_FISH_TYPE_LAKE },
    { 7, DESTINATIONS_FISH_TYPE_RIVER },
    { 8, DESTINATIONS_FISH_TYPE_RIVER },
    { 9, DESTINATIONS_FISH_TYPE_FOUL },
    { 10, DESTINATIONS_FISH_TYPE_FOUL },
    { 11, DESTINATIONS_FISH_TYPE_OCEAN },
    { 12, DESTINATIONS_FISH_TYPE_OCEAN },
  },
  [473] = { -- Rivenspire
    { 1, DESTINATIONS_FISH_TYPE_OCEAN },
    { 2, DESTINATIONS_FISH_TYPE_LAKE },
    { 3, DESTINATIONS_FISH_TYPE_RIVER },
    { 4, DESTINATIONS_FISH_TYPE_OCEAN },
    { 5, DESTINATIONS_FISH_TYPE_LAKE },
    { 6, DESTINATIONS_FISH_TYPE_LAKE },
    { 7, DESTINATIONS_FISH_TYPE_RIVER },
    { 8, DESTINATIONS_FISH_TYPE_RIVER },
    { 9, DESTINATIONS_FISH_TYPE_LAKE },
    { 10, DESTINATIONS_FISH_TYPE_RIVER },
    { 11, DESTINATIONS_FISH_TYPE_OCEAN },
    { 12, DESTINATIONS_FISH_TYPE_OCEAN },
  },
  [474] = { -- Alik'r Desert
    { 1, DESTINATIONS_FISH_TYPE_FOUL },
    { 2, DESTINATIONS_FISH_TYPE_LAKE },
    { 3, DESTINATIONS_FISH_TYPE_FOUL },
    { 4, DESTINATIONS_FISH_TYPE_OCEAN },
    { 5, DESTINATIONS_FISH_TYPE_LAKE },
    { 6, DESTINATIONS_FISH_TYPE_LAKE },
    { 7, DESTINATIONS_FISH_TYPE_LAKE },
    { 8, DESTINATIONS_FISH_TYPE_OCEAN },
    { 9, DESTINATIONS_FISH_TYPE_FOUL },
    { 10, DESTINATIONS_FISH_TYPE_FOUL },
    { 11, DESTINATIONS_FISH_TYPE_OCEAN },
    { 12, DESTINATIONS_FISH_TYPE_OCEAN },
  },
  [475] = { -- Bangkorai
    { 1, DESTINATIONS_FISH_TYPE_LAKE },
    { 2, DESTINATIONS_FISH_TYPE_LAKE },
    { 3, DESTINATIONS_FISH_TYPE_RIVER },
    { 4, DESTINATIONS_FISH_TYPE_OCEAN },
    { 5, DESTINATIONS_FISH_TYPE_LAKE },
    { 6, DESTINATIONS_FISH_TYPE_LAKE },
    { 7, DESTINATIONS_FISH_TYPE_RIVER },
    { 8, DESTINATIONS_FISH_TYPE_RIVER },
    { 9, DESTINATIONS_FISH_TYPE_RIVER },
    { 10, DESTINATIONS_FISH_TYPE_OCEAN },
    { 11, DESTINATIONS_FISH_TYPE_OCEAN },
    { 12, DESTINATIONS_FISH_TYPE_OCEAN },
  },
  [477] = { -- Stonefalls
    { 1, DESTINATIONS_FISH_TYPE_FOUL },
    { 2, DESTINATIONS_FISH_TYPE_LAKE },
    { 3, DESTINATIONS_FISH_TYPE_RIVER },
    { 4, DESTINATIONS_FISH_TYPE_OCEAN },
    { 5, DESTINATIONS_FISH_TYPE_LAKE },
    { 6, DESTINATIONS_FISH_TYPE_LAKE },
    { 7, DESTINATIONS_FISH_TYPE_RIVER },
    { 8, DESTINATIONS_FISH_TYPE_RIVER },
    { 9, DESTINATIONS_FISH_TYPE_FOUL },
    { 10, DESTINATIONS_FISH_TYPE_FOUL },
    { 11, DESTINATIONS_FISH_TYPE_OCEAN },
    { 12, DESTINATIONS_FISH_TYPE_OCEAN },
  },
  [478] = { -- Deshaan
    { 1, DESTINATIONS_FISH_TYPE_LAKE },
    { 2, DESTINATIONS_FISH_TYPE_LAKE },
    { 3, DESTINATIONS_FISH_TYPE_RIVER },
    { 4, DESTINATIONS_FISH_TYPE_OCEAN },
    { 5, DESTINATIONS_FISH_TYPE_LAKE },
    { 6, DESTINATIONS_FISH_TYPE_LAKE },
    { 7, DESTINATIONS_FISH_TYPE_RIVER },
    { 8, DESTINATIONS_FISH_TYPE_RIVER },
    { 9, DESTINATIONS_FISH_TYPE_OCEAN },
    { 10, DESTINATIONS_FISH_TYPE_RIVER },
    { 11, DESTINATIONS_FISH_TYPE_OCEAN },
    { 12, DESTINATIONS_FISH_TYPE_OCEAN },
  },
  [479] = { -- Shadowfen
    { 1, DESTINATIONS_FISH_TYPE_FOUL },
    { 2, DESTINATIONS_FISH_TYPE_LAKE },
    { 3, DESTINATIONS_FISH_TYPE_RIVER },
    { 4, DESTINATIONS_FISH_TYPE_FOUL },
    { 5, DESTINATIONS_FISH_TYPE_LAKE },
    { 6, DESTINATIONS_FISH_TYPE_LAKE },
    { 7, DESTINATIONS_FISH_TYPE_RIVER },
    { 8, DESTINATIONS_FISH_TYPE_RIVER },
    { 9, DESTINATIONS_FISH_TYPE_FOUL },
    { 10, DESTINATIONS_FISH_TYPE_FOUL },
    { 11, DESTINATIONS_FISH_TYPE_LAKE },
    { 12, DESTINATIONS_FISH_TYPE_RIVER },
  },
  [480] = { -- Eastmarch
    { 1, DESTINATIONS_FISH_TYPE_FOUL },
    { 2, DESTINATIONS_FISH_TYPE_LAKE },
    { 3, DESTINATIONS_FISH_TYPE_RIVER },
    { 4, DESTINATIONS_FISH_TYPE_OCEAN },
    { 5, DESTINATIONS_FISH_TYPE_LAKE },
    { 6, DESTINATIONS_FISH_TYPE_LAKE },
    { 7, DESTINATIONS_FISH_TYPE_RIVER },
    { 8, DESTINATIONS_FISH_TYPE_RIVER },
    { 9, DESTINATIONS_FISH_TYPE_FOUL },
    { 10, DESTINATIONS_FISH_TYPE_FOUL },
    { 11, DESTINATIONS_FISH_TYPE_OCEAN },
    { 12, DESTINATIONS_FISH_TYPE_OCEAN },
  },
  [481] = { -- The Rift
    { 1, DESTINATIONS_FISH_TYPE_FOUL },
    { 2, DESTINATIONS_FISH_TYPE_LAKE },
    { 3, DESTINATIONS_FISH_TYPE_RIVER },
    { 4, DESTINATIONS_FISH_TYPE_RIVER },
    { 5, DESTINATIONS_FISH_TYPE_LAKE },
    { 6, DESTINATIONS_FISH_TYPE_LAKE },
    { 7, DESTINATIONS_FISH_TYPE_RIVER },
    { 8, DESTINATIONS_FISH_TYPE_RIVER },
    { 9, DESTINATIONS_FISH_TYPE_FOUL },
    { 10, DESTINATIONS_FISH_TYPE_FOUL },
    { 11, DESTINATIONS_FISH_TYPE_FOUL },
    { 12, DESTINATIONS_FISH_TYPE_LAKE },
  },
  [483] = { -- Auridon
    { 1, DESTINATIONS_FISH_TYPE_OCEAN },
    { 2, DESTINATIONS_FISH_TYPE_LAKE },
    { 3, DESTINATIONS_FISH_TYPE_RIVER },
    { 4, DESTINATIONS_FISH_TYPE_OCEAN },
    { 5, DESTINATIONS_FISH_TYPE_LAKE },
    { 6, DESTINATIONS_FISH_TYPE_LAKE },
    { 7, DESTINATIONS_FISH_TYPE_RIVER },
    { 8, DESTINATIONS_FISH_TYPE_RIVER },
    { 9, DESTINATIONS_FISH_TYPE_RIVER },
    { 10, DESTINATIONS_FISH_TYPE_LAKE },
    { 11, DESTINATIONS_FISH_TYPE_OCEAN },
    { 12, DESTINATIONS_FISH_TYPE_OCEAN },
  },
  [484] = { -- Grahtwood
    { 1, DESTINATIONS_FISH_TYPE_FOUL },
    { 2, DESTINATIONS_FISH_TYPE_LAKE },
    { 3, DESTINATIONS_FISH_TYPE_RIVER },
    { 4, DESTINATIONS_FISH_TYPE_OCEAN },
    { 5, DESTINATIONS_FISH_TYPE_LAKE },
    { 6, DESTINATIONS_FISH_TYPE_LAKE },
    { 7, DESTINATIONS_FISH_TYPE_RIVER },
    { 8, DESTINATIONS_FISH_TYPE_RIVER },
    { 9, DESTINATIONS_FISH_TYPE_FOUL },
    { 10, DESTINATIONS_FISH_TYPE_FOUL },
    { 11, DESTINATIONS_FISH_TYPE_OCEAN },
    { 12, DESTINATIONS_FISH_TYPE_OCEAN },
  },
  [485] = { -- Greenshade
    { 1, DESTINATIONS_FISH_TYPE_FOUL },
    { 2, DESTINATIONS_FISH_TYPE_LAKE },
    { 3, DESTINATIONS_FISH_TYPE_RIVER },
    { 4, DESTINATIONS_FISH_TYPE_OCEAN },
    { 5, DESTINATIONS_FISH_TYPE_LAKE },
    { 6, DESTINATIONS_FISH_TYPE_LAKE },
    { 7, DESTINATIONS_FISH_TYPE_RIVER },
    { 8, DESTINATIONS_FISH_TYPE_RIVER },
    { 9, DESTINATIONS_FISH_TYPE_FOUL },
    { 10, DESTINATIONS_FISH_TYPE_FOUL },
    { 11, DESTINATIONS_FISH_TYPE_OCEAN },
    { 12, DESTINATIONS_FISH_TYPE_OCEAN },
  },
  [486] = { -- Malabal Tor
    { 1, DESTINATIONS_FISH_TYPE_FOUL },
    { 2, DESTINATIONS_FISH_TYPE_LAKE },
    { 3, DESTINATIONS_FISH_TYPE_RIVER },
    { 4, DESTINATIONS_FISH_TYPE_OCEAN },
    { 5, DESTINATIONS_FISH_TYPE_LAKE },
    { 6, DESTINATIONS_FISH_TYPE_LAKE },
    { 7, DESTINATIONS_FISH_TYPE_RIVER },
    { 8, DESTINATIONS_FISH_TYPE_RIVER },
    { 9, DESTINATIONS_FISH_TYPE_FOUL },
    { 10, DESTINATIONS_FISH_TYPE_FOUL },
    { 11, DESTINATIONS_FISH_TYPE_OCEAN },
    { 12, DESTINATIONS_FISH_TYPE_OCEAN },
  },
  [487] = { -- Reaper's March
    { 1, DESTINATIONS_FISH_TYPE_FOUL },
    { 2, DESTINATIONS_FISH_TYPE_LAKE },
    { 3, DESTINATIONS_FISH_TYPE_RIVER },
    { 4, DESTINATIONS_FISH_TYPE_LAKE },
    { 5, DESTINATIONS_FISH_TYPE_LAKE },
    { 6, DESTINATIONS_FISH_TYPE_LAKE },
    { 7, DESTINATIONS_FISH_TYPE_RIVER },
    { 8, DESTINATIONS_FISH_TYPE_RIVER },
    { 9, DESTINATIONS_FISH_TYPE_FOUL },
    { 10, DESTINATIONS_FISH_TYPE_FOUL },
    { 11, DESTINATIONS_FISH_TYPE_RIVER },
    { 12, DESTINATIONS_FISH_TYPE_FOUL },
  },
  [489] = { -- Cyrodiil
    { 1, DESTINATIONS_FISH_TYPE_FOUL },
    { 2, DESTINATIONS_FISH_TYPE_LAKE },
    { 3, DESTINATIONS_FISH_TYPE_RIVER },
    { 4, DESTINATIONS_FISH_TYPE_OCEAN },
    { 5, DESTINATIONS_FISH_TYPE_LAKE },
    { 6, DESTINATIONS_FISH_TYPE_LAKE },
    { 7, DESTINATIONS_FISH_TYPE_RIVER },
    { 8, DESTINATIONS_FISH_TYPE_RIVER },
    { 9, DESTINATIONS_FISH_TYPE_FOUL },
    { 10, DESTINATIONS_FISH_TYPE_FOUL },
    { 11, DESTINATIONS_FISH_TYPE_OCEAN },
    { 12, DESTINATIONS_FISH_TYPE_OCEAN },
  },
  [490] = { -- Coldharbor
    { 1, DESTINATIONS_FISH_TYPE_FOUL },
    { 2, DESTINATIONS_FISH_TYPE_FOUL },
    { 3, DESTINATIONS_FISH_TYPE_FOUL },
    { 4, DESTINATIONS_FISH_TYPE_FOUL },
    { 5, DESTINATIONS_FISH_TYPE_FOUL },
    { 6, DESTINATIONS_FISH_TYPE_FOUL },
    { 7, DESTINATIONS_FISH_TYPE_FOUL },
    { 8, DESTINATIONS_FISH_TYPE_FOUL },
    { 9, DESTINATIONS_FISH_TYPE_FOUL },
    { 10, DESTINATIONS_FISH_TYPE_FOUL },
    { 11, DESTINATIONS_FISH_TYPE_FOUL },
    { 12, DESTINATIONS_FISH_TYPE_FOUL },
  },
  [491] = { -- Stros M'Kai (Betnikh)
    { 1, DESTINATIONS_FISH_TYPE_OCEAN },
  },
  [492] = { -- Khenarthi's Roost
    { 1, DESTINATIONS_FISH_TYPE_OCEAN },
  },
  [493] = { -- Bleakrock
    { 1, DESTINATIONS_FISH_TYPE_OCEAN },
  },
  [916] = { -- Craglorn
    { 1, DESTINATIONS_FISH_TYPE_LAKE },
    { 2, DESTINATIONS_FISH_TYPE_LAKE },
    { 3, DESTINATIONS_FISH_TYPE_LAKE },
    { 4, DESTINATIONS_FISH_TYPE_LAKE },
    { 5, DESTINATIONS_FISH_TYPE_LAKE },
    { 6, DESTINATIONS_FISH_TYPE_LAKE },
    { 7, DESTINATIONS_FISH_TYPE_RIVER },
    { 8, DESTINATIONS_FISH_TYPE_RIVER },
    { 9, DESTINATIONS_FISH_TYPE_RIVER },
    { 10, DESTINATIONS_FISH_TYPE_RIVER },
    { 11, DESTINATIONS_FISH_TYPE_RIVER },
    { 12, DESTINATIONS_FISH_TYPE_RIVER },
  },
  [1340] = { -- Wrothgar
    { 1, DESTINATIONS_FISH_TYPE_OCEAN },
    { 2, DESTINATIONS_FISH_TYPE_OCEAN },
    { 3, DESTINATIONS_FISH_TYPE_RIVER },
    { 4, DESTINATIONS_FISH_TYPE_LAKE },
    { 5, DESTINATIONS_FISH_TYPE_FOUL },
    { 6, DESTINATIONS_FISH_TYPE_OCEAN },
    { 7, DESTINATIONS_FISH_TYPE_FOUL },
    { 8, DESTINATIONS_FISH_TYPE_LAKE },
    { 9, DESTINATIONS_FISH_TYPE_RIVER },
    { 10, DESTINATIONS_FISH_TYPE_FOUL },
    { 11, DESTINATIONS_FISH_TYPE_RIVER },
    { 12, DESTINATIONS_FISH_TYPE_LAKE },
  },
  [1339] = { -- Wrothgar Biggest Catch
    { 1, DESTINATIONS_FISH_TYPE_OCEAN },
  },
  [1351] = { -- Hew's Bane
    { 1, DESTINATIONS_FISH_TYPE_LAKE },
    { 2, DESTINATIONS_FISH_TYPE_LAKE },
    { 3, DESTINATIONS_FISH_TYPE_LAKE },
    { 4, DESTINATIONS_FISH_TYPE_OCEAN },
    { 5, DESTINATIONS_FISH_TYPE_OCEAN },
    { 6, DESTINATIONS_FISH_TYPE_OCEAN },
    { 7, DESTINATIONS_FISH_TYPE_RIVER },
    { 8, DESTINATIONS_FISH_TYPE_RIVER },
    { 9, DESTINATIONS_FISH_TYPE_RIVER },
    { 10, DESTINATIONS_FISH_TYPE_FOUL },
    { 11, DESTINATIONS_FISH_TYPE_FOUL },
    { 12, DESTINATIONS_FISH_TYPE_FOUL },
  },
  [1431] = { -- Gold Coast
    { 1, DESTINATIONS_FISH_TYPE_LAKE },
    { 2, DESTINATIONS_FISH_TYPE_LAKE },
    { 3, DESTINATIONS_FISH_TYPE_LAKE },
    { 4, DESTINATIONS_FISH_TYPE_OCEAN },
    { 5, DESTINATIONS_FISH_TYPE_OCEAN },
    { 6, DESTINATIONS_FISH_TYPE_OCEAN },
    { 7, DESTINATIONS_FISH_TYPE_RIVER },
    { 8, DESTINATIONS_FISH_TYPE_RIVER },
    { 9, DESTINATIONS_FISH_TYPE_RIVER },
    { 10, DESTINATIONS_FISH_TYPE_FOUL },
    { 11, DESTINATIONS_FISH_TYPE_FOUL },
    { 12, DESTINATIONS_FISH_TYPE_FOUL },
  },
  [2240] = { -- Artaeum
    { 1, DESTINATIONS_FISH_TYPE_OCEAN },
    { 2, DESTINATIONS_FISH_TYPE_OCEAN },
    { 3, DESTINATIONS_FISH_TYPE_OCEAN },
  },
  [2027] = { -- Clockwork City
    { 1, DESTINATIONS_FISH_TYPE_FOUL },
    { 2, DESTINATIONS_FISH_TYPE_FOUL },
    { 3, DESTINATIONS_FISH_TYPE_FOUL },
    { 4, DESTINATIONS_FISH_TYPE_FOUL },
    { 5, DESTINATIONS_FISH_TYPE_FOUL },
    { 6, DESTINATIONS_FISH_TYPE_FOUL },
    { 7, DESTINATIONS_FISH_TYPE_FOUL },
    { 8, DESTINATIONS_FISH_TYPE_FOUL },
    { 9, DESTINATIONS_FISH_TYPE_FOUL },
    { 10, DESTINATIONS_FISH_TYPE_FOUL },
    { 11, DESTINATIONS_FISH_TYPE_FOUL },
    { 12, DESTINATIONS_FISH_TYPE_FOUL },
  },
  [2191] = { -- Summerset
    { 1, DESTINATIONS_FISH_TYPE_LAKE },
    { 2, DESTINATIONS_FISH_TYPE_LAKE },
    { 3, DESTINATIONS_FISH_TYPE_LAKE },
    { 4, DESTINATIONS_FISH_TYPE_OCEAN },
    { 5, DESTINATIONS_FISH_TYPE_OCEAN },
    { 6, DESTINATIONS_FISH_TYPE_OCEAN },
    { 7, DESTINATIONS_FISH_TYPE_RIVER },
    { 8, DESTINATIONS_FISH_TYPE_RIVER },
    { 9, DESTINATIONS_FISH_TYPE_RIVER },
    { 10, DESTINATIONS_FISH_TYPE_FOUL },
    { 11, DESTINATIONS_FISH_TYPE_FOUL },
    { 12, DESTINATIONS_FISH_TYPE_FOUL },
  },
  [2655] = { -- Western Skyrim : Graymoor
    { 1, DESTINATIONS_FISH_TYPE_FOUL },
    { 2, DESTINATIONS_FISH_TYPE_FOUL },
    { 3, DESTINATIONS_FISH_TYPE_FOUL },
    { 4, DESTINATIONS_FISH_TYPE_OCEAN },
    { 5, DESTINATIONS_FISH_TYPE_OCEAN },
    { 6, DESTINATIONS_FISH_TYPE_OCEAN },
    { 7, DESTINATIONS_FISH_TYPE_LAKE },
    { 8, DESTINATIONS_FISH_TYPE_LAKE },
    { 9, DESTINATIONS_FISH_TYPE_LAKE },
    { 10, DESTINATIONS_FISH_TYPE_RIVER },
    { 11, DESTINATIONS_FISH_TYPE_RIVER },
    { 12, DESTINATIONS_FISH_TYPE_RIVER },
  },
  [1882] = { -- Morrowind
    { 1, DESTINATIONS_FISH_TYPE_LAKE },
    { 2, DESTINATIONS_FISH_TYPE_LAKE },
    { 3, DESTINATIONS_FISH_TYPE_LAKE },
    { 4, DESTINATIONS_FISH_TYPE_OCEAN },
    { 5, DESTINATIONS_FISH_TYPE_OCEAN },
    { 6, DESTINATIONS_FISH_TYPE_OCEAN },
    { 7, DESTINATIONS_FISH_TYPE_RIVER },
    { 8, DESTINATIONS_FISH_TYPE_RIVER },
    { 9, DESTINATIONS_FISH_TYPE_RIVER },
    { 10, DESTINATIONS_FISH_TYPE_FOUL },
    { 11, DESTINATIONS_FISH_TYPE_FOUL },
    { 12, DESTINATIONS_FISH_TYPE_FOUL },
  },
  [2412] = { -- Northern Elsweyr
    { 1, DESTINATIONS_FISH_TYPE_RIVER },
    { 2, DESTINATIONS_FISH_TYPE_RIVER },
    { 3, DESTINATIONS_FISH_TYPE_RIVER },
    { 4, DESTINATIONS_FISH_TYPE_RIVER },
    { 5, DESTINATIONS_FISH_TYPE_RIVER },
    { 6, DESTINATIONS_FISH_TYPE_RIVER },
    { 7, DESTINATIONS_FISH_TYPE_RIVER },
    { 8, DESTINATIONS_FISH_TYPE_RIVER },
    { 9, DESTINATIONS_FISH_TYPE_RIVER },
    { 10, DESTINATIONS_FISH_TYPE_RIVER },
    { 11, DESTINATIONS_FISH_TYPE_RIVER },
    { 12, DESTINATIONS_FISH_TYPE_RIVER },
  },
  [2566] = { -- Southern Elsweyr
    { 1, DESTINATIONS_FISH_TYPE_RIVER },
    { 2, DESTINATIONS_FISH_TYPE_RIVER },
    { 3, DESTINATIONS_FISH_TYPE_RIVER },
    { 4, DESTINATIONS_FISH_TYPE_RIVER },
    { 5, DESTINATIONS_FISH_TYPE_FOUL },
    { 6, DESTINATIONS_FISH_TYPE_FOUL },
    { 7, DESTINATIONS_FISH_TYPE_FOUL },
    { 8, DESTINATIONS_FISH_TYPE_FOUL },
    { 9, DESTINATIONS_FISH_TYPE_OCEAN },
    { 10, DESTINATIONS_FISH_TYPE_OCEAN },
    { 11, DESTINATIONS_FISH_TYPE_OCEAN },
    { 12, DESTINATIONS_FISH_TYPE_OCEAN },
  },
  [2295] = { -- Murkmire
    { 1, DESTINATIONS_FISH_TYPE_LAKE },
    { 2, DESTINATIONS_FISH_TYPE_LAKE },
    { 3, DESTINATIONS_FISH_TYPE_LAKE },
    { 4, DESTINATIONS_FISH_TYPE_OCEAN },
    { 5, DESTINATIONS_FISH_TYPE_OCEAN },
    { 6, DESTINATIONS_FISH_TYPE_OCEAN },
    { 7, DESTINATIONS_FISH_TYPE_RIVER },
    { 8, DESTINATIONS_FISH_TYPE_RIVER },
    { 9, DESTINATIONS_FISH_TYPE_RIVER },
    { 10, DESTINATIONS_FISH_TYPE_FOUL },
    { 11, DESTINATIONS_FISH_TYPE_FOUL },
    { 12, DESTINATIONS_FISH_TYPE_FOUL },
  },
  -- The Reach, and Arkthzand : Markarth
  [2861] = {
    { 1, DESTINATIONS_FISH_TYPE_LAKE },
    { 2, DESTINATIONS_FISH_TYPE_LAKE },
    { 3, DESTINATIONS_FISH_TYPE_LAKE },
    { 4, DESTINATIONS_FISH_TYPE_LAKE },
    { 5, DESTINATIONS_FISH_TYPE_RIVER },
    { 6, DESTINATIONS_FISH_TYPE_RIVER },
    { 7, DESTINATIONS_FISH_TYPE_RIVER },
    { 8, DESTINATIONS_FISH_TYPE_RIVER },
    { 9, DESTINATIONS_FISH_TYPE_FOUL },
    { 10, DESTINATIONS_FISH_TYPE_FOUL },
    { 11, DESTINATIONS_FISH_TYPE_FOUL },
    { 12, DESTINATIONS_FISH_TYPE_FOUL },
  },
  -- Blackwood
  [2981] = {
    { 1, DESTINATIONS_FISH_TYPE_FOUL },
    { 2, DESTINATIONS_FISH_TYPE_FOUL },
    { 3, DESTINATIONS_FISH_TYPE_FOUL },
    { 4, DESTINATIONS_FISH_TYPE_OCEAN },
    { 5, DESTINATIONS_FISH_TYPE_OCEAN },
    { 6, DESTINATIONS_FISH_TYPE_OCEAN },
    { 7, DESTINATIONS_FISH_TYPE_LAKE },
    { 8, DESTINATIONS_FISH_TYPE_LAKE },
    { 9, DESTINATIONS_FISH_TYPE_LAKE },
    { 10, DESTINATIONS_FISH_TYPE_RIVER },
    { 11, DESTINATIONS_FISH_TYPE_RIVER },
    { 12, DESTINATIONS_FISH_TYPE_RIVER },
  },
  -- Deadlands
  [3144] = {
    { 1, DESTINATIONS_FISH_TYPE_FOUL },
    { 2, DESTINATIONS_FISH_TYPE_FOUL },
    { 3, DESTINATIONS_FISH_TYPE_FOUL },
    { 4, DESTINATIONS_FISH_TYPE_FOUL },
    { 5, DESTINATIONS_FISH_TYPE_FOUL },
    { 6, DESTINATIONS_FISH_TYPE_FOUL },
    { 7, DESTINATIONS_FISH_TYPE_FOUL },
    { 8, DESTINATIONS_FISH_TYPE_FOUL },
    { 9, DESTINATIONS_FISH_TYPE_FOUL },
    { 10, DESTINATIONS_FISH_TYPE_FOUL },
    { 11, DESTINATIONS_FISH_TYPE_FOUL },
    { 12, DESTINATIONS_FISH_TYPE_FOUL },
  },
  -- High Isle
  [3269] = {
    { 1, DESTINATIONS_FISH_TYPE_FOUL },
    { 2, DESTINATIONS_FISH_TYPE_FOUL },
    { 3, DESTINATIONS_FISH_TYPE_FOUL },
    { 4, DESTINATIONS_FISH_TYPE_OCEAN },
    { 5, DESTINATIONS_FISH_TYPE_OCEAN },
    { 6, DESTINATIONS_FISH_TYPE_OCEAN },
    { 7, DESTINATIONS_FISH_TYPE_LAKE },
    { 8, DESTINATIONS_FISH_TYPE_LAKE },
    { 9, DESTINATIONS_FISH_TYPE_LAKE },
    { 10, DESTINATIONS_FISH_TYPE_RIVER },
    { 11, DESTINATIONS_FISH_TYPE_RIVER },
    { 12, DESTINATIONS_FISH_TYPE_RIVER },
  },
  -- Galen
  [3500] = {
    { 1, DESTINATIONS_FISH_TYPE_OCEAN },
    { 2, DESTINATIONS_FISH_TYPE_OCEAN },
    { 3, DESTINATIONS_FISH_TYPE_OCEAN },
    { 4, DESTINATIONS_FISH_TYPE_OCEAN },
    { 5, DESTINATIONS_FISH_TYPE_LAKE },
    { 6, DESTINATIONS_FISH_TYPE_LAKE },
    { 7, DESTINATIONS_FISH_TYPE_LAKE },
    { 8, DESTINATIONS_FISH_TYPE_LAKE },
    { 9, DESTINATIONS_FISH_TYPE_FOUL },
    { 10, DESTINATIONS_FISH_TYPE_FOUL },
    { 11, DESTINATIONS_FISH_TYPE_FOUL },
    { 12, DESTINATIONS_FISH_TYPE_FOUL },
  },
  -- Telvanni Peninsula, Apocrypha
  [3636] = {
    { 1, DESTINATIONS_FISH_TYPE_FOUL },
    { 2, DESTINATIONS_FISH_TYPE_FOUL },
    { 3, DESTINATIONS_FISH_TYPE_FOUL },
    { 4, DESTINATIONS_FISH_TYPE_LAKE },
    { 5, DESTINATIONS_FISH_TYPE_LAKE },
    { 6, DESTINATIONS_FISH_TYPE_LAKE },
    { 7, DESTINATIONS_FISH_TYPE_OCEAN },
    { 8, DESTINATIONS_FISH_TYPE_OCEAN },
    { 9, DESTINATIONS_FISH_TYPE_OCEAN },
    { 10, DESTINATIONS_FISH_TYPE_RIVER },
    { 11, DESTINATIONS_FISH_TYPE_RIVER },
    { 12, DESTINATIONS_FISH_TYPE_RIVER },
  },
  --"West Weald Master Angler"
  [3948] = {
    { 1, DESTINATIONS_FISH_TYPE_LAKE },
    { 2, DESTINATIONS_FISH_TYPE_LAKE },
    { 3, DESTINATIONS_FISH_TYPE_LAKE },
    { 4, DESTINATIONS_FISH_TYPE_LAKE },
    { 5, DESTINATIONS_FISH_TYPE_RIVER },
    { 6, DESTINATIONS_FISH_TYPE_RIVER },
    { 7, DESTINATIONS_FISH_TYPE_RIVER },
    { 8, DESTINATIONS_FISH_TYPE_RIVER },
    { 9, DESTINATIONS_FISH_TYPE_FOUL },
    { 10, DESTINATIONS_FISH_TYPE_FOUL },
    { 11, DESTINATIONS_FISH_TYPE_FOUL },
    { 12, DESTINATIONS_FISH_TYPE_FOUL },
  },
}

