--[[
DestinationsPOIData.lua
Author: Ayantir

Keys are zoneId
Subkeys are poiIndex

Each subentry should be regenerated at each POI addition

/script d(GetZoneId(GetCurrentMapZoneIndex()))
]]

Destinations = Destinations or {}

local DESTINATIONS_PIN_TYPE_AOI = 1
local DESTINATIONS_PIN_TYPE_AYLEIDRUIN = 2
local DESTINATIONS_PIN_TYPE_BATTLEFIELD = 3
local DESTINATIONS_PIN_TYPE_CAMP = 4
local DESTINATIONS_PIN_TYPE_CAVE = 5
local DESTINATIONS_PIN_TYPE_CEMETERY = 6
local DESTINATIONS_PIN_TYPE_CITY = 7
local DESTINATIONS_PIN_TYPE_CRAFTING = 8
local DESTINATIONS_PIN_TYPE_CRYPT = 9
local DESTINATIONS_PIN_TYPE_DAEDRICRUIN = 10
local DESTINATIONS_PIN_TYPE_DELVE = 11
local DESTINATIONS_PIN_TYPE_DOCK = 12
local DESTINATIONS_PIN_TYPE_DUNGEON = 13
local DESTINATIONS_PIN_TYPE_DWEMERRUIN = 14
local DESTINATIONS_PIN_TYPE_ESTATE = 15
local DESTINATIONS_PIN_TYPE_FARM = 16
local DESTINATIONS_PIN_TYPE_GATE = 17
local DESTINATIONS_PIN_TYPE_GROUPBOSS = 18
local DESTINATIONS_PIN_TYPE_GROUPDELVE = 19
local DESTINATIONS_PIN_TYPE_GROUPINSTANCE = 20
local DESTINATIONS_PIN_TYPE_GROVE = 21
local DESTINATIONS_PIN_TYPE_KEEP = 22
local DESTINATIONS_PIN_TYPE_LIGHTHOUSE = 23
local DESTINATIONS_PIN_TYPE_MINE = 24
local DESTINATIONS_PIN_TYPE_MUNDUS = 25
local DESTINATIONS_PIN_TYPE_PORTAL = 26
local DESTINATIONS_PIN_TYPE_RAIDDUNGEON = 27
local DESTINATIONS_PIN_TYPE_RUIN = 28
local DESTINATIONS_PIN_TYPE_SEWER = 29
local DESTINATIONS_PIN_TYPE_SOLOTRIAL = 30
local DESTINATIONS_PIN_TYPE_TOWER = 31
local DESTINATIONS_PIN_TYPE_TOWN = 32
local DESTINATIONS_PIN_TYPE_WAYSHRINE = 33
local DESTINATIONS_PIN_TYPE_GUILDKIOSK = 34
local DESTINATIONS_PIN_TYPE_PLANARARMORSCRAPS = 35
local DESTINATIONS_PIN_TYPE_TINYCLAW = 36
local DESTINATIONS_PIN_TYPE_MONSTROUSTEETH = 37
local DESTINATIONS_PIN_TYPE_BONESHARD = 38
local DESTINATIONS_PIN_TYPE_MARKLEGION = 39
local DESTINATIONS_PIN_TYPE_DARKETHER = 40
local DESTINATIONS_PIN_TYPE_DARKBROTHERHOOD = 41
local DESTINATIONS_PIN_TYPE_GROUPLIGHTHOUSE = 42
local DESTINATIONS_PIN_TYPE_GROUPESTATE = 43
local DESTINATIONS_PIN_TYPE_GROUPRUIN = 44
local DESTINATIONS_PIN_TYPE_GROUPCAVE = 45
local DESTINATIONS_PIN_TYPE_GROUPCEMETERY = 46
local DESTINATIONS_PIN_TYPE_GROUPKEEP = 47
local DESTINATIONS_PIN_TYPE_GROUPAREAOFINTEREST = 48
local DESTINATIONS_PIN_TYPE_HOUSING = 49
local DESTINATIONS_PIN_TYPE_DWEMERGEAR = 50
local DESTINATIONS_PIN_TYPE_NORDBOAT = 51
local DESTINATIONS_PIN_TYPE_DEADLANDS = 52
local DESTINATIONS_PIN_TYPE_HIGHISLE = 53
local DESTINATIONS_PIN_TYPE_MUSHROMTOWER = 54
local DESTINATIONS_PIN_TYPE_GROUPPORTAL = 55
local DESTINATIONS_PIN_TYPE_ENDLESSARCHIVE = 56
local DESTINATIONS_PIN_TYPE_UNKNOWN = 99

-- value is abilityId
local MUNDUS_STONE_WARRIOR = 13940 -- Boon: The Warrior
local MUNDUS_STONE_MAGE = 13943 -- Boon: The Mage
local MUNDUS_STONE_SERPENT = 13974 -- Boon: The Serpent
local MUNDUS_STONE_THIEF = 13975 -- Boon: The Thief
local MUNDUS_STONE_LADY = 13976 -- Boon: The Lady
local MUNDUS_STONE_STEED = 13977 -- Boon: The Steed
local MUNDUS_STONE_LORD = 13978 -- Boon: The Lord
local MUNDUS_STONE_APPRENTICE = 13979 -- Boon: The Apprentice
local MUNDUS_STONE_RITUAL = 13980 -- Boon: The Ritual
local MUNDUS_STONE_LOVER = 13981 -- Boon: The Lover
local MUNDUS_STONE_ATRONACH = 13982 -- Boon: The Atronach
local MUNDUS_STONE_SHADOW = 13984 -- Boon: The Shadow
local MUNDUS_STONE_TOWER = 13985 -- Boon: The Tower

local CRAFTINGSET_ASHEN_GRIP = 1
local CRAFTINGSET_DEATHS_WIND = 2
local CRAFTINGSET_NIGHTS_SILENCE = 3
local CRAFTINGSET_TORUGS_PACT = 4
local CRAFTINGSET_TWILIGHTS_EMBRACE = 5
local CRAFTINGSET_ARMOR_OF_THE_SEDUCER = 6
local CRAFTINGSET_MAGNUS_GIFT = 7
local CRAFTINGSET_HIST_BARK = 8
local CRAFTINGSET_WHITESTRAKES_RETRIBUTION = 9
local CRAFTINGSET_VAMPIRES_KISS = 10
local CRAFTINGSET_SONG_OF_LAMAE = 11
local CRAFTINGSET_ALESSIAS_BULWARK = 12
local CRAFTINGSET_NIGHT_MOTHERS_GAZE = 13
local CRAFTINGSET_WILLOWS_PATH = 14
local CRAFTINGSET_HUNDINGS_RAGE = 15

local CRAFTINGSET_OBLIVIONS_FOE = 16
local CRAFTINGSET_SPECTRES_EYE = 17

local CRAFTINGSET_KAGRENACS_HOPE = 18
local CRAFTINGSET_ORGNUMS_SCALES = 19

local CRAFTINGSET_EYES_OF_MARA = 20
local CRAFTINGSET_SHALIDORS_CURSE = 21

local CRAFTINGSET_WAY_OF_THE_ARENA = 22
local CRAFTINGSET_TWICE_BORN_STAR = 23

local CRAFTINGSET_REDISTRIBUTOR = 24
local CRAFTINGSET_NOBLES_CONQUEST = 25
local CRAFTINGSET_ARMOR_MASTER = 26

local CRAFTINGSET_LAW_OF_JULIANOS = 27
local CRAFTINGSET_TRIAL_BY_FIRE = 28
local CRAFTINGSET_MORKULDIN = 29

local CRAFTINGSET_TAVAS_FAVOR = 30
local CRAFTINGSET_CLEVER_ALCHEMIST = 31
local CRAFTINGSET_ETERNAL_HUNT = 32

local CRAFTINGSET_KVATCH_GLADIATOR = 33
local CRAFTINGSET_VARENS_LEGACY = 34
local CRAFTINGSET_PELINALS_APTITUDE = 35

local CRAFTINGSET_SHACKLEBREAKER = 36
local CRAFTINGSET_DAEDRIC_TRICKERY = 37
local CRAFTINGSET_ASSASSIN_GUILE = 38

local CRAFTINGSET_INNATE_AXIOM = 39
local CRAFTINGSET_FORTIFIED_BRASS = 40
local CRAFTINGSET_MECHANICAL_ACUITY = 41

local CRAFTINGSET_ADEPT_RIDER = 42
local CRAFTINGSET_SLOADS_SEMBLANCE = 43
local CRAFTINGSET_NOCTURNALS_FAVOR = 44

local CRAFTINGSET_NAGA_SHAMAN = 45
local CRAFTINGSET_MIGHT_LOST_LEGION = 46
local CRAFTINGSET_GRAVESTAKE_COLLECTOR = 47

local CRAFTINGSET_VASTARIES_TUTELAGE = 48
local CRAFTINGSET_SENCHERAHTS_GRIT = 49
local CRAFTINGSET_COLDHARBOURS_FAVORITE = 50

local CRAFTINGSET_NEW_MOON_ACOLYTE = 51
local CRAFTINGSET_DARING_CORSAIR = 52

--Update 25 Cyrodiil
local CRAFTINGSET_DAUNTLESS_COMBATANT = 53
local CRAFTINGSET_CRITICAL_RIPOSTE = 54
local CRAFTINGSET_UNCHAINED_AGGRESSOR = 55

--Southern Elsweyr
local CRAFTINGSET_ANCIENT_DRAGONGUARD = 56

-- Western Skyrim
local CRAFTINGSET_DRAGONS_APPETITE = 57
local CRAFTINGSET_STUHNS_FAVOR = 58

-- Blackreach
local CRAFTINGSET_SPELL_PARASITE = 59

-- The Reach
local CRAFTINGSET_RED_EAGLES_FURY = 60
local CRAFTINGSET_LEGACY_OF_KARTH = 61

-- Blackreach: Arkthzand Cavern
local CRAFTINGSET_AETHERIAL_ASCENSION = 62

-- Blacwood
local CRAFTINGSET_PENTRIC_RUN = 63
local CRAFTINGSET_WITHERED_ROOT = 64
local CRAFTINGSET_SARIELLENS_SWORD = 65

-- Fargrave/Deadlands
local CRAFTINGSET_IRON_FLASK = 66
local CRAFTINGSET_DEADLANDS_DEMOLISHER = 67
local CRAFTINGSET_WRETCHED_VITALITY = 68

-- |H1:item:184771:30:1:0:0:0:0:0:0:0:0:0:0:0:0:1:1:0:0:0:0|h|h

local CRAFTINGSET_ORDERS_WRATH = 69
local CRAFTINGSET_DRUIDS_BRAID = 70
local CRAFTINGSET_SERPENTS_DISDAIN = 71

local CRAFTINGSET_CHIMERAS_REBUKE = 72
local CRAFTINGSET_CLAW_OF_THE_FOREST_WRAITH = 73
local CRAFTINGSET_OLD_GROWTH_BREWER = 74

local CRAFTINGSET_TELVANNI_EFFICIENCY = 75
local CRAFTINGSET_SEEKER_SYNTHESIS = 76
local CRAFTINGSET_SHATTERED_FATE = 77

local CRAFTINGSET_HIGHLAND_SENTINEL = 78
local CRAFTINGSET_THARRIKER_STRIKE = 79
local CRAFTINGSET_THREADS_OF_WAR = 80

-- itemId, numberOfTraitsRequired
Destinations.SetsStore = {

  -- Base
  [CRAFTINGSET_ASHEN_GRIP] = { 43871, 2 },
  [CRAFTINGSET_DEATHS_WIND] = { 43803, 2 },
  [CRAFTINGSET_NIGHTS_SILENCE] = { 43815, 2 },

  [CRAFTINGSET_TORUGS_PACT] = { 43977, 3 },
  [CRAFTINGSET_TWILIGHTS_EMBRACE] = { 43807, 3 },
  [CRAFTINGSET_ARMOR_OF_THE_SEDUCER] = { 43827, 3 },

  [CRAFTINGSET_MAGNUS_GIFT] = { 43847, 4 },
  [CRAFTINGSET_HIST_BARK] = { 43995, 4 },
  [CRAFTINGSET_WHITESTRAKES_RETRIBUTION] = { 43819, 4 },

  [CRAFTINGSET_VAMPIRES_KISS] = { 43831, 5 },
  [CRAFTINGSET_SONG_OF_LAMAE] = { 44013, 5 },
  [CRAFTINGSET_ALESSIAS_BULWARK] = { 44019, 5 },

  [CRAFTINGSET_NIGHT_MOTHERS_GAZE] = { 43859, 6 },
  [CRAFTINGSET_WILLOWS_PATH] = { 44001, 6 },
  [CRAFTINGSET_HUNDINGS_RAGE] = { 44007, 6 },

  [CRAFTINGSET_OBLIVIONS_FOE] = { 43965, 8 },
  [CRAFTINGSET_SPECTRES_EYE] = { 43971, 8 },

  [CRAFTINGSET_KAGRENACS_HOPE] = { 44079, 8 },
  [CRAFTINGSET_ORGNUMS_SCALES] = { 44031, 8 },

  [CRAFTINGSET_EYES_OF_MARA] = { 44049, 8 },
  [CRAFTINGSET_SHALIDORS_CURSE] = { 40259, 8 },

  [CRAFTINGSET_WAY_OF_THE_ARENA] = { 54787, 8 },
  [CRAFTINGSET_TWICE_BORN_STAR] = { 58153, 9 },

  --IC
  [CRAFTINGSET_REDISTRIBUTOR] = { 60618, 7 },
  [CRAFTINGSET_NOBLES_CONQUEST] = { 60280, 5 },
  [CRAFTINGSET_ARMOR_MASTER] = { 60973, 9 },

  --Orsinium
  [CRAFTINGSET_LAW_OF_JULIANOS] = { 69606, 6 },
  [CRAFTINGSET_TRIAL_BY_FIRE] = { 69949, 3 },
  [CRAFTINGSET_MORKULDIN] = { 70642, 9 },

  --TG
  [CRAFTINGSET_TAVAS_FAVOR] = { 71795, 5 },
  [CRAFTINGSET_CLEVER_ALCHEMIST] = { 72145, 7 },
  [CRAFTINGSET_ETERNAL_HUNT] = { 72502, 9 },

  --DB
  [CRAFTINGSET_KVATCH_GLADIATOR] = { 75397, 5 },
  [CRAFTINGSET_VARENS_LEGACY] = { 75747, 7 },
  [CRAFTINGSET_PELINALS_APTITUDE] = { 76120, 9 },

  --Morrowind
  [CRAFTINGSET_SHACKLEBREAKER] = { 122251, 6 },
  [CRAFTINGSET_DAEDRIC_TRICKERY] = { 121921, 8 },
  [CRAFTINGSET_ASSASSIN_GUILE] = { 121551, 3 },

  --Clockwork City
  [CRAFTINGSET_INNATE_AXIOM] = { 130379, 2 },
  [CRAFTINGSET_FORTIFIED_BRASS] = { 130723, 4 },
  [CRAFTINGSET_MECHANICAL_ACUITY] = { 131070, 6 },

  --Summerset
  [CRAFTINGSET_ADEPT_RIDER] = { 135717, 3 },
  [CRAFTINGSET_SLOADS_SEMBLANCE] = { 136102, 6 },
  [CRAFTINGSET_NOCTURNALS_FAVOR] = { 136417, 9 },

  --Murkmire
  [CRAFTINGSET_NAGA_SHAMAN] = { 143161, 2 },
  [CRAFTINGSET_MIGHT_LOST_LEGION] = { 143531, 4 },
  [CRAFTINGSET_GRAVESTAKE_COLLECTOR] = { 142791, 7 },

  --Elsweyr
  [CRAFTINGSET_VASTARIES_TUTELAGE] = { 148688, 3 },
  [CRAFTINGSET_SENCHERAHTS_GRIT] = { 148318, 5 },
  [CRAFTINGSET_COLDHARBOURS_FAVORITE] = { 147948, 8 },

  -- Dragonhold
  [CRAFTINGSET_NEW_MOON_ACOLYTE] = { 156159, 9 },
  [CRAFTINGSET_DARING_CORSAIR] = { 155410, 3 }, -- 52

  --Update 25 Cyrodiil
  [CRAFTINGSET_DAUNTLESS_COMBATANT] = { 159107, 3 }, -- 53
  [CRAFTINGSET_CRITICAL_RIPOSTE] = { 158316, 3 }, -- 54
  [CRAFTINGSET_UNCHAINED_AGGRESSOR] = { 158698, 3 }, -- 55

  --Southern Elsweyr
  [CRAFTINGSET_ANCIENT_DRAGONGUARD] = { 155780, 6 }, -- 56

  -- Western Skyrim
  [CRAFTINGSET_DRAGONS_APPETITE] = { 161630, 7 }, -- 57
  [CRAFTINGSET_STUHNS_FAVOR] = { 161232, 5 }, -- 58

  -- Blackreach
  [CRAFTINGSET_SPELL_PARASITE] = { 163076, 3 }, -- 59
  -- The Reach
  [CRAFTINGSET_RED_EAGLES_FURY] = { 168034, 3 }, -- 60
  [CRAFTINGSET_LEGACY_OF_KARTH] = { 168408, 6 }, -- 61

  -- Blackreach: Arkthzand Cavern
  [CRAFTINGSET_AETHERIAL_ASCENSION] = { 168782, 9 }, -- 62

  -- Blackwood
  [CRAFTINGSET_PENTRIC_RUN] = { 173203, 5 }, -- 63
  [CRAFTINGSET_WITHERED_ROOT] = { 172455, 3 }, -- 64
  [CRAFTINGSET_SARIELLENS_SWORD] = { 172829, 7 }, -- 65

  -- Fargrave/Deadlands
  [CRAFTINGSET_IRON_FLASK] = { 179554, 5 }, -- 66
  [CRAFTINGSET_DEADLANDS_DEMOLISHER] = { 179180, 7 }, -- 67
  [CRAFTINGSET_WRETCHED_VITALITY] = { 178806, 3 }, -- 68

  -- High Isle
  [CRAFTINGSET_ORDERS_WRATH] = { 184771, 3 }, -- 69
  [CRAFTINGSET_DRUIDS_BRAID] = { 185531, 7 }, -- 70
  [CRAFTINGSET_SERPENTS_DISDAIN] = { 185151, 5 }, -- 71

  -- Galen
  [CRAFTINGSET_CHIMERAS_REBUKE] = { 191232, 7 }, -- 72
  [CRAFTINGSET_CLAW_OF_THE_FOREST_WRAITH] = { 192292, 5 }, -- 73
  [CRAFTINGSET_OLD_GROWTH_BREWER] = { 191667, 3 }, -- 74

  -- Telvanni Peninsula
  [CRAFTINGSET_TELVANNI_EFFICIENCY] = { 194942, 3 }, -- 75
  [CRAFTINGSET_SEEKER_SYNTHESIS] = { 195322, 7 }, -- 76
  [CRAFTINGSET_SHATTERED_FATE] = { 194562, 5 }, -- 77

  -- West Weald
  [CRAFTINGSET_HIGHLAND_SENTINEL] = { 205773, 5 }, -- 78
  [CRAFTINGSET_THARRIKER_STRIKE] = { 205393, 3 }, -- 79
  [CRAFTINGSET_THREADS_OF_WAR] = { 206153, 7 }, -- 80

}

Destinations.KeepsStore = {
  [1] = "Fort Balfiera",
  [3] = "Fort Warden",
  [4] = "Fort Rayles",
  [5] = "Fort Glademist",
  [6] = "Fort Ash",
  [7] = "Fort Aleswell",
  [8] = "Fort Dragonclaw",
  [9] = "Chalman Keep",
  [10] = "Arrius Keep",
  [11] = "Kingscrest Keep",
  [12] = "Farragut Keep",
  [13] = "Blue Road Keep",
  [14] = "Drakelowe Keep",
  [15] = "Castle Alessia",
  [16] = "Castle Faregyl",
  [17] = "Castle Roebeck",
  [18] = "Castle Brindle",
  [19] = "Castle Black Boot",
  [20] = "Castle Bloodmayne",
  [22] = "Castle Bloodmayne Farm",
  [23] = "Castle Bloodmayne Mine",
  [24] = "Castle Bloodmayne Lumbermill",
  [25] = "Fort Balfiera Farm",
  [26] = "Fort Balfiera Lumbermill",
  [27] = "Fort Balfiera Mine",
  [34] = "Castle Black Boot Lumbermill",
  [35] = "Castle Black Boot Mine",
  [36] = "Castle Black Boot Farm",
  [37] = "Farragut Keep Lumbermill",
  [38] = "Farragut Keep Mine",
  [39] = "Farragut Keep Farm",
  [40] = "Fort Warden Farm",
  [41] = "Fort Warden Lumbermill",
  [42] = "Fort Warden Mine",
  [43] = "Castle Faregyl Farm",
  [44] = "Castle Faregyl Lumbermill",
  [45] = "Castle Faregyl Mine",
  [46] = "Arrius Keep Farm",
  [47] = "Arrius Keep Lumbermill",
  [48] = "Arrius Keep Mine",
  [49] = "Fort Glademist Farm",
  [50] = "Fort Glademist Lumbermill",
  [51] = "Fort Glademist Mine",
  [52] = "Kingscrest Keep Farm",
  [53] = "Kingscrest Keep Lumbermill",
  [54] = "Kingscrest Keep Mine",
  [55] = "Fort Rayles Farm",
  [56] = "Fort Rayles Lumbermill",
  [57] = "Fort Rayles Mine",
  [61] = "Fort Ash Farm",
  [62] = "Fort Ash Lumbermill",
  [63] = "Fort Ash Mine",
  [64] = "Fort Aleswell Mine",
  [65] = "Fort Aleswell Lumbermill",
  [66] = "Fort Aleswell Farm",
  [67] = "Fort Dragonclaw Mine",
  [68] = "Fort Dragonclaw Lumbermill",
  [69] = "Fort Dragonclaw Farm",
  [70] = "Chalman Keep Mine",
  [71] = "Chalman Keep Lumbermill",
  [72] = "Chalman Keep Farm",
  [73] = "Blue Road Keep Mine",
  [74] = "Blue Road Keep Lumbermill",
  [75] = "Blue Road Keep Farm",
  [76] = "Drakelowe Keep Mine",
  [77] = "Drakelowe Keep Lumbermill",
  [78] = "Drakelowe Keep Farm",
  [79] = "Castle Alessia Mine",
  [80] = "Castle Alessia Lumbermill",
  [81] = "Castle Alessia Farm",
  [82] = "Castle Roebeck Mine",
  [83] = "Castle Roebeck Lumbermill",
  [84] = "Castle Roebeck Farm",
  [85] = "Castle Brindle Mine",
  [86] = "Castle Brindle Lumbermill",
  [87] = "Castle Brindle Farm",
  [105] = "Western Elsweyr Gate",
  [106] = "Eastern Elsweyr Gate",
  [107] = "Southern Morrowind Gate",
  [108] = "Northern Morrowind Gate",
  [109] = "Southern High Rock Gate",
  [110] = "Northern High Rock Gate",
  [118] = "Scroll Temple of Altadoon",
  [119] = "Scroll Temple of Mnem",
  [120] = "Scroll Temple of Ghartok",
  [121] = "Scroll Temple of Chim",
  [122] = "Scroll Temple of Ni-Mohk",
  [123] = "Scroll Temple of Alma Ruma",
  [124] = "Gate of Altadoon",
  [125] = "Gate of Mnem",
  [126] = "Gate of Ghartok",
  [127] = "Gate of Chim",
  [128] = "Gate of Ni-Mohk",
  [129] = "Gate of Alma Ruma",
  [131] = "North Tower",
  [132] = "Nikel Outpost",
  [133] = "Sejanus Outpost",
  [134] = "Bleaker's Outpost",
  [137] = "Southwest Tower",
  [138] = "South East Tower",
  [140] = "zss",
  [141] = "Nobles District",
  [142] = "Memorial District",
  [143] = "Arboretum",
  [146] = "Arena District",
  [147] = "Temple District",
  [148] = "Elven Gardens District",
  [149] = "Vlastarus",
  [151] = "Bruma",
  [152] = "Cropsford",
}

Destinations.POIsStore = {
  ---------------------------------
  --- Done                      ---
  ---------------------------------
  [1027] = -- Artaeum
  {
    [1] = { n = "Artaeum Craftworks", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_SLOADS_SEMBLANCE },
    [2] = { n = "Ceporah Tower", t = DESTINATIONS_PIN_TYPE_TOWER },
    [3] = { n = "Artaeum Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [4] = { n = "Traitor's Vault", t = DESTINATIONS_PIN_TYPE_DELVE },
    [5] = { n = "Colosseum of the Old Ways", t = DESTINATIONS_PIN_TYPE_AOI },
    [6] = { n = "Grand Psijic Villa", t = DESTINATIONS_PIN_TYPE_HOUSING },
    ["zoneName"] = "Artaeum",
  },
  [3] = --Glenumbra
  {
    [1] = { n = "Red Rook Camp", t = DESTINATIONS_PIN_TYPE_CAMP },
    [2] = { n = "Hag Fen", t = DESTINATIONS_PIN_TYPE_GROVE },
    [3] = { n = "Burial Mounds", t = DESTINATIONS_PIN_TYPE_CRYPT },
    [4] = { n = "Daggerfall", t = DESTINATIONS_PIN_TYPE_CITY },
    [5] = { n = "Deleyn's Mill", t = DESTINATIONS_PIN_TYPE_FARM },
    [6] = { n = "Aldcroft", t = DESTINATIONS_PIN_TYPE_TOWN },
    [7] = { n = "Shrieking Scar", t = DESTINATIONS_PIN_TYPE_CAMP },
    [8] = { n = "Glenumbra Moors", t = DESTINATIONS_PIN_TYPE_BATTLEFIELD },
    [9] = { n = "Westtry", t = DESTINATIONS_PIN_TYPE_TOWN },
    [10] = { n = "Lion Guard Redoubt", t = DESTINATIONS_PIN_TYPE_CAMP },
    [11] = { n = "Vale of the Guardians", t = DESTINATIONS_PIN_TYPE_GROVE },
    [12] = { n = "Eagle's Brook", t = DESTINATIONS_PIN_TYPE_TOWN },
    [13] = { n = "Camlorn", t = DESTINATIONS_PIN_TYPE_CITY },
    [14] = { n = "Beldama Wyrd Tree", t = DESTINATIONS_PIN_TYPE_GROVE },
    [15] = { n = "Tomb of Lost Kings", t = DESTINATIONS_PIN_TYPE_CRYPT },
    [16] = { n = "Crosswych", t = DESTINATIONS_PIN_TYPE_TOWN },
    [17] = { n = "Cath Bedraud", t = DESTINATIONS_PIN_TYPE_CEMETERY },
    [18] = { n = "Dresan Keep", t = DESTINATIONS_PIN_TYPE_RUIN },
    [19] = { n = "Baelborne Rock", t = DESTINATIONS_PIN_TYPE_RUIN },
    [20] = { n = "Ilessan Tower", t = DESTINATIONS_PIN_TYPE_DELVE },
    [21] = { n = "Silumm", t = DESTINATIONS_PIN_TYPE_DELVE },
    [22] = { n = "Mines of Khuras", t = DESTINATIONS_PIN_TYPE_DELVE },
    [23] = { n = "Enduum", t = DESTINATIONS_PIN_TYPE_DELVE },
    [24] = { n = "Ebon Crypt", t = DESTINATIONS_PIN_TYPE_DELVE },
    [25] = { n = "Cryptwatch Fort", t = DESTINATIONS_PIN_TYPE_DELVE },
    [26] = { n = "Wyrd Tree Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [27] = { n = "Aldcroft Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [28] = { n = "Deleyn's Mill Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [29] = { n = "Eagle's Brook Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [30] = { n = "North Hag Fen Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [31] = { n = "Lion Guard Redoubt Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [32] = { n = "Crosswych Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [33] = { n = "Farwatch Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [34] = { n = "Baelborne Rock Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [35] = { n = "Daggerfall Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [36] = { n = "Burial Tombs Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [37] = { n = "The Lover", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_LOVER },
    [38] = { n = "The Lady", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_LADY },
    [39] = { n = "Dwynnarth Ruins", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [40] = { n = "Cambray Pass", t = DESTINATIONS_PIN_TYPE_RUIN },
    [41] = { n = "Bad Man's Hallows", t = DESTINATIONS_PIN_TYPE_DUNGEON },
    [42] = { n = "Dungeon: Spindleclutch I", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [43] = { n = "Daenia Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [44] = { n = "Cambray Hills Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [45] = { n = "King's Guard Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [46] = { n = "The Harborage", t = DESTINATIONS_PIN_TYPE_CAVE },
    [47] = { n = "Seaview Point", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [48] = { n = "Western Overlook", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [49] = { n = "The Wolf's Camp", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [50] = { n = "North Shore Point", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [51] = { n = "Trapjaw's Cove", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [52] = { n = "Balefire Island", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [53] = { n = "Valewatch Tower", t = DESTINATIONS_PIN_TYPE_AOI },
    [54] = { n = "Merovec's Folly", t = DESTINATIONS_PIN_TYPE_AOI },
    [55] = { n = "Tangle Rock", t = DESTINATIONS_PIN_TYPE_AOI },
    [56] = { n = "Mesanthano's Tower", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_NIGHTS_SILENCE },
    [57] = { n = "Mire Falls", t = DESTINATIONS_PIN_TYPE_AOI },
    [58] = { n = "Miltrin's Fishing Cabin", t = DESTINATIONS_PIN_TYPE_AOI },
    [59] = { n = "Gaudet Farm", t = DESTINATIONS_PIN_TYPE_AOI },
    [60] = { n = "Chill House", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_DEATHS_WIND },
    [61] = { n = "Par Molag", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_ASHEN_GRIP },
    [62] = { n = "Dourstone Isle", t = DESTINATIONS_PIN_TYPE_AOI },
    [63] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [64] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [65] = { n = "Hag Fen Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [66] = { n = "Dungeon: Spindleclutch II", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [67] = { n = "Captain Margaux's Place", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [68] = { n = "The Rosy Lion", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [69] = { n = "Daggerfall Overlook", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [70] = { n = "Exorcised Coven Cottage", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [71] = { n = "Dungeon: Red Petal Bastion", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    ["zoneName"] = "Glenumbra",
  },
  [101] = --Eastmarch
  {
    [1] = { n = "Thulvald's Logging Camp", t = DESTINATIONS_PIN_TYPE_CAMP },
    [2] = { n = "The Thief", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_THIEF },
    [3] = { n = "The Warrior", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_WARRIOR },
    [4] = { n = "The Ritual", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_RITUAL },
    [5] = { n = "Lower Yorgrim", t = DESTINATIONS_PIN_TYPE_TOWN },
    [6] = { n = "Kynesgrove", t = DESTINATIONS_PIN_TYPE_GROVE },
    [7] = { n = "Windhelm", t = DESTINATIONS_PIN_TYPE_CITY },
    [8] = { n = "Fort Morvunskar", t = DESTINATIONS_PIN_TYPE_TOWER },
    [9] = { n = "Cradlecrush", t = DESTINATIONS_PIN_TYPE_TOWER },
    [10] = { n = "Mzulft", t = DESTINATIONS_PIN_TYPE_DWEMERRUIN },
    [11] = { n = "Wittestadr", t = DESTINATIONS_PIN_TYPE_TOWN },
    [12] = { n = "Bonestrewn Crest", t = DESTINATIONS_PIN_TYPE_CRYPT },
    [13] = { n = "Fort Amol", t = DESTINATIONS_PIN_TYPE_TOWER },
    [14] = { n = "Windhelm Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [15] = { n = "Fort Morvunskar Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [16] = { n = "Kynesgrove Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [17] = { n = "Voljar Meadery Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [18] = { n = "Cradlecrush Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [19] = { n = "Fort Amol Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [20] = { n = "Wittestadr Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [21] = { n = "Mistwatch Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [22] = { n = "Jorunn's Stand Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [23] = { n = "Logging Camp Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [24] = { n = "Skuldafn Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [25] = { n = "Mistwatch", t = DESTINATIONS_PIN_TYPE_TOWER },
    [26] = { n = "The Chill Hollow", t = DESTINATIONS_PIN_TYPE_DELVE },
    [27] = { n = "Icehammer's Vault", t = DESTINATIONS_PIN_TYPE_DELVE },
    [28] = { n = "Old Sord's Cave", t = DESTINATIONS_PIN_TYPE_DELVE },
    [29] = { n = "The Frigid Grotto", t = DESTINATIONS_PIN_TYPE_DELVE },
    [30] = { n = "Stormcrag Crypt", t = DESTINATIONS_PIN_TYPE_DELVE },
    [31] = { n = "The Bastard's Tomb", t = DESTINATIONS_PIN_TYPE_DELVE },
    [32] = { n = "Voljar's Meadery", t = DESTINATIONS_PIN_TYPE_TOWN },
    [33] = { n = "Lost Knife Cave", t = DESTINATIONS_PIN_TYPE_MINE },
    [34] = { n = "Cragwallow", t = DESTINATIONS_PIN_TYPE_TOWN },
    [35] = { n = "Jorunn's Stand", t = DESTINATIONS_PIN_TYPE_CAMP },
    [36] = { n = "Skuldafn", t = DESTINATIONS_PIN_TYPE_RUIN },
    [37] = { n = "Hall of the Dead", t = DESTINATIONS_PIN_TYPE_DUNGEON },
    [38] = { n = "Giant's Run Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [39] = { n = "Frostwater Tundra Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [40] = { n = "Icewind Peaks Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [41] = { n = "Dungeon: Direfrost Keep", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [42] = { n = "Rageclaw's Den", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [43] = { n = "Dragon Mound", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [44] = { n = "Ratmaster's Prowl", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [45] = { n = "Dragon's Hallow", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [46] = { n = "Ammabani's Pride", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [47] = { n = "Swiftblade's Camp", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [48] = { n = "Darkwater Crossing", t = DESTINATIONS_PIN_TYPE_AOI },
    [49] = { n = "Giant's Heart", t = DESTINATIONS_PIN_TYPE_AOI },
    [50] = { n = "Ragnthar", t = DESTINATIONS_PIN_TYPE_AOI },
    [51] = { n = "Cragwallow Cave", t = DESTINATIONS_PIN_TYPE_AOI },
    [52] = { n = "Hammerhome", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_ALESSIAS_BULWARK },
    [53] = { n = "Bitterblade's Camp", t = DESTINATIONS_PIN_TYPE_AOI },
    [54] = { n = "Tinkerer Tobin's Workshop", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_SONG_OF_LAMAE },
    [55] = { n = "Crimson Kada's Crafting Cavern", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_VAMPIRES_KISS },
    [56] = { n = "Hermit's Hideout", t = DESTINATIONS_PIN_TYPE_AOI },
    [57] = { n = "Thane Jeggi's Drinking Hole", t = DESTINATIONS_PIN_TYPE_AOI },
    [58] = { n = "Grymharth's Woe", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [59] = { n = "Enchanted Snow Globe Home", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [60] = { n = "Dungeon: Frostvault", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [61] = { n = "Frostvault Chasm", t = DESTINATIONS_PIN_TYPE_HOUSING },
    ["zoneName"] = "Eastmarch",
  },
  [103] = --The Rift
  {
    [1] = { n = "Shor's Stone", t = DESTINATIONS_PIN_TYPE_TOWN },
    [2] = { n = "Vernim Woods", t = DESTINATIONS_PIN_TYPE_GROVE },
    [3] = { n = "Boulderfall Pass", t = DESTINATIONS_PIN_TYPE_TOWER },
    [4] = { n = "Pinepeak Cavern", t = DESTINATIONS_PIN_TYPE_CAVE },
    [5] = { n = "Nimalten", t = DESTINATIONS_PIN_TYPE_TOWN },
    [6] = { n = "Fallowstone Hall", t = DESTINATIONS_PIN_TYPE_TOWER },
    [7] = { n = "Northwind Mine", t = DESTINATIONS_PIN_TYPE_MINE },
    [8] = { n = "Honrich Tower", t = DESTINATIONS_PIN_TYPE_RUIN },
    [9] = { n = "Taarengrav", t = DESTINATIONS_PIN_TYPE_RUIN },
    [10] = { n = "Skald's Retreat", t = DESTINATIONS_PIN_TYPE_ESTATE },
    [11] = { n = "Treva's Farm", t = DESTINATIONS_PIN_TYPE_FARM },
    [12] = { n = "Trolhetta", t = DESTINATIONS_PIN_TYPE_BATTLEFIELD },
    [13] = { n = "Forelhost", t = DESTINATIONS_PIN_TYPE_CRYPT },
    [14] = { n = "Riften Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [15] = { n = "Skald's Retreat Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [16] = { n = "Trolhetta Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [17] = { n = "Trolhetta Summit Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [18] = { n = "Lost Prospect", t = DESTINATIONS_PIN_TYPE_BATTLEFIELD },
    [19] = { n = "Geirmund's Hall", t = DESTINATIONS_PIN_TYPE_TOWN },
    [20] = { n = "The Steed", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_STEED },
    [21] = { n = "Riften", t = DESTINATIONS_PIN_TYPE_CITY },
    [22] = { n = "Fullhelm Fort", t = DESTINATIONS_PIN_TYPE_TOWER },
    [23] = { n = "Honrich Tower Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [24] = { n = "Fallowstone Hall Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [25] = { n = "Northwind Mine Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [26] = { n = "Geirmund's Hall Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [27] = { n = "Taarengrav Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [28] = { n = "Nimalten Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [29] = { n = "Ragged Hills Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [30] = { n = "Fullhelm Fort Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [31] = { n = "Lion's Den", t = DESTINATIONS_PIN_TYPE_DUNGEON },
    [32] = { n = "Broken Helm Hollow", t = DESTINATIONS_PIN_TYPE_DELVE },
    [33] = { n = "Fort Greenwall", t = DESTINATIONS_PIN_TYPE_DELVE },
    [34] = { n = "Faldar's Tooth", t = DESTINATIONS_PIN_TYPE_DELVE },
    [35] = { n = "Avanchnzel", t = DESTINATIONS_PIN_TYPE_DELVE },
    [36] = { n = "Snapleg Cave", t = DESTINATIONS_PIN_TYPE_DELVE },
    [37] = { n = "Shroud Hearth Barrow", t = DESTINATIONS_PIN_TYPE_DELVE },
    [38] = { n = "Ivarstead", t = DESTINATIONS_PIN_TYPE_TOWN },
    [39] = { n = "Ragged Hills Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [40] = { n = "Stony Basin Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [41] = { n = "Smokefrost Peaks Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [42] = { n = "Dungeon: Blessed Crucible", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [43] = { n = "The Apprentice", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_APPRENTICE },
    [44] = { n = "Hunter Camp", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [45] = { n = "Troll Cave", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [46] = { n = "Frozen Ruins", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [47] = { n = "Angarvunde Mound", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [48] = { n = "Giant Camp", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [49] = { n = "Wisplight Glen", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [50] = { n = "Linele Skullcarver's Camp", t = DESTINATIONS_PIN_TYPE_AOI },
    [51] = { n = "Three Tribes Camp", t = DESTINATIONS_PIN_TYPE_AOI },
    [52] = { n = "Autumnshade Clearing", t = DESTINATIONS_PIN_TYPE_AOI },
    [53] = { n = "Smokefrost Vigil", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_WILLOWS_PATH },
    [54] = { n = "Mammoth Ridge", t = DESTINATIONS_PIN_TYPE_AOI },
    [55] = { n = "Honeystrand Hill", t = DESTINATIONS_PIN_TYPE_AOI },
    [56] = { n = "Grethel's Vigil", t = DESTINATIONS_PIN_TYPE_AOI },
    [57] = { n = "Eldbjorg's Hideaway", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_NIGHT_MOTHERS_GAZE },
    [58] = { n = "Jenedusil's Claw", t = DESTINATIONS_PIN_TYPE_AOI },
    [59] = { n = "Trollslayer's Gully", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_HUNDINGS_RAGE },
    [60] = { n = "Frostmoon Farmstead", t = DESTINATIONS_PIN_TYPE_FARM },
    [61] = { n = "Old Mistveil Manor", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [62] = { n = "Autumn's-Gate", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [63] = { n = "Hunter's Glade", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [64] = { n = "Dungeon: Scrivener's Hall", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    ["zoneName"] = "The Rift",
  },
  [104] = --Alik'r Desert
  {
    [1] = { n = "Sentinel Docks", t = DESTINATIONS_PIN_TYPE_DOCK },
    [2] = { n = "Ancestor's Landing", t = DESTINATIONS_PIN_TYPE_RUIN },
    [3] = { n = "Rain Catcher Fields", t = DESTINATIONS_PIN_TYPE_CAMP },
    [4] = { n = "Morwha's Bounty", t = DESTINATIONS_PIN_TYPE_CAMP },
    [5] = { n = "Tu'whacca's Throne", t = DESTINATIONS_PIN_TYPE_RUIN },
    [6] = { n = "Kulati Mines", t = DESTINATIONS_PIN_TYPE_MINE },
    [7] = { n = "Leki's Blade", t = DESTINATIONS_PIN_TYPE_TOWN },
    [8] = { n = "Sep's Spine", t = DESTINATIONS_PIN_TYPE_CAMP },
    [9] = { n = "Bergama", t = DESTINATIONS_PIN_TYPE_CITY },
    [10] = { n = "Tava's Blessing", t = DESTINATIONS_PIN_TYPE_CITY },
    [11] = { n = "HoonDing's Watch", t = DESTINATIONS_PIN_TYPE_RUIN },
    [12] = { n = "Satakalaam", t = DESTINATIONS_PIN_TYPE_CITY },
    [13] = { n = "Kozanset", t = DESTINATIONS_PIN_TYPE_CITY },
    [14] = { n = "Sentinel", t = DESTINATIONS_PIN_TYPE_CITY },
    [15] = { n = "Salas En", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [16] = { n = "Motalion Necropolis", t = DESTINATIONS_PIN_TYPE_CEMETERY },
    [17] = { n = "Morwha's Bounty Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [18] = { n = "Sentinel Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [19] = { n = "Bergama Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [20] = { n = "Leki's Blade Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [21] = { n = "Satakalaam Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [22] = { n = "Santaki", t = DESTINATIONS_PIN_TYPE_DELVE },
    [23] = { n = "Divad's Chagrin Mine", t = DESTINATIONS_PIN_TYPE_DELVE },
    [24] = { n = "Aldunz", t = DESTINATIONS_PIN_TYPE_DELVE },
    [25] = { n = "Coldrock Diggings", t = DESTINATIONS_PIN_TYPE_DELVE },
    [26] = { n = "Sandblown Mine", t = DESTINATIONS_PIN_TYPE_DELVE },
    [27] = { n = "Yldzuun", t = DESTINATIONS_PIN_TYPE_DELVE },
    [28] = { n = "Lost City of the Na-Totambu", t = DESTINATIONS_PIN_TYPE_DUNGEON },
    [29] = { n = "Divad's Chagrin Mine Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [30] = { n = "Kulati Mines Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [31] = { n = "Aswala Stables Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [32] = { n = "Sep's Spine Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [33] = { n = "Ogre's Bluff", t = DESTINATIONS_PIN_TYPE_GROVE },
    [34] = { n = "Shrikes' Aerie Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [35] = { n = "HoonDing's Watch Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [36] = { n = "Myrkwasa Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [37] = { n = "Hollow Waste Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [38] = { n = "Tigonus Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [39] = { n = "The Warrior", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_WARRIOR },
    [40] = { n = "The Ritual", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_RITUAL },
    [41] = { n = "The Thief", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_THIEF },
    [42] = { n = "Dungeon: Volenfell", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [43] = { n = "Goat's Head Oasis Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [44] = { n = "Lost Caravan", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [45] = { n = "Lesser Circle", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [46] = { n = "Giant Camp", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [47] = { n = "Forsaken Hearts Cave", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [48] = { n = "Hag Camp", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [49] = { n = "King's Rest", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [50] = { n = "Saltwalker Militia Camp", t = DESTINATIONS_PIN_TYPE_CAMP },
    [51] = { n = "Aswala's Remembrance", t = DESTINATIONS_PIN_TYPE_AOI },
    [52] = { n = "Tears of the Dishonored", t = DESTINATIONS_PIN_TYPE_CAMP },
    [53] = { n = "Ragnthar", t = DESTINATIONS_PIN_TYPE_AOI },
    [54] = { n = "Rkulftzel", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_SONG_OF_LAMAE },
    [55] = { n = "Alezer Kotu", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_ALESSIAS_BULWARK },
    [56] = { n = "Easterly Aerie", t = DESTINATIONS_PIN_TYPE_AOI },
    [57] = { n = "Hatiha's Camp", t = DESTINATIONS_PIN_TYPE_AOI },
    [58] = { n = "Na-Totambu's Landing", t = DESTINATIONS_PIN_TYPE_AOI },
    [59] = { n = "Artisan's Oasis", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_VAMPIRES_KISS },
    [60] = { n = "Duneripper Downs", t = DESTINATIONS_PIN_TYPE_AOI },
    [61] = { n = "Wayfarer's Wharf", t = DESTINATIONS_PIN_TYPE_AOI },
    [62] = { n = "Sisters of the Sands Apartment", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [63] = { n = "House of the Silent Magnifico", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [64] = { n = "Sword-Singer's Redoubt", t = DESTINATIONS_PIN_TYPE_HOUSING },
    ["zoneName"] = "Alik'r Desert",
  },
  [41] = --Stonefalls
  {
    [1] = { n = "Fort Arand", t = DESTINATIONS_PIN_TYPE_TOWER },
    [2] = { n = "Vivec's Antlers", t = DESTINATIONS_PIN_TYPE_BATTLEFIELD },
    [3] = { n = "Starved Plain", t = DESTINATIONS_PIN_TYPE_BATTLEFIELD },
    [4] = { n = "Davon's Watch", t = DESTINATIONS_PIN_TYPE_CITY },
    [5] = { n = "Hrogar's Hold", t = DESTINATIONS_PIN_TYPE_FARM },
    [6] = { n = "Othrenis", t = DESTINATIONS_PIN_TYPE_CRYPT },
    [7] = { n = "Sathram Plantation", t = DESTINATIONS_PIN_TYPE_FARM },
    [8] = { n = "Brothers of Strife", t = DESTINATIONS_PIN_TYPE_RUIN },
    [9] = { n = "Heimlyn Keep", t = DESTINATIONS_PIN_TYPE_TOWER },
    [10] = { n = "Kragenmoor", t = DESTINATIONS_PIN_TYPE_CITY },
    [11] = { n = "Lukiul Uxith", t = DESTINATIONS_PIN_TYPE_TOWN },
    [12] = { n = "Senie", t = DESTINATIONS_PIN_TYPE_TOWN },
    [13] = { n = "Sulfur Pools", t = DESTINATIONS_PIN_TYPE_FARM },
    [14] = { n = "Iliath Temple", t = DESTINATIONS_PIN_TYPE_ESTATE },
    [15] = { n = "Ebonheart", t = DESTINATIONS_PIN_TYPE_CITY },
    [16] = { n = "Tormented Spire", t = DESTINATIONS_PIN_TYPE_CAVE },
    [17] = { n = "Ash Mountain", t = DESTINATIONS_PIN_TYPE_DAEDRICRUIN },
    [18] = { n = "Crow's Wood", t = DESTINATIONS_PIN_TYPE_DUNGEON },
    [19] = { n = "Fort Virak", t = DESTINATIONS_PIN_TYPE_TOWER },
    [20] = { n = "Davon's Watch Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [21] = { n = "Othrenis Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [22] = { n = "Fort Arand Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [23] = { n = "Ebonheart Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [24] = { n = "Vivec's Antlers Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [25] = { n = "Brothers of Strife Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [26] = { n = "Hrogar's Hold Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [27] = { n = "Fort Virak Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [28] = { n = "Iliath Temple Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [29] = { n = "Sathram Plantation Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [30] = { n = "Kragenmoor Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [31] = { n = "Ashen Road Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [32] = { n = "The Lady", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_LADY },
    [33] = { n = "The Lover", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_LOVER },
    [34] = { n = "Dungeon: Fungal Grotto I", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [35] = { n = "Inner Sea Armature", t = DESTINATIONS_PIN_TYPE_DELVE },
    [36] = { n = "Mephala's Nest", t = DESTINATIONS_PIN_TYPE_DELVE },
    [37] = { n = "Softloam Cavern", t = DESTINATIONS_PIN_TYPE_DELVE },
    [38] = { n = "Emberflint Mine", t = DESTINATIONS_PIN_TYPE_DELVE },
    [39] = { n = "Sulfur Pools Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [40] = { n = "Senie Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [41] = { n = "Hightide Hollow", t = DESTINATIONS_PIN_TYPE_DELVE },
    [42] = { n = "Sheogorath's Tongue", t = DESTINATIONS_PIN_TYPE_DELVE },
    [43] = { n = "Daen Seeth Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [44] = { n = "Zabamat Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [45] = { n = "Varanis Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [46] = { n = "The Harborage", t = DESTINATIONS_PIN_TYPE_CAVE },
    [47] = { n = "Strifeswarm Hive", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [48] = { n = "The Matron's Clutch", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [49] = { n = "Shivering Shrine", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [50] = { n = "Cave of Memories", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [51] = { n = "Shipwreck Strand", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [52] = { n = "Still-Water's Camp", t = DESTINATIONS_PIN_TYPE_AOI },
    [53] = { n = "Strifeswarm Kwama Mine", t = DESTINATIONS_PIN_TYPE_AOI },
    [54] = { n = "Armature's Upheaval", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_DEATHS_WIND },
    [55] = { n = "Stonefang Isle", t = DESTINATIONS_PIN_TYPE_AOI },
    [56] = { n = "Steamfont Cavern", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_NIGHTS_SILENCE },
    [57] = { n = "Dagger's Point Invasion Camp", t = DESTINATIONS_PIN_TYPE_AOI },
    [58] = { n = "Davenas Farm", t = DESTINATIONS_PIN_TYPE_AOI },
    [59] = { n = "Magmaflow Overlook", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_ASHEN_GRIP },
    [60] = { n = "Greymist Falls", t = DESTINATIONS_PIN_TYPE_AOI },
    [61] = { n = "Steamlake Encampment", t = DESTINATIONS_PIN_TYPE_AOI },
    [62] = { n = "The Brahma's Grove", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [63] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [64] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [65] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [66] = { n = "Dungeon: Fungal Grotto II", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [67] = { n = "Kragenhome", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [68] = { n = "The Ebony Flask Inn Room", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [69] = { n = "Ebonheart Chateau", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [70] = { n = "Dungeon: Bal Sunnar", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    ["zoneName"] = "Stonefalls",
  },
  [684] = --Wrothgar
  {
    [1] = { n = "Paragon's Remembrance", t = DESTINATIONS_PIN_TYPE_RUIN },
    [2] = { n = "Old Orsinium", t = DESTINATIONS_PIN_TYPE_DUNGEON },
    [3] = { n = "Watcher's Hold", t = DESTINATIONS_PIN_TYPE_DELVE },
    [4] = { n = "Honor's Rest", t = DESTINATIONS_PIN_TYPE_CEMETERY },
    [5] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [6] = { n = "Poacher's Encampment", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [7] = { n = "Sorrow", t = DESTINATIONS_PIN_TYPE_CAVE },
    [8] = { n = "Thukhozod's Sanctum", t = DESTINATIONS_PIN_TYPE_DELVE },
    [9] = { n = "Fharun Stronghold", t = DESTINATIONS_PIN_TYPE_ESTATE },
    [10] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [11] = { n = "Frostbreak Fortress", t = DESTINATIONS_PIN_TYPE_TOWER },
    [12] = { n = "Unfinished Dolmen", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [13] = { n = "Graystone Quarry", t = DESTINATIONS_PIN_TYPE_MINE },
    [14] = { n = "King-Chief's Throne", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [15] = { n = "The Accursed Nursery", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [16] = { n = "The Mad Ogre's Altar", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [17] = { n = "Nyzchaleft Falls", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [18] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [19] = { n = "Argent Mine", t = DESTINATIONS_PIN_TYPE_DELVE },
    [20] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [21] = { n = "Nikolvara's Kennel", t = DESTINATIONS_PIN_TYPE_DELVE },
    [22] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [23] = { n = "Zthenganaz", t = DESTINATIONS_PIN_TYPE_DELVE },
    [24] = { n = "Coldperch Cavern", t = DESTINATIONS_PIN_TYPE_DELVE },
    [25] = { n = "Bonerock Cavern", t = DESTINATIONS_PIN_TYPE_CAVE },
    [26] = { n = "Morkul Stronghold", t = DESTINATIONS_PIN_TYPE_ESTATE },
    [27] = { n = "Shatul Range", t = DESTINATIONS_PIN_TYPE_FARM },
    [28] = { n = "Exile's Barrow", t = DESTINATIONS_PIN_TYPE_RUIN },
    [29] = { n = "Rkindaleft", t = DESTINATIONS_PIN_TYPE_DUNGEON },
    [30] = { n = "Frozen Fleet", t = DESTINATIONS_PIN_TYPE_CAMP },
    [31] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [32] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [33] = { n = "Orsinium", t = DESTINATIONS_PIN_TYPE_CITY },
    [34] = { n = "Siege Road Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [35] = { n = "Frostbreak Ridge Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [36] = { n = "Trader's Road Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [37] = { n = "Orsinium Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [38] = { n = "Shatul Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [39] = { n = "Great Bay Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [40] = { n = "Two Rivers Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [41] = { n = "Icy Shore Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [42] = { n = "Morkul Plain Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [43] = { n = "Aqueduct Rock", t = DESTINATIONS_PIN_TYPE_AOI },
    [44] = { n = "Grudge-Rock Falls", t = DESTINATIONS_PIN_TYPE_AOI },
    [45] = { n = "Shipwreck Cove", t = DESTINATIONS_PIN_TYPE_AOI },
    [46] = { n = "Forlorn Watchtower", t = DESTINATIONS_PIN_TYPE_AOI },
    [47] = { n = "Jehanna Docks", t = DESTINATIONS_PIN_TYPE_AOI },
    [48] = { n = "Torug's Arch", t = DESTINATIONS_PIN_TYPE_AOI },
    [49] = { n = "Friendship Gate", t = DESTINATIONS_PIN_TYPE_GATE },
    [50] = { n = "Merchant's Gate", t = DESTINATIONS_PIN_TYPE_GATE },
    [51] = { n = "Malacath Statue", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_TRIAL_BY_FIRE },
    [52] = { n = "Boreal Forge", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_LAW_OF_JULIANOS },
    [53] = { n = "Morkuldin Forge", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_MORKULDIN },
    [54] = { n = "Merchant's Gate Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [55] = { n = "Arena: Maelstrom", t = DESTINATIONS_PIN_TYPE_SOLOTRIAL },
    [56] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [57] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [58] = { n = "Pariah's Pinnacle", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [59] = { n = "Dungeon: Icereach", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [60] = { n = "Forgemaster Falls", t = DESTINATIONS_PIN_TYPE_HOUSING },
    ["zoneName"] = "Wrothgar",
  },
  [888] = --Craglorn
  {
    [1] = { n = "Belkarth", t = DESTINATIONS_PIN_TYPE_TOWN },
    [2] = { n = "Bangkorai Gate", t = DESTINATIONS_PIN_TYPE_AOI },
    [3] = { n = "Proving Grounds Dolmen", t = DESTINATIONS_PIN_TYPE_AOI },
    [4] = { n = "Crossroads Encampment", t = DESTINATIONS_PIN_TYPE_AOI },
    [5] = { n = "Rahni'Za, School of Warriors", t = DESTINATIONS_PIN_TYPE_GROUPLIGHTHOUSE },
    [6] = { n = "The Seeker's Archive", t = DESTINATIONS_PIN_TYPE_GROUPESTATE },
    [7] = { n = "Shada's Tear", t = DESTINATIONS_PIN_TYPE_GROUPRUIN },
    [8] = { n = "Elinhir", t = DESTINATIONS_PIN_TYPE_GROUPLIGHTHOUSE },
    [9] = { n = "Spellscar", t = DESTINATIONS_PIN_TYPE_GROUPCAVE },
    [10] = { n = "Dragonstar", t = DESTINATIONS_PIN_TYPE_TOWN },
    [11] = { n = "Dragonstar Arena", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [12] = { n = "Atelier of the Twice-Born Star", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_TWICE_BORN_STAR },
    [13] = { n = "Molavar", t = DESTINATIONS_PIN_TYPE_DELVE },
    [14] = { n = "Rkundzelft", t = DESTINATIONS_PIN_TYPE_GROUPDELVE },
    [15] = { n = "Serpent's Nest", t = DESTINATIONS_PIN_TYPE_DELVE },
    [16] = { n = "Ruins of Kardala", t = DESTINATIONS_PIN_TYPE_GROUPDELVE },
    [17] = { n = "Ilthag's Undertower", t = DESTINATIONS_PIN_TYPE_DELVE },
    [18] = { n = "Loth'Na Caverns", t = DESTINATIONS_PIN_TYPE_DELVE },
    [19] = { n = "Rkhardahrk", t = DESTINATIONS_PIN_TYPE_GROUPDELVE },
    [20] = { n = "Haddock's Market", t = DESTINATIONS_PIN_TYPE_DELVE },
    [21] = { n = "Chiselshriek Mine", t = DESTINATIONS_PIN_TYPE_GROUPDELVE },
    [22] = { n = "Buried Sands", t = DESTINATIONS_PIN_TYPE_DELVE },
    [23] = { n = "Mtharnaz", t = DESTINATIONS_PIN_TYPE_GROUPDELVE },
    [24] = { n = "The Howling Sepulchers", t = DESTINATIONS_PIN_TYPE_DELVE },
    [25] = { n = "Balamath", t = DESTINATIONS_PIN_TYPE_DELVE },
    [26] = { n = "Fearfangs Cavern", t = DESTINATIONS_PIN_TYPE_DELVE },
    [27] = { n = "Exarch's Stronghold", t = DESTINATIONS_PIN_TYPE_DELVE },
    [28] = { n = "Zalgaz's Den", t = DESTINATIONS_PIN_TYPE_GROUPDELVE },
    [29] = { n = "Tombs of the Na-Totambu", t = DESTINATIONS_PIN_TYPE_DELVE },
    [30] = { n = "Hircine's Haunt", t = DESTINATIONS_PIN_TYPE_GROUPDELVE },
    [31] = { n = "Trial: Hel Ra Citadel", t = DESTINATIONS_PIN_TYPE_RAIDDUNGEON },
    [32] = { n = "Trial: Aetherian Archive", t = DESTINATIONS_PIN_TYPE_RAIDDUNGEON },
    [33] = { n = "Trial: Sanctum Ophidia", t = DESTINATIONS_PIN_TYPE_RAIDDUNGEON },
    [34] = { n = "Skyreach Pinnacle", t = DESTINATIONS_PIN_TYPE_GROUPRUIN },
    [35] = { n = "Skyreach Catacombs", t = DESTINATIONS_PIN_TYPE_GROUPCEMETERY },
    [36] = { n = "Skyreach Hold", t = DESTINATIONS_PIN_TYPE_GROUPKEEP },
    [37] = { n = "Taborra's Camp", t = DESTINATIONS_PIN_TYPE_GROUPAREAOFINTEREST },
    [38] = { n = "Inazzur's Hold", t = DESTINATIONS_PIN_TYPE_GROUPAREAOFINTEREST },
    [39] = { n = "Thunder Falls Camp", t = DESTINATIONS_PIN_TYPE_GROUPAREAOFINTEREST },
    [40] = { n = "Scorpion Ravine", t = DESTINATIONS_PIN_TYPE_GROUPAREAOFINTEREST },
    [41] = { n = "Lake of Teeth", t = DESTINATIONS_PIN_TYPE_AOI },
    [42] = { n = "Ogondar's Winery", t = DESTINATIONS_PIN_TYPE_AOI },
    [43] = { n = "Lanista's Waystation", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_WAY_OF_THE_ARENA },
    [44] = { n = "Sunken Lair", t = DESTINATIONS_PIN_TYPE_AOI },
    [45] = { n = "Skyreach Overlook", t = DESTINATIONS_PIN_TYPE_AOI },
    [46] = { n = "Conflagrant Anomaly", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [47] = { n = "Fulminant Anomaly", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [48] = { n = "Adamant Anomaly", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [49] = { n = "Cyclonic Anomaly", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [50] = { n = "Boreal Anomaly", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [51] = { n = "Anka-Ra's Vigil", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [52] = { n = "Anka-Ra's Plight", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [53] = { n = "Anka-Ra's Avowal", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [54] = { n = "Anka-Ra's Crucible", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [55] = { n = "Anka-Ra's Mettle", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [56] = { n = "Defunct Nirncrux Mine", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [57] = { n = "Overrun Nirncrux Mine", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [58] = { n = "Neglected Nirncrux Mine", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [59] = { n = "Secluded Nirncrux Mine", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [60] = { n = "Pillaged Nirncrux Mine", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [61] = { n = "Seeker's Archive Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [62] = { n = "Sandy Path Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [63] = { n = "Shada's Tear Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [64] = { n = "Belkarth Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [65] = { n = "Elinhir Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [66] = { n = "Spellscar Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [67] = { n = "Mountain Overlook Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [68] = { n = "Inazzur's Hold Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [69] = { n = "Dragonstar Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [70] = { n = "Skyreach Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [71] = { n = "Valley of Scars Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [72] = { n = "Domus Phrasticus", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [73] = { n = "Earthtear Cavern", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [74] = { n = "Dungeon: Bloodroot Forge", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [75] = { n = "Dungeon: Falkreath Hold", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [76] = { n = "Hakkvild's High Hall", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [77] = { n = "Elinhir Private Arena", t = DESTINATIONS_PIN_TYPE_HOUSING },
    ["zoneName"] = "Craglorn",
  },
  [108] = --Greenshade
  {
    [1] = { n = "Rulanyil's Fall", t = DESTINATIONS_PIN_TYPE_DUNGEON },
    [2] = { n = "Bramblebreach", t = DESTINATIONS_PIN_TYPE_GROVE },
    [3] = { n = "Woodhearth", t = DESTINATIONS_PIN_TYPE_CITY },
    [4] = { n = "Rootwater Grove", t = DESTINATIONS_PIN_TYPE_GROVE },
    [5] = { n = "Verrant Morass", t = DESTINATIONS_PIN_TYPE_GROVE },
    [6] = { n = "Shademist Moors", t = DESTINATIONS_PIN_TYPE_GROVE },
    [7] = { n = "Moonhenge", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [8] = { n = "Shadows Crawl", t = DESTINATIONS_PIN_TYPE_RUIN },
    [9] = { n = "Driladan Pass", t = DESTINATIONS_PIN_TYPE_GATE },
    [10] = { n = "Shrouded Vale", t = DESTINATIONS_PIN_TYPE_CAVE },
    [11] = { n = "Serpent's Grotto", t = DESTINATIONS_PIN_TYPE_CAVE },
    [12] = { n = "Spinner's Cottage", t = DESTINATIONS_PIN_TYPE_TOWN },
    [13] = { n = "Seaside Sanctuary", t = DESTINATIONS_PIN_TYPE_RUIN },
    [14] = { n = "Greenheart", t = DESTINATIONS_PIN_TYPE_LIGHTHOUSE },
    [15] = { n = "Dread Vullain", t = DESTINATIONS_PIN_TYPE_TOWN },
    [16] = { n = "Hectahame", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [17] = { n = "Greenheart Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [18] = { n = "Marbruk Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [19] = { n = "Labyrinth Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [20] = { n = "Falinesti Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [21] = { n = "Seaside Sanctuary Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [22] = { n = "Verrant Morass Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [23] = { n = "Woodhearth Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [24] = { n = "Moonhenge Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [25] = { n = "Serpent's Grotto Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [26] = { n = "The Atronach", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_ATRONACH },
    [27] = { n = "The Serpent", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_SERPENT },
    [28] = { n = "The Shadow", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_SHADOW },
    [29] = { n = "Green's Marrow Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [30] = { n = "Drowned Coast Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [31] = { n = "Wilderking Court Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [32] = { n = "Marbruk", t = DESTINATIONS_PIN_TYPE_CITY },
    [33] = { n = "Gurzag's Mine", t = DESTINATIONS_PIN_TYPE_DELVE },
    [34] = { n = "Carac Dena", t = DESTINATIONS_PIN_TYPE_DELVE },
    [35] = { n = "Naril Nagaia", t = DESTINATIONS_PIN_TYPE_DELVE },
    [36] = { n = "The Underroot", t = DESTINATIONS_PIN_TYPE_DELVE },
    [37] = { n = "Harridan's Lair", t = DESTINATIONS_PIN_TYPE_DELVE },
    [38] = { n = "Barrow Trench", t = DESTINATIONS_PIN_TYPE_DELVE },
    [39] = { n = "Dungeon: City of Ash I", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [40] = { n = "Reconnaissance Camp", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [41] = { n = "Pelda Tarn", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [42] = { n = "Gathongor's Mire", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [43] = { n = "Rootwater Spring", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [44] = { n = "Thodundor's View", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [45] = { n = "Maormer Camp", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [46] = { n = "Falinesti Spring Site", t = DESTINATIONS_PIN_TYPE_GROVE },
    [47] = { n = "Seaside Overlook", t = DESTINATIONS_PIN_TYPE_AOI },
    [48] = { n = "Twin Falls Rest", t = DESTINATIONS_PIN_TYPE_AOI },
    [49] = { n = "Echo Pond", t = DESTINATIONS_PIN_TYPE_AOI },
    [50] = { n = "Lanalda Pond", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_WHITESTRAKES_RETRIBUTION },
    [51] = { n = "Hollow Den", t = DESTINATIONS_PIN_TYPE_AOI },
    [52] = { n = "Arananga", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_MAGNUS_GIFT },
    [53] = { n = "Tower Rocks Vale", t = DESTINATIONS_PIN_TYPE_AOI },
    [54] = { n = "Camp Gushnukbur", t = DESTINATIONS_PIN_TYPE_AOI },
    [55] = { n = "Rootwatch Tower", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_HIST_BARK },
    [56] = { n = "Fisherman's Rest", t = DESTINATIONS_PIN_TYPE_AOI },
    [57] = { n = "Labyrinth", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [58] = { n = "Dungeon: City of Ash II", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [59] = { n = "Cliffshade", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [60] = { n = "Bouldertree Refuge", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [61] = { n = "Dungeon: March of Sacrifices", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    ["zoneName"] = "Greenshade",
  },
  [537] = --Khenrati's Roost
  {
    [1] = { n = "Eagle's Strand", t = DESTINATIONS_PIN_TYPE_CAMP },
    [2] = { n = "Temple of the Mourning Springs", t = DESTINATIONS_PIN_TYPE_RUIN },
    [3] = { n = "Shattered Shoals", t = DESTINATIONS_PIN_TYPE_DOCK },
    [4] = { n = "Mistral", t = DESTINATIONS_PIN_TYPE_CITY },
    [5] = { n = "Khenarthi's Roost Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [6] = { n = "Mistral Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [7] = { n = "Hazak's Hollow", t = DESTINATIONS_PIN_TYPE_CAVE },
    [8] = { n = "Cat's Eye Quay", t = DESTINATIONS_PIN_TYPE_DOCK },
    [9] = { n = "Windcatcher Plantation", t = DESTINATIONS_PIN_TYPE_FARM },
    [10] = { n = "Speckled Shell Plantation", t = DESTINATIONS_PIN_TYPE_FARM },
    [11] = { n = "Laughing Moons Plantation", t = DESTINATIONS_PIN_TYPE_FARM },
    [12] = { n = "Bolga's Hunting Camp", t = DESTINATIONS_PIN_TYPE_AOI },
    [13] = { n = "Temple of the Crescent Moons", t = DESTINATIONS_PIN_TYPE_AOI },
    [14] = { n = "Temple of Two-Moons Dance", t = DESTINATIONS_PIN_TYPE_AOI },
    [15] = { n = "Temple of the Dark Moon", t = DESTINATIONS_PIN_TYPE_AOI },
    [16] = { n = "Rid-Thar's Solace", t = DESTINATIONS_PIN_TYPE_AOI },
    [17] = { n = "Moonmirth House", t = DESTINATIONS_PIN_TYPE_HOUSING },
    ["zoneName"] = "Khenarthi's Roost",
  },
  [117] = --Shadowfen
  {
    [1] = { n = "Alten Corimont", t = DESTINATIONS_PIN_TYPE_DOCK },
    [2] = { n = "Stormhold", t = DESTINATIONS_PIN_TYPE_CITY },
    [3] = { n = "Stillrise Village", t = DESTINATIONS_PIN_TYPE_TOWN },
    [4] = { n = "Zuuk", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [5] = { n = "Hissmir", t = DESTINATIONS_PIN_TYPE_RUIN },
    [6] = { n = "Xal Ithix", t = DESTINATIONS_PIN_TYPE_FARM },
    [7] = { n = "Deep Graves", t = DESTINATIONS_PIN_TYPE_CEMETERY },
    [8] = { n = "Ten-Maur-Wolk", t = DESTINATIONS_PIN_TYPE_DAEDRICRUIN },
    [9] = { n = "Murkwater", t = DESTINATIONS_PIN_TYPE_DOCK },
    [10] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [11] = { n = "Bogmother", t = DESTINATIONS_PIN_TYPE_RUIN },
    [12] = { n = "Forsaken Hamlet", t = DESTINATIONS_PIN_TYPE_TOWN },
    [13] = { n = "Hatching Pools", t = DESTINATIONS_PIN_TYPE_GROVE },
    [14] = { n = "Sunscale Strand", t = DESTINATIONS_PIN_TYPE_RUIN },
    [15] = { n = "Mud Tree Village", t = DESTINATIONS_PIN_TYPE_MINE },
    [16] = { n = "Percolating Mire", t = DESTINATIONS_PIN_TYPE_ESTATE },
    [17] = { n = "Atronach Stone", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_ATRONACH },
    [18] = { n = "The Shadow", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_SHADOW },
    [19] = { n = "Serpent Stone", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_SERPENT },
    [20] = { n = "Stillrise Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [21] = { n = "Stormhold Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [22] = { n = "Hatching Pools Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [23] = { n = "Bogmother Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [24] = { n = "Alten Corimont Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [25] = { n = "White Rose Prison", t = DESTINATIONS_PIN_TYPE_TOWER },
    [26] = { n = "Percolating Mire Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [27] = { n = "Hissmir Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [28] = { n = "Loriasel Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [29] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [30] = { n = "Venomous Fens Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [31] = { n = "Forsaken Hamlet Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [32] = { n = "Loriasel", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [33] = { n = "Shrine of the Black Maw", t = DESTINATIONS_PIN_TYPE_DELVE },
    [34] = { n = "Broken Tusk", t = DESTINATIONS_PIN_TYPE_DELVE },
    [35] = { n = "Atanaz Ruins", t = DESTINATIONS_PIN_TYPE_DELVE },
    [36] = { n = "Onkobra Kwama Mine", t = DESTINATIONS_PIN_TYPE_DELVE },
    [37] = { n = "Chid-Moska Ruins", t = DESTINATIONS_PIN_TYPE_DELVE },
    [38] = { n = "Gandranen Ruins", t = DESTINATIONS_PIN_TYPE_DELVE },
    [39] = { n = "Dungeon: Arx Corinium", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [40] = { n = "Sanguine's Demesne", t = DESTINATIONS_PIN_TYPE_DUNGEON },
    [41] = { n = "Reticulated Spine Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [42] = { n = "Leafwater Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [43] = { n = "Venomous Fens Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [44] = { n = "Haynekhtnamet's Lair", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [45] = { n = "Captain Bones' Ship", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [46] = { n = "Bitterroot Cave", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [47] = { n = "Nen Ria", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [48] = { n = "Xal Thak", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [49] = { n = "Slaver Camp", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [50] = { n = "Xal Haj-Ei Shrine", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_MAGNUS_GIFT },
    [51] = { n = "Camp Silken Snare", t = DESTINATIONS_PIN_TYPE_AOI },
    [52] = { n = "The Vile Pavilion", t = DESTINATIONS_PIN_TYPE_AOI },
    [53] = { n = "Camp Merciful Reduction", t = DESTINATIONS_PIN_TYPE_AOI },
    [54] = { n = "Tsonashap Mine", t = DESTINATIONS_PIN_TYPE_AOI },
    [55] = { n = "The Graceful Dominator", t = DESTINATIONS_PIN_TYPE_AOI },
    [56] = { n = "Camp Crystal Abattoir", t = DESTINATIONS_PIN_TYPE_AOI },
    [57] = { n = "Hatchling's Crown", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_HIST_BARK },
    [58] = { n = "Telvanni Acquisition Camp", t = DESTINATIONS_PIN_TYPE_AOI },
    [59] = { n = "Weeping Wamasu Falls", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_WHITESTRAKES_RETRIBUTION },
    [60] = { n = "Hei-Halai", t = DESTINATIONS_PIN_TYPE_AOI },
    [61] = { n = "Dungeon: Cradle of Shadows", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [62] = { n = "Dungeon: Ruins of Mazzatun", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [63] = { n = "Stay-Moist Mansion", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [64] = { n = "The Ample Domicile", t = DESTINATIONS_PIN_TYPE_HOUSING },
    ["zoneName"] = "Shadowfen",
  },
  [584] = --Imperial City
  {
    [1] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [2] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [3] = { n = "Sewer Entrance", t = DESTINATIONS_PIN_TYPE_SEWER },
    [4] = { n = "Sewer Entrance", t = DESTINATIONS_PIN_TYPE_SEWER },
    [5] = { n = "Sewer Entrance", t = DESTINATIONS_PIN_TYPE_SEWER },
    [6] = { n = "Sewer Entrance", t = DESTINATIONS_PIN_TYPE_SEWER },
    [7] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [8] = { n = "Sewer Entrance", t = DESTINATIONS_PIN_TYPE_SEWER },
    [9] = { n = "Sewer Entrance", t = DESTINATIONS_PIN_TYPE_SEWER },
    [10] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [11] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [12] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [13] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [14] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [15] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [16] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [17] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [18] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [19] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [20] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [21] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [22] = { n = "Arboretum Armory", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_REDISTRIBUTOR },
    [23] = { n = "Nobles Armory", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_NOBLES_CONQUEST },
    [24] = { n = "Memorial Armory", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_ARMOR_MASTER },
    [25] = { n = "Arboretum", t = DESTINATIONS_PIN_TYPE_TOWN },
    [26] = { n = "Arena District", t = DESTINATIONS_PIN_TYPE_TOWN },
    [27] = { n = "Elven Gardens District", t = DESTINATIONS_PIN_TYPE_TOWN },
    [28] = { n = "Memorial District", t = DESTINATIONS_PIN_TYPE_TOWN },
    [29] = { n = "Nobles District", t = DESTINATIONS_PIN_TYPE_TOWN },
    [30] = { n = "Temple District", t = DESTINATIONS_PIN_TYPE_TOWN },
    [31] = { n = "Dungeon: Imperial City Prison", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [32] = { n = "Legionary Trophy Vault", t = DESTINATIONS_PIN_TYPE_MARKLEGION },
    [33] = { n = "Planar Armor Trophy Vault", t = DESTINATIONS_PIN_TYPE_PLANARARMORSCRAPS },
    [34] = { n = "Bone Shard Trophy Vault", t = DESTINATIONS_PIN_TYPE_BONESHARD },
    [35] = { n = "Ethereal Trophy Vault", t = DESTINATIONS_PIN_TYPE_DARKETHER },
    [36] = { n = "Clawed Trophy Vault", t = DESTINATIONS_PIN_TYPE_TINYCLAW },
    [37] = { n = "Monstrous Tooth Trophy Vault", t = DESTINATIONS_PIN_TYPE_MONSTROUSTEETH },
    ["zoneName"] = "Imperial City",
  },
  [643] = -- Imperial Sewers
  {
    [1] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [2] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [3] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [4] = { n = "Aldmeri Dominion Base", t = DESTINATIONS_PIN_TYPE_SEWER },
    [5] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [6] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [7] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [8] = { n = "Ebonheart Pact Base", t = DESTINATIONS_PIN_TYPE_SEWER },
    [9] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [10] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [11] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [12] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [13] = { n = "Daggerfall Covenant Base", t = DESTINATIONS_PIN_TYPE_SEWER },
    [14] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [15] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [16] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [17] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [18] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [19] = { n = "Ladder to Memorial District", t = DESTINATIONS_PIN_TYPE_SEWER },
    [20] = { n = "Ladder to Arena District", t = DESTINATIONS_PIN_TYPE_SEWER },
    [21] = { n = "Ladder to Temple District", t = DESTINATIONS_PIN_TYPE_SEWER },
    [22] = { n = "Ladder to Arboretum", t = DESTINATIONS_PIN_TYPE_SEWER },
    [23] = { n = "Ladder to Nobles District", t = DESTINATIONS_PIN_TYPE_SEWER },
    [24] = { n = "Ladder to Elven Gardens", t = DESTINATIONS_PIN_TYPE_SEWER },
    [25] = { n = "Ebral the Betrayer", t = DESTINATIONS_PIN_TYPE_BATTLEFIELD },
    [26] = { n = "Emperor Leovic", t = DESTINATIONS_PIN_TYPE_BATTLEFIELD },
    [27] = { n = "Gati the Storm Sister", t = DESTINATIONS_PIN_TYPE_BATTLEFIELD },
    [28] = { n = "Hzu-Hakan", t = DESTINATIONS_PIN_TYPE_BATTLEFIELD },
    [29] = { n = "Lady of the Depths", t = DESTINATIONS_PIN_TYPE_BATTLEFIELD },
    [30] = { n = "Otholug gro-Goldfolly", t = DESTINATIONS_PIN_TYPE_BATTLEFIELD },
    [31] = { n = "Secundinus the Despoiler", t = DESTINATIONS_PIN_TYPE_BATTLEFIELD },
    [32] = { n = "Taebod the Gatekeeper", t = DESTINATIONS_PIN_TYPE_BATTLEFIELD },
    [33] = { n = "Wadracki", t = DESTINATIONS_PIN_TYPE_BATTLEFIELD },
    [34] = { n = "Drain-Dweller's Outpost", t = DESTINATIONS_PIN_TYPE_AOI },
    [35] = { n = "Unfinished Memoirs", t = DESTINATIONS_PIN_TYPE_AOI },
    [36] = { n = "Alik'ri Alcove", t = DESTINATIONS_PIN_TYPE_AOI },
    [37] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [38] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [39] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [40] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [41] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [42] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [43] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [44] = { n = "General Nazenaechar", t = DESTINATIONS_PIN_TYPE_BATTLEFIELD },
    [45] = { n = "General Kryozote", t = DESTINATIONS_PIN_TYPE_BATTLEFIELD },
    [46] = { n = "General Zamachar", t = DESTINATIONS_PIN_TYPE_BATTLEFIELD },
    [47] = { n = "Bloodmist Slaughterhouse", t = DESTINATIONS_PIN_TYPE_AOI },
    [48] = { n = "Headsman's Bone Pile", t = DESTINATIONS_PIN_TYPE_AOI },
    [49] = { n = "Inquisitor's Retreat", t = DESTINATIONS_PIN_TYPE_AOI },
    [50] = { n = "Dungeon: White-Gold Tower", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [51] = { n = "Dungeon: White-Gold Tower", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [52] = { n = "Dungeon: White-Gold Tower", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    ["zoneName"] = "Imperial Sewers",
  },
  [816] = --Hew's Bane
  {
    [1] = { n = "Shark's Teeth Grotto", t = DESTINATIONS_PIN_TYPE_DELVE },
    [2] = { n = "Bahraha's Gloom", t = DESTINATIONS_PIN_TYPE_DELVE },
    [3] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [4] = { n = "Thrall Cove", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [5] = { n = "Ko Estaran", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [6] = { n = "Tava's Beak", t = DESTINATIONS_PIN_TYPE_AOI },
    [7] = { n = "Hubalajad's Reflection", t = DESTINATIONS_PIN_TYPE_AOI },
    [8] = { n = "Prince Hew's Shuttered Tomb", t = DESTINATIONS_PIN_TYPE_AOI },
    [9] = { n = "Abah's Landing", t = DESTINATIONS_PIN_TYPE_CITY },
    [10] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [11] = { n = "No Shira Citadel", t = DESTINATIONS_PIN_TYPE_RUIN },
    [12] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [13] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [14] = { n = "Abah's Landing Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [15] = { n = "Zeht's Displeasure Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [16] = { n = "No Shira Citadel Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [17] = { n = "Placations of Zeht", t = DESTINATIONS_PIN_TYPE_AOI },
    [18] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [19] = { n = "The Lost Pavilion", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_ETERNAL_HUNT },
    [20] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [21] = { n = "Forebear's Junction", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_TAVAS_FAVOR },
    [22] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [23] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [24] = { n = "No Shira Workshop", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_CLEVER_ALCHEMIST },
    [25] = { n = "Princely Dawnlight Palace", t = DESTINATIONS_PIN_TYPE_HOUSING },
    ["zoneName"] = "Hew's Bane",
  },
  [281] = --Bal Foyen
  {
    [1] = { n = "Dhalmora", t = DESTINATIONS_PIN_TYPE_TOWN },
    [2] = { n = "Dhalmora Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [3] = { n = "Fort Zeren Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [4] = { n = "Foyen Docks Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [5] = { n = "Bal Foyen Dockyards", t = DESTINATIONS_PIN_TYPE_DOCK },
    [6] = { n = "Fort Zeren", t = DESTINATIONS_PIN_TYPE_KEEP },
    [7] = { n = "Hidden Dagger Landing Site", t = DESTINATIONS_PIN_TYPE_AOI },
    [8] = { n = "Plantation Point Overlook", t = DESTINATIONS_PIN_TYPE_AOI },
    [9] = { n = "Humblemud", t = DESTINATIONS_PIN_TYPE_HOUSING },
    ["zoneName"] = "Bal Foyen",
  },
  [823] = --Gold Coast
  {
    [1] = { n = "Anvil Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [2] = { n = "Kvatch Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [3] = { n = "Strid River Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [4] = { n = "Gold Coast Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [5] = { n = "Kvatch", t = DESTINATIONS_PIN_TYPE_CITY },
    [6] = { n = "Anvil", t = DESTINATIONS_PIN_TYPE_CITY },
    [7] = { n = "Hrota Cave", t = DESTINATIONS_PIN_TYPE_DELVE },
    [8] = { n = "Garlas Agea", t = DESTINATIONS_PIN_TYPE_DELVE },
    [9] = { n = "Knightsgrave", t = DESTINATIONS_PIN_TYPE_RUIN },
    [10] = { n = "Tribune's Folly", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [11] = { n = "At-Himah Family Estate", t = DESTINATIONS_PIN_TYPE_AOI },
    [12] = { n = "Beldaburo", t = DESTINATIONS_PIN_TYPE_AOI },
    [13] = { n = "Enclave of the Hourglass", t = DESTINATIONS_PIN_TYPE_KEEP },
    [14] = { n = "Jarol Estate", t = DESTINATIONS_PIN_TYPE_AOI },
    [15] = { n = "Anvil Lighthouse", t = DESTINATIONS_PIN_TYPE_AOI },
    [16] = { n = "Varen's Wall Gatehouse", t = DESTINATIONS_PIN_TYPE_AOI },
    [17] = { n = "Garlas Malatar", t = DESTINATIONS_PIN_TYPE_AOI },
    [18] = { n = "Marja's Mill", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_KVATCH_GLADIATOR },
    [19] = { n = "Strid River Artisans Camp", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_VARENS_LEGACY },
    [20] = { n = "Colovian Revolt Forge Yard", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_PELINALS_APTITUDE },
    [21] = { n = "Kvatch Arena", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [22] = { n = "Dark Brotherhood Sanctuary", t = DESTINATIONS_PIN_TYPE_DARKBROTHERHOOD },
    [23] = { n = "Linchal Grand Manor", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [24] = { n = "The Erstwhile Sanctuary", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [25] = { n = "Dungeon: Depths of Malatar", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [26] = { n = "Dungeon: Black Drake Villa", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [27] = { n = "Varlaisvea Ayleid Ruins", t = DESTINATIONS_PIN_TYPE_HOUSING },
    ["zoneName"] = "The Gold Coast",
  },
  [19] = --Stormhaven
  {
    [1] = { n = "Aphren's Hold", t = DESTINATIONS_PIN_TYPE_CRYPT },
    [2] = { n = "Shinji's Scarp", t = DESTINATIONS_PIN_TYPE_TOWN },
    [3] = { n = "Dro-Dara Plantation", t = DESTINATIONS_PIN_TYPE_FARM },
    [4] = { n = "Soulshriven Tower", t = DESTINATIONS_PIN_TYPE_RUIN },
    [5] = { n = "Farangel's Landing", t = DESTINATIONS_PIN_TYPE_DOCK },
    [6] = { n = "Pariah Abbey", t = DESTINATIONS_PIN_TYPE_ESTATE },
    [7] = { n = "Wind Keep", t = DESTINATIONS_PIN_TYPE_TOWN },
    [8] = { n = "Dreughside", t = DESTINATIONS_PIN_TYPE_CITY },
    [9] = { n = "Cumberland's Watch", t = DESTINATIONS_PIN_TYPE_TOWER },
    [10] = { n = "at-Tura Estate", t = DESTINATIONS_PIN_TYPE_ESTATE },
    [11] = { n = "Koeglin Lighthouse", t = DESTINATIONS_PIN_TYPE_LIGHTHOUSE },
    [12] = { n = "Steelheart Moorings", t = DESTINATIONS_PIN_TYPE_DOCK },
    [13] = { n = "Firebrand Keep", t = DESTINATIONS_PIN_TYPE_KEEP },
    [14] = { n = "Moonlit Maw", t = DESTINATIONS_PIN_TYPE_CAVE },
    [15] = { n = "Nurin Farm", t = DESTINATIONS_PIN_TYPE_FARM },
    [16] = { n = "Vanne Farm", t = DESTINATIONS_PIN_TYPE_FARM },
    [17] = { n = "Alcaire Keep", t = DESTINATIONS_PIN_TYPE_KEEP },
    [18] = { n = "Koeglin Village", t = DESTINATIONS_PIN_TYPE_TOWN },
    [19] = { n = "Windridge Cave", t = DESTINATIONS_PIN_TYPE_CAVE },
    [20] = { n = "Dungeon: Wayrest Sewers I", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [21] = { n = "Bonesnap Ruins", t = DESTINATIONS_PIN_TYPE_DUNGEON },
    [22] = { n = "Koeglin Village Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [23] = { n = "Alcaire Castle Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [24] = { n = "Firebrand Keep Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [25] = { n = "Wind Keep Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [26] = { n = "Dro-Dara Plantation Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [27] = { n = "Soulshriven Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [28] = { n = "Pariah Abbey Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [29] = { n = "Portdun Watch", t = DESTINATIONS_PIN_TYPE_DELVE },
    [30] = { n = "Koeglin Mine", t = DESTINATIONS_PIN_TYPE_DELVE },
    [31] = { n = "Pariah Catacombs", t = DESTINATIONS_PIN_TYPE_DELVE },
    [32] = { n = "Farangel's Delve", t = DESTINATIONS_PIN_TYPE_DELVE },
    [33] = { n = "Bearclaw Mine", t = DESTINATIONS_PIN_TYPE_DELVE },
    [34] = { n = "Norvulk Ruins", t = DESTINATIONS_PIN_TYPE_DELVE },
    [35] = { n = "Weeping Giant Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [36] = { n = "The Tower", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_TOWER },
    [37] = { n = "The Mage", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_MAGE },
    [38] = { n = "The Lord", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_LORD },
    [39] = { n = "Gavaudon Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [40] = { n = "Alcaire Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [41] = { n = "Menevia Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [42] = { n = "Wayrest Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [43] = { n = "Bonesnap Ruins Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [44] = { n = "Spider Nest", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [45] = { n = "Mudcrab Beach", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [46] = { n = "Dreugh Waters", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [47] = { n = "Abandoned Farm", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [48] = { n = "Scrag's Larder", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [49] = { n = "Ancient Altar", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [50] = { n = "Supernal Dreamers Camp", t = DESTINATIONS_PIN_TYPE_AOI },
    [51] = { n = "Nightmare Crag", t = DESTINATIONS_PIN_TYPE_AOI },
    [52] = { n = "Cave of Dreams", t = DESTINATIONS_PIN_TYPE_AOI },
    [53] = { n = "Shrine to Azura", t = DESTINATIONS_PIN_TYPE_AOI },
    [54] = { n = "Cumberland Falls", t = DESTINATIONS_PIN_TYPE_AOI },
    [55] = { n = "Stonechewer Goblin Camp", t = DESTINATIONS_PIN_TYPE_AOI },
    [56] = { n = "Hammerdeath Workshop", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_TORUGS_PACT },
    [57] = { n = "Fisherman's Island", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_ARMOR_OF_THE_SEDUCER },
    [58] = { n = "Travelers' Rest", t = DESTINATIONS_PIN_TYPE_AOI },
    [59] = { n = "Windridge Warehouse", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_TWILIGHTS_EMBRACE },
    [60] = { n = "Weeping Giant", t = DESTINATIONS_PIN_TYPE_RUIN },
    [61] = { n = "Friendship Gate", t = DESTINATIONS_PIN_TYPE_GATE },
    [62] = { n = "Dungeon: Wayrest Sewers II", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [63] = { n = "Hammerdeath Arena", t = DESTINATIONS_PIN_TYPE_BATTLEFIELD },
    [64] = { n = "Gardner House", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [65] = { n = "Hammerdeath Bungalow", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [66] = { n = "Dungeon: Scalecaller Peak", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    ["zoneName"] = "Stormhaven",
  },
  [20] = --Rivenspire
  {
    [1] = { n = "Hinault Farm", t = DESTINATIONS_PIN_TYPE_FARM },
    [2] = { n = "Moira's Hope", t = DESTINATIONS_PIN_TYPE_TOWN },
    [3] = { n = "Silverhoof Vale", t = DESTINATIONS_PIN_TYPE_GROVE },
    [4] = { n = "Northpoint", t = DESTINATIONS_PIN_TYPE_CITY },
    [5] = { n = "Crestshade", t = DESTINATIONS_PIN_TYPE_BATTLEFIELD },
    [6] = { n = "Camp Tamrith", t = DESTINATIONS_PIN_TYPE_CAMP },
    [7] = { n = "Fell's Run", t = DESTINATIONS_PIN_TYPE_TOWN },
    [8] = { n = "Traitor's Tor", t = DESTINATIONS_PIN_TYPE_BATTLEFIELD },
    [9] = { n = "Sanguine Barrows", t = DESTINATIONS_PIN_TYPE_CRYPT },
    [10] = { n = "Shornhelm", t = DESTINATIONS_PIN_TYPE_CITY },
    [11] = { n = "Edrald Estate", t = DESTINATIONS_PIN_TYPE_ESTATE },
    [12] = { n = "Breagha-Fin", t = DESTINATIONS_PIN_TYPE_CAVE },
    [13] = { n = "Ravenwatch Castle", t = DESTINATIONS_PIN_TYPE_CEMETERY },
    [14] = { n = "The Doomcrag", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [15] = { n = "Lorkrata Hills", t = DESTINATIONS_PIN_TYPE_RUIN },
    [16] = { n = "Obsidian Scar", t = DESTINATIONS_PIN_TYPE_DUNGEON },
    [17] = { n = "Dungeon: Crypt of Hearts I", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [18] = { n = "Oldgate Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [19] = { n = "Crestshade Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [20] = { n = "Camp Tamrith Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [21] = { n = "Hoarfrost Downs", t = DESTINATIONS_PIN_TYPE_TOWN },
    [22] = { n = "Boralis Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [23] = { n = "Staging Grounds Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [24] = { n = "Northpoint Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [25] = { n = "Fell's Run Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [26] = { n = "Hoarfrost Downs Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [27] = { n = "Shornhelm Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [28] = { n = "The Atronach", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_ATRONACH },
    [29] = { n = "The Shadow", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_SHADOW },
    [30] = { n = "The Serpent", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_SERPENT },
    [31] = { n = "Crestshade Mine", t = DESTINATIONS_PIN_TYPE_DELVE },
    [32] = { n = "Flyleaf Catacombs", t = DESTINATIONS_PIN_TYPE_DELVE },
    [33] = { n = "Tribulation Crypt", t = DESTINATIONS_PIN_TYPE_DELVE },
    [34] = { n = "Orc's Finger Ruins", t = DESTINATIONS_PIN_TYPE_DELVE },
    [35] = { n = "Erokii Ruins", t = DESTINATIONS_PIN_TYPE_DELVE },
    [36] = { n = "Hildune's Secret Refuge", t = DESTINATIONS_PIN_TYPE_DELVE },
    [37] = { n = "Sanguine Barrows Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [38] = { n = "Eyebright Feld Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [39] = { n = "Westmark Moor Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [40] = { n = "Boralis Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [41] = { n = "Shrouded Pass Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [42] = { n = "Aesar's Web", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [43] = { n = "Valeguard Tower", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [44] = { n = "Old Kalgon's Keep", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [45] = { n = "Magdelena's Haunt", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [46] = { n = "East-Rock Landing", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [47] = { n = "Siren's Cove", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [48] = { n = "Shadowfate Cavern", t = DESTINATIONS_PIN_TYPE_AOI },
    [49] = { n = "Old Fell's Fort", t = DESTINATIONS_PIN_TYPE_AOI },
    [50] = { n = "Lagra's Pearl", t = DESTINATIONS_PIN_TYPE_AOI },
    [51] = { n = "Northsalt Village", t = DESTINATIONS_PIN_TYPE_AOI },
    [52] = { n = "Veawend Ede", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_MAGNUS_GIFT },
    [53] = { n = "Westwind Lighthouse", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_WHITESTRAKES_RETRIBUTION },
    [54] = { n = "Dorell Farmhouse", t = DESTINATIONS_PIN_TYPE_AOI },
    [55] = { n = "Southgard Tower", t = DESTINATIONS_PIN_TYPE_AOI },
    [56] = { n = "Old Shornhelm Ruins", t = DESTINATIONS_PIN_TYPE_AOI },
    [57] = { n = "Trader's Rest", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_HIST_BARK },
    [58] = { n = "Dungeon: Crypt of Hearts II", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [59] = { n = "Ravenhurst", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [60] = { n = "Wraithhome", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [61] = { n = "Dungeon: Shipwright's Regret", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    ["zoneName"] = "Rivenspire",
  },
  [181] = --Cyrodiil
  {
    [1] = { n = "Sardavar Leed", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [2] = { n = "Gray Viper Outpost", t = DESTINATIONS_PIN_TYPE_CAMP },
    [3] = { n = "Homestead Ruins", t = DESTINATIONS_PIN_TYPE_RUIN },
    [4] = { n = "Culotte", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [5] = { n = "Juras' Fall", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [6] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [7] = { n = "Howling Cave", t = DESTINATIONS_PIN_TYPE_CAVE },
    [8] = { n = "Ceyatatar", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [9] = { n = "Haynote Cave", t = DESTINATIONS_PIN_TYPE_DELVE },
    [10] = { n = "Lunar Fang Docks", t = DESTINATIONS_PIN_TYPE_DOCK },
    [11] = { n = "Pothole Caverns", t = DESTINATIONS_PIN_TYPE_DELVE },
    [12] = { n = "Newt Cave", t = DESTINATIONS_PIN_TYPE_DELVE },
    [13] = { n = "Abbey of the Eight", t = DESTINATIONS_PIN_TYPE_TOWN },
    [14] = { n = "Nornalhorst", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [15] = { n = "Nisin Cave", t = DESTINATIONS_PIN_TYPE_DELVE },
    [16] = { n = "Narsinfel", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [17] = { n = "Wooden Hand Outlook", t = DESTINATIONS_PIN_TYPE_AOI },
    [18] = { n = "Fanacasecul", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [19] = { n = "Hackdirt", t = DESTINATIONS_PIN_TYPE_TOWN },
    [20] = { n = "Wenyandawik", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [21] = { n = "Bloodmayne Cave", t = DESTINATIONS_PIN_TYPE_DELVE },
    [22] = { n = "Chorrol", t = DESTINATIONS_PIN_TYPE_TOWN },
    [23] = { n = "Red Ruby Cave", t = DESTINATIONS_PIN_TYPE_DELVE },
    [24] = { n = "Capstone Cave", t = DESTINATIONS_PIN_TYPE_DELVE },
    [25] = { n = "Ninendava", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [26] = { n = "Moranda", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [27] = { n = "Piukanda", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [28] = { n = "Sercen", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [29] = { n = "Anga", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [30] = { n = "Hrotanda Vale", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [31] = { n = "Echo Cave", t = DESTINATIONS_PIN_TYPE_DELVE },
    [32] = { n = "Lindai", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [33] = { n = "Empire Tower", t = DESTINATIONS_PIN_TYPE_AOI },
    [34] = { n = "Lake Mist Ruins", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [35] = { n = "Waterside Mine", t = DESTINATIONS_PIN_TYPE_MINE },
    [36] = { n = "Lipsand Tarn", t = DESTINATIONS_PIN_TYPE_DELVE },
    [37] = { n = "Cracked Wood Cave", t = DESTINATIONS_PIN_TYPE_DELVE },
    [38] = { n = "Kingscrest Cavern", t = DESTINATIONS_PIN_TYPE_DELVE },
    [39] = { n = "Muck Valley Cavern", t = DESTINATIONS_PIN_TYPE_DELVE },
    [40] = { n = "Quickwater Cave", t = DESTINATIONS_PIN_TYPE_DELVE },
    [41] = { n = "Vahtacen", t = DESTINATIONS_PIN_TYPE_DELVE },
    [42] = { n = "Breakneck Cave", t = DESTINATIONS_PIN_TYPE_DELVE },
    [43] = { n = "Serpent Hollow Cave", t = DESTINATIONS_PIN_TYPE_DELVE },
    [44] = { n = "Nornal", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [45] = { n = "Cheydinhal", t = DESTINATIONS_PIN_TYPE_CITY },
    [46] = { n = "Harlun's Watch", t = DESTINATIONS_PIN_TYPE_ESTATE },
    [47] = { n = "Belda", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [48] = { n = "Burned Estate", t = DESTINATIONS_PIN_TYPE_ESTATE },
    [49] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [50] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [51] = { n = "Temple of the Ancestor Moths", t = DESTINATIONS_PIN_TYPE_TOWN },
    [52] = { n = "North High Rock Gate Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [53] = { n = "South High Rock Gate Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [54] = { n = "Eastern Elsweyr Gate Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [55] = { n = "Western Elsweyr Gate Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [56] = { n = "North Morrowind Gate Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [57] = { n = "South Morrowind Gate Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [58] = { n = "Greenmead Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [59] = { n = "Great Forest Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [60] = { n = "Nibenay Valley Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [61] = { n = "Applewatch Wood Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [62] = { n = "Winter's Reach Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [63] = { n = "Northwestern Shore Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [64] = { n = "Eastern Shore Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [65] = { n = "Niben Basin Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [66] = { n = "Cheydinhal Foothills Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [67] = { n = "The Apprentice", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_APPRENTICE },
    [68] = { n = "The Atronach", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_ATRONACH },
    [69] = { n = "The Lady", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_LADY },
    [70] = { n = "The Warrior", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_WARRIOR },
    [71] = { n = "The Mage", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_MAGE },
    [72] = { n = "The Thief", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_THIEF },
    [73] = { n = "The Lover", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_LOVER },
    [74] = { n = "The Serpent", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_SERPENT },
    [75] = { n = "The Ritual", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_RITUAL },
    [76] = { n = "The Tower", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_TOWER },
    [77] = { n = "The Steed", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_STEED },
    [78] = { n = "The Shadow", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_SHADOW },
    [79] = { n = "Cloud Ruler Temple", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [80] = { n = "Riverwatch", t = DESTINATIONS_PIN_TYPE_LIGHTHOUSE },
    [81] = { n = "Zimar's Winery", t = DESTINATIONS_PIN_TYPE_ESTATE },
    [82] = { n = "Thalara's Winery", t = DESTINATIONS_PIN_TYPE_ESTATE },
    [83] = { n = "Wilminn's Winery", t = DESTINATIONS_PIN_TYPE_ESTATE },
    [84] = { n = "Sedor", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [85] = { n = "Coldcorn Ruin", t = DESTINATIONS_PIN_TYPE_RUIN },
    [86] = { n = "Fanacas", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [87] = { n = "Hedoran Estate", t = DESTINATIONS_PIN_TYPE_ESTATE },
    [88] = { n = "Weynon Priory", t = DESTINATIONS_PIN_TYPE_TOWN },
    [89] = { n = "Crooked Finger Redoubt", t = DESTINATIONS_PIN_TYPE_TOWER },
    [90] = { n = "Underpall Cave", t = DESTINATIONS_PIN_TYPE_DELVE },
    [91] = { n = "Highlander Camp", t = DESTINATIONS_PIN_TYPE_CAMP },
    [92] = { n = "Ice-Heart Home", t = DESTINATIONS_PIN_TYPE_ESTATE },
    [93] = { n = "Weye", t = DESTINATIONS_PIN_TYPE_TOWN },
    [94] = { n = "Shurgak Clan Estate", t = DESTINATIONS_PIN_TYPE_ESTATE },
    [95] = { n = "Toadstool Hollow", t = DESTINATIONS_PIN_TYPE_DELVE },
    [96] = { n = "Abandoned Orchard", t = DESTINATIONS_PIN_TYPE_AOI },
    [97] = { n = "Nagastani", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [98] = { n = "Barren Cave", t = DESTINATIONS_PIN_TYPE_CAVE },
    [99] = { n = "Moffka's Lament", t = DESTINATIONS_PIN_TYPE_AOI },
    [100] = { n = "White Fall Mountain", t = DESTINATIONS_PIN_TYPE_AOI },
    [101] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [102] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [103] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [104] = { n = "Dungeon: Imperial City Prison", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [105] = { n = "Dungeon: White-Gold Tower", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [106] = { n = "Bruma", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [107] = { n = "Cropsford Armory", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_DAUNTLESS_COMBATANT },
    [108] = { n = "Vlastarus Armory", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_CRITICAL_RIPOSTE },
    [109] = { n = "Bruma Armory", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_UNCHAINED_AGGRESSOR },
    ["zoneName"] = "Cyrodiil",
  },
  [534] = --Stros M'Kai
  {
    [1] = { n = "Saintsport", t = DESTINATIONS_PIN_TYPE_TOWN },
    [2] = { n = "Bthzark", t = DESTINATIONS_PIN_TYPE_DWEMERRUIN },
    [3] = { n = "Port Hunding", t = DESTINATIONS_PIN_TYPE_CITY },
    [4] = { n = "Port Hunding Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [5] = { n = "The Grave", t = DESTINATIONS_PIN_TYPE_SEWER },
    [6] = { n = "Sandy Grotto Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [7] = { n = "Saintsport Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [8] = { n = "Rash Merchant's Plummet", t = DESTINATIONS_PIN_TYPE_AOI },
    [9] = { n = "Dogeater Goblin Camp", t = DESTINATIONS_PIN_TYPE_AOI },
    [10] = { n = "Pillar of the Singing Sun", t = DESTINATIONS_PIN_TYPE_AOI },
    [11] = { n = "Hunding's Palatial Hall", t = DESTINATIONS_PIN_TYPE_HOUSING },
    ["zoneName"] = "Stros M'Kai",
  },
  [535] = --Betnikh
  {
    [1] = { n = "Grimfield", t = DESTINATIONS_PIN_TYPE_CEMETERY },
    [2] = { n = "Carved Hills", t = DESTINATIONS_PIN_TYPE_GROVE },
    [3] = { n = "Stonetooth Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [4] = { n = "Grimfield Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [5] = { n = "Carved Hills Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [6] = { n = "Moriseli", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [7] = { n = "Carzog's Demise", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [8] = { n = "Gilbard's Nook", t = DESTINATIONS_PIN_TYPE_AOI },
    [9] = { n = "Eyearata", t = DESTINATIONS_PIN_TYPE_AOI },
    [10] = { n = "Seaveil Spire", t = DESTINATIONS_PIN_TYPE_HOUSING },
    ["zoneName"] = "Betnikh",
  },
  [280] = --Bleakrock Isle
  {
    [1] = { n = "Orkey's Hollow", t = DESTINATIONS_PIN_TYPE_CAVE },
    [2] = { n = "Skyshroud Barrow", t = DESTINATIONS_PIN_TYPE_RUIN },
    [3] = { n = "Bleakrock Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [4] = { n = "Hozzin's Folly", t = DESTINATIONS_PIN_TYPE_MINE },
    [5] = { n = "Bleakrock Village", t = DESTINATIONS_PIN_TYPE_TOWN },
    [6] = { n = "Frostedge Camp", t = DESTINATIONS_PIN_TYPE_CAMP },
    [7] = { n = "Hunter's Camp", t = DESTINATIONS_PIN_TYPE_CAMP },
    [8] = { n = "Halmaera's House", t = DESTINATIONS_PIN_TYPE_ESTATE },
    [9] = { n = "Companions Point", t = DESTINATIONS_PIN_TYPE_AOI },
    [10] = { n = "Paddlefloe Fishing Camp", t = DESTINATIONS_PIN_TYPE_AOI },
    [11] = { n = "Deathclaw's Lair", t = DESTINATIONS_PIN_TYPE_AOI },
    ["zoneName"] = "Bleakrock Isle",
  },
  [57] = --Deshaan
  {
    [1] = { n = "Malak's Maw", t = DESTINATIONS_PIN_TYPE_CAMP },
    [2] = { n = "Silent Mire", t = DESTINATIONS_PIN_TYPE_TOWN },
    [3] = { n = "Muth Gnaar", t = DESTINATIONS_PIN_TYPE_TOWN },
    [4] = { n = "Deepcrag Den", t = DESTINATIONS_PIN_TYPE_MINE },
    [5] = { n = "Quarantine Serk", t = DESTINATIONS_PIN_TYPE_CAMP },
    [6] = { n = "Narsis", t = DESTINATIONS_PIN_TYPE_TOWN },
    [7] = { n = "Tal'Deic Fortress", t = DESTINATIONS_PIN_TYPE_KEEP },
    [8] = { n = "Mzithumz", t = DESTINATIONS_PIN_TYPE_DWEMERRUIN },
    [9] = { n = "Vale of the Ghost Snake", t = DESTINATIONS_PIN_TYPE_CAMP },
    [10] = { n = "Obsidian Gorge", t = DESTINATIONS_PIN_TYPE_RUIN },
    [11] = { n = "Eidolon's Hollow", t = DESTINATIONS_PIN_TYPE_DAEDRICRUIN },
    [12] = { n = "Mournhold", t = DESTINATIONS_PIN_TYPE_CITY },
    [13] = { n = "Tribunal Temple", t = DESTINATIONS_PIN_TYPE_TOWER },
    [14] = { n = "The Tower", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_TOWER },
    [15] = { n = "The Mage", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_MAGE },
    [16] = { n = "The Lord", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_LORD },
    [17] = { n = "Shrine of Saint Veloth", t = DESTINATIONS_PIN_TYPE_RUIN },
    [18] = { n = "Shad Astula", t = DESTINATIONS_PIN_TYPE_ESTATE },
    [19] = { n = "Selfora", t = DESTINATIONS_PIN_TYPE_TOWN },
    [20] = { n = "Forgotten Crypts", t = DESTINATIONS_PIN_TYPE_DUNGEON },
    [21] = { n = "Dungeon: Darkshade Caverns I", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [22] = { n = "West Narsis Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [23] = { n = "Muth Gnaar Hills Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [24] = { n = "Quarantine Serk Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [25] = { n = "Ghost Snake Vale Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [26] = { n = "Mournhold Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [27] = { n = "Tal'Deic Grounds Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [28] = { n = "Obsidian Gorge Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [29] = { n = "Mzithumz Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [30] = { n = "Selfora Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [31] = { n = "Silent Mire Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [32] = { n = "Eidolon's Hollow Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [33] = { n = "Lady Llarel's Shelter", t = DESTINATIONS_PIN_TYPE_DELVE },
    [34] = { n = "Lower Bthanual", t = DESTINATIONS_PIN_TYPE_DELVE },
    [35] = { n = "Triple Circle Mine", t = DESTINATIONS_PIN_TYPE_DELVE },
    [36] = { n = "Taleon's Crag", t = DESTINATIONS_PIN_TYPE_DELVE },
    [37] = { n = "Knife Ear Grotto", t = DESTINATIONS_PIN_TYPE_DELVE },
    [38] = { n = "The Corpse Garden", t = DESTINATIONS_PIN_TYPE_DELVE },
    [39] = { n = "Bthanual", t = DESTINATIONS_PIN_TYPE_DWEMERRUIN },
    [40] = { n = "Redolent Loam Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [41] = { n = "Lagomere Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [42] = { n = "Siltreen Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [43] = { n = "Shad Astula Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [44] = { n = "Short-Tusk's Hillock", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [45] = { n = "Grove of the Abomination", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [46] = { n = "Dire Bramblepatch", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [47] = { n = "Mabrigash Burial Circle", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [48] = { n = "Druitularg's Ritual Altar", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [49] = { n = "Caravan Crest", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [50] = { n = "House Dres Farmstead", t = DESTINATIONS_PIN_TYPE_AOI },
    [51] = { n = "Avayan's Farm", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_TWILIGHTS_EMBRACE },
    [52] = { n = "Lake Hlaalu Retreat", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_TORUGS_PACT },
    [53] = { n = "Berezan's Mine", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_ARMOR_OF_THE_SEDUCER },
    [54] = { n = "Old Ida's Cottage", t = DESTINATIONS_PIN_TYPE_AOI },
    [55] = { n = "Shrine to Saint Rilms", t = DESTINATIONS_PIN_TYPE_AOI },
    [56] = { n = "Coiled Path Landing", t = DESTINATIONS_PIN_TYPE_AOI },
    [57] = { n = "Smuggler's Slip", t = DESTINATIONS_PIN_TYPE_AOI },
    [58] = { n = "Redoran Pier", t = DESTINATIONS_PIN_TYPE_AOI },
    [59] = { n = "Hlanii's Hovel", t = DESTINATIONS_PIN_TYPE_AOI },
    [60] = { n = "Dungeon: Darkshade Caverns I", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [61] = { n = "Quondam Indorilia", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [62] = { n = "Velothi Reverie", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [63] = { n = "Flaming Nix Deluxe Garret", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [64] = { n = "Dungeon: The Cauldron", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    ["zoneName"] = "Deshaan",
  },
  ---------------------------------
  --- Not Done                  ---
  ---------------------------------
  [58] = --Malabal Tor
  {
    [1] = { n = "Ouze", t = DESTINATIONS_PIN_TYPE_RUIN },
    [2] = { n = "Dra'bul Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [3] = { n = "Ilayas Ruins Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [4] = { n = "Velyn Harbor Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [5] = { n = "Vulkwasten Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [6] = { n = "Abamath Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [7] = { n = "Wilding Run Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [8] = { n = "Baandari Post Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [9] = { n = "Bloodtoil Valley Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [10] = { n = "Valeguard Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [11] = { n = "The Thief", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_THIEF },
    [12] = { n = "The Ritual", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_RITUAL },
    [13] = { n = "The Warrior", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_WARRIOR },
    [14] = { n = "Jathsogur", t = DESTINATIONS_PIN_TYPE_RUIN },
    [15] = { n = "Bloodtoil Valley", t = DESTINATIONS_PIN_TYPE_TOWN },
    [16] = { n = "Wilding Run", t = DESTINATIONS_PIN_TYPE_GROVE },
    [17] = { n = "Vulkwasten", t = DESTINATIONS_PIN_TYPE_TOWN },
    [18] = { n = "Fuller's Break", t = DESTINATIONS_PIN_TYPE_DOCK },
    [19] = { n = "Jode's Pocket", t = DESTINATIONS_PIN_TYPE_CAMP },
    [20] = { n = "Silvenar", t = DESTINATIONS_PIN_TYPE_CITY },
    [21] = { n = "Ilayas Ruins", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [22] = { n = "Abamath", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [23] = { n = "Dra'bul", t = DESTINATIONS_PIN_TYPE_CAMP },
    [24] = { n = "Treehenge", t = DESTINATIONS_PIN_TYPE_GROVE },
    [25] = { n = "Valeguard", t = DESTINATIONS_PIN_TYPE_GROVE },
    [26] = { n = "Velyn Harbor", t = DESTINATIONS_PIN_TYPE_TOWN },
    [27] = { n = "Baandari Trading Post", t = DESTINATIONS_PIN_TYPE_CITY },
    [28] = { n = "Deepwoods", t = DESTINATIONS_PIN_TYPE_GROVE },
    [29] = { n = "Dead Man's Drop", t = DESTINATIONS_PIN_TYPE_DELVE },
    [30] = { n = "Black Vine Ruins", t = DESTINATIONS_PIN_TYPE_DELVE },
    [31] = { n = "Roots of Silvenar", t = DESTINATIONS_PIN_TYPE_DELVE },
    [32] = { n = "Shael Ruins", t = DESTINATIONS_PIN_TYPE_DELVE },
    [33] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [34] = { n = "Hoarvor Pit", t = DESTINATIONS_PIN_TYPE_DELVE },
    [35] = { n = "Tomb of the Apostates", t = DESTINATIONS_PIN_TYPE_DELVE },
    [36] = { n = "Belarata", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [37] = { n = "Crimson Cove", t = DESTINATIONS_PIN_TYPE_DUNGEON },
    [38] = { n = "Broken Coast Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [39] = { n = "Xylo River Basin Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [40] = { n = "Silvenar Vale Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [41] = { n = "Dungeon: Tempest Island", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [42] = { n = "Bone Grappler's Nest", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [43] = { n = "Bitterpoint Strand", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [44] = { n = "Dugan's Knoll", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [45] = { n = "River Edge", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [46] = { n = "Jagged Grotto", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [47] = { n = "Windshriek Strand", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [48] = { n = "Horseshoe Island", t = DESTINATIONS_PIN_TYPE_AOI },
    [49] = { n = "Supplication House", t = DESTINATIONS_PIN_TYPE_AOI },
    [50] = { n = "Ogrim's Yawn", t = DESTINATIONS_PIN_TYPE_AOI },
    [51] = { n = "Tanglehaven", t = DESTINATIONS_PIN_TYPE_TOWN },
    [52] = { n = "Falinesti Summer Site", t = DESTINATIONS_PIN_TYPE_GROVE },
    [53] = { n = "Sleepy Senche Overlook", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_SONG_OF_LAMAE },
    [54] = { n = "Stranglewatch", t = DESTINATIONS_PIN_TYPE_AOI },
    [55] = { n = "Ragnthar", t = DESTINATIONS_PIN_TYPE_AOI },
    [56] = { n = "Chancel of Divine Entreaty", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_ALESSIAS_BULWARK },
    [57] = { n = "Starwalk Cavern", t = DESTINATIONS_PIN_TYPE_AOI },
    [58] = { n = "Matthild's Last Venture", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_VAMPIRES_KISS },
    [59] = { n = "Four Quarry Islet", t = DESTINATIONS_PIN_TYPE_AOI },
    [60] = { n = "Black Vine Villa", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [61] = { n = "Cyrodilic Jungle House", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [62] = { n = "Doomchar Plateau", t = DESTINATIONS_PIN_TYPE_HOUSING },
    ["zoneName"] = "Malabal Tor",
  },
  [347] = --Coldharbour
  {
    [1] = { n = "The Everfull Flagon", t = DESTINATIONS_PIN_TYPE_TOWN },
    [2] = { n = "The Lost Fleet", t = DESTINATIONS_PIN_TYPE_LIGHTHOUSE },
    [3] = { n = "Cliffs of Failure", t = DESTINATIONS_PIN_TYPE_BATTLEFIELD },
    [4] = { n = "The Moonless Walk", t = DESTINATIONS_PIN_TYPE_GROVE },
    [5] = { n = "Library of Dusk Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [6] = { n = "Great Shackle Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [7] = { n = "The Chasm Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [8] = { n = "Hollow City Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [9] = { n = "Endless Stair Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [10] = { n = "Everfull Flagon Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [11] = { n = "Moonless Walk Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [12] = { n = "Haj Uxith Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [13] = { n = "Manor of Revelry Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [14] = { n = "Reaver Citadel Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [15] = { n = "The Orchard Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [16] = { n = "Aba-Loria", t = DESTINATIONS_PIN_TYPE_DELVE },
    [17] = { n = "The Grotto of Depravity", t = DESTINATIONS_PIN_TYPE_DELVE },
    [18] = { n = "The Cave of Trophies", t = DESTINATIONS_PIN_TYPE_DELVE },
    [19] = { n = "Vault of Haman Forgefire", t = DESTINATIONS_PIN_TYPE_DELVE },
    [20] = { n = "Mal Sorra's Tomb", t = DESTINATIONS_PIN_TYPE_DELVE },
    [21] = { n = "The Wailing Maw", t = DESTINATIONS_PIN_TYPE_DELVE },
    [22] = { n = "Tower of Lies", t = DESTINATIONS_PIN_TYPE_MINE },
    [23] = { n = "Haj Uxith", t = DESTINATIONS_PIN_TYPE_TOWN },
    [24] = { n = "Court of Contempt", t = DESTINATIONS_PIN_TYPE_DAEDRICRUIN },
    [25] = { n = "The Chasm", t = DESTINATIONS_PIN_TYPE_BATTLEFIELD },
    [26] = { n = "The Orchard", t = DESTINATIONS_PIN_TYPE_CEMETERY },
    [27] = { n = "Shrouded Plains Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [28] = { n = "The Black Forge", t = DESTINATIONS_PIN_TYPE_DAEDRICRUIN },
    [29] = { n = "Court of Contempt Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [30] = { n = "The Vile Laboratory", t = DESTINATIONS_PIN_TYPE_DWEMERRUIN },
    [31] = { n = "Library of Dusk", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [32] = { n = "Spurned Peak", t = DESTINATIONS_PIN_TYPE_TOWER },
    [33] = { n = "The Lightless Oubliette", t = DESTINATIONS_PIN_TYPE_DAEDRICRUIN },
    [34] = { n = "The Manor of Revelry", t = DESTINATIONS_PIN_TYPE_DAEDRICRUIN },
    [35] = { n = "The Reaver Citadel", t = DESTINATIONS_PIN_TYPE_TOWER },
    [36] = { n = "The Hollow City", t = DESTINATIONS_PIN_TYPE_CITY },
    [37] = { n = "The Great Shackle", t = DESTINATIONS_PIN_TYPE_DAEDRICRUIN },
    [38] = { n = "The Endless Stair", t = DESTINATIONS_PIN_TYPE_DAEDRICRUIN },
    [39] = { n = "Dungeon: Vaults of Madness", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [40] = { n = "Village of the Lost", t = DESTINATIONS_PIN_TYPE_DUNGEON },
    [41] = { n = "Aba-Darre", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [42] = { n = "Duriatundur's Killing Field", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [43] = { n = "Zemarek's Hollow", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [44] = { n = "Daedroth Larder", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [45] = { n = "Risen Court", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [46] = { n = "Cynhamoth's Grove", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [47] = { n = "Deathspinner's Lair", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_SPECTRES_EYE },
    [48] = { n = "Cadwell's Hovel", t = DESTINATIONS_PIN_TYPE_AOI },
    [49] = { n = "Shrine of Kyne", t = DESTINATIONS_PIN_TYPE_AOI },
    [50] = { n = "Endless Overlook", t = DESTINATIONS_PIN_TYPE_AOI },
    [51] = { n = "Forsaken Village", t = DESTINATIONS_PIN_TYPE_AOI },
    [52] = { n = "Survivor's Camp", t = DESTINATIONS_PIN_TYPE_AOI },
    [53] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [54] = { n = "Mages Guildhall", t = DESTINATIONS_PIN_TYPE_AOI },
    [55] = { n = "Fighters Guildhall", t = DESTINATIONS_PIN_TYPE_AOI },
    [56] = { n = "Font of Schemes", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_OBLIVIONS_FOE },
    [57] = { n = "Coldharbour Surreal Estate", t = DESTINATIONS_PIN_TYPE_HOUSING },
    ["zoneName"] = "Coldharbour",
  },
  [92] = --Bangkorai
  {
    [1] = { n = "Jackdaw Cove", t = DESTINATIONS_PIN_TYPE_CAMP },
    [2] = { n = "Northglen", t = DESTINATIONS_PIN_TYPE_FARM },
    [3] = { n = "Halcyon Lake", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [4] = { n = "Pelin Graveyard", t = DESTINATIONS_PIN_TYPE_CRYPT },
    [5] = { n = "Fallen Grotto", t = DESTINATIONS_PIN_TYPE_GROVE },
    [6] = { n = "Nilata Ruins", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [7] = { n = "Hall of Heroes", t = DESTINATIONS_PIN_TYPE_CRYPT },
    [8] = { n = "Kerbol's Hollow", t = DESTINATIONS_PIN_TYPE_TOWN },
    [9] = { n = "Hallin's Stand", t = DESTINATIONS_PIN_TYPE_CITY },
    [10] = { n = "Onsi's Breath", t = DESTINATIONS_PIN_TYPE_MINE },
    [11] = { n = "Qharroa Ruins", t = DESTINATIONS_PIN_TYPE_RUIN },
    [12] = { n = "Bangkorai Garrison", t = DESTINATIONS_PIN_TYPE_TOWER },
    [13] = { n = "Martyr's Crossing", t = DESTINATIONS_PIN_TYPE_CAMP },
    [14] = { n = "Evermore", t = DESTINATIONS_PIN_TYPE_CITY },
    [15] = { n = "Viridian Woods", t = DESTINATIONS_PIN_TYPE_GROVE },
    [16] = { n = "Razak's Wheel", t = DESTINATIONS_PIN_TYPE_DUNGEON },
    [17] = { n = "The Steed", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_STEED },
    [18] = { n = "The Apprentice", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_APPRENTICE },
    [19] = { n = "Evermore Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [20] = { n = "Troll's Toothpick Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [21] = { n = "Viridian Woods Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [22] = { n = "Bangkorai Pass Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [23] = { n = "Nilata Ruins Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [24] = { n = "Hallin's Stand Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [25] = { n = "Old Tower Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [26] = { n = "Onsi's Breath Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [27] = { n = "Sunken Road Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [28] = { n = "Old Tower", t = DESTINATIONS_PIN_TYPE_TOWER },
    [29] = { n = "Murcien's Hamlet", t = DESTINATIONS_PIN_TYPE_TOWN },
    [30] = { n = "Torog's Spite", t = DESTINATIONS_PIN_TYPE_DELVE },
    [31] = { n = "Troll's Toothpick", t = DESTINATIONS_PIN_TYPE_DELVE },
    [32] = { n = "Viridian Watch", t = DESTINATIONS_PIN_TYPE_DELVE },
    [33] = { n = "Crypt of the Exiles", t = DESTINATIONS_PIN_TYPE_DELVE },
    [34] = { n = "Klathzgar", t = DESTINATIONS_PIN_TYPE_DELVE },
    [35] = { n = "Rubble Butte", t = DESTINATIONS_PIN_TYPE_DELVE },
    [36] = { n = "Dungeon: Blackheart Haven", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [37] = { n = "Mournoth Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [38] = { n = "Ephesus Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [39] = { n = "Fallen Wastes Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [40] = { n = "Eastern Evermore Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [41] = { n = "Halcyon Lake Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [42] = { n = "Blighted Isle", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [43] = { n = "Lakewatch Tower", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [44] = { n = "Arlimahera's Sanctum", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [45] = { n = "Summoner's Camp", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [46] = { n = "Nilata Falls", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [47] = { n = "Telesubi Ruins", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [48] = { n = "Damar Farmstead", t = DESTINATIONS_PIN_TYPE_FARM },
    [49] = { n = "Silaseli Ruins", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_NIGHT_MOTHERS_GAZE },
    [50] = { n = "Sunken Road", t = DESTINATIONS_PIN_TYPE_CAVE },
    [51] = { n = "Yanurah's Respite", t = DESTINATIONS_PIN_TYPE_AOI },
    [52] = { n = "Ash'abahs' Oasis", t = DESTINATIONS_PIN_TYPE_AOI },
    [53] = { n = "Gjarma's Rock", t = DESTINATIONS_PIN_TYPE_AOI },
    [54] = { n = "Strastnoc's Landing", t = DESTINATIONS_PIN_TYPE_AOI },
    [55] = { n = "Viridian Hideaway", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_WILLOWS_PATH },
    [56] = { n = "Basking Grounds", t = DESTINATIONS_PIN_TYPE_AOI },
    [57] = { n = "Wethers' Cleft", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_HUNDINGS_RAGE },
    [58] = { n = "Sacred Springs", t = DESTINATIONS_PIN_TYPE_AOI },
    [59] = { n = "Howlers' Nook", t = DESTINATIONS_PIN_TYPE_AOI },
    [60] = { n = "Merchant's Gate", t = DESTINATIONS_PIN_TYPE_GATE },
    [61] = { n = "Forsaken Stronghold", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [62] = { n = "Mournoth Keep", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [63] = { n = "Twin Arches", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [64] = { n = "Dungeon: Fang Lair", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [65] = { n = "Unhallowed Grave", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [66] = { n = "Thieves' Oasis", t = DESTINATIONS_PIN_TYPE_HOUSING },
    ["zoneName"] = "Bangkorai",
  },
  [381] = --Auridon
  {
    [1] = { n = "Ezduiin", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [2] = { n = "Tanzelwil", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [3] = { n = "South Beacon", t = DESTINATIONS_PIN_TYPE_LIGHTHOUSE },
    [4] = { n = "Glister Vale", t = DESTINATIONS_PIN_TYPE_TOWER },
    [5] = { n = "Del's Claim", t = DESTINATIONS_PIN_TYPE_DELVE },
    [6] = { n = "Ondil", t = DESTINATIONS_PIN_TYPE_DELVE },
    [7] = { n = "Entila's Folly", t = DESTINATIONS_PIN_TYPE_DELVE },
    [8] = { n = "Wansalen", t = DESTINATIONS_PIN_TYPE_DELVE },
    [9] = { n = "Silsailen", t = DESTINATIONS_PIN_TYPE_TOWN },
    [10] = { n = "Mehrunes' Spite", t = DESTINATIONS_PIN_TYPE_DELVE },
    [11] = { n = "Bewan", t = DESTINATIONS_PIN_TYPE_DELVE },
    [12] = { n = "The Lady", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_LADY },
    [13] = { n = "Firsthold", t = DESTINATIONS_PIN_TYPE_CITY },
    [14] = { n = "Phaer", t = DESTINATIONS_PIN_TYPE_TOWN },
    [15] = { n = "Shattered Grove", t = DESTINATIONS_PIN_TYPE_TOWN },
    [16] = { n = "North Beacon", t = DESTINATIONS_PIN_TYPE_LIGHTHOUSE },
    [17] = { n = "Vulkhel Guard", t = DESTINATIONS_PIN_TYPE_CITY },
    [18] = { n = "Torinaan", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [19] = { n = "Mathiisen", t = DESTINATIONS_PIN_TYPE_TOWN },
    [20] = { n = "Vulkhel Guard Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [21] = { n = "Greenwater Cove", t = DESTINATIONS_PIN_TYPE_TOWN },
    [22] = { n = "The Lover", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_LOVER },
    [23] = { n = "Phaer Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [24] = { n = "Tanzelwil Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [25] = { n = "Firsthold Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [26] = { n = "Mathiisen Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [27] = { n = "Skywatch Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [28] = { n = "Quendeluun Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [29] = { n = "College Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [30] = { n = "Greenwater Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [31] = { n = "Quendeluun", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [32] = { n = "College of Aldmeri Propriety", t = DESTINATIONS_PIN_TYPE_TOWN },
    [33] = { n = "Windy Glade Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [34] = { n = "Dawnbreak", t = DESTINATIONS_PIN_TYPE_TOWN },
    [35] = { n = "Castle Rilis", t = DESTINATIONS_PIN_TYPE_RUIN },
    [36] = { n = "Skywatch", t = DESTINATIONS_PIN_TYPE_CITY },
    [37] = { n = "Iluvamir Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [38] = { n = "Calambar Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [39] = { n = "Vafe Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [40] = { n = "Toothmaul Gully", t = DESTINATIONS_PIN_TYPE_DUNGEON },
    [41] = { n = "Dungeon: The Banished Cells I", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [42] = { n = "The Harborage", t = DESTINATIONS_PIN_TYPE_CAVE },
    [43] = { n = "Soulfire Plateau", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [44] = { n = "Seaside Scarp Camp", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [45] = { n = "Wreck of the Raptor", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [46] = { n = "Heretic's Summons", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [47] = { n = "Nestmother's Den", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [48] = { n = "Heritance Proving Ground", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [49] = { n = "Maormer Invasion Camp", t = DESTINATIONS_PIN_TYPE_AOI },
    [50] = { n = "Hightide Keep", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_NIGHTS_SILENCE },
    [51] = { n = "Buraniim Isle", t = DESTINATIONS_PIN_TYPE_AOI },
    [52] = { n = "Errinorne Isle", t = DESTINATIONS_PIN_TYPE_AOI },
    [53] = { n = "Nine-Prow Landing", t = DESTINATIONS_PIN_TYPE_AOI },
    [54] = { n = "Isle of Contemplation", t = DESTINATIONS_PIN_TYPE_AOI },
    [55] = { n = "Beacon Falls", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_ASHEN_GRIP },
    [56] = { n = "Eastshore Islets Camp", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_DEATHS_WIND },
    [57] = { n = "Monkey's Rest", t = DESTINATIONS_PIN_TYPE_AOI },
    [58] = { n = "Smuggler's Cove", t = DESTINATIONS_PIN_TYPE_AOI },
    [59] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [60] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [61] = { n = "Dungeon: The Banished Cells II", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [62] = { n = "Barbed Hook Private Room", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [63] = { n = "Mara's Kiss Inn Room", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [64] = { n = "Mathiisen Manor", t = DESTINATIONS_PIN_TYPE_HOUSING },
    ["zoneName"] = "Auridon",
  },
  [382] = --Reaper's March
  {
    [1] = { n = "Thormar", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [2] = { n = "Fort Grimwatch", t = DESTINATIONS_PIN_TYPE_TOWER },
    [3] = { n = "Moonmont", t = DESTINATIONS_PIN_TYPE_CRYPT },
    [4] = { n = "Vinedusk Village", t = DESTINATIONS_PIN_TYPE_TOWN },
    [5] = { n = "Senalana", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [6] = { n = "Falinesti Autumn Site", t = DESTINATIONS_PIN_TYPE_RUIN },
    [7] = { n = "S'ren-ja", t = DESTINATIONS_PIN_TYPE_TOWN },
    [8] = { n = "Do'Krin Monastery", t = DESTINATIONS_PIN_TYPE_ESTATE },
    [9] = { n = "Dune", t = DESTINATIONS_PIN_TYPE_CITY },
    [10] = { n = "Hadran's Caravan", t = DESTINATIONS_PIN_TYPE_CAMP },
    [11] = { n = "Greenhill", t = DESTINATIONS_PIN_TYPE_TOWN },
    [12] = { n = "Pa'alat", t = DESTINATIONS_PIN_TYPE_TOWN },
    [13] = { n = "Arenthia", t = DESTINATIONS_PIN_TYPE_CITY },
    [14] = { n = "Thizzrini Arena", t = DESTINATIONS_PIN_TYPE_CAMP },
    [15] = { n = "Kuna's Delve", t = DESTINATIONS_PIN_TYPE_DELVE },
    [16] = { n = "Thibaut's Cairn", t = DESTINATIONS_PIN_TYPE_DELVE },
    [17] = { n = "Weeping Wind Cave", t = DESTINATIONS_PIN_TYPE_DELVE },
    [18] = { n = "Claw's Strike", t = DESTINATIONS_PIN_TYPE_DELVE },
    [19] = { n = "Fardir's Folly", t = DESTINATIONS_PIN_TYPE_DELVE },
    [20] = { n = "Jode's Light", t = DESTINATIONS_PIN_TYPE_DELVE },
    [21] = { n = "Two Moons Path", t = DESTINATIONS_PIN_TYPE_RUIN },
    [22] = { n = "Willowgrove", t = DESTINATIONS_PIN_TYPE_TOWN },
    [23] = { n = "The Vile Manse", t = DESTINATIONS_PIN_TYPE_DUNGEON },
    [24] = { n = "Northern Woods Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [25] = { n = "Jodewood Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [26] = { n = "Dawnmead Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [27] = { n = "The Steed", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_STEED },
    [28] = { n = "The Apprentice", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_APPRENTICE },
    [29] = { n = "Dungeon: Selene's Web", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [30] = { n = "Vinedusk Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [31] = { n = "Fort Grimwatch Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [32] = { n = "Fort Sphinxmoth Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [33] = { n = "Rawl'kha", t = DESTINATIONS_PIN_TYPE_CITY },
    [34] = { n = "Arenthia Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [35] = { n = "Dune Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [36] = { n = "Willowgrove Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [37] = { n = "Moonmont Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [38] = { n = "Rawl'kha Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [39] = { n = "S'ren-ja Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [40] = { n = "Fort Sphinxmoth", t = DESTINATIONS_PIN_TYPE_RUIN },
    [41] = { n = "Deathsong Cleft", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [42] = { n = "Big Ozur's Valley", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [43] = { n = "Waterdancer Falls", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [44] = { n = "Reaper's Henge", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [45] = { n = "Old S'ren-ja Docks", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [46] = { n = "Ushmal's Rest", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [47] = { n = "Willowgrove Cavern", t = DESTINATIONS_PIN_TYPE_AOI },
    [48] = { n = "Old Town Cavern", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_NIGHT_MOTHERS_GAZE },
    [49] = { n = "Researcher's Camp", t = DESTINATIONS_PIN_TYPE_AOI },
    [50] = { n = "Crescent River Camp", t = DESTINATIONS_PIN_TYPE_AOI },
    [51] = { n = "Broken Arch", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_HUNDINGS_RAGE },
    [52] = { n = "Greenspeaker's Grove", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_WILLOWS_PATH },
    [53] = { n = "Dawnmead Brigand Camp", t = DESTINATIONS_PIN_TYPE_AOI },
    [54] = { n = "Little Ozur's Camp", t = DESTINATIONS_PIN_TYPE_AOI },
    [55] = { n = "Fishing Dock", t = DESTINATIONS_PIN_TYPE_AOI },
    [56] = { n = "Dawnmead Ruin Camp", t = DESTINATIONS_PIN_TYPE_AOI },
    [57] = { n = "Trial: Maw of Lorkhaj", t = DESTINATIONS_PIN_TYPE_RAIDDUNGEON },
    [58] = { n = "Serenity Falls Estate", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [59] = { n = "Strident Springs Demesne", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [60] = { n = "Dawnshadow", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [61] = { n = "Sleek Creek House", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [62] = { n = "Dungeon: Moon Hunter Keep", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    ["zoneName"] = "Reaper's March",
  },
  [383] = --Grahtwood
  {
    [1] = { n = "Reliquary of Stars", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [2] = { n = "Root Sunder Ruins", t = DESTINATIONS_PIN_TYPE_DUNGEON },
    [3] = { n = "Haven", t = DESTINATIONS_PIN_TYPE_DOCK },
    [4] = { n = "Reman's Bluff", t = DESTINATIONS_PIN_TYPE_GATE },
    [5] = { n = "Bone Orchard", t = DESTINATIONS_PIN_TYPE_CEMETERY },
    [6] = { n = "Gil-Var-Delle", t = DESTINATIONS_PIN_TYPE_GROVE },
    [7] = { n = "Cave of Broken Sails", t = DESTINATIONS_PIN_TYPE_CAVE },
    [8] = { n = "Dungeon: Elden Hollow I", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [9] = { n = "The Gray Mire", t = DESTINATIONS_PIN_TYPE_FARM },
    [10] = { n = "Brackenleaf", t = DESTINATIONS_PIN_TYPE_GROVE },
    [11] = { n = "Ossuary of Telacar", t = DESTINATIONS_PIN_TYPE_RUIN },
    [12] = { n = "The Tower", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_TOWER },
    [13] = { n = "The Mage", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_MAGE },
    [14] = { n = "The Lord", t = DESTINATIONS_PIN_TYPE_MUNDUS, s = MUNDUS_STONE_LORD },
    [15] = { n = "Elden Root Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [16] = { n = "Gil-Var-Delle Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [17] = { n = "Elden Root Temple Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [18] = { n = "Haven Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [19] = { n = "Redfur Trading Post Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [20] = { n = "Southpoint Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [21] = { n = "Cormount Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [22] = { n = "Ossuary Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [23] = { n = "Laeloria", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [24] = { n = "Elden Root", t = DESTINATIONS_PIN_TYPE_CITY },
    [25] = { n = "Southpoint", t = DESTINATIONS_PIN_TYPE_KEEP },
    [26] = { n = "Long Coast Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [27] = { n = "Green Hall Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [28] = { n = "Tarlain Heights Dolmen", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [29] = { n = "Falinesti Winter Site", t = DESTINATIONS_PIN_TYPE_RUIN },
    [30] = { n = "Karthdar", t = DESTINATIONS_PIN_TYPE_TOWN },
    [31] = { n = "Cormount", t = DESTINATIONS_PIN_TYPE_TOWN },
    [32] = { n = "Redfur Trading Post", t = DESTINATIONS_PIN_TYPE_TOWN },
    [33] = { n = "Goldfolly", t = DESTINATIONS_PIN_TYPE_RUIN },
    [34] = { n = "Ne Salas", t = DESTINATIONS_PIN_TYPE_DELVE },
    [35] = { n = "The Scuttle Pit", t = DESTINATIONS_PIN_TYPE_DELVE },
    [36] = { n = "Vinedeath Cave", t = DESTINATIONS_PIN_TYPE_DELVE },
    [37] = { n = "Burroot Kwama Mine", t = DESTINATIONS_PIN_TYPE_DELVE },
    [38] = { n = "Wormroot Depths", t = DESTINATIONS_PIN_TYPE_DELVE },
    [39] = { n = "Mobar Mine", t = DESTINATIONS_PIN_TYPE_DELVE },
    [40] = { n = "Gray Mire Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [41] = { n = "Falinesti Winter Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [42] = { n = "Hircine's Henge", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [43] = { n = "Nindaeril's Perch", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [44] = { n = "Lady Solace's Fen", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [45] = { n = "Poacher Camp", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [46] = { n = "Thugrub's Cave", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [47] = { n = "Valanir's Rest", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [48] = { n = "Tarlain Bandit Camp", t = DESTINATIONS_PIN_TYPE_AOI },
    [49] = { n = "Vineshade Lodge", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_TWILIGHTS_EMBRACE },
    [50] = { n = "Boar's Run Overlook", t = DESTINATIONS_PIN_TYPE_AOI },
    [51] = { n = "Battle of Cormount Memorial", t = DESTINATIONS_PIN_TYPE_AOI },
    [52] = { n = "Temple of the Eight", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_ARMOR_OF_THE_SEDUCER },
    [53] = { n = "Sweetbreeze Cottage", t = DESTINATIONS_PIN_TYPE_AOI },
    [54] = { n = "Sacred Leap Grotto", t = DESTINATIONS_PIN_TYPE_AOI },
    [55] = { n = "Fisherman's Isle", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_TORUGS_PACT },
    [56] = { n = "Forked Root Camp", t = DESTINATIONS_PIN_TYPE_AOI },
    [57] = { n = "Faltonia's Mine", t = DESTINATIONS_PIN_TYPE_AOI },
    [58] = { n = "Dungeon: Elden Hollow II", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [59] = { n = "The Gorinir Estate", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [60] = { n = "Snugpod", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [61] = { n = "Grand Topal Hideaway", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [62] = { n = "Dungeon: Lair of Maarselok", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    ["zoneName"] = "Grahtwood",
  },
  [849] = --Vvardenfell
  {
    [1] = { n = "Gnisis", t = DESTINATIONS_PIN_TYPE_TOWN },
    [2] = { n = "Khartag Point", t = DESTINATIONS_PIN_TYPE_DELVE },
    [3] = { n = "Ashalmawia", t = DESTINATIONS_PIN_TYPE_DELVE },
    [4] = { n = "Zainsipilu", t = DESTINATIONS_PIN_TYPE_DELVE },
    [5] = { n = "Matus-Akin Egg Mine", t = DESTINATIONS_PIN_TYPE_DELVE },
    [6] = { n = "Pulk", t = DESTINATIONS_PIN_TYPE_DELVE },
    [7] = { n = "Nchuleft", t = DESTINATIONS_PIN_TYPE_DELVE },
    [8] = { n = "Vos", t = DESTINATIONS_PIN_TYPE_TOWN },
    [9] = { n = "West Gash Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [10] = { n = "Tel Aruhn", t = DESTINATIONS_PIN_TYPE_TOWN },
    [11] = { n = "Sadrith Mora", t = DESTINATIONS_PIN_TYPE_CITY },
    [12] = { n = "Trial: Halls of Fabrication", t = DESTINATIONS_PIN_TYPE_RAIDDUNGEON },
    [13] = { n = "Urshilaku Camp Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [14] = { n = "Suran", t = DESTINATIONS_PIN_TYPE_TOWN },
    [15] = { n = "Balmora", t = DESTINATIONS_PIN_TYPE_CITY },
    [16] = { n = "Nilthog's Hollow", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [17] = { n = "Sulipund Grange", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [18] = { n = "Shipwreck Cove", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [19] = { n = "Missir-Dadalit Egg Mine", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [20] = { n = "Dubdil Alar Tower", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [21] = { n = "Salothan's Council", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [22] = { n = "Gnisis Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [23] = { n = "Ald'ruhn Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [24] = { n = "Balmora Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [25] = { n = "Seyda Neen Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [26] = { n = "Suran Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [27] = { n = "Molag Mar Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [28] = { n = "Tel Branora Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [29] = { n = "Vivec City Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [30] = { n = "Nchuleftingth Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [31] = { n = "Tel Mora Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [32] = { n = "Sadrith Mora Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [33] = { n = "Seyda Neen", t = DESTINATIONS_PIN_TYPE_TOWN },
    [34] = { n = "Nchuleftingth", t = DESTINATIONS_PIN_TYPE_DUNGEON },
    [35] = { n = "Forgotten Wastes", t = DESTINATIONS_PIN_TYPE_DUNGEON },
    [36] = { n = "Saint Delyn Penthouse", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [37] = { n = "Amaya Lake Lodge", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [38] = { n = "Ald Velothi Harbor House", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [39] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [40] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [41] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [42] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [43] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [44] = { n = "Marandus", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_ASSASSIN_GUILE },
    [45] = { n = "Randas Ancestral Tomb", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_DAEDRIC_TRICKERY },
    [46] = { n = "Zergonipal", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_SHACKLEBREAKER },
    [47] = { n = "Vassir-Didanat Mine", t = DESTINATIONS_PIN_TYPE_MINE },
    [48] = { n = "Ald'ruhn", t = DESTINATIONS_PIN_TYPE_CAMP },
    [49] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [50] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [51] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [52] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [53] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [54] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [55] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [56] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [57] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [58] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [59] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [60] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [61] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [62] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [63] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [64] = { n = "Veloth Ancestral Tomb", t = DESTINATIONS_PIN_TYPE_CEMETERY },
    [65] = { n = "Urshilaku Camp", t = DESTINATIONS_PIN_TYPE_CAMP },
    [66] = { n = "Zainab Camp", t = DESTINATIONS_PIN_TYPE_CAMP },
    [67] = { n = "Erabenimsun Camp", t = DESTINATIONS_PIN_TYPE_CAMP },
    [68] = { n = "Tel Galen", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [69] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [70] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [71] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [72] = { n = "Valley of the Wind Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [73] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [74] = { n = "Molag Mar", t = DESTINATIONS_PIN_TYPE_TOWN },
    [75] = { n = "Vivec City", t = DESTINATIONS_PIN_TYPE_CITY },
    [76] = { n = "Yasammidan", t = DESTINATIONS_PIN_TYPE_AOI },
    [77] = { n = "Ashalmimilkala", t = DESTINATIONS_PIN_TYPE_AOI },
    [78] = { n = "Shrine of Azura", t = DESTINATIONS_PIN_TYPE_AOI },
    [79] = { n = "Holamayan Monastery", t = DESTINATIONS_PIN_TYPE_AOI },
    [80] = { n = "Ald Sotha", t = DESTINATIONS_PIN_TYPE_AOI },
    [81] = { n = "Hanud Tower", t = DESTINATIONS_PIN_TYPE_AOI },
    [82] = { n = "Ahemmusa Camp", t = DESTINATIONS_PIN_TYPE_CAMP },
    [83] = { n = "Aleft", t = DESTINATIONS_PIN_TYPE_AOI },
    [84] = { n = "Falensarano Ruins", t = DESTINATIONS_PIN_TYPE_AOI },
    [85] = { n = "Vivec Temple Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [86] = { n = "Valenvaryon", t = DESTINATIONS_PIN_TYPE_AOI },
    [87] = { n = "Ald Carac", t = DESTINATIONS_PIN_TYPE_GATE },
    [88] = { n = "Ularra", t = DESTINATIONS_PIN_TYPE_GATE },
    [89] = { n = "Foyada Quarry", t = DESTINATIONS_PIN_TYPE_GATE },
    [90] = { n = "Dreloth Ancestral Tomb", t = DESTINATIONS_PIN_TYPE_CEMETERY },
    [91] = { n = "Kushalit Sanctuary", t = DESTINATIONS_PIN_TYPE_HOUSING },
    ["zoneName"] = "Vvardenfell",
  },
  [980] = --Clockwork City
  {
    [1] = { n = "Halls of Regulation", t = DESTINATIONS_PIN_TYPE_DELVE }, --
    [2] = { n = "The Shadow Cleft", t = DESTINATIONS_PIN_TYPE_DELVE }, --
    [3] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN }, --
    [4] = { n = "Clockwork Crossroads Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE }, --
    [5] = { n = "Mire Mechanica Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE }, --
    [6] = { n = "Everwound Wellspring", t = DESTINATIONS_PIN_TYPE_FARM },
    [7] = { n = "Mnemonic Planisphere", t = DESTINATIONS_PIN_TYPE_DWEMERRUIN },
    [8] = { n = "The Orbservatory Prior", t = DESTINATIONS_PIN_TYPE_HOUSING }, --
    [9] = { n = "Elegiac Replication", t = DESTINATIONS_PIN_TYPE_AOI },
    [10] = { n = "Insalubrious Effluvium", t = DESTINATIONS_PIN_TYPE_AOI },
    [11] = { n = "Vale of Tiers", t = DESTINATIONS_PIN_TYPE_AOI },
    [12] = { n = "Ventral Terminus", t = DESTINATIONS_PIN_TYPE_AOI },
    [13] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN }, --
    [14] = { n = "Sanctuary of Verification", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [15] = { n = "Exarchs' Egress", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [16] = { n = "Mire Mechanica", t = DESTINATIONS_PIN_TYPE_AOI },
    [17] = { n = "Brass Fortress", t = DESTINATIONS_PIN_TYPE_CITY },
    [18] = { n = "Sanctuary Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE }, --
    [19] = { n = "The Refurbishing Yard", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_INNATE_AXIOM },
    [20] = { n = "Pavilion of Artifice", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_MECHANICAL_ACUITY },
    [21] = { n = "Barilzar's Eighth Laboratory", t = DESTINATIONS_PIN_TYPE_AOI },
    ["zoneName"] = "Clockwork City",
  },
  [981] = --Brass Fortress
  {
    [1] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN }, --
    [2] = { n = "Brass Fortress Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE }, --
    [3] = { n = "Restricted Brassworks", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_FORTIFIED_BRASS }, --
    [4] = { n = "Asylum Sanctorium", t = DESTINATIONS_PIN_TYPE_RAIDDUNGEON },
    ["zoneName"] = "Brass Fortress",
  },
  [1011] = -- Summerset
  {
    [1] = { n = "King's Haven Pass Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE }, --
    [2] = { n = "Shimmerene Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE }, --
    [3] = { n = "Sil-Var-Woad Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE }, --
    [4] = { n = "Russafeld Heights Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE }, --
    [5] = { n = "Cey-Tarn Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE }, --
    [6] = { n = "Ebon Stadmont Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE }, --
    [7] = { n = "Alinor", t = DESTINATIONS_PIN_TYPE_CITY }, --
    [8] = { n = "Shimmerene", t = DESTINATIONS_PIN_TYPE_TOWN }, --
    [9] = { n = "Lillandril", t = DESTINATIONS_PIN_TYPE_TOWN }, --
    [10] = { n = "Direnni Acropolis", t = DESTINATIONS_PIN_TYPE_GATE }, --
    [11] = { n = "Russafeld", t = DESTINATIONS_PIN_TYPE_FARM }, --
    [12] = { n = "Sil-Var-Woad", t = DESTINATIONS_PIN_TYPE_GROVE }, --
    [13] = { n = "Rellenthil", t = DESTINATIONS_PIN_TYPE_TOWN }, --
    [14] = { n = "Cey-Tarn Keep", t = DESTINATIONS_PIN_TYPE_GATE }, --
    [15] = { n = "Ebon Stadmont", t = DESTINATIONS_PIN_TYPE_GROVE }, --
    [16] = { n = "Sea Keep", t = DESTINATIONS_PIN_TYPE_GATE }, --
    [17] = { n = "Illumination Academy", t = DESTINATIONS_PIN_TYPE_ESTATE }, --
    [18] = { n = "Corgrad Wastes", t = DESTINATIONS_PIN_TYPE_CAMP }, --
    [19] = { n = "King's Haven Pass", t = DESTINATIONS_PIN_TYPE_DELVE }, --
    [20] = { n = "King's Haven Pass", t = DESTINATIONS_PIN_TYPE_DELVE }, --
    [21] = { n = "Eton Nir", t = DESTINATIONS_PIN_TYPE_DELVE }, --
    [22] = { n = "Archon's Grove", t = DESTINATIONS_PIN_TYPE_DELVE }, --
    [23] = { n = "Tor-Hame-Khard", t = DESTINATIONS_PIN_TYPE_DELVE }, --
    [24] = { n = "Wasten Coraldale", t = DESTINATIONS_PIN_TYPE_DELVE }, --
    [25] = { n = "Sunhold", t = DESTINATIONS_PIN_TYPE_DUNGEON }, --
    [26] = { n = "Karnwasten", t = DESTINATIONS_PIN_TYPE_DUNGEON }, --
    [27] = { n = "Graveld's Hideaway", t = DESTINATIONS_PIN_TYPE_GROUPBOSS }, --
    [28] = { n = "Keelsplitter's Nest", t = DESTINATIONS_PIN_TYPE_GROUPBOSS }, --
    [29] = { n = "Gryphon Run", t = DESTINATIONS_PIN_TYPE_GROUPBOSS }, --
    [30] = { n = "The Queen's Hatchery", t = DESTINATIONS_PIN_TYPE_GROUPBOSS }, --
    [31] = { n = "Welenkin Cove", t = DESTINATIONS_PIN_TYPE_GROUPBOSS }, --
    [32] = { n = "Indrik Frolic", t = DESTINATIONS_PIN_TYPE_GROUPBOSS }, --
    [33] = { n = "Shimmerene Dockworks", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_ADEPT_RIDER }, --
    [34] = { n = "Augury Basin", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_NOCTURNALS_FAVOR }, --
    [35] = { n = "Cathedral of Webs", t = DESTINATIONS_PIN_TYPE_AOI }, --
    [36] = { n = "Alinor Docks", t = DESTINATIONS_PIN_TYPE_AOI }, --
    [37] = { n = "Ald Mora Ruins", t = DESTINATIONS_PIN_TYPE_AOI }, --
    [38] = { n = "Gryphon Aerie", t = DESTINATIONS_PIN_TYPE_AOI }, --
    [39] = { n = "Keep of the Eleven Forces", t = DESTINATIONS_PIN_TYPE_AOI }, --
    [40] = { n = "Garden of the Sacred Numbers", t = DESTINATIONS_PIN_TYPE_AOI }, --
    [41] = { n = "Alinor Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE }, --
    [42] = { n = "Lillandril Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE }, --
    [43] = { n = "Eastern Pass Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE }, --
    [44] = { n = "Abyssal Geyser Direnni", t = DESTINATIONS_PIN_TYPE_PORTAL }, --
    [45] = { n = "The Crystal Tower Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE }, --
    [46] = { n = "Abyssal Geyser Sil'var Woad", t = DESTINATIONS_PIN_TYPE_PORTAL }, --
    [47] = { n = "Eldbur Ruins Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE }, --
    [48] = { n = "", t = DESTINATIONS_PIN_TYPE_RAIDDUNGEON }, --
    [49] = { n = "Abyssal Geyser Rellenthil", t = DESTINATIONS_PIN_TYPE_PORTAL }, --
    [50] = { n = "Eldbur Ruins", t = DESTINATIONS_PIN_TYPE_AOI }, --
    [51] = { n = "Abyssal Geyser Corgrad", t = DESTINATIONS_PIN_TYPE_PORTAL }, --
    [52] = { n = "Abyssal Geyser Welenkin", t = DESTINATIONS_PIN_TYPE_PORTAL }, --
    [53] = { n = "Dusk Keep", t = DESTINATIONS_PIN_TYPE_AOI }, --
    [54] = { n = "Cloudrest", t = DESTINATIONS_PIN_TYPE_RAIDDUNGEON }, --
    [55] = { n = "Sunhold Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE }, --
    [56] = { n = "Alaxon'ald", t = DESTINATIONS_PIN_TYPE_AOI }, --
    [57] = { n = "Veyond Wyte Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE }, --
    [58] = { n = "Abyssal Geyser Sunhold", t = DESTINATIONS_PIN_TYPE_PORTAL }, --
    [59] = { n = "Golden Gryphon Garret", t = DESTINATIONS_PIN_TYPE_HOUSING }, --
    [60] = { n = "Alinor Crest Townhouse", t = DESTINATIONS_PIN_TYPE_HOUSING }, --
    [61] = { n = "Colossal Aldmeri Grotto", t = DESTINATIONS_PIN_TYPE_HOUSING }, --
    [62] = { n = "Dungeon: Coral Aerie", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    ["zoneName"] = "Summerset",
  },
  [726] = -- Murkmire
  {
    [1] = { n = "Lilmoth", t = DESTINATIONS_PIN_TYPE_CITY },
    [2] = { n = "Bright-Throat Village", t = DESTINATIONS_PIN_TYPE_TOWN },
    [3] = { n = "Dead-Water Village", t = DESTINATIONS_PIN_TYPE_TOWN },
    [4] = { n = "Alten Meerhleel", t = DESTINATIONS_PIN_TYPE_AOI },
    [5] = { n = "Lilmoth Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [6] = { n = "Bright-Throat Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [7] = { n = "Dead-Water Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [8] = { n = "Blackrose Prison", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [9] = { n = "Echoing Hollow", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [10] = { n = "Bok-Xul", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [11] = { n = "Tsofeer Cavern", t = DESTINATIONS_PIN_TYPE_DELVE },
    [12] = { n = "Teeth of Sithis", t = DESTINATIONS_PIN_TYPE_DELVE },
    [13] = { n = "The Dominus Fatum", t = DESTINATIONS_PIN_TYPE_AOI },
    [14] = { n = "Ruined Guardhouse", t = DESTINATIONS_PIN_TYPE_AOI },
    [15] = { n = "Root-Whisper Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [16] = { n = "Root-Whisper Village", t = DESTINATIONS_PIN_TYPE_AOI },
    [17] = { n = "Ruined Village", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_MIGHT_LOST_LEGION },
    [18] = { n = "Deep Swamp Forge", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_NAGA_SHAMAN },
    [19] = { n = "Sweet Breeze Overlook", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_GRAVESTAKE_COLLECTOR },
    [20] = { n = "Xinchei-Konu Monument", t = DESTINATIONS_PIN_TYPE_AOI },
    [21] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [22] = { n = "Path of the Lily", t = DESTINATIONS_PIN_TYPE_AOI },
    [23] = { n = "Blackrose Prison Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [24] = { n = "Lakemire Xanmeer Manor", t = DESTINATIONS_PIN_TYPE_HOUSING },
    ["zoneName"] = "Murkmire",
  },
  [1072] = -- Norg-Tzel
  {
    ["zoneName"] = "Norg-Tzel",
  },
  [1086] = -- Elsweyr
  {
    [1] = { n = "The Bone Pit", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [2] = { n = "Scar's Edge", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [3] = { n = "Red Hands Run", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [4] = { n = "Hill of Shattered Swords", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [5] = { n = "Talon Gulch", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [6] = { n = "Nightmare Plateau", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [7] = { n = "Abode of Ignominy", t = DESTINATIONS_PIN_TYPE_DELVE },
    [8] = { n = "Predator Mesa", t = DESTINATIONS_PIN_TYPE_DELVE },
    [9] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [10] = { n = "Tomb of Serpents", t = DESTINATIONS_PIN_TYPE_DELVE },
    [11] = { n = "Darkpool Mine", t = DESTINATIONS_PIN_TYPE_DELVE },
    [12] = { n = "The Tangle", t = DESTINATIONS_PIN_TYPE_DELVE },
    [13] = { n = "Rimmen Necropolis", t = DESTINATIONS_PIN_TYPE_DUNGEON },
    [14] = { n = "Orcrest", t = DESTINATIONS_PIN_TYPE_DUNGEON },
    [15] = { n = "Riverhold", t = DESTINATIONS_PIN_TYPE_TOWN },
    [16] = { n = "Rimmen", t = DESTINATIONS_PIN_TYPE_CITY },
    [17] = { n = "Hakoshae", t = DESTINATIONS_PIN_TYPE_TOWN },
    [18] = { n = "The Prowl", t = DESTINATIONS_PIN_TYPE_BATTLEFIELD },
    [19] = { n = "Anequina Aqueduct", t = DESTINATIONS_PIN_TYPE_KEEP },
    [20] = { n = "Weeping Scar", t = DESTINATIONS_PIN_TYPE_CAVE },
    [21] = { n = "Cicatrice", t = DESTINATIONS_PIN_TYPE_CAVE },
    [22] = { n = "Ashen Scar", t = DESTINATIONS_PIN_TYPE_CEMETERY },
    [23] = { n = "The Stitches", t = DESTINATIONS_PIN_TYPE_TOWN },
    [24] = { n = "Two Moons at Tenmar Temple", t = DESTINATIONS_PIN_TYPE_ESTATE },
    [25] = { n = "Merryvale Farms", t = DESTINATIONS_PIN_TYPE_FARM },
    [26] = { n = "Starlight Adeptorium", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_SENCHERAHTS_GRIT },
    [27] = { n = "Valenwood Border Artisan Camp", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_COLDHARBOURS_FAVORITE },
    [28] = { n = "Rimmen Masterworks", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_VASTARIES_TUTELAGE },
    [29] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [30] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [31] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [32] = { n = "Star Haven Adeptorium", t = DESTINATIONS_PIN_TYPE_AOI },
    [33] = { n = "Shadow Dance Ruins", t = DESTINATIONS_PIN_TYPE_AOI },
    [34] = { n = "Moon Gate of Anequina", t = DESTINATIONS_PIN_TYPE_AOI },
    [35] = { n = "Sleepy Senche Mine", t = DESTINATIONS_PIN_TYPE_AOI },
    [36] = { n = "Defense Force Outpost", t = DESTINATIONS_PIN_TYPE_AOI },
    [37] = { n = "Sandswirl Manor", t = DESTINATIONS_PIN_TYPE_AOI },
    [38] = { n = "Riverhold Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [39] = { n = "Rimmen Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [40] = { n = "The Stitches Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [41] = { n = "Tenmar Temple Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [42] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [43] = { n = "Scar's End Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [44] = { n = "Hakoshae Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [45] = { n = "Desert Wind Caverns", t = DESTINATIONS_PIN_TYPE_DELVE },
    [46] = { n = "Valenwood Gate", t = DESTINATIONS_PIN_TYPE_AOI },
    [47] = { n = "Sunspire", t = DESTINATIONS_PIN_TYPE_RAIDDUNGEON },
    [48] = { n = "Moongrave Fane", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [49] = { n = "Sugar Bowl Suite", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [50] = { n = "Jode's Embrace", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [51] = { n = "Hall of the Lunar Champion", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [52] = { n = "Star Haven Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [53] = { n = "Moon-Sugar Meadow", t = DESTINATIONS_PIN_TYPE_HOUSING },
    ["zoneName"] = "Elsweyr",
  },
  [1133] = -- Southern Elsweyr (Dragonhold)
  {
    [1] = { n = "Senchal Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [2] = { n = "South Guard Ruins Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [3] = { n = "Western Plains Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [4] = { n = "Black Heights Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [5] = { n = "Pridehome Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [6] = { n = "Senchal", t = DESTINATIONS_PIN_TYPE_CITY },
    [7] = { n = "Sout Guard Ruins", t = DESTINATIONS_PIN_TYPE_RUIN },
    [8] = { n = "Black Heights", t = DESTINATIONS_PIN_TYPE_TOWN },
    [9] = { n = "Moonlit Cove", t = DESTINATIONS_PIN_TYPE_DELVE },
    [10] = { n = "Forsaken Citadel", t = DESTINATIONS_PIN_TYPE_DELVE },
    [11] = { n = "Fur-Forge Cove", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_NEW_MOON_ACOLYTE },
    [12] = { n = "Cat's Claw Station", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_DARING_CORSAIR },
    [13] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [14] = { n = "Shrine of the Reforged", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [15] = { n = "Ri'Atahrashi's Training Ground", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [16] = { n = "Zazaradi's Quarry and Mine", t = DESTINATIONS_PIN_TYPE_AOI },
    [17] = { n = "Pridehome", t = DESTINATIONS_PIN_TYPE_AOI },
    [18] = { n = "Doomstone Keep", t = DESTINATIONS_PIN_TYPE_AOI },
    [19] = { n = "The Forgotten Mane", t = DESTINATIONS_PIN_TYPE_AOI },
    [20] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [21] = { n = "Purring Rock", t = DESTINATIONS_PIN_TYPE_AOI },
    [22] = { n = "Khenarthi's Arch", t = DESTINATIONS_PIN_TYPE_AOI },
    [23] = { n = "Lucky Cat Landing", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [24] = { n = "Potentate's Retreat", t = DESTINATIONS_PIN_TYPE_HOUSING },
    ["zoneName"] = "Southern Elsweyr",
  },
  [1146] = -- Tideholm, Southern Elsweyr (Dragonhold)
  {
    [1] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [2] = { n = "Dragonguard Armory", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_ANCIENT_DRAGONGUARD },
    [3] = { n = "Dragonguard Sanctum Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    ["zoneName"] = "Tideholm",
  },
  [1160] = -- Western Skyrim (Greymoor)
  {
    [1] = { n = "Solitude", t = DESTINATIONS_PIN_TYPE_CITY },
    [2] = { n = "Morthal", t = DESTINATIONS_PIN_TYPE_TOWN },
    [3] = { n = "Karthwatch", t = DESTINATIONS_PIN_TYPE_TOWN },
    [4] = { n = "Dragon Bridge", t = DESTINATIONS_PIN_TYPE_TOWN },
    [5] = { n = "Kilkreath Temple", t = DESTINATIONS_PIN_TYPE_DAEDRICRUIN },
    [6] = { n = "Mor Khazgur", t = DESTINATIONS_PIN_TYPE_MINE },
    [7] = { n = "The Silver Cormorant", t = DESTINATIONS_PIN_TYPE_NORDBOAT },
    [8] = { n = "Frozen Coast", t = DESTINATIONS_PIN_TYPE_DELVE },
    [9] = { n = "Shadowgreen", t = DESTINATIONS_PIN_TYPE_DELVE },
    [10] = { n = "Chillwind Depths", t = DESTINATIONS_PIN_TYPE_DELVE },
    [11] = { n = "Dragonhome", t = DESTINATIONS_PIN_TYPE_DELVE },
    [12] = { n = "Labyrinthian", t = DESTINATIONS_PIN_TYPE_DUNGEON },
    [13] = { n = "Karthald Great Lift", t = DESTINATIONS_PIN_TYPE_DWEMERGEAR },
    [14] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [15] = { n = "Hjaalmarch Great Lift", t = DESTINATIONS_PIN_TYPE_DWEMERGEAR },
    [16] = { n = "Eastern Great Lift", t = DESTINATIONS_PIN_TYPE_DWEMERGEAR },
    [17] = { n = "Kilkreath Temple Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [18] = { n = "Morthal Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [19] = { n = "Mor Khazgur Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [20] = { n = "Dragon Bridge Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [21] = { n = "Southern Watch Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [22] = { n = "Frozen Coast Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [23] = { n = "Solitude Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [24] = { n = "Hordrek's Hunting Grounds", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [25] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [26] = { n = "Circle of Champions", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [27] = { n = "Ysmgar's Beach", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [28] = { n = "Shademother's Haven", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [29] = { n = "Old Karth Ritual Site", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [30] = { n = "Black Morass Ritual Site", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [31] = { n = "Giant's Coast Ritual Site", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [32] = { n = "Chilblain Peak Ritual Site", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [33] = { n = "Hailstone Valley Ritual Site", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [34] = { n = "Northern Watch Ritual Site", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [35] = { n = "Coastal Giant Camp", t = DESTINATIONS_PIN_TYPE_CAMP },
    [36] = { n = "Karthald Giant Camp", t = DESTINATIONS_PIN_TYPE_CAMP },
    [37] = { n = "Kilkreath Giant Camp", t = DESTINATIONS_PIN_TYPE_CAMP },
    [38] = { n = "Highland Giant Camp", t = DESTINATIONS_PIN_TYPE_CAMP },
    [39] = { n = "Trial: Kyne's Aegis", t = DESTINATIONS_PIN_TYPE_RAIDDUNGEON },
    [40] = { n = "Solitude Docks Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [41] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [42] = { n = "Deepwood Vale Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [43] = { n = "Deepwood Giant Camp", t = DESTINATIONS_PIN_TYPE_CAMP },
    [44] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [45] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [46] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [47] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [48] = { n = "Hunter's House", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_STUHNS_FAVOR },
    [49] = { n = "Dragon's Belly", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_DRAGONS_APPETITE },
    [50] = { n = "Lendoran Ruin", t = DESTINATIONS_PIN_TYPE_AOI },
    [51] = { n = "Storm-Hawk's Altar", t = DESTINATIONS_PIN_TYPE_AOI },
    [52] = { n = "Sword's Point Watchtower", t = DESTINATIONS_PIN_TYPE_AOI },
    [53] = { n = "Wolf's Eye Lighthouse", t = DESTINATIONS_PIN_TYPE_AOI },
    [54] = { n = "Mor Khazgur Giant Camp", t = DESTINATIONS_PIN_TYPE_CAMP },
    [55] = { n = "Proudspire Manor", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [56] = { n = "Snowmelt Suite", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [57] = { n = "Dungeon: Castle Thorn", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [58] = { n = "Giant's Coast Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [59] = { n = "Northern Watch Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [60] = { n = "Antiquarian's Alpine Gallery", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [61] = { n = "Stillwaters Retreat", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [62] = { n = "Shalidor's Shrouded Realm", t = DESTINATIONS_PIN_TYPE_HOUSING },
    ["zoneName"] = "Western Skyrim",
  },
  [1161] = -- Western Skyrim (Blackreach: Greymoor Caverns)
  {
    [1] = { n = "Dusktown", t = DESTINATIONS_PIN_TYPE_TOWN },
    [2] = { n = "Greymoor Keep", t = DESTINATIONS_PIN_TYPE_ESTATE },
    [3] = { n = "The Lightless Hollow", t = DESTINATIONS_PIN_TYPE_CAVE },
    [4] = { n = "Dusktown Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [5] = { n = "Greymoor Keep Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [6] = { n = "Lightless Hollow Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [7] = { n = "Dark Moon Grotto Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [8] = { n = "Dark Moon Grotto", t = DESTINATIONS_PIN_TYPE_CAVE },
    [9] = { n = "Lightless Hollow Great Lift", t = DESTINATIONS_PIN_TYPE_DWEMERGEAR },
    [10] = { n = "Dark Moon Grotto Great Lift", t = DESTINATIONS_PIN_TYPE_DWEMERGEAR },
    [11] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [12] = { n = "Greymoor Cavern Great Lift", t = DESTINATIONS_PIN_TYPE_DWEMERGEAR },
    [13] = { n = "Midnight Barrow", t = DESTINATIONS_PIN_TYPE_DELVE },
    [14] = { n = "The Scraps", t = DESTINATIONS_PIN_TYPE_DELVE },
    [15] = { n = "Vampire Feeding Grounds", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [16] = { n = "Colossus Charging Station", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [17] = { n = "Nchuthnkarst", t = DESTINATIONS_PIN_TYPE_DUNGEON },
    [18] = { n = "Gloomforest Ritual Site", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [19] = { n = "Dwarf's Bane Ritual Site", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [20] = { n = "Miner's Lament Ritual Site", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [21] = { n = "Nightstone Ritual Site", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [22] = { n = "Parasite's Cave", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_SPELL_PARASITE },
    [23] = { n = "Dwarven Run Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [24] = { n = "Grotto Falls Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [25] = { n = "Deep Overlook Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [26] = { n = "Western Greymoor Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [27] = { n = "Darkrise Overlook", t = DESTINATIONS_PIN_TYPE_AOI },
    [28] = { n = "Gloomstalker Village", t = DESTINATIONS_PIN_TYPE_AOI },
    [29] = { n = "Bastion Sanguinaris", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [30] = { n = "Dungeon: Stone Garden", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    ["zoneName"] = "Blackreach: Greymoor Caverns",
  },
  [1207] = -- The Reach (Greymoor)
  {
    [1] = { n = "Markarth", t = DESTINATIONS_PIN_TYPE_CITY },
    [2] = { n = "Karthwasten", t = DESTINATIONS_PIN_TYPE_TOWN },
    [3] = { n = "Briar Rock Ruins", t = DESTINATIONS_PIN_TYPE_DELVE },
    [4] = { n = "Druadach Redoubt", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_LEGACY_OF_KARTH },
    [5] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [6] = { n = "Arkthzand Great Lift", t = DESTINATIONS_PIN_TYPE_DWEMERGEAR },
    [7] = { n = "Four Skull Lookout", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [8] = { n = "Ragnvald Ritual Site", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [9] = { n = "Witchborne Ritual Site", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [10] = { n = "Deep Folk Crossing", t = DESTINATIONS_PIN_TYPE_AOI },
    [11] = { n = "Rebel's Retreat", t = DESTINATIONS_PIN_TYPE_AOI },
    [12] = { n = "Nalzthdbar Great Lift", t = DESTINATIONS_PIN_TYPE_DWEMERGEAR },
    [13] = { n = "Harrowed Haunt Ritual Site", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [14] = { n = "Reachwind Ritual Site", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [15] = { n = "Understone Keep", t = DESTINATIONS_PIN_TYPE_ESTATE },
    [16] = { n = "Bthardamz", t = DESTINATIONS_PIN_TYPE_AOI },
    [17] = { n = "Red Eagle Redoubt", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_RED_EAGLES_FURY },
    [18] = { n = "Reachwind Depths", t = DESTINATIONS_PIN_TYPE_DWEMERRUIN },
    [19] = { n = "Arena: Vateshran Hollows", t = DESTINATIONS_PIN_TYPE_SOLOTRIAL },
    [20] = { n = "Wildspear Clan Camp", t = DESTINATIONS_PIN_TYPE_CAMP },
    [21] = { n = "Valthume", t = DESTINATIONS_PIN_TYPE_CEMETERY },
    [22] = { n = "Lost Valley Redoubt", t = DESTINATIONS_PIN_TYPE_RUIN },
    [23] = { n = "Gloomreach", t = DESTINATIONS_PIN_TYPE_DELVE },
    [24] = { n = "Cinder-Heart Clan Camp", t = DESTINATIONS_PIN_TYPE_CAMP },
    [25] = { n = "North Markarth Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [26] = { n = "Karthwasten Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [27] = { n = "Briar Rock Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [28] = { n = "Rebel's Retreat Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [29] = { n = "Lost Valley Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [30] = { n = "Shadefeather Clan Camp", t = DESTINATIONS_PIN_TYPE_CAMP },
    [31] = { n = "Black-Moon Clan Camp", t = DESTINATIONS_PIN_TYPE_CAMP },
    [32] = { n = "Hroldan Ring", t = DESTINATIONS_PIN_TYPE_AOI },
    [33] = { n = "Druadach Mountains Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [34] = { n = "Markarth Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [35] = { n = "Stone Eagle Aerie", t = DESTINATIONS_PIN_TYPE_HOUSING },
    ["zoneName"] = "The Reach",
  },
  [1208] = -- Blackreach: Arkthzand Cavern
  {
    [1] = { n = "Nchuand-Zel", t = DESTINATIONS_PIN_TYPE_DWEMERRUIN },
    [2] = { n = "Library of Arkthzand", t = DESTINATIONS_PIN_TYPE_ESTATE },
    [3] = { n = "Bthar-Zel", t = DESTINATIONS_PIN_TYPE_DWEMERRUIN },
    [4] = { n = "Sentinel Point", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [5] = { n = "Nighthollow Keep", t = DESTINATIONS_PIN_TYPE_CRYPT },
    [6] = { n = "Gloomreach", t = DESTINATIONS_PIN_TYPE_DELVE },
    [7] = { n = "Nalzthdbar Great Lift", t = DESTINATIONS_PIN_TYPE_DWEMERGEAR },
    [8] = { n = "Arkthzand Great Lift", t = DESTINATIONS_PIN_TYPE_DWEMERGEAR },
    [9] = { n = "Arkthzand Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [10] = { n = "Nighthollow Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [11] = { n = "Philosopher's Cradle", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_AETHERIAL_ASCENSION },
    [12] = { n = "Ghostlight Grotto", t = DESTINATIONS_PIN_TYPE_AOI },
    [13] = { n = "Mistgloom Thicket", t = DESTINATIONS_PIN_TYPE_AOI },
    ["zoneName"] = "Blackreach: Arkthzand Cavern",
  },
  [1261] = {
    [1] = { n = "Borderwatch", t = DESTINATIONS_PIN_TYPE_KEEP },
    [2] = { n = "White Stallion Inn", t = DESTINATIONS_PIN_TYPE_AOI },
    [3] = { n = "Undertow Cavern", t = DESTINATIONS_PIN_TYPE_DELVE },
    [4] = { n = "Leyawiin", t = DESTINATIONS_PIN_TYPE_CITY },
    [5] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [6] = { n = "Plateau of the Traveler", t = DESTINATIONS_PIN_TYPE_AOI },
    [7] = { n = "Tidewater Cave", t = DESTINATIONS_PIN_TYPE_CAVE },
    [8] = { n = "Deepscorn Hollow", t = DESTINATIONS_PIN_TYPE_CAVE },
    [9] = { n = "Shardius's Excavation", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [10] = { n = "Fort Blueblood", t = DESTINATIONS_PIN_TYPE_AOI },
    [11] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [12] = { n = "Veyond", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [13] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [14] = { n = "Fort Redmane", t = DESTINATIONS_PIN_TYPE_KEEP },
    [15] = { n = "Doomvault Vulpinaz", t = DESTINATIONS_PIN_TYPE_DAEDRICRUIN },
    [16] = { n = "Toad-Tongue War Camp", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [17] = { n = "Arpenia", t = DESTINATIONS_PIN_TYPE_DELVE },
    [18] = { n = "Shrine to Nocturnal", t = DESTINATIONS_PIN_TYPE_AOI },
    [19] = { n = "Zenithar's Abbey", t = DESTINATIONS_PIN_TYPE_DUNGEON },
    [20] = { n = "Sul-Xan Ritual Site", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [21] = { n = "Welke", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [22] = { n = "Bloodrun Cave", t = DESTINATIONS_PIN_TYPE_DELVE },
    [23] = { n = "Bloodrun Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [24] = { n = "Farmer's Nook", t = DESTINATIONS_PIN_TYPE_TOWN },
    [25] = { n = "Old Deathwart's Pond", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [26] = { n = "Salvitto Estate", t = DESTINATIONS_PIN_TYPE_AOI },
    [27] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [28] = { n = "Hutan-Tzel", t = DESTINATIONS_PIN_TYPE_TOWN },
    [29] = { n = "Doomvault Porcixid", t = DESTINATIONS_PIN_TYPE_DELVE },
    [30] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [31] = { n = "Gideon", t = DESTINATIONS_PIN_TYPE_CITY },
    [32] = { n = "The Silent Halls", t = DESTINATIONS_PIN_TYPE_DUNGEON },
    [33] = { n = "Glenbridge", t = DESTINATIONS_PIN_TYPE_RUIN },
    [34] = { n = "Vunalk", t = DESTINATIONS_PIN_TYPE_DELVE },
    [35] = { n = "Xeemhok's Lagoon", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [36] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [37] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [38] = { n = "Trial: Rockgrove", t = DESTINATIONS_PIN_TYPE_RAIDDUNGEON },
    [39] = { n = "Ojel-Bak", t = DESTINATIONS_PIN_TYPE_AOI },
    [40] = { n = "Stonewastes", t = DESTINATIONS_PIN_TYPE_TOWN },
    [41] = { n = "The Shattered Xanmeer", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [42] = { n = "Xi-Tsei", t = DESTINATIONS_PIN_TYPE_DELVE },
    [43] = { n = "Leyawiin Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [44] = { n = "Gideon Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [45] = { n = "Borderwatch Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [46] = { n = "Fort Redmane Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [47] = { n = "Blueblood Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [48] = { n = "Stonewastes Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [49] = { n = "Leyawiin Outskirts Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [50] = { n = "Pentric Run", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_PENTRIC_RUN },
    [51] = { n = "Sariellen's Sword", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_SARIELLENS_SWORD },
    [52] = { n = "Withered Root", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_WITHERED_ROOT },
    [53] = { n = "Pilgrim's Rest", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [54] = { n = "Water's Edge", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [55] = { n = "Pantherfang Chapel", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [56] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [57] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [58] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [59] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [60] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [61] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [62] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [63] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [64] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [65] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [66] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [67] = { n = "Dungeon: The Dread Cellar", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [68] = { n = "Ayleid Well", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [69] = { n = "Ayleid Well", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [70] = { n = "Ayleid Well", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [71] = { n = "Ayleid Well", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [72] = { n = "Ayleid Well", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [73] = { n = "Doomvault Vulpinaz Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [74] = { n = "Blackwood Crossroads Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [75] = { n = "Hutan-Tzel Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [76] = { n = "Vunalk Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [77] = { n = "Sweetwater Cascades", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [78] = { n = "Willowpond Haven", t = DESTINATIONS_PIN_TYPE_HOUSING },
    ["zoneName"] = "Blackwood",
  },
  [1282] = {
    [1] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [2] = { n = "Fargrave Outskirts Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [3] = { n = "Ossa Accentium", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [4] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [5] = { n = "Fargrave Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    ["zoneName"] = "Fargrave",
  },
  [1283] = {
    [1] = { n = "Forgotten Feretory", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_IRON_FLASK },
    [2] = { n = "Skein Row", t = DESTINATIONS_PIN_TYPE_AOI },
    [3] = { n = "The Bathhouse", t = DESTINATIONS_PIN_TYPE_RUIN },
    [4] = { n = "The Shambles Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [5] = { n = "Fargrave", t = DESTINATIONS_PIN_TYPE_CITY },
    ["zoneName"] = "The Shambles",
  },
  [1286] = {
    [1] = { n = "Raging Coast Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [2] = { n = "The Blood Pit Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [3] = { n = "Ardent Hope Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [4] = { n = "Wretched Spire Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [5] = { n = "False Martyrs' Folly Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [6] = { n = "Annihilarch's Summit Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [7] = { n = "The Blood Pit", t = DESTINATIONS_PIN_TYPE_SEWER },
    [8] = { n = "Burning Gyre Keep", t = DESTINATIONS_PIN_TYPE_TOWER },
    [9] = { n = "Ardent Hope", t = DESTINATIONS_PIN_TYPE_GATE },
    [10] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [11] = { n = "The Brandfire Reformatory", t = DESTINATIONS_PIN_TYPE_DELVE },
    [12] = { n = "Destruction's Solace", t = DESTINATIONS_PIN_TYPE_CRYPT },
    [13] = { n = "The Abomination Cradle", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [14] = { n = "Annihilarch's Summit", t = DESTINATIONS_PIN_TYPE_CAVE },
    [15] = { n = "False Martyrs' Folly", t = DESTINATIONS_PIN_TYPE_DELVE },
    [16] = { n = "Wretched Spire", t = DESTINATIONS_PIN_TYPE_TOWN },
    [17] = { n = "Portal to Fargrave", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [18] = { n = "Portal to Fargrave", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [19] = { n = "Stormwright's Cleft", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_WRETCHED_VITALITY },
    [20] = { n = "The Razorworks", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_DEADLANDS_DEMOLISHER },
    [21] = { n = "Agony's Ascent", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [22] = { n = "The Tempest Engine", t = DESTINATIONS_PIN_TYPE_AOI },
    [23] = { n = "Traitor's Ascent", t = DESTINATIONS_PIN_TYPE_AOI },
    [24] = { n = "Charnel Pulpit", t = DESTINATIONS_PIN_TYPE_AOI },
    [25] = { n = "Chantry of the Moon Reiver", t = DESTINATIONS_PIN_TYPE_AOI },
    [26] = { n = "Ravaged Crossing", t = DESTINATIONS_PIN_TYPE_AOI },
    [27] = { n = "Zynoahz's Gaol", t = DESTINATIONS_PIN_TYPE_DAEDRICRUIN },
    [28] = { n = "Jynd's Foundry", t = DESTINATIONS_PIN_TYPE_DAEDRICRUIN },
    [29] = { n = "Wounded Crossing Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [30] = { n = "The Scourshales Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [31] = { n = "Den of the Unmaker", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    ["zoneName"] = "The Deadlands",
  },
  [1318] = {
    [1] = { n = "Gonfalon Bay", t = DESTINATIONS_PIN_TYPE_TOWN },
    [2] = { n = "Castle Navire", t = DESTINATIONS_PIN_TYPE_TOWER },
    [3] = { n = "Steadfast Manor", t = DESTINATIONS_PIN_TYPE_TOWER },
    [4] = { n = "Stonelore Grove", t = DESTINATIONS_PIN_TYPE_GROVE },
    [5] = { n = "Garick's Rest", t = DESTINATIONS_PIN_TYPE_TOWER },
    [6] = { n = "All Flags Islet", t = DESTINATIONS_PIN_TYPE_TOWER },
    [7] = { n = "Tor Draioch", t = DESTINATIONS_PIN_TYPE_TOWER },
    [8] = { n = "Amenos Station", t = DESTINATIONS_PIN_TYPE_TOWER },
    [9] = { n = "Brokerock Mine", t = DESTINATIONS_PIN_TYPE_TOWER },
    [10] = { n = "Skulltooth Coast", t = DESTINATIONS_PIN_TYPE_DOCK },
    [11] = { n = "Spire of the Crimson Coin", t = DESTINATIONS_PIN_TYPE_DUNGEON },
    [12] = { n = "Ghost Haven Bay", t = DESTINATIONS_PIN_TYPE_DUNGEON },
    [13] = { n = "Breakwater Cave", t = DESTINATIONS_PIN_TYPE_DELVE },
    [14] = { n = "The Firepot", t = DESTINATIONS_PIN_TYPE_DELVE },
    [15] = { n = "Death's Valor Keep", t = DESTINATIONS_PIN_TYPE_DELVE },
    [16] = { n = "Shipwreck Shoals", t = DESTINATIONS_PIN_TYPE_DELVE },
    [17] = { n = "Whalefall", t = DESTINATIONS_PIN_TYPE_DELVE },
    [18] = { n = "Coral Cliffs", t = DESTINATIONS_PIN_TYPE_DELVE },
    [19] = { n = "Y'ffre's Cauldron", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [20] = { n = "Serpent Bog", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [21] = { n = "Faun Falls", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [22] = { n = "Dark Stone Hollow", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [23] = { n = "Amenos Basin", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [24] = { n = "Mornard Falls", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [25] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [26] = { n = "Coral Road  Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [27] = { n = "Tor Draioch Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [28] = { n = "Steadfast Manor Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [29] = { n = "Castle Navire Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [30] = { n = "Garick's Rest Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [31] = { n = "Stonelore Grove Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [32] = { n = "Dufort Shipyards Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [33] = { n = "Amenos Station Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [34] = { n = "Brokerock Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [35] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [36] = { n = "Stonelore Forge and Craft", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_SERPENTS_DISDAIN },
    [37] = { n = "Steadfast Hammer and Saw", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_ORDERS_WRATH },
    [38] = { n = "Hidden Foundry", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_DRUIDS_BRAID },
    [39] = { n = "All Flags Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [40] = { n = "Trial: Dreadsail Reef", t = DESTINATIONS_PIN_TYPE_RAIDDUNGEON },
    [41] = { n = "Sapphire Point Volcanic Vent", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [42] = { n = "Navire Volcanic Vent", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [43] = { n = "Feywatch Isle Volcanic Vent", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [44] = { n = "Garick's Rise Volcanic Vent", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [45] = { n = "Serpents Hollow Volcanic Vent", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [46] = { n = "Haunted Coast Volcanic Vent", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [47] = { n = "Flooded Coast Volcanic Vent", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [48] = { n = "Trappers Peak Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [49] = { n = "Spriggan's Crown", t = DESTINATIONS_PIN_TYPE_AOI },
    [50] = { n = "Port Navire", t = DESTINATIONS_PIN_TYPE_DOCK },
    [51] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [52] = { n = "Druid's Gate", t = DESTINATIONS_PIN_TYPE_RUIN },
    [53] = { n = "Gonfalon Head Lighthouse", t = DESTINATIONS_PIN_TYPE_LIGHTHOUSE },
    [54] = { n = "Westbay Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [55] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [56] = { n = "Abhain Chapel", t = DESTINATIONS_PIN_TYPE_CRYPT },
    [57] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [58] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [59] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [60] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [61] = { n = "Augury Monoliths", t = DESTINATIONS_PIN_TYPE_AOI },
    [62] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [63] = { n = "Jheury's Cove", t = DESTINATIONS_PIN_TYPE_DOCK },
    [64] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [65] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [66] = { n = "Dufort Shipyards", t = DESTINATIONS_PIN_TYPE_DOCK },
    [67] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [68] = { n = "Gonfalon Square Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [69] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [70] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [71] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [72] = { n = "Serpents Hollow Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [73] = { n = "Flooded Coast Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [74] = { n = "Dungeon: Earthen Root Enclave", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [75] = { n = "Dungeon: Graven Deep", t = DESTINATIONS_PIN_TYPE_GROUPINSTANCE },
    [76] = { n = "Ancient Anchor Berth", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [77] = { n = "Highhallow Hold", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [78] = { n = "Green Serpent Getaway", t = DESTINATIONS_PIN_TYPE_AOI },
    [79] = { n = "Banished Refuge", t = DESTINATIONS_PIN_TYPE_AOI },
    [80] = { n = "Albatross Leap", t = DESTINATIONS_PIN_TYPE_AOI },
    [81] = { n = "Colossus View Lighthouse", t = DESTINATIONS_PIN_TYPE_LIGHTHOUSE },
    [82] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [83] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [84] = { n = "Stonelore Falls", t = DESTINATIONS_PIN_TYPE_AOI },
    [85] = { n = "Fogbreak Lighthouse", t = DESTINATIONS_PIN_TYPE_HOUSING },
    ["zoneName"] = "High Isle",
  },
  [1383] = {
    [1] = { n = "Vastyr", t = DESTINATIONS_PIN_TYPE_TOWN },
    [2] = { n = "Y'ffre's Path", t = DESTINATIONS_PIN_TYPE_TOWER },
    [3] = { n = "Llanshara", t = DESTINATIONS_PIN_TYPE_GROVE },
    [4] = { n = "Embervine", t = DESTINATIONS_PIN_TYPE_DELVE },
    [5] = { n = "Fauns' Thicket", t = DESTINATIONS_PIN_TYPE_DELVE },
    [6] = { n = "Valley of the Watcher", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [7] = { n = "Grove of the Chimera", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [8] = { n = "Old Port Mornard", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_OLD_GROWTH_BREWER },
    [9] = { n = "Fort Avrippe", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_CHIMERAS_REBUKE },
    [10] = { n = "Oaken Forge", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_CLAW_OF_THE_FOREST_WRAITH },
    [11] = { n = "Vastyr Outskirts Volcanic Vent", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [12] = { n = "Farpoint Volcanic Vent", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [13] = { n = "Llanshara Volcanic Vent", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [14] = { n = "Telling Stone Volcanic Vent", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [15] = { n = "Eastern Shores Volcanic Vent", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [16] = { n = "Windwrack Fort", t = DESTINATIONS_PIN_TYPE_AOI },
    [17] = { n = "Tuinh", t = DESTINATIONS_PIN_TYPE_TOWN },
    [18] = { n = "Suncleft Grotto", t = DESTINATIONS_PIN_TYPE_CAVE },
    [19] = { n = "Castle Tonnere", t = DESTINATIONS_PIN_TYPE_AOI },
    [20] = { n = "Glimmertarn", t = DESTINATIONS_PIN_TYPE_AOI },
    [21] = { n = "Clohaigh", t = DESTINATIONS_PIN_TYPE_AOI },
    [22] = { n = "Westport", t = DESTINATIONS_PIN_TYPE_DOCK },
    [23] = { n = "Ivyhame", t = DESTINATIONS_PIN_TYPE_AOI },
    [24] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [25] = { n = "The Telling Stone", t = DESTINATIONS_PIN_TYPE_AOI },
    [26] = { n = "Vastyr Outskirts Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [27] = { n = "Glimmertarn Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [28] = { n = "Embervine Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [29] = { n = "Llanshara Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [30] = { n = "Y'free's Path Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [31] = { n = "Vastyr Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [32] = { n = "Eastern Shores Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [33] = { n = "The Fair Winds", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [34] = { n = "Gladesong Arboretum", t = DESTINATIONS_PIN_TYPE_HOUSING },
    ["zoneName"] = "Galen",
  },
  [1414] = {
    [1] = { n = "Anchre Egg Mine", t = DESTINATIONS_PIN_TYPE_DELVE },
    [2] = { n = "Camonnaruhn", t = DESTINATIONS_PIN_TYPE_DELVE },
    [3] = { n = "Ald Isra", t = DESTINATIONS_PIN_TYPE_MUSHROMTOWER },
    [4] = { n = "Kemel-Ze", t = DESTINATIONS_PIN_TYPE_DWEMERRUIN },
    [5] = { n = "Sailenmora", t = DESTINATIONS_PIN_TYPE_CRYPT },
    [6] = { n = "Tel Dreloth", t = DESTINATIONS_PIN_TYPE_MUSHROMTOWER },
    [7] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [8] = { n = "Necrom", t = DESTINATIONS_PIN_TYPE_CITY },
    [9] = { n = "Tomb of the Nameless Master", t = DESTINATIONS_PIN_TYPE_AOI },
    [10] = { n = "Tel Baro", t = DESTINATIONS_PIN_TYPE_MUSHROMTOWER },
    [11] = { n = "Tel Rendys", t = DESTINATIONS_PIN_TYPE_MUSHROMTOWER },
    [12] = { n = "Clamorclap Bowl", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [13] = { n = "Nightmare Den", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [14] = { n = "Alavelis", t = DESTINATIONS_PIN_TYPE_TOWN },
    [15] = { n = "Tel Hlurag Ven", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_TELVANNI_EFFICIENCY },
    [16] = { n = "Gorne", t = DESTINATIONS_PIN_TYPE_DUNGEON },
    [17] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [18] = { n = "Fungal Downs Edifice", t = DESTINATIONS_PIN_TYPE_GROUPPORTAL },
    [19] = { n = "Trial: Sanity's Edge", t = DESTINATIONS_PIN_TYPE_RAIDDUNGEON },
    [20] = { n = "Glasscrag Edifice", t = DESTINATIONS_PIN_TYPE_GROUPPORTAL },
    [21] = { n = "Necrom Outskirts Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [22] = { n = "Necrom Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [23] = { n = "Fungal Lowlands Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [24] = { n = "Ald Isra Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [25] = { n = "Padomaic Crest Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [26] = { n = "Great Arm Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [27] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [28] = { n = "Journey's End Lodgings", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [29] = { n = "Emissary's Enclave", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [30] = { n = "Alavelis Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [31] = { n = "House Dres Encampment", t = DESTINATIONS_PIN_TYPE_AOI },
    [32] = { n = "Deshaan Gate", t = DESTINATIONS_PIN_TYPE_GATE },
    [33] = { n = "Bal Foyen Passage", t = DESTINATIONS_PIN_TYPE_GATE },
    [34] = { n = "Kelesan'ruhn", t = DESTINATIONS_PIN_TYPE_HOUSING },
    ["zoneName"] = "Telvanni Peninsula",
  },
  [1413] = {
    [1] = { n = "Portal to Necrom", t = DESTINATIONS_PIN_TYPE_GATE },
    [2] = { n = "Portal to Necrom", t = DESTINATIONS_PIN_TYPE_GATE },
    [3] = { n = "Rectory Corporea", t = DESTINATIONS_PIN_TYPE_CEMETERY },
    [4] = { n = "The Feral Gallery", t = DESTINATIONS_PIN_TYPE_DAEDRICRUIN },
    [5] = { n = "Cenotaph of the Remnants", t = DESTINATIONS_PIN_TYPE_GATE },
    [6] = { n = "Cipher's Midden", t = DESTINATIONS_PIN_TYPE_TOWN },
    [7] = { n = "The Sidereal Cloisters", t = DESTINATIONS_PIN_TYPE_KEEP },
    [8] = { n = "The Ravening Morass", t = DESTINATIONS_PIN_TYPE_ESTATE },
    [9] = { n = "Quires Wind", t = DESTINATIONS_PIN_TYPE_DELVE },
    [10] = { n = "The Disquiet Study", t = DESTINATIONS_PIN_TYPE_DELVE },
    [11] = { n = "The Underweave", t = DESTINATIONS_PIN_TYPE_DUNGEON },
    [12] = { n = "Apogee of the Tormenting Eye", t = DESTINATIONS_PIN_TYPE_DELVE },
    [13] = { n = "Fathoms Drift", t = DESTINATIONS_PIN_TYPE_DELVE },
    [14] = { n = "Libram Cathedral", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [15] = { n = "Deepreave Quag", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [16] = { n = "Runemaster's Acropolis", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [17] = { n = "Chthon Plaza", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [18] = { n = "Versicolor Carrels", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_SEEKER_SYNTHESIS },
    [19] = { n = "Artisan's Hermitage", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_SHATTERED_FATE },
    [20] = { n = "The Tranquil Catalog", t = DESTINATIONS_PIN_TYPE_KEEP },
    [21] = { n = "Fractured Monolith", t = DESTINATIONS_PIN_TYPE_AOI },
    [22] = { n = "Chthonic Landing", t = DESTINATIONS_PIN_TYPE_AOI },
    [23] = { n = "Writhing Wastes Edifice", t = DESTINATIONS_PIN_TYPE_GROUPPORTAL },
    [24] = { n = "Fallen Hues Edifice", t = DESTINATIONS_PIN_TYPE_GROUPPORTAL },
    [25] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [26] = { n = "Still Shallows Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [27] = { n = "Soundless Bight Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [28] = { n = "Cipher's Midden Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [29] = { n = "Speiran Tarn Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [30] = { n = "Writhing Wastes Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [31] = { n = "Tranquil Catalog Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [32] = { n = "Apogee Nadir Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [33] = { n = "Forlorn Palisades Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [34] = { n = "Feral Gallery Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [35] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [36] = { n = "Infinite Archive", t = DESTINATIONS_PIN_TYPE_ENDLESSARCHIVE },
    [37] = { n = "Syzygial Rostrum", t = DESTINATIONS_PIN_TYPE_AOI },
    [38] = { n = "Study of the Lost Cipher", t = DESTINATIONS_PIN_TYPE_AOI },
    [39] = { n = "Altar of the One Who Knows", t = DESTINATIONS_PIN_TYPE_AOI },
    [40] = { n = "Tower of Unutterable Truths", t = DESTINATIONS_PIN_TYPE_HOUSING },
    ["zoneName"] = "Apocrypha",
  },
  [1443] = {
    [1] = { n = "Skingrad", t = DESTINATIONS_PIN_TYPE_CITY },
    [2] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [3] = { n = "Leftwheal Grainery", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_HIGHLAND_SENTINEL },
    [4] = { n = "Singer's Outpost", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_THARRIKER_STRIKE },
    [5] = { n = "Deserter's Lagoon", t = DESTINATIONS_PIN_TYPE_CRAFTING, s = CRAFTINGSET_THREADS_OF_WAR },
    [6] = { n = "Haldain Lumber Camp", t = DESTINATIONS_PIN_TYPE_DELVE },
    [7] = { n = "Fyrelight Cave", t = DESTINATIONS_PIN_TYPE_DELVE },
    [8] = { n = "Nonungalo", t = DESTINATIONS_PIN_TYPE_DELVE },
    [9] = { n = "Varen's Watch", t = DESTINATIONS_PIN_TYPE_DELVE },
    [10] = { n = "Legion's Rest", t = DESTINATIONS_PIN_TYPE_DELVE },
    [11] = { n = "Fort Colovia", t = DESTINATIONS_PIN_TYPE_DELVE },
    [12] = { n = "Vashabar", t = DESTINATIONS_PIN_TYPE_TOWER },
    [13] = { n = "Silorn", t = DESTINATIONS_PIN_TYPE_DUNGEON },
    [14] = { n = "Leftwheal Trading Post", t = DESTINATIONS_PIN_TYPE_DUNGEON },
    [15] = { n = "Rustwall Estate", t = DESTINATIONS_PIN_TYPE_ESTATE },
    [16] = { n = "Gray's Hollow", t = DESTINATIONS_PIN_TYPE_AOI },
    [17] = { n = "The Outcast Inn", t = DESTINATIONS_PIN_TYPE_TOWER },
    [18] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [19] = { n = "Feldagard Keep", t = DESTINATIONS_PIN_TYPE_KEEP },
    [20] = { n = "Ontus", t = DESTINATIONS_PIN_TYPE_TOWER },
    [21] = { n = "Weatherleah Estate", t = DESTINATIONS_PIN_TYPE_ESTATE },
    [22] = { n = "Valente Vineyards", t = DESTINATIONS_PIN_TYPE_ESTATE },
    [23] = { n = "Trial: Lucent Citadel", t = DESTINATIONS_PIN_TYPE_RAIDDUNGEON },
    [24] = { n = "Sutch", t = DESTINATIONS_PIN_TYPE_TOWER },
    [25] = { n = "Fall's Glade", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [26] = { n = "Lake Olo", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [27] = { n = "Fortune's Bluff", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [28] = { n = "Centurion's Rise", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [29] = { n = "Broken Path Cave", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [30] = { n = "Frontier's Cradle", t = DESTINATIONS_PIN_TYPE_GROUPBOSS },
    [31] = { n = "Hoperoot", t = DESTINATIONS_PIN_TYPE_GROVE },
    [32] = { n = "Hastrel Hollow", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [33] = { n = "Niryastare", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [34] = { n = "Elenglynn", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [35] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [36] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [37] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [38] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [39] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [40] = { n = "Rock Bottom Caverns", t = DESTINATIONS_PIN_TYPE_AOI },
    [41] = { n = "Sanguine's Shrine", t = DESTINATIONS_PIN_TYPE_AOI },
    [42] = { n = "Broken Promises Cave", t = DESTINATIONS_PIN_TYPE_CAVE },
    [43] = { n = "Wendir", t = DESTINATIONS_PIN_TYPE_AYLEIDRUIN },
    [44] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [45] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [46] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [47] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [48] = { n = "Fort Hastrel", t = DESTINATIONS_PIN_TYPE_AOI },
    [49] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [50] = { n = "Eaglerock Ruins", t = DESTINATIONS_PIN_TYPE_AOI },
    [51] = { n = "Meridia's Shrine", t = DESTINATIONS_PIN_TYPE_AOI },
    [52] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [53] = { n = "Skingrad City Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [54] = { n = "Skingrad Vineyards Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [55] = { n = "Vashabar Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [56] = { n = "Ontus Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [57] = { n = "Sutch Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [58] = { n = "North Hook Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [59] = { n = "Trader's Luck Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [60] = { n = "Ostumir Mirrormoor Mosaic", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [61] = { n = "Fall's Path Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [62] = { n = "Sutch Mirrormoor Mosaic", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [63] = { n = "Colovia Mirrormoor Mosaic", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [64] = { n = "Silorn Mirrormoor Mosaic", t = DESTINATIONS_PIN_TYPE_PORTAL },
    [65] = { n = "Ostumir", t = DESTINATIONS_PIN_TYPE_TOWER },
    [66] = { n = "Merryvine Estate", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [67] = { n = "Rosewine Retreat", t = DESTINATIONS_PIN_TYPE_HOUSING },
    [68] = { n = "Wildburn's Edge Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [69] = { n = "Ostumir Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [70] = { n = "Centurion's Watch Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [71] = { n = "Valente Vineyards Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [72] = { n = "", t = DESTINATIONS_PIN_TYPE_UNKNOWN },
    [73] = { n = "Feldagard Keep Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    [74] = { n = "Three Points Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    ["zoneName"] = "West Weald",
  },
  [267] = {
    [1] = { n = "Eyevea Wayshrine", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    ["zoneName"] = "0x22Eyevea",
  },
  [1463] = {
    [1] = { n = "The Scholarium", t = DESTINATIONS_PIN_TYPE_WAYSHRINE },
    ["zoneName"] = "The Scholarium",
  },
}
