-- This data file covers the coordinates for several achievements
--[[
TYPES:
     1 = "I like M'aiq"
     2 = "Lightbringer/Give to the Poor/Crime Pays"
     3 = "Peacemaker"
     4 = "Crime Pays"
     5 = "Give to the Poor"
     6 = "Lightbringer"
     7 = "Nose Diver"
     8 = "Earthly Possessions"
     9 = "This One's on Me"
    10 = "One Last Brawl"
    11 = "Orsinium Patron"
    12 = "Wrothgar Cliff Jumper"
    13 = "Champions/Dungeon Bosses"
    14 = "Wrothgar Relic Hunter"
    15 = "Breaking and Entering"
    16 = "A Cutpurse Above"
    20 = "Ayleid Well"
    21 = "Werewolf/Vampire"
    22 = "Vampire Altar"
    23 = "Dwemer Ruins"
    24 = "Werewolf Shrine"
    25 = "Deadlands Entrance"
    26 = "Druidic Shrine"
    30 = "Trophy Area"
    40 = "Foul Water Fishing Spot"
    41 = "River Fishing Spot"
    42 = "Ocean Fishing Spot"
    43 = "Lake Fishing Spot"
    50 = "Undetermined"
    55 = "Unknown"
]]--
Destinations = Destinations or {}

Destinations.ACHDataIndex = {
  X = 1,
  Y = 2,
  TYPE = 3,
  ID = 4, -- Achievement ID used by ESO API using GetAchievementInfo(). 999999 is a dummy code for non-achievements.
  STATUS = 5, -- 1 = verified, 0 not verified.
  KEYCODE = 6, -- Keycode used to extract exact information. "X" = no keycode.
}

Destinations.ACHDataStore = {
  ----Abah's Landing
  ["abahslanding_base_0"] = {
    { 0.3383, 0.8841, 15, 1349, 1, "5" }, --2.0.24  > SnowmanDK
    { 0.3388, 0.5493, 15, 1349, 1, "2" }, --2.0.24  > SnowmanDK
    { 0.3694, 0.3694, 15, 1349, 1, "3" }, --2.0.24  > SnowmanDK
    { 0.4631, 0.7421, 15, 1349, 1, "7" }, --2.0.24  > SnowmanDK
    { 0.5189, 0.2883, 15, 1349, 1, "6" }, --2.0.24  > SnowmanDK
    { 0.5313, 0.5825, 15, 1349, 1, "1" }, --2.0.24  > SnowmanDK
    { 0.5381, 0.4101, 16, 1382, 1, "1" }, --2.0.24  > SnowmanDK
    { 0.5704, 0.3120, 15, 1349, 1, "4" }, --2.0.24  > SnowmanDK
  },
  ----Alcaire Castle
  ["alcairecastle_base_0"] = {
    { 0.5524, 0.5233, 43, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.6758, 0.6562, 41, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.7405, 0.7259, 41, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.8361, 0.7965, 41, 472, 1, "X" }, --1.2.25  > SnowmanDK
  },
  ----Aldcroft
  ["aldcroft_base_0"] = {
    { 0.3688, 0.2296, 41, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.4323, 0.5448, 43, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.6223, 0.1141, 41, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.7228, 0.7924, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.7230, 0.6090, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.8052, 0.4751, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
  },
  ----Alik’r Desert
  ["alikr_base_0"] = {
    { 0.0984, 0.5191, 42, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.1092, 0.5158, 30, 838, 1, "B" }, --1.7.26  > SnowmanDK
    { 0.1092, 0.5158, 30, 842, 1, "56" }, --1.7.26 > SnowmanDK
    { 0.1092, 0.5158, 30, 844, 1, "6" }, --1.7.26  > SnowmanDK
    { 0.1125, 0.4699, 42, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.1127, 0.4764, 42, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.1214, 0.4753, 30, 842, 1, "5" }, --1.7.26  > SnowmanDK
    { 0.1214, 0.4753, 30, 844, 1, "6" }, --1.7.26  > SnowmanDK
    { 0.1255, 0.4695, 42, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.1267, 0.4935, 42, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.1378, 0.4803, 42, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.1489, 0.4822, 2, 767167, 1, "X" }, --1.7.27  > SnowmanDK
    { 0.1561, 0.4733, 30, 842, 1, "5" }, --1.7.26  > SnowmanDK
    { 0.1745, 0.4551, 42, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.1762, 0.4459, 42, 474, 1, "X" }, --1.7.26  > StrangerFull
    { 0.1847, 0.4379, 42, 474, 1, "X" }, --1.7.26  > QuadroTony
    { 0.1915, 0.4347, 42, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.1976, 0.4342, 42, 474, 1, "X" }, --1.7.26  > QuadroTony
    { 0.1989, 0.4426, 42, 474, 1, "X" }, --1.7.26  > StrangerFull
    { 0.2135, 0.4450, 42, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.2169, 0.4074, 42, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.2205, 0.4446, 42, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.2223, 0.5678, 23, 999999, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.2223, 0.5678, 30, 846, 1, "12" }, --1.7.26 > SnowmanDK
    { 0.2299, 0.4429, 42, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.2318, 0.4048, 42, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.2467, 0.4604, 9, 704, 1, "X" }, --1.7.26  > SnowmanDK/xVOLx
    { 0.2497, 0.3899, 42, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.2511, 0.4588, 16, 1380, 1, "4" }, --2.0.24  > SnowmanDK
    { 0.2639, 0.3881, 42, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.2744, 0.3611, 42, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.2824, 0.3930, 42, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.2892, 0.5468, 2, 767167, 1, "X" }, --1.7.30  > Kazhiana
    { 0.3026, 0.4091, 42, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.3197, 0.4212, 42, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.3288, 0.3873, 42, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.3294, 0.4159, 42, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.3309, 0.3871, 42, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.3346, 0.3775, 42, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.3363, 0.4405, 30, 842, 1, "5" }, --1.7.26  > SnowmanDK
    { 0.3387, 0.4456, 43, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.3430, 0.4019, 42, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.3646, 0.3947, 42, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.4041, 0.6378, 43, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.4048, 0.6292, 43, 474, 1, "X" }, --1.7.27  > SnowmanDK
    { 0.4088, 0.6312, 43, 474, 1, "X" }, --1.7.26  > StrangerFull
    { 0.4206, 0.6221, 43, 474, 1, "X" }, --1.7.27  > SnowmanDK
    { 0.4249, 0.6182, 43, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.4290, 0.5339, 40, 474, 1, "X" }, --1.7.31  > SnowmanDK
    { 0.4303, 0.5777, 43, 474, 1, "X" }, --2.0.1   > Oliviander
    { 0.4428, 0.4737, 1, 872, 1, "X" }, --1.7.26  > harris128
    { 0.4459, 0.5153, 40, 474, 1, "X" }, --1.7.44  > SnowmanDK
    { 0.4459, 0.5445, 40, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.4783, 0.3812, 1, 872, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.4807, 0.4118, 30, 848, 1, "23" }, --1.7.26 > SnowmanDK
    { 0.4974, 0.3461, 42, 474, 1, "X" }, --1.7.26  > QuadroTony
    { 0.5146, 0.3478, 30, 842, 1, "5" }, --1.7.26  > SnowmanDK
    { 0.5294, 0.3454, 42, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.5505, 0.5808, 2, 767167, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.5729, 0.2802, 42, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.5971, 0.2720, 42, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.5981, 0.3872, 23, 999999, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.5981, 0.3872, 30, 846, 1, "12" }, --1.7.26 > SnowmanDK
    { 0.6102, 0.6043, 40, 474, 1, "X" }, --1.7.44  > SnowmanDK
    { 0.6156, 0.6012, 30, 838, 1, "6" }, --1.7.26  > SnowmanDK
    { 0.6156, 0.6012, 30, 838, 1, "B" }, --1.7.26  > SnowmanDK
    { 0.6227, 0.6153, 40, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.6404, 0.6422, 23, 999999, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.6404, 0.6422, 30, 846, 1, "12" }, --1.7.26 > SnowmanDK
    { 0.6606, 0.5205, 2, 767167, 1, "X" }, --1.7.27  > SnowmanDK
    { 0.6872, 0.5949, 23, 999999, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.7051, 0.3885, 30, 844, 1, "5" }, --1.7.26  > SnowmanDK
    { 0.7446, 0.5714, 40, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.7834, 0.4281, 2, 767167, 1, "X" }, --1.7.27  > Hrazmadul
    { 0.8331, 0.5814, 1, 872, 1, "X" }, --1.7.27  > SnowmanDK
    { 0.8508, 0.5572, 30, 844, 1, "7" }, --1.7.26  > SnowmanDK
    { 0.8568, 0.5571, 40, 474, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.8652, 0.5478, 40, 474, 1, "X" }, --1.7.26  > StrangerFull
    { 0.8730, 0.4627, 23, 999999, 1, "X" }, --1.7.26  > SnowmanDK
    { 0.8730, 0.4627, 30, 846, 1, "12" }, --1.7.26 > SnowmanDK
    { 0.8741, 0.5547, 30, 844, 1, "7" }, --1.7.26  > SnowmanDK
    { 0.9009, 0.5209, 23, 999999, 0, "X" }, --1.7.26  > SnowmanDK
    { 0.9009, 0.5209, 30, 846, 1, "12" }, --1.7.26 > SnowmanDK
  },
  ----Alten Corimont
  ["altencorimont_base_0"] = {
    { 0.2336, 0.7239, 30, 838, 1, "7" }, --1.4.8   > SnowmanDK
  },
  ----Anvil
  ["anvilcity_base_0"] = {
    { 0.6887, 0.2819, 43, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.7176, 0.2627, 43, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.7621, 0.2907, 43, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.7453, 0.2942, 43, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.7112, 0.2659, 43, 1431, 1, "X" }, --2.0.24  > StrangerFull
  },
  ----Arenthia
  ["arenthia_base_0"] = {
    { 0.1527, 0.5358, 2, 767167, 1, "X" }, --0.8.2   >
    { 0.2205, 0.6765, 41, 487, 1, "X" }, --1.7.3   > JayBe
    { 0.3324, 0.2343, 40, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.4406, 0.2171, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.4886, 0.2059, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.5194, 0.2195, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.5833, 0.2562, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.6800, 0.2724, 41, 487, 1, "X" }, --1.7.3   > JayBe
    { 0.9046, 0.2643, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
  },
  ----Argent Mine
  ["argentmine2_base_0"] = {
    { 0.8028, 0.6049, 14, 1250, 1, "14" }, --1.7.55 > SnowmanDK
  },
  ----Auridon
  ["auridon_base_0"] = {
    { 0.1845, 0.2430, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.1961, 0.2715, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.2146, 0.2808, 42, 483, 1, "X" }, --1.7.7   > StrangerFull
    { 0.2489, 0.2450, 41, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.2628, 0.0852, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.2664, 0.1248, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.2735, 0.1838, 41, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.2796, 0.0322, 30, 842, 1, "5" }, --1.6.28  > SnowmanDK
    { 0.2904, 0.2386, 41, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.2999, 0.3590, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.3113, 0.1153, 30, 841, 1, "2" }, --1.6.28  > SnowmanDK
    { 0.3139, 0.0558, 30, 838, 1, "2" }, --1.6.28  > SnowmanDK
    { 0.3300, 0.3920, 2, 767167, 1, "X" }, --0.3.3   > Keyron74
    { 0.3306, 0.1235, 30, 842, 1, "5" }, --1.6.28  > SnowmanDK
    { 0.3439, 0.2152, 43, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.3574, 0.3827, 30, 842, 1, "5" }, --1.6.28  > SnowmanDK
    { 0.3592, 0.3859, 42, 483, 1, "X" }, --1.7.7   > StrangerFull
    { 0.3635, 0.3076, 41, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.3637, 0.2281, 2, 767167, 1, "X" }, --0.5.6   > Noruas
    { 0.3637, 0.7029, 42, 483, 1, "X" }, --1.7.5   > StrangerFull - ocean (in Vulknel Guard)
    { 0.3683, 0.0706, 30, 842, 1, "5" }, --1.6.28  > SnowmanDK
    { 0.3710, 0.3023, 30, 838, 1, "2" }, --1.6.28  > SnowmanDK
    { 0.3790, 0.3109, 41, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.3942, 0.6788, 42, 483, 1, "X" }, --1.7.5   > StrangerFull
    { 0.3979, 0.6439, 42, 483, 1, "X" }, --1.7.5   > StrangerFull
    { 0.4011, 0.6797, 30, 838, 1, "4" }, --1.6.28  > SnowmanDK
    { 0.4019, 0.6259, 30, 842, 1, "5" }, --1.6.28  > SnowmanDK
    { 0.4112, 0.6029, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.4123, 0.2135, 2, 767167, 1, "X" }, --0.3.1   > Noruas
    { 0.4186, 0.7499, 30, 842, 1, "5" }, --1.6.28  > SnowmanDK
    { 0.4214, 0.3333, 1, 872, 1, "X" }, --0.5.6   > Xanderificus
    { 0.4220, 0.7612, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.4225, 0.4082, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.4281, 0.5661, 42, 483, 1, "X" }, --1.7.5   > StrangerFull
    { 0.4315, 0.2552, 30, 848, 1, "24" }, --1.6.28 > SnowmanDK
    { 0.4341, 0.5101, 1, 872, 1, "X" }, --1.7.41  > selerna
    { 0.4347, 0.3370, 30, 842, 1, "5" }, --1.6.28  > SnowmanDK
    { 0.4353, 0.2091, 41, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.4461, 0.5480, 30, 841, 1, "6" }, --1.6.28  > SnowmanDK
    { 0.4501, 0.3468, 41, 483, 1, "X" }, --1.7.5   > StrangerFull
    { 0.4532, 0.5187, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.4554, 0.1841, 41, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.4556, 0.7849, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.4567, 0.5049, 30, 842, 1, "5" }, --1.6.28  > SnowmanDK
    { 0.4567, 0.5049, 30, 843, 1, "4" }, --1.6.28  > SnowmanDK
    { 0.4571, 0.3454, 43, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.4582, 0.3782, 41, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.4692, 0.1508, 41, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.4725, 0.1634, 41, 483, 1, "X" }, --1.7.5   > StrangerFull
    { 0.4821, 0.6443, 43, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.4843, 0.1544, 30, 838, 1, "2" }, --1.6.28  > SnowmanDK
    { 0.4892, 0.6464, 43, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.4908, 0.8097, 42, 483, 1, "X" }, --1.7.5   > StrangerFull
    { 0.4940, 0.4090, 41, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.4944, 0.2027, 41, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.5005, 0.8756, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.5017, 0.7417, 20, 999999, 1, "X" }, --1.0.0   > mra4nii
    { 0.5057, 0.2264, 41, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.5060, 0.8688, 30, 842, 1, "5" }, --1.6.28  > SnowmanDK
    { 0.5134, 0.5300, 30, 838, 1, "34" }, --1.7.52 > SnowmanDK
    { 0.5145, 0.2221, 30, 838, 1, "4" }, --1.6.28  > SnowmanDK
    { 0.5213, 0.9234, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.5220, 0.6741, 2, 767167, 1, "X" }, --0.3.3   > Garkin
    { 0.5383, 0.8360, 43, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.5500, 0.7904, 1, 872, 1, "X" }, --1.0.3   >
    { 0.5548, 0.2921, 43, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.5555, 0.1776, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.5557, 0.3017, 43, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.5658, 0.4471, 2, 767167, 1, "X" }, --0.6.0   >
    { 0.5694, 0.7644, 2, 767167, 1, "X" }, --0.6.0   > Balver
    { 0.5763, 0.5639, 42, 483, 1, "X" }, --1.7.52  > SnowmanDK
    { 0.5858, 0.5382, 2, 767167, 1, "X" }, --0.3.7   > Garkin
    { 0.5882, 0.8136, 43, 483, 1, "X" }, --1.6.35  > svan
    { 0.5888, 0.8220, 43, 483, 1, "X" }, --1.6.35  > svan
    { 0.5928, 0.7728, 41, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.5946, 0.9568, 42, 483, 1, "X" }, --1.7.5   > StrangerFull
    { 0.5957, 0.8234, 43, 483, 1, "X" }, --1.6.35  > svan
    { 0.5960, 0.9549, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.5964, 0.7795, 41, 483, 1, "X" }, --1.7.5   > StrangerFull
    { 0.5997, 0.2280, 30, 842, 1, "5" }, --1.6.28  > SnowmanDK
    { 0.5997, 0.2280, 30, 843, 1, "4" }, --1.6.28  > SnowmanDK
    { 0.6013, 0.9442, 9, 704, 1, "X" }, --1.2.12  > SnowmanDK/xVOLx
    { 0.6226, 0.9551, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.6280, 0.7764, 43, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.6376, 0.9434, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.6394, 0.7705, 43, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.6464, 0.3998, 30, 843, 1, "4" }, --1.6.28  > SnowmanDK
    { 0.6516, 0.7710, 43, 483, 1, "X" }, --1.7.5   > StrangerFull
    { 0.6559, 0.3396, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.6560, 0.3235, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.6572, 0.9387, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.6670, 0.4457, 30, 842, 1, "5" }, --1.6.28  > SnowmanDK
    { 0.6670, 0.4457, 30, 843, 1, "4" }, --1.6.28  > SnowmanDK
    { 0.6746, 0.5668, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.6798, 0.9682, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.6799, 0.7022, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.6870, 0.6318, 20, 999999, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.6870, 0.6318, 30, 843, 1, "4" }, --1.6.28  > SnowmanDK
    { 0.6906, 0.9605, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.7065, 0.7671, 1, 872, 1, "X" }, --0.4.0   >
    { 0.7074, 0.5096, 16, 1379, 1, "1" }, --2.0.24  > SnowmanDK
    { 0.7107, 0.7458, 30, 838, 1, "4" }, --1.6.28  > SnowmanDK
    { 0.7107, 0.7458, 30, 842, 1, "5" }, --1.6.28  > SnowmanDK
    { 0.7121, 0.8015, 30, 842, 1, "5" }, --1.6.28  > SnowmanDK
    { 0.7176, 0.5418, 30, 842, 1, "5" }, --1.6.28  > SnowmanDK
    { 0.7190, 0.8520, 30, 842, 1, "5" }, --1.6.28  > SnowmanDK
    { 0.7310, 0.4937, 30, 841, 1, "2" }, --1.6.28  > SnowmanDK
    { 0.7874, 0.4817, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.8234, 0.4723, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.8400, 0.5520, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
  },
  ----Cyrodiil
  ["ava_whole_0"] = {
    { 0.1854, 0.4076, 20, 999999, 1, "X" }, --0.3.3   >
    { 0.2055, 0.5080, 30, 844, 1, "4" }, --1.4.2   > SnowmanDK
    { 0.2614, 0.6707, 20, 999999, 1, "X" }, --1.4.16  > QuadroTony
    { 0.3193, 0.5291, 40, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.3198, 0.5269, 40, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.3210, 0.5308, 40, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.3220, 0.5284, 40, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.3231, 0.5261, 40, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.3325, 0.7289, 20, 999999, 1, "X" }, --0.3.3   >
    { 0.3610, 0.3613, 20, 999999, 1, "X" }, --0.8.4   >
    { 0.3625, 0.7385, 43, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.3650, 0.7353, 43, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.3678, 0.7235, 43, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.3689, 0.7183, 43, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.3696, 0.7406, 43, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.3706, 0.7191, 43, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.3716, 0.7317, 43, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.3747, 0.7215, 41, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.3832, 0.5302, 20, 999999, 1, "X" }, --0.3.2   >
    { 0.3890, 0.7052, 43, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.3903, 0.7052, 43, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.3923, 0.6916, 20, 999999, 1, "X" }, --0.3.3   >
    { 0.4092, 0.4825, 40, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.4093, 0.4755, 40, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.4124, 0.4874, 40, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.4131, 0.4946, 40, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.4163, 0.7286, 43, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.4380, 0.2109, 20, 999999, 1, "X" }, --0.3.3   >
    { 0.4610, 0.2394, 20, 999999, 1, "X" }, --0.3.2   >
    { 0.4658, 0.7643, 20, 999999, 1, "X" }, --0.3.2   >
    { 0.4909, 0.5813, 40, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.5035, 0.5513, 40, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.5043, 0.5595, 40, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.5054, 0.7613, 20, 999999, 1, "X" }, --0.3.3   >
    { 0.5057, 0.8284, 41, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.5095, 0.8271, 41, 489, 1, "X" }, --2.0.29  > Tallarain
    { 0.5106, 0.5624, 40, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.5139, 0.8264, 41, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.5194, 0.5393, 40, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.5378, 0.5342, 40, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.5420, 0.8175, 43, 489, 1, "X" }, --2.0.29  > Tallarain
    { 0.5449, 0.8144, 41, 489, 1, "X" }, --2.0.29  > Tallarain
    { 0.5473, 0.8073, 41, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.5525, 0.8036, 41, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.5593, 0.8002, 41, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.5637, 0.7980, 41, 489, 1, "X" }, --2.0.29  > Tallarain
    { 0.5760, 0.7968, 41, 489, 1, "X" }, --2.0.29  > Tallarain
    { 0.5888, 0.5361, 43, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.5896, 0.7945, 41, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.5973, 0.5390, 43, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.5981, 0.7959, 41, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.6046, 0.5557, 43, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.6073, 0.7978, 42, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.6130, 0.7968, 42, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.6146, 0.8012, 43, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.6215, 0.7929, 20, 999999, 1, "X" }, --0.3.2   >
    { 0.6253, 0.5077, 20, 999999, 1, "X" }, --0.3.2   >
    { 0.6277, 0.4447, 20, 999999, 1, "X" }, --0.3.3   >
    { 0.6288, 0.7991, 43, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.6324, 0.7983, 43, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.6375, 0.8075, 42, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.6383, 0.6508, 20, 999999, 1, "X" }, --0.8.1   >
    { 0.6443, 0.7998, 43, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.6444, 0.8065, 42, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.6554, 0.7935, 43, 489, 1, "X" }, --1.6.43  > QuadroTony
    { 0.6585, 0.6944, 20, 999999, 1, "X" }, --1.5.2   > QuadroTony
    { 0.7062, 0.5809, 20, 999999, 0, "X" }, --0.3.8

    { 0.4338, 0.5194, 40, 489, 0, "X" }, --2.1 Tallarain
    { 0.4785, 0.5204, 40, 489, 0, "X" }, --2.1 Tallarain
    { 0.5044, 0.5414, 40, 489, 0, "X" }, --2.1 Tallarain
    { 0.5223, 0.5357, 40, 489, 0, "X" }, --2.1 Tallarain

  },
  ----Baandari Trading Post
  ["baandaritradingpost_base_0"] = {
    { 0.4783, 0.1074, 41, 486, 1, "X" }, --1.6.19  > SnowmanDK
  },
  ----Bal Foyen
  ["balfoyen_base_0"] = {
    { 0.2428, 0.6731, 1, 872, 1, "X" }, --0.5.7   > StrangerFull
    { 0.3826, 0.6410, 1, 872, 1, "X" }, --0.4.2   >
    { 0.7654, 0.5701, 42, 477, 1, "X" }, --1.7.14  > Eiagra
    { 0.7777, 0.5859, 42, 477, 1, "X" }, --1.7.14  > Eiagra
  },
  ----Bangkorai
  ["bangkorai_base_0"] = {
    { 0.2337, 0.8992, 23, 999999, 1, "X" }, --1.0.0   >
    { 0.2337, 0.8992, 30, 846, 1, "12" }, --1.4.2  > SnowmanDK
    { 0.2383, 0.5354, 42, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.2461, 0.6596, 30, 847, 1, "4" }, --1.4.2   > SnowmanDK
    { 0.2524, 0.6764, 43, 475, 1, "X" }, --2.0.1   > Oliviander
    { 0.2560, 0.6657, 43, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.2681, 0.5038, 42, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.2695, 0.6520, 43, 475, 1, "X" }, --1.7.7   > StrangerFull
    { 0.2759, 0.6294, 30, 842, 1, "1" }, --1.4.2   > SnowmanDK
    { 0.2806, 0.4835, 42, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.2816, 0.6614, 40, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.2887, 0.7708, 43, 475, 1, "X" }, --1.6.44  > QuadroTony
    { 0.2922, 0.6649, 43, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.2945, 0.7413, 43, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.2966, 0.7636, 43, 475, 1, "X" }, --1.7.48  > SnowmanDK
    { 0.2997, 0.8185, 43, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.3008, 0.7731, 43, 475, 1, "X" }, --1.6.44  > QuadroTony
    { 0.3090, 0.6139, 20, 999999, 1, "X" }, --1.4.2   > SnowmanDK
    { 0.3105, 0.7129, 1, 872, 1, "X" }, --1.7.49  > SnowmanDK
    { 0.3129, 0.6988, 43, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.3170, 0.6572, 43, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.3231, 0.4642, 42, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.3247, 0.6819, 43, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.3352, 0.4183, 42, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.3365, 0.6199, 43, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.3378, 0.7162, 43, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.3403, 0.6643, 43, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.3404, 0.6379, 43, 475, 1, "X" }, --1.8.27  > Oliviander
    { 0.3438, 0.7473, 2, 767167, 1, "X" }, --0.8.3   >
    { 0.3519, 0.7075, 43, 475, 1, "X" }, --1.6.44  > QuadroTony
    { 0.3528, 0.3681, 42, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.3530, 0.7279, 43, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.3572, 0.5825, 41, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.3574, 0.8384, 30, 842, 1, "8" }, --1.4.2   > SnowmanDK
    { 0.3588, 0.6329, 43, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.3595, 0.7459, 43, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.3639, 0.4129, 42, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.3648, 0.6000, 41, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.3700, 0.5643, 41, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.3717, 0.5552, 41, 475, 1, "X" }, --1.7.7   > Eiagra
    { 0.3719, 0.3931, 42, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.3720, 0.3542, 42, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.3757, 0.2780, 42, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.3775, 0.3217, 42, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.3807, 0.5218, 41, 475, 1, "X" }, --1.7.7   > Eiagra
    { 0.3860, 0.5343, 41, 475, 1, "X" }, --1.7.7   > Eiagra
    { 0.3899, 0.5494, 41, 475, 1, "X" }, --1.7.7   > Eiagra
    { 0.3915, 0.3473, 16, 1380, 1, "5" }, --2.0.24  > SnowmanDK
    { 0.3992, 0.3402, 9, 704, 1, "X" }, --1.2.12  > SnowmanDK/xVOLx
    { 0.4172, 0.2631, 42, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.4441, 0.2225, 42, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.4473, 0.2795, 42, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.4506, 0.2847, 30, 842, 1, "5" }, --1.4.2   > SnowmanDK
    { 0.4595, 0.6140, 21, 999999, 0, "X" }, --1.6.43  > Sir Quackberry
    { 0.4682, 0.1845, 42, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.4697, 0.2285, 30, 842, 1, "5" }, --1.4.2   > SnowmanDK
    { 0.4743, 0.6222, 21, 999999, 0, "X" }, --1.6.43  > Sir Quackberry
    { 0.4781, 0.5170, 2, 767167, 1, "X" }, --0.3.1   > Noruas
    { 0.4785, 0.2230, 42, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.4787, 0.4288, 22, 999999, 0, "X" }, --1.3.4   > SnowmanDK
    { 0.4969, 0.2149, 30, 842, 1, "5" }, --1.4.2   > SnowmanDK
    { 0.5199, 0.4125, 21, 999999, 0, "X" }, --1.6.43  > Sir Quackberry
    { 0.5274, 0.1057, 30, 842, 1, "5" }, --1.4.2   > SnowmanDK
    { 0.5310, 0.2206, 30, 842, 1, "5" }, --1.4.2   > SnowmanDK
    { 0.5359, 0.4134, 21, 999999, 0, "X" }, --0.3.8
    { 0.5387, 0.1800, 42, 475, 1, "X" }, --1.8.27  > Oliviander
    { 0.5525, 0.3529, 43, 475, 1, "X" }, --1.7.47  > SnowmanDK
    { 0.5557, 0.7521, 23, 999999, 1, "X" }, --1.0.0   >
    { 0.5557, 0.7521, 30, 846, 1, "12" }, --1.4.2  > SnowmanDK
    { 0.5593, 0.2095, 42, 475, 1, "X" }, --1.6.44  > QuadroTony
    { 0.5626, 0.3858, 43, 475, 1, "X" }, --1.7.7   > Eiagra
    { 0.5678, 0.3546, 43, 475, 1, "X" }, --1.7.47  > SnowmanDK
    { 0.5689, 0.1754, 42, 475, 1, "X" }, --1.8.27  > Oliviander
    { 0.5711, 0.0758, 42, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.5730, 0.2183, 1, 872, 1, "X" }, --1.2.2   > xambrian
    { 0.5768, 0.4378, 43, 475, 1, "X" }, --1.7.7   > Eiagra
    { 0.5832, 0.4133, 43, 475, 1, "X" }, --1.6.44  > QuadroTony
    { 0.6041, 0.5316, 1, 872, 1, "X" }, --0.4.3   >
    { 0.6051, 0.2324, 41, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.6052, 0.2412, 30, 842, 1, "5" }, --1.4.2   > SnowmanDK
    { 0.6057, 0.4687, 43, 475, 1, "X" }, --1.7.7   > Eiagra
    { 0.6102, 0.2154, 42, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.6119, 0.3795, 21, 999999, 0, "X" }, --1.6.43  > Sir Quackberry
    { 0.6127, 0.3999, 43, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.6190, 0.2539, 41, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.6205, 0.2146, 30, 842, 1, "5" }, --1.4.2   > SnowmanDK
    { 0.6221, 0.2693, 41, 475, 1, "X" }, --1.6.44  > QuadroTony
    { 0.6242, 0.2935, 41, 475, 1, "X" }, --1.6.44  > QuadroTony
    { 0.6263, 0.4733, 40, 475, 1, "X" }, --1.7.48  > SnowmanDK
    { 0.6287, 0.4356, 43, 475, 1, "X" }, --1.7.7   > Eiagra
    { 0.6328, 0.2851, 21, 999999, 0, "X" }, --0.3.8
    { 0.6331, 0.3136, 30, 838, 1, "4" }, --1.7.48  > SnowmanDK
    { 0.6362, 0.3227, 41, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.6394, 0.3890, 43, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.6395, 0.3603, 43, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.6420, 0.4602, 43, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.6437, 0.2314, 21, 999999, 0, "X" }, --0.3.8
    { 0.6443, 0.4039, 43, 475, 1, "X" }, --1.8.27  > Oliviander
    { 0.6454, 0.4824, 43, 475, 1, "X" }, --1.7.7   > Eiagra
    { 0.6481, 0.3659, 24, 999999, 1, "X" }, --1.3.4   > SnowmanDK
    { 0.6518, 0.2090, 30, 842, 1, "5" }, --1.4.2   > SnowmanDK
    { 0.6538, 0.4940, 40, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.6566, 0.6851, 2, 767167, 1, "X" }, --0.6.2   >
    { 0.6593, 0.2033, 42, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.6640, 0.4842, 41, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.6660, 0.3430, 43, 475, 1, "X" }, --1.8.27  > Oliviander
    { 0.6717, 0.6806, 1, 872, 1, "X" }, --0.4.2   >
    { 0.6720, 0.2207, 2, 767167, 1, "X" }, --0.5.7   >
    { 0.6749, 0.4864, 41, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.6827, 0.3649, 30, 842, 1, "5" }, --1.7.48  > SnowmanDK
    { 0.6837, 0.3596, 41, 475, 1, "X" }, --1.7.48  > SnowmanDK
    { 0.6954, 0.4884, 41, 475, 1, "X" }, --1.7.7   > Eiagra
  },
  ----Belkarth
  ["belkarth_base_0"] = {
    { 0.3303, 0.8208, 43, 916, 1, "X" }, --1.7.2   > JayBe
    { 0.3311, 0.1018, 41, 916, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.3401, 0.1964, 41, 916, 1, "X" }, --1.7.9 > StrangerFull
    { 0.3562, 0.0499, 41, 916, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.3965, 0.2552, 41, 916, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.4017, 0.3479, 41, 916, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.4032, 0.4306, 41, 916, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.4256, 0.2142, 41, 916, 1, "X" }, --1.7.9 > StrangerFull    0,0017
    { 0.4395, 0.4013, 8, 1121, 1, "X" }, --0.8.2   >
    { 0.4466, 0.8014, 43, 916, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.4743, 0.8565, 43, 916, 1, "X" }, --1.7.2   > JayBe
    { 0.4787, 0.1694, 41, 916, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.4908, 0.5203, 41, 916, 1, "X" }, --1.6.33  > SnowmanDK
    { 0.5233, 0.1351, 41, 916, 1, "X" }, --1.6.35  > svan
    { 0.5297, 0.7409, 41, 916, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.5304, 0.7768, 43, 916, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.5319, 0.5921, 41, 916, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.5365, 0.6901, 41, 916, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.6231, 0.9366, 43, 916, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.6459, 1.0396, 43, 916, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.6898, 0.9951, 43, 916, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.7147, 0.8766, 43, 916, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.8350, 0.8979, 43, 916, 1, "X" }, --1.4.0   > SnowmanDK
  },
  ----Betnikh
  ["betnihk_base_0"] = {
    { 0.1777, 0.5323, 42, 491, 1, "X" }, --1.4.18  > SnowmanDK
    { 0.1804, 0.6319, 42, 491, 1, "X" }, --1.4.18  > SnowmanDK
    { 0.1811, 0.5728, 30, 842, 1, "5" }, --1.4.18  > SnowmanDK
    { 0.1816, 0.5911, 42, 491, 1, "X" }, --1.4.18  > SnowmanDK
    { 0.1884, 0.4755, 30, 838, 1, "4" }, --1.4.18  > SnowmanDK
    { 0.1884, 0.4755, 30, 842, 1, "5" }, --1.4.18  > SnowmanDK
    { 0.1962, 0.6450, 30, 838, 1, "4" }, --1.4.18  > SnowmanDK
    { 0.1962, 0.6450, 30, 842, 1, "5" }, --1.4.18  > SnowmanDK
    { 0.2119, 0.3953, 30, 842, 1, "5" }, --1.4.18  > SnowmanDK
    { 0.2260, 0.3564, 42, 491, 1, "X" }, --1.4.18  > SnowmanDK
    { 0.2265, 0.7166, 42, 491, 1, "X" }, --1.4.18  > SnowmanDK
    { 0.2319, 0.7043, 30, 838, 1, "4" }, --1.4.18  > SnowmanDK
    { 0.2319, 0.7043, 30, 842, 1, "5" }, --1.4.18  > SnowmanDK
    { 0.2605, 0.7528, 42, 491, 1, "X" }, --1.4.18  > SnowmanDK
    { 0.2638, 0.2991, 42, 491, 1, "X" }, --1.4.18  > SnowmanDK
    { 0.2867, 0.2778, 1, 872, 1, "X" }, --0.3.1   >
    { 0.2914, 0.3701, 30, 838, 1, "4" }, --1.4.18  > SnowmanDK
    { 0.3071, 0.7746, 42, 491, 1, "X" }, --1.4.18  > SnowmanDK
    { 0.3242, 0.7691, 30, 838, 1, "4" }, --1.4.18  > SnowmanDK
    { 0.3242, 0.7691, 30, 842, 1, "5" }, --1.4.18  > SnowmanDK
    { 0.3330, 0.7896, 42, 491, 1, "X" }, --1.4.18  > SnowmanDK
    { 0.3958, 0.2873, 20, 999999, 1, "X" }, --1.1.6   > Garkin
    { 0.4396, 0.8284, 30, 838, 1, "4" }, --1.4.18  > SnowmanDK
    { 0.4396, 0.8284, 30, 842, 1, "5" }, --1.4.18  > SnowmanDK
    { 0.4977, 0.8617, 42, 491, 1, "X" }, --1.4.18  > SnowmanDK
    { 0.5120, 0.8520, 30, 842, 1, "58" }, --1.4.18 > SnowmanDK
    { 0.5378, 0.6471, 1, 872, 1, "X" }, --1.1.6   > Garkin
    { 0.5418, 0.6078, 43, 491, 1, "X" }, --1.4.18  > SnowmanDK
    { 0.5435, 0.7388, 43, 491, 1, "X" }, --1.4.18  > SnowmanDK
    { 0.5483, 0.3035, 41, 491, 1, "X" }, --1.4.18  > SnowmanDK
    { 0.5620, 0.5870, 43, 491, 1, "X" }, --1.4.18  > SnowmanDK
    { 0.5660, 0.6926, 30, 838, 1, "4" }, --1.4.18  > SnowmanDK
    { 0.5703, 0.3134, 41, 491, 1, "X" }, --1.4.18  > SnowmanDK
    { 0.6096, 0.5013, 42, 491, 1, "X" }, --1.4.18  > SnowmanDK
    { 0.6170, 0.5764, 30, 838, 1, "4" }, --1.4.18  > SnowmanDK
    { 0.6192, 0.4794, 42, 491, 1, "X" }, --1.4.18  > SnowmanDK
    { 0.6234, 0.3759, 43, 491, 1, "X" }, --1.4.18  > SnowmanDK
    { 0.6535, 0.8030, 30, 842, 1, "58" }, --1.4.18 > SnowmanDK
    { 0.6887, 0.6171, 30, 838, 1, "4" }, --1.4.18  > SnowmanDK
    { 0.6887, 0.6171, 30, 842, 1, "5" }, --1.4.18  > SnowmanDK
    { 0.7228, 0.5800, 42, 491, 1, "X" }, --1.4.18  > SnowmanDK
  },
  ----Black Vine Ruins
  ["blackvineruins_base_0"] = {
    { 0.5510, 0.2428, 20, 999999, 1, "X" }, --1.6.45  > SnowmanDK
  },
  ----Bleakrock Isle
  ["bleakrock_base_0"] = {
    { 0.1153, 0.5256, 42, 493, 1, "X" }, --1.4.10  > SnowmanDK
    { 0.1438, 0.6972, 42, 493, 1, "X" }, --1.4.10  > SnowmanDK
    { 0.1943, 0.6413, 42, 493, 1, "X" }, --1.4.10  > SnowmanDK
    { 0.2287, 0.6867, 30, 842, 1, "5" }, --1.4.2   > SnowmanDK
    { 0.2972, 0.1520, 42, 493, 1, "X" }, --1.4.10  > SnowmanDK
    { 0.2998, 0.8042, 42, 493, 1, "X" }, --1.7.14  > Eiagra
    { 0.3090, 0.6727, 42, 493, 1, "X" }, --1.4.10  > SnowmanDK
    { 0.3107, 0.6131, 42, 493, 1, "X" }, --1.7.14  > Eiagra
    { 0.3298, 0.2736, 30, 842, 1, "1" }, --1.4.2   > SnowmanDK
    { 0.3337, 0.1759, 42, 493, 1, "X" }, --1.4.10  > SnowmanDK
    { 0.3445, 0.7582, 42, 493, 1, "X" }, --1.4.10  > SnowmanDK
    { 0.3803, 0.8269, 42, 493, 1, "X" }, --1.4.10  > SnowmanDK
    { 0.3943, 0.5533, 42, 493, 1, "X" }, --1.7.14  > Eiagra
    { 0.3981, 0.8498, 42, 493, 1, "X" }, --1.4.10  > SnowmanDK
    { 0.4101, 0.2593, 42, 493, 1, "X" }, --1.4.10  > SnowmanDK
    { 0.4107, 0.2594, 42, 493, 1, "X" }, --1.7.14  > Eiagra
    { 0.4444, 0.2756, 42, 493, 1, "X" }, --1.7.14  > Eiagra
    { 0.4448, 0.2758, 42, 493, 1, "X" }, --1.4.10  > SnowmanDK
    { 0.4492, 0.1000, 42, 493, 1, "X" }, --1.7.14  > Eiagra
    { 0.4553, 0.2302, 42, 493, 1, "X" }, --1.4.10  > SnowmanDK
    { 0.4985, 0.3065, 42, 493, 1, "X" }, --1.4.10  > SnowmanDK
    { 0.5116, 0.5848, 42, 493, 1, "X" }, --1.7.14  > Eiagra
    { 0.5157, 0.2743, 42, 493, 1, "X" }, --1.4.10  > SnowmanDK
    { 0.5642, 0.0749, 42, 493, 1, "X" }, --1.4.10  > SnowmanDK
    { 0.5658, 0.2902, 42, 493, 1, "X" }, --1.7.14  > Eiagra
    { 0.5967, 0.2328, 42, 493, 1, "X" }, --1.7.14  > Eiagra
    { 0.6143, 0.1961, 42, 493, 1, "X" }, --1.7.14  > Eiagra
    { 0.6359, 0.2188, 42, 493, 1, "X" }, --1.4.10  > SnowmanDK
    { 0.6973, 0.1959, 42, 493, 1, "X" }, --1.4.10  > SnowmanDK
    { 0.7409, 0.6703, 42, 493, 1, "X" }, --1.4.10  > SnowmanDK
    { 0.7661, 0.5955, 42, 493, 1, "X" }, --1.4.10  > SnowmanDK
    { 0.7852, 0.6147, 42, 493, 1, "X" }, --1.4.10  > SnowmanDK
    { 0.7926, 0.6492, 42, 493, 1, "X" }, --1.4.10  > SnowmanDK
    { 0.8128, 0.2686, 42, 493, 1, "X" }, --1.4.10  > SnowmanDK
    { 0.8265, 0.2778, 42, 493, 1, "X" }, --1.4.10  > SnowmanDK
    { 0.8373, 0.3285, 42, 493, 1, "X" }, --1.4.10  > SnowmanDK
  },
  ----Broken Helm Hollow
  ["brokenhelm_base_0"] = {
    { 0.1799, 0.5445, 30, 838, 1, "3" }, --1.4.10  > SnowmanDK
    { 0.1799, 0.5445, 30, 844, 1, "3" }, --1.4.10  > SnowmanDK
    { 0.4281, 0.6134, 30, 843, 1, "4" }, --1.4.10  > SnowmanDK
    { 0.4985, 0.4342, 30, 843, 1, "4" }, --1.4.10  > SnowmanDK
    { 0.4985, 0.4342, 30, 838, 1, "3" }, --1.4.10  > SnowmanDK
    { 0.5659, 0.7405, 30, 838, 1, "3" }, --1.4.10  > SnowmanDK
    { 0.5659, 0.7405, 30, 844, 1, "3" }, --1.4.10  > SnowmanDK
  },
  ----Carac Dena
  ["caracdena_base_0"] = {
    { 0.6026, 0.6327, 20, 999999, 1, "X" }, --1.6.45  > QuadroTony
  },
  ----Coldharbour
  ["coldharbour_base_0"] = {
    { 0.2171, 0.6217, 40, 490, 1, "X" }, --1.6.29  > SnowmanDK
    { 0.2243, 0.6312, 40, 490, 1, "X" }, --1.6.37  > QuadroTony
    { 0.2576, 0.6747, 40, 490, 1, "X" }, --1.6.29  > SnowmanDK
    { 0.2624, 0.6054, 40, 490, 1, "X" }, --1.6.37  > QuadroTony
    { 0.2649, 0.6725, 40, 490, 1, "X" }, --1.6.37  > QuadroTony
    { 0.2651, 0.6431, 40, 490, 1, "X" }, --1.6.29  > SnowmanDK
    { 0.2682, 0.6861, 40, 490, 1, "X" }, --1.6.37  > QuadroTony
    { 0.2752, 0.6639, 30, 843, 1, "12" }, --1.6.29 > SnowmanDK
    { 0.2771, 0.6913, 30, 843, 1, "12" }, --1.6.29 > SnowmanDK
    { 0.2771, 0.6913, 30, 844, 1, "6" }, --1.6.29  > SnowmanDK
    { 0.2818, 0.6541, 40, 490, 1, "X" }, --1.6.29  > SnowmanDK
    { 0.2892, 0.6305, 40, 490, 1, "X" }, --1.6.29  > SnowmanDK
    { 0.2929, 0.8510, 40, 490, 1, "X" }, --1.6.29  > SnowmanDK
    { 0.2939, 0.7015, 40, 490, 1, "X" }, --1.6.29  > SnowmanDK
    { 0.2988, 0.8421, 40, 490, 1, "X" }, --1.6.29  > SnowmanDK
    { 0.3004, 0.6134, 40, 490, 1, "X" }, --1.6.37  > QuadroTony
    { 0.3024, 0.7150, 40, 490, 1, "X" }, --1.6.37  > QuadroTony
    { 0.3037, 0.7065, 30, 844, 1, "6" }, --1.6.29  > SnowmanDK
    { 0.3058, 0.8151, 40, 490, 1, "X" }, --1.6.29  > SnowmanDK
    { 0.3070, 0.6137, 40, 490, 1, "X" }, --1.6.37  > QuadroTony
    { 0.3164, 0.8135, 40, 490, 1, "X" }, --1.6.29  > SnowmanDK
    { 0.3444, 0.8293, 40, 490, 1, "X" }, --1.6.29  > SnowmanDK
    { 0.3576, 0.5062, 20, 999999, 1, "X" }, --0.4.2   >
    { 0.3615, 0.7805, 40, 490, 1, "X" }, --1.6.29  > SnowmanDK
    { 0.3651, 0.5639, 30, 848, 1, "12" }, --1.6.29 > SnowmanDK
    { 0.3693, 0.5755, 40, 490, 1, "X" }, --1.6.37  > QuadroTony
    { 0.3742, 0.7132, 20, 999999, 1, "X" }, --0.4.4   >
    { 0.3804, 0.7849, 40, 490, 1, "X" }, --1.6.29  > SnowmanDK
    { 0.3816, 0.8360, 40, 490, 1, "X" }, --1.6.29  > SnowmanDK
    { 0.3995, 0.6252, 30, 844, 1, "2" }, --1.6.29  > SnowmanDK
    { 0.4061, 0.8087, 40, 490, 1, "X" }, --1.6.43  > QuadroTony
    { 0.4071, 0.6214, 40, 490, 1, "X" }, --1.6.37  > QuadroTony
    { 0.4129, 0.7830, 40, 490, 1, "X" }, --1.6.29  > SnowmanDK
    { 0.4386, 0.7388, 30, 842, 1, "4" }, --1.6.29  > SnowmanDK
    { 0.4395, 0.7513, 1, 872, 1, "X" }, --0.5.2   >
    { 0.4685, 0.4075, 1, 872, 1, "X" }, --0.3.3   > Keyron74
    { 0.5070, 0.7007, 9, 704, 1, "X" }, --1.2.12  > SnowmanDK/xVOLx
    { 0.5544, 0.4082, 1, 872, 1, "X" }, --2.0.12  > Romahkiin
    { 0.5606, 0.7378, 40, 490, 1, "X" }, --1.6.29  > SnowmanDK
    { 0.5680, 0.6595, 40, 490, 1, "X" }, --1.6.37  > QuadroTony
    { 0.5680, 0.7253, 30, 847, 1, "3" }, --1.4.2   > SnowmanDK
    { 0.5697, 0.7302, 40, 490, 1, "X" }, --1.6.29  > SnowmanDK
    { 0.5711, 0.4141, 40, 490, 1, "X" }, --1.6.29  > SnowmanDK
    { 0.5819, 0.6535, 40, 490, 1, "X" }, --1.6.29  > SnowmanDK
    { 0.5829, 0.6729, 40, 490, 1, "X" }, --1.6.29  > SnowmanDK
    { 0.5874, 0.7485, 30, 841, 1, "1" }, --1.4.2   > SnowmanDK
    { 0.5904, 0.5529, 40, 490, 1, "X" }, --1.6.29  > SnowmanDK
    { 0.5904, 0.6857, 30, 848, 1, "2" }, --1.4.2   > SnowmanDK
    { 0.5912, 0.7432, 23, 999999, 1, "X" }, --1.0.0   >
    { 0.5912, 0.7432, 30, 846, 1, "12" }, --1.4.2  > SnowmanDK
    { 0.5921, 0.5570, 30, 844, 1, "2" }, --1.6.29  > SnowmanDK
    { 0.6003, 0.5459, 40, 490, 1, "X" }, --1.6.29  > SnowmanDK
    { 0.6027, 0.7028, 40, 490, 1, "X" }, --1.6.37  > QuadroTony
    { 0.6027, 0.7058, 30, 844, 1, "2" }, --1.4.2   > SnowmanDK
    { 0.6104, 0.7002, 40, 490, 1, "X" }, --1.6.29  > SnowmanDK
    { 0.6190, 0.5462, 40, 490, 1, "X" }, --1.6.37  > QuadroTony
    { 0.6232, 0.4279, 40, 490, 1, "X" }, --1.6.29  > SnowmanDK
    { 0.6238, 0.4548, 40, 490, 1, "X" }, --1.6.37  > QuadroTony
    { 0.6245, 0.3895, 40, 490, 1, "X" }, --1.6.29  > SnowmanDK
    { 0.6380, 0.3751, 40, 490, 1, "X" }, --1.6.29  > SnowmanDK
    { 0.6614, 0.7261, 30, 844, 1, "2" }, --1.4.2   > SnowmanDK
    { 0.6619, 0.5252, 40, 490, 1, "X" }, --1.6.37  > QuadroTony
    { 0.6652, 0.6642, 30, 844, 1, "2" }, --1.4.2   > SnowmanDK
    { 0.6739, 0.5148, 40, 490, 1, "X" }, --1.6.37  > QuadroTony
    { 0.6741, 0.6986, 30, 848, 1, "2" }, --1.6.29  > SnowmanDK
    { 0.6747, 0.4927, 40, 490, 1, "X" }, --1.6.37  > QuadroTony
    { 0.6821, 0.6443, 1, 872, 1, "X" }, --0.3.3   > Keyron74
    { 0.6937, 0.8196, 30, 848, 1, "5" }, --1.6.29  > SnowmanDK
    { 0.6974, 0.6749, 40, 490, 1, "X" }, --1.6.29  > SnowmanDK
    { 0.6995, 0.8454, 30, 848, 1, "4" }, --1.6.29  > SnowmanDK
    { 0.7005, 0.8504, 40, 490, 1, "X" }, --1.6.37  > QuadroTony
    { 0.7091, 0.6894, 40, 490, 1, "X" }, --1.6.29  > SnowmanDK
    { 0.7115, 0.6352, 30, 847, 1, "12" }, --1.4.2  > SnowmanDK
    { 0.7115, 0.6352, 40, 490, 1, "X" }, --1.4.2   > SnowmanDK
    { 0.7171, 0.5078, 40, 490, 1, "X" }, --1.6.37  > QuadroTony
    { 0.7295, 0.8229, 40, 490, 1, "X" }, --1.6.37  > QuadroTony
    { 0.7301, 0.7805, 30, 848, 1, "4" }, --1.6.29  > SnowmanDK
    { 0.7318, 0.8373, 30, 848, 1, "45" }, --1.6.29 > SnowmanDK
    { 0.7500, 0.8083, 30, 848, 1, "5" }, --1.6.29  > SnowmanDK
  },
  ----Coldperch Cavern
  ["coldperchcavern_base_0"] = {
    { 0.1592, 0.7017, 14, 1250, 1, "15" }, --1.7.55 > SnowmanDK
  },
  ----Craglorn
  ["craglorn_base_0"] = {
    { 0.1111, 0.3293, 30, 842, 1, "6" },
    { 0.1885, 0.3962, 43, 916, 1, "X" },
    { 0.1917, 0.4122, 43, 916, 1, "X" },
    { 0.1970, 0.3757, 43, 916, 1, "X" },
    { 0.2057, 0.4181, 43, 916, 1, "X" },
    { 0.2073, 0.4044, 43, 916, 1, "X" },
    { 0.2110, 0.4727, 41, 916, 1, "X" },
    { 0.2126, 0.3948, 43, 916, 1, "X" },
    { 0.2177, 0.4108, 43, 916, 1, "X" },
    { 0.2186, 0.4031, 43, 916, 1, "X" },
    { 0.2253, 0.3930, 41, 916, 1, "X" },
    { 0.3072, 0.5447, 43, 916, 1, "X" },
    { 0.3154, 0.5500, 43, 916, 1, "X" },
    { 0.3228, 0.5380, 43, 916, 1, "X" },
    { 0.3263, 0.3813, 41, 916, 1, "X" },
    { 0.3269, 0.5567, 43, 916, 1, "X" },
    { 0.3352, 0.5633, 43, 916, 1, "X" },
    { 0.3392, 0.4324, 41, 916, 1, "X" },
    { 0.3437, 0.4954, 41, 916, 1, "X" },
    { 0.3443, 0.5470, 43, 916, 1, "X" },
    { 0.3455, 0.5565, 43, 916, 1, "X" },
    { 0.3457, 0.5269, 41, 916, 1, "X" },
    { 0.3459, 0.4845, 41, 916, 1, "X" },
    { 0.3464, 0.4561, 41, 916, 1, "X" },
    { 0.3471, 0.5207, 41, 916, 1, "X" },
    { 0.3922, 0.4216, 41, 916, 1, "X" },
    { 0.3954, 0.4069, 41, 916, 1, "X" },
    { 0.3999, 0.3712, 41, 916, 1, "X" },
    { 0.4001, 0.3345, 41, 916, 1, "X" },
    { 0.4007, 0.2618, 41, 916, 1, "X" },
    { 0.4022, 0.3845, 41, 916, 1, "X" },
    { 0.4024, 0.3957, 41, 916, 1, "X" },
    { 0.4046, 0.4380, 41, 916, 1, "X" },
    { 0.4047, 0.3203, 41, 916, 1, "X" },
    { 0.4297, 0.4777, 43, 916, 1, "X" },
    { 0.4412, 0.4687, 23, 999999, 1, "X" },
    { 0.4412, 0.4687, 30, 846, 1, "12" },
    { 0.4449, 0.4895, 43, 916, 1, "X" },
    { 0.4477, 0.4683, 43, 916, 1, "X" },
    { 0.4479, 0.4807, 43, 916, 1, "X" },
    { 0.4535, 0.4734, 43, 916, 1, "X" },
    { 0.4563, 0.4855, 43, 916, 1, "X" },
    { 0.4668, 0.5026, 41, 916, 1, "X" },
    { 0.5291, 0.3741, 41, 916, 1, "X" },
    { 0.5344, 0.3637, 41, 916, 1, "X" },
    { 0.5360, 0.7348, 43, 916, 1, "X" },
    { 0.5361, 0.6337, 41, 916, 1, "X" },
    { 0.5374, 0.6470, 41, 916, 1, "X" },
    { 0.5396, 0.6264, 41, 916, 1, "X" },
    { 0.5404, 0.3542, 41, 916, 1, "X" },
    { 0.5430, 0.6169, 41, 916, 1, "X" },
    { 0.5453, 0.6553, 41, 916, 1, "X" },
    { 0.5460, 0.6683, 41, 916, 1, "X" },
    { 0.5462, 0.6799, 41, 916, 1, "X" },
    { 0.5464, 0.5394, 41, 916, 1, "X" },
    { 0.5473, 0.4554, 43, 916, 1, "X" },
    { 0.5483, 0.6061, 41, 916, 1, "X" },
    { 0.5493, 0.4725, 43, 916, 1, "X" },
    { 0.5494, 0.6495, 41, 916, 1, "X" },
    { 0.5513, 0.6758, 8, 1121, 1, "X" },
    { 0.5524, 0.7321, 43, 916, 1, "X" },
    { 0.5542, 0.5946, 41, 916, 1, "X" },
    { 0.5562, 0.7399, 43, 916, 1, "X" },
    { 0.5569, 0.6432, 41, 916, 1, "X" },
    { 0.5586, 0.6925, 41, 916, 1, "X" },
    { 0.5640, 0.7236, 41, 916, 1, "X" },
    { 0.5641, 0.7287, 43, 916, 1, "X" },
    { 0.5643, 0.6404, 41, 916, 1, "X" },
    { 0.5643, 0.7027, 41, 916, 1, "X" },
    { 0.5650, 0.7166, 41, 916, 1, "X" },
    { 0.5772, 0.7511, 43, 916, 1, "X" },
    { 0.5804, 0.7656, 43, 916, 1, "X" },
    { 0.5866, 0.7594, 43, 916, 1, "X" },
    { 0.5901, 0.7427, 43, 916, 1, "X" },
    { 0.6070, 0.7457, 43, 916, 1, "X" },
    { 0.6111, 0.5173, 30, 847, 1, "134" },
    { 0.6854, 0.6001, 23, 999999, 1, "X" },
    { 0.6854, 0.6001, 30, 846, 1, "12" },
    { 0.6917, 0.5444, 43, 916, 1, "X" },
    { 0.7228, 0.5522, 43, 916, 1, "X" },
    { 0.7351, 0.5745, 42, 916, 1, "X" },
    { 0.7363, 0.5679, 42, 916, 1, "X" },
    { 0.7537, 0.6887, 43, 916, 1, "X" },
    { 0.7556, 0.7083, 43, 916, 1, "X" },
    { 0.7588, 0.5752, 20, 999999, 1, "X" },
    { 0.7809, 0.7259, 41, 916, 1, "X" },
    { 0.8167, 0.7279, 41, 916, 1, "X" },
    { 0.8170, 0.5720, 41, 916, 1, "X" },
    { 0.8173, 0.5799, 41, 916, 1, "X" },
    { 0.8264, 0.6775, 40, 916, 1, "X" },
    { 0.8266, 0.6020, 41, 916, 1, "X" },
    { 0.8366, 0.7285, 41, 916, 1, "X" },
    { 0.8378, 0.6296, 41, 916, 1, "X" },
    { 0.8385, 0.6735, 41, 916, 1, "X" },
    { 0.8585, 0.6352, 41, 916, 1, "X" },
    { 0.8709, 0.6629, 41, 916, 1, "X" },
  },
  ----Crosswych
  ["crosswych_base_0"] = {
    { 0.6673, 0.4881, 41, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.7669, 0.5978, 41, 471, 1, "X" }, --1.4.20  > SnowmanDK
  },
  ----Daggerfall
  ["daggerfall_base_0"] = {
    { 0.0838, 0.3798, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.0964, 0.3419, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.1336, 0.2818, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.2151, 0.1409, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.3020, 0.5143, 16, 1380, 1, "1" }, --2.0.24  > SnowmanDK
    { 0.4194, 0.6124, 43, 471, 1, "X" }, --1.6.39  > QuadroTony
    { 0.4405, 0.6694, 43, 471, 1, "X" }, --1.6.39  > QuadroTony
    { 0.4531, 0.5098, 41, 471, 1, "X" }, --1.7.33  > SnowmanDK
    { 0.4715, 0.0120, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.5080, 0.2931, 9, 704, 1, "X" }, --1.2.12  > SnowmanDK/xVOLx
    { 0.5173, 0.8438, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.6803, 0.5194, 40, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.6917, 0.9121, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.7575, 0.2007, 41, 471, 1, "X" }, --1.6.39  > QuadroTony
    { 0.7656, 0.8802, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.7666, 0.3820, 41, 471, 1, "X" }, --1.4.20  > SnowmanDK
  },
  ----Davon's Watch
  ["davonswatch_base_0"] = {
    { 0.6552, 0.7823, 2, 767167, 1, "X" }, --1.2.4   > Llewellyn
    { 0.7984, 0.4800, 9, 704, 1, "X" }, --1.2.12  > SnowmanDK/xVOLx
  },
  ----Deshaan
  ["deshaan_base_0"] = {
    { 0.1293, 0.4961, 43, 478, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.1399, 0.5110, 43, 478, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.1439, 0.4850, 43, 478, 1, "X" }, --1.6.32  > SnowmanDK
    { 0.1467, 0.4912, 43, 478, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.1544, 0.4759, 43, 478, 1, "X" }, --1.6.32  > SnowmanDK
    { 0.1586, 0.3915, 2, 767167, 1, "X" }, --0.9.3   >
    { 0.1586, 0.5111, 43, 478, 1, "X" }, --1.6.32  > SnowmanDK
    { 0.1698, 0.4976, 43, 478, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.2055, 0.4578, 41, 478, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.2273, 0.5115, 2, 767167, 1, "X" }, --0.8.7   >
    { 0.2426, 0.4939, 41, 478, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.2593, 0.5290, 43, 478, 1, "X" }, --1.6.32  > SnowmanDK
    { 0.2604, 0.5210, 41, 478, 1, "X" }, --1.6.32  > SnowmanDK
    { 0.2684, 0.5211, 43, 478, 1, "X" }, --1.6.32  > SnowmanDK
    { 0.2686, 0.5291, 43, 478, 1, "X" }, --1.6.32  > SnowmanDK
    { 0.2786, 0.5259, 43, 478, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.2858, 0.5282, 43, 478, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.2865, 0.5490, 43, 478, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.3042, 0.5744, 41, 478, 1, "X" }, --1.6.37  > QuadroTony
    { 0.3042, 0.6401, 40, 478, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.3046, 0.5681, 23, 999999, 1, "X" }, --1.0.0   >
    { 0.3046, 0.5681, 30, 846, 1, "12" }, --1.4.2  > SnowmanDK
    { 0.3310, 0.5527, 23, 999999, 1, "X" }, --1.0.0   >
    { 0.3310, 0.5527, 30, 846, 1, "12" }, --1.4.2  > SnowmanDK
    { 0.3417, 0.5963, 41, 478, 1, "X" }, --1.6.37  > QuadroTony
    { 0.3432, 0.6341, 41, 478, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.3560, 0.6182, 41, 478, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.3631, 0.6202, 41, 478, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.3709, 0.6006, 41, 478, 1, "X" }, --1.6.32  > SnowmanDK
    { 0.3746, 0.5582, 43, 478, 1, "X" }, --1.6.32  > SnowmanDK
    { 0.3778, 0.5793, 41, 478, 1, "X" }, --1.6.32  > SnowmanDK
    { 0.3811, 0.3940, 41, 478, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.3846, 0.6049, 2, 767167, 1, "X" }, --0.3.7   > Hrazmadul
    { 0.3849, 0.5513, 43, 478, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.4022, 0.5681, 43, 478, 1, "X" }, --1.6.37  > QuadroTony
    { 0.4047, 0.5496, 9, 704, 1, "X" }, --1.2.12  > SnowmanDK/xVOLx
    { 0.4139, 0.3985, 1, 872, 1, "X" }, --0.5.3   > SnowmanDK
    { 0.4152, 0.4674, 41, 478, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.4162, 0.4869, 41, 478, 1, "X" }, --1.7.9 > StrangerFull
    { 0.4516, 0.3850, 23, 999999, 1, "X" }, --1.0.0   >
    { 0.4516, 0.3850, 30, 846, 1, "12" }, --1.4.2  > SnowmanDK
    { 0.4540, 0.5240, 16, 1381, 1, "2" }, --2.0.24  > SnowmanDK
    { 0.4574, 0.5063, 43, 478, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.4662, 0.4187, 41, 478, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.4936, 0.4418, 41, 478, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.5035, 0.4557, 41, 478, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.5093, 0.4360, 41, 478, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.5637, 0.4070, 41, 478, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.5703, 0.5028, 1, 872, 1, "X" }, --0.5.1   >
    { 0.5774, 0.5228, 30, 842, 1, "5" }, --1.4.2   > SnowmanDK
    { 0.5800, 0.5705, 30, 842, 1, "8" }, --1.4.2   > SnowmanDK
    { 0.5857, 0.5608, 43, 478, 1, "X" }, --1.6.32  > SnowmanDK
    { 0.6287, 0.5198, 30, 842, 1, "8" }, --1.4.2   > SnowmanDK
    { 0.6346, 0.6030, 30, 842, 1, "8" }, --1.4.2   > SnowmanDK
    { 0.6422, 0.5686, 41, 478, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.6478, 0.5067, 43, 478, 1, "X" }, --1.6.32  > SnowmanDK
    { 0.6566, 0.5251, 43, 478, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.6622, 0.5859, 41, 478, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.6626, 0.5474, 41, 478, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.6646, 0.5554, 30, 838, 1, "6" }, --1.4.2   > SnowmanDK
    { 0.6706, 0.5777, 40, 478, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.6773, 0.5509, 30, 841, 1, "6" }, --1.4.2   > SnowmanDK
    { 0.6794, 0.5445, 1, 872, 1, "X" }, --1.6.15  > thifi
    { 0.6838, 0.5709, 30, 838, 1, "6" }, --1.4.2   > SnowmanDK
    { 0.6891, 0.6107, 30, 838, 1, "6" }, --1.4.2   > SnowmanDK
    { 0.7067, 0.6083, 30, 841, 1, "6" }, --1.4.2   > SnowmanDK
    { 0.7207, 0.4067, 2, 767167, 1, "X" }, --0.4.3   >
    { 0.7316, 0.5743, 41, 478, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.7382, 0.4104, 41, 478, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.7473, 0.5415, 43, 478, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.7693, 0.5720, 41, 478, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.7765, 0.5584, 41, 478, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.7789, 0.4229, 41, 478, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.7879, 0.5117, 30, 842, 1, "8" }, --1.4.2   > SnowmanDK
    { 0.7899, 0.5172, 43, 478, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.7900, 0.5852, 23, 999999, 1, "X" }, --1.0.0   >
    { 0.7900, 0.5852, 30, 846, 1, "12" }, --1.4.2  > SnowmanDK
    { 0.8004, 0.5053, 43, 478, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.8031, 0.5307, 2, 767167, 1, "X" }, --0.5.2   > SnowmanDK
    { 0.8177, 0.4196, 42, 478, 1, "X" }, --1.6.37  > QuadroTony
    { 0.8342, 0.4896, 43, 478, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.8393, 0.4351, 42, 478, 1, "X" }, --1.6.37  > QuadroTony
    { 0.8416, 0.5575, 30, 842, 1, "5" }, --1.4.2   > SnowmanDK
    { 0.8608, 0.4216, 42, 478, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.8667, 0.5283, 30, 842, 1, "8" }, --1.4.2   > SnowmanDK
    { 0.8784, 0.5570, 42, 478, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.8952, 0.4781, 42, 478, 1, "X" }, --1.6.37  > QuadroTony
    { 0.8959, 0.5279, 42, 478, 1, "X" }, --1.6.37  > QuadroTony
    { 0.9041, 0.3920, 30, 848, 1, "1" }, --1.4.2   > SnowmanDK
    { 0.9045, 0.5398, 43, 478, 1, "X" }, --1.6.32  > SnowmanDK
    { 0.9087, 0.5471, 1, 872, 1, "X" }, --1.7.40  > Phillip Stolić
    { 0.9100, 0.4427, 42, 478, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.9356, 0.4577, 42, 478, 1, "X" }, --1.4.0   > SnowmanDK
  },
  ----Dune
  ["dune_base_0"] = {
    { 0.3433, 0.1606, 21, 999999, 1, "X" }, --1.0.3   >
    { 0.6565, 0.3599, 43, 486, 1, "X" }, --1.6.36  > QuadroTony
    { 0.6904, 0.2291, 43, 486, 1, "X" }, --1.6.36  > QuadroTony
  },
  ----Eastmarch
  ["eastmarch_base_0"] = {
    { 0.2116, 0.6447, 41, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.2172, 0.6791, 41, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.2285, 0.6528, 41, 480, 1, "X" }, --1.7.8   > StrangerFull
    { 0.2414, 0.6258, 41, 480, 1, "X" }, --1.7.8   > SnowmanDK
    { 0.2732, 0.5336, 41, 480, 1, "X" }, --1.7.7   > StrangerFull
    { 0.2965, 0.5259, 41, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.3039, 0.6314, 43, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.3108, 0.3300, 41, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.3115, 0.5874, 30, 842, 1, "5" }, --1.4.1   > SnowmanDK
    { 0.3184, 0.4804, 41, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.3221, 0.6546, 30, 842, 1, "5" }, --1.4.1   > SnowmanDK
    { 0.3300, 0.6655, 41, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.3314, 0.6873, 41, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.3330, 0.5700, 2, 767167, 1, "X" }, --0.3.5   > Hrazmadul
    { 0.3498, 0.4910, 30, 842, 1, "5" }, --1.4.1   > SnowmanDK
    { 0.3501, 0.5056, 41, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.3559, 0.3277, 41, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.3596, 0.5029, 41, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.3648, 0.3220, 41, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.3703, 0.5881, 30, 842, 1, "5" }, --1.4.1   > SnowmanDK
    { 0.3802, 0.6114, 43, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.3866, 0.6279, 43, 480, 1, "X" }, --1.7.7   > StrangerFull
    { 0.3889, 0.3548, 41, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.3896, 0.5905, 43, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.3958, 0.6327, 43, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.3985, 0.3907, 30, 842, 1, "5" }, --1.4.1   > SnowmanDK
    { 0.4161, 0.3311, 2, 767167, 1, "X" }, --0.5.5   >
    { 0.4179, 0.6556, 1, 872, 1, "X" }, --0.9.0   >
    { 0.4203, 0.4762, 40, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.4255, 0.4841, 40, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.4355, 0.4635, 40, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.4553, 0.4802, 40, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.4577, 0.5836, 40, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.4601, 0.5498, 40, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.4602, 0.5717, 40, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.4661, 0.3317, 41, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.4698, 0.5803, 40, 480, 1, "X" }, --1.7.7   > StrangerFull
    { 0.4747, 0.5513, 40, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.4920, 0.3480, 2, 767167, 1, "X" }, --0.3.1   > Noruas
    { 0.4932, 0.4433, 43, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.4977, 0.5352, 40, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.4979, 0.2857, 16, 1381, 1, "4" }, --2.0.24  > SnowmanDK
    { 0.4988, 0.4290, 43, 480, 1, "X" }, --1.6.38  > QuadroTony
    { 0.5004, 0.5090, 40, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.5085, 0.2938, 9, 704, 1, "X" }, --1.2.12  > SnowmanDK/xVOLx
    { 0.5092, 0.5453, 40, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.5125, 0.4961, 2, 767167, 1, "X" }, --0.9.3   >
    { 0.5135, 0.4317, 43, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.5236, 0.6003, 40, 480, 1, "X" }, --1.6.38  > QuadroTony
    { 0.5305, 0.3714, 23, 999999, 1, "X" }, --1.0.0   >
    { 0.5305, 0.3714, 30, 846, 1, "12" }, --1.4.2  > SnowmanDK
    { 0.5346, 0.2818, 42, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.5346, 0.2819, 42, 480, 1, "X" }, --1.6.38  > QuadroTony
    { 0.5407, 0.2842, 42, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.5417, 0.5911, 40, 480, 1, "X" }, --1.6.38  > QuadroTony
    { 0.5444, 0.2770, 42, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.5447, 0.2777, 42, 480, 1, "X" }, --1.6.38  > QuadroTony
    { 0.5530, 0.2639, 42, 480, 1, "X" }, --1.6.38  > QuadroTony
    { 0.5534, 0.2291, 1, 872, 1, "X" }, --0.4.1   >
    { 0.5538, 0.2327, 42, 480, 1, "X" }, --1.7.7   > StrangerFull
    { 0.5564, 0.2262, 42, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.5609, 0.2404, 42, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.5644, 0.6346, 43, 480, 1, "X" }, --1.6.38  > QuadroTony
    { 0.5751, 0.5131, 1, 872, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.5781, 0.2362, 42, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.5958, 0.2364, 42, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.5983, 0.5359, 30, 844, 1, "3" }, --1.4.2   > SnowmanDK
    { 0.6036, 0.2422, 42, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.6136, 0.6181, 2, 767167, 1, "X" }, --0.3.7   >
    { 0.6203, 0.5511, 43, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.6495, 0.5100, 23, 999999, 1, "X" }, --1.0.0   >
    { 0.7934, 0.5256, 43, 480, 1, "X" }, --1.6.38  > QuadroTony
    { 0.7939, 0.4767, 43, 480, 1, "X" }, --1.6.38  > QuadroTony
    { 0.7978, 0.5077, 43, 480, 1, "X" }, --1.6.38  > QuadroTony
  },
  ----Ebonheart
  ["ebonheart_base_0"] = {
    { 0.1686, 0.6566, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.2800, 0.4156, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.3009, 0.3667, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.3314, 0.7969, 42, 477, 1, "X" }, --1.7.39  > SnowmanDK
    { 0.3487, 0.8385, 42, 477, 1, "X" }, --1.7.30  > SnowmanDK
    { 0.3572, 0.5019, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.3804, 0.9705, 41, 477, 1, "X" }, --1.7.30  > SnowmanDK
    { 0.3876, 0.3752, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.5392, 0.0634, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.5472, 0.2756, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.5865, 0.9135, 41, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.4795, 0.5099, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.6277, 0.4097, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.7044, 0.4310, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.7131, 0.7635, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.7569, 0.1591, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.7647, 0.2329, 40, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.7686, 0.5894, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.7791, 0.2071, 30, 842, 1, "5" }, --1.4.2   > SnowmanDK
    { 0.9032, 0.0396, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.9499, 0.6654, 40, 477, 1, "X" }, --1.4.0   > SnowmanDK
  },
  ----Elden Root
  ["eldenrootgroundfloor_base_0"] = {
    { 0.1293, 0.1852, 43, 484, 1, "X" }, --1.7.40  > Eiagra
    { 0.1582, 0.2358, 43, 484, 1, "X" }, --1.7.40  > Eiagra
    { 0.2224, 0.8702, 2, 767167, 1, "X" }, --0.9.1   >
    { 0.2801, 0.6429, 43, 484, 1, "X" }, --1.7.40  > Eiagra
    { 0.3406, 0.2281, 43, 484, 1, "X" }, --1.7.40  > Eiagra
    { 0.3436, 0.6152, 20, 999999, 1, "X" }, --0.8.2   >
    { 0.3741, 0.8093, 16, 1379, 1, "2" }, --2.0.24  > SnowmanDK
    { 0.3902, 0.1226, 43, 484, 1, "X" }, --1.7.40  > SnowmanDK
    { 0.4913, 0.1404, 43, 484, 1, "X" }, --1.7.40  > SnowmanDK
    { 0.5585, 0.6815, 9, 704, 1, "X" }, --1.2.12  > SnowmanDK/xVOLx
    { 0.5839, 0.6228, 43, 484, 1, "X" }, --1.7.40  > Eiagra
    { 0.6246, 0.7605, 43, 484, 1, "X" }, --1.7.40  > Eiagra
    { 0.6977, 0.0429, 43, 484, 1, "X" }, --1.7.40  > Eiagra
    { 0.7023, 0.6209, 43, 484, 1, "X" }, --1.7.40  > Eiagra
    { 0.7063, 0.1520, 41, 484, 1, "X" }, --1.7.40  > SnowmanDK
    { 0.7258, 0.7720, 3, 716, 1, "X" }, --0.8.2   >
    { 0.7359, 0.4726, 43, 484, 1, "X" }, --1.7.40  > Eiagra
    { 0.7703, 0.0351, 43, 484, 1, "X" }, --1.7.40  > Eiagra
    { 0.8144, 0.7162, 43, 484, 1, "X" }, --1.7.40  > Eiagra
    { 0.9085, 0.6260, 43, 484, 1, "X" }, --1.7.40  > SnowmanDK
    { 0.9390, 0.5147, 43, 484, 1, "X" }, --1.7.40  > Eiagra
  },
  ----Evermore
  ["evermore_base_0"] = {
    { 0.0571, 0.8453, 42, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.1593, 0.5543, 42, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.2234, 0.8143, 42, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.2697, 0.6995, 42, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.2703, 0.4738, 42, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.3026, 0.2854, 42, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.3833, 0.4340, 16, 1380, 1, "5" }, --2.0.24  > SnowmanDK
    { 0.4030, 0.1791, 42, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.4283, 0.3930, 9, 704, 1, "X" }, --1.2.12  > SnowmanDK/xVOLx
    { 0.7066, 0.0410, 42, 475, 1, "X" }, --1.6.9   > SnowmanDK
  },

  ["fardirsfolly_base_0"] = {
    { 0.7348, 0.2899, 20, 999999, 1, "X" }, --1.6.45  > SnowmanDK
  },
  ----Firsthold
  ["firsthold_base_0"] = {
    { 0.2389, 0.8189, 41, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.3460, 0.0852, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.3891, 0.4454, 41, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.4927, 0.7800, 41, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.6202, 0.0274, 30, 841, 1, "2" }, --1.6.28  > SnowmanDK
    { 0.7377, 0.0772, 30, 842, 1, "5" }, --1.6.28  > SnowmanDK
    { 0.8189, 0.6371, 43, 483, 1, "X" }, --1.6.28  > SnowmanDK
  },
  ----Fort Amol
  ["fortamol_base_0"] = {
    { 0.0909, 0.6862, 41, 480, 1, "X" }, --1.7.8   > StrangerFull
    { 0.1957, 0.4668, 41, 480, 1, "X" }, --1.7.8   > SnowmanDK
    { 0.7042, 0.5125, 43, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.7660, 0.1544, 30, 842, 1, "5" }, --1.4.1   > SnowmanDK
    { 0.8514, 0.7012, 30, 842, 1, "5" }, --1.4.1   > SnowmanDK
    { 0.9163, 0.7898, 41, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.9276, 0.9670, 41, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.9477, -0.004, 2, 767167, 1, "X" }, --0.9.1   >
  },
  ----Gandranen
  ["gandranen_base_0"] = {
    { 0.7738, 0.6073, 20, 999999, 1, "X" }, --1.4.19  > SnowmanDK
  },
  ----Glenumbra
  ["glenumbra_base_0"] = {
    { 0.1933, 0.7411, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.1942, 0.4398, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.1959, 0.7332, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.1971, 0.5883, 42, 471, 1, "X" }, --1.6.39  > QuadroTony
    { 0.2011, 0.5983, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.2012, 0.4155, 30, 842, 1, "5" }, --1.4.20  > SnowmanDK
    { 0.2035, 0.7206, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.2105, 0.5151, 42, 471, 1, "X" }, --1.6.39  > QuadroTony
    { 0.2203, 0.6911, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.2376, 0.6008, 42, 471, 1, "X" }, --1.6.39  > QuadroTony
    { 0.2378, 0.4997, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.2382, 0.7693, 16, 1380, 1, "1" }, --2.0.24  > SnowmanDK
    { 0.2438, 0.4626, 42, 471, 1, "X" }, --1.6.39  > QuadroTony
    { 0.2510, 0.5708, 30, 844, 1, "7" }, --1.4.20  > SnowmanDK
    { 0.2538, 0.6404, 30, 842, 1, "5" }, --1.4.20  > SnowmanDK
    { 0.2563, 0.4665, 1, 872, 1, "X" }, --1.4.20  > snowglass
    { 0.2624, 0.7898, 43, 471, 1, "X" }, --1.6.39  > QuadroTony
    { 0.2643, 0.6502, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.2667, 0.3883, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.2667, 0.8018, 43, 471, 1, "X" }, --1.6.39  > QuadroTony
    { 0.2693, 0.7683, 41, 471, 1, "X" }, --1.7.33  > SnowmanDK
    { 0.2731, 0.6641, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.2806, 0.7230, 9, 704, 1, "X" }, --1.2.12  > SnowmanDK/xVOLx
    { 0.2825, 0.8383, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.2893, 0.6045, 30, 844, 1, "7" }, --1.4.2   > SnowmanDK
    { 0.3148, 0.5069, 40, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.3160, 0.7704, 40, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.3161, 0.5203, 30, 838, 1, "34" }, --1.4.20 > SnowmanDK
    { 0.3161, 0.5203, 30, 843, 1, "6" }, --1.4.20  > SnowmanDK
    { 0.3181, 0.3403, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.3184, 0.8526, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.3319, 0.7036, 41, 471, 1, "X" }, --1.6.39  > QuadroTony
    { 0.3336, 0.8459, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.3338, 0.7416, 41, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.3347, 0.5332, 40, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.3405, 0.5300, 40, 471, 1, "X" }, --1.6.13  > StrangerFull
    { 0.3448, 0.5120, 40, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.3619, 0.3685, 2, 767167, 1, "X" }, --0.5.4   >
    { 0.3621, 0.7447, 2, 767167, 1, "X" }, --0.9.2   >
    { 0.3635, 0.3176, 30, 842, 1, "5" }, --1.4.20  > SnowmanDK
    { 0.3646, 0.8476, 1, 872, 1, "X" }, --1.2.2   > TerribleOne06
    { 0.3721, 0.3044, 42, 471, 1, "X" }, --1.6.39  > QuadroTony
    { 0.3973, 0.5213, 41, 471, 1, "X" }, --1.6.39  > QuadroTony
    { 0.4020, 0.5278, 41, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.4078, 0.5401, 41, 471, 1, "X" }, --1.6.39  > QuadroTony
    { 0.4092, 0.6969, 43, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.4127, 0.6824, 43, 471, 1, "X" }, --2.0.1   > Oliviander
    { 0.4228, 0.3991, 40, 471, 1, "X" }, --1.6.39  > QuadroTony
    { 0.4234, 0.6933, 30, 843, 1, "6" }, --1.4.20  > SnowmanDK
    { 0.4260, 0.5490, 43, 471, 1, "X" }, --1.6.13  > StrangerFull
    { 0.4316, 0.4568, 40, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.4322, 0.7316, 30, 843, 1, "14" }, --1.4.20 > SnowmanDK
    { 0.4377, 0.4360, 40, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.4411, 0.5675, 41, 471, 1, "X" }, --1.6.13  > StrangerFull
    { 0.4415, 0.5910, 43, 471, 1, "X" }, --1.6.13  > StrangerFull
    { 0.4424, 0.5879, 43, 471, 1, "X" }, --1.6.13  > StrangerFull
    { 0.4425, 0.4210, 40, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.4466, 0.6230, 43, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.4475, 0.5915, 43, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.4525, 0.4546, 40, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.4543, 0.5722, 41, 471, 1, "X" }, --1.6.13  > StrangerFull
    { 0.4549, 0.7827, 42, 471, 1, "X" }, --1.6.39  > QuadroTony
    { 0.4550, 0.4195, 40, 471, 1, "X" }, --1.6.13  > StrangerFull
    { 0.4553, 0.6093, 43, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.4609, 0.6187, 2, 767167, 1, "X" }, --0.6.2   >
    { 0.4642, 0.7889, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.4676, 0.4095, 30, 838, 1, "4" }, --1.4.20  > SnowmanDK
    { 0.4737, 0.2669, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.4814, 0.7798, 42, 471, 1, "X" }, --1.6.39  > QuadroTony
    { 0.4815, 0.4240, 40, 471, 1, "X" }, --1.6.13  > StrangerFull
    { 0.4826, 0.4399, 40, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.4882, 0.4969, 40, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.4947, 0.4431, 41, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.5004, 0.7739, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.5131, 0.6838, 42, 471, 1, "X" }, --1.7.7   > StrangerFull
    { 0.5295, 0.6587, 30, 843, 1, "4" }, --1.4.20  > SnowmanDK
    { 0.5311, 0.6783, 30, 842, 1, "5" }, --1.4.20  > SnowmanDK
    { 0.5412, 0.5155, 41, 471, 1, "X" }, --1.6.13  > StrangerFull
    { 0.5449, 0.4408, 41, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.5471, 0.7519, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.5521, 0.2119, 30, 842, 1, "5" }, --1.4.20  > SnowmanDK
    { 0.5527, 0.5219, 41, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.5553, 0.4955, 41, 471, 1, "X" }, --1.6.13  > StrangerFull
    { 0.5566, 0.6643, 42, 471, 1, "X" }, --1.6.39  > QuadroTony
    { 0.5598, 0.1841, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.5612, 0.5642, 43, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.5629, 0.5013, 30, 844, 1, "1" }, --1.4.2   > SnowmanDK
    { 0.5737, 0.3226, 1, 872, 1, "X" }, --0.5.2   > Keyron74
    { 0.5747, 0.3176, 40, 471, 1, "X" }, --1.6.39  > QuadroTony
    { 0.5762, 0.3742, 2, 767167, 1, "X" }, --0.8.7   >
    { 0.5769, 0.3223, 40, 471, 1, "X" }, --1.6.39  > QuadroTony
    { 0.5824, 0.4794, 30, 844, 1, "1" }, --1.4.20  > SnowmanDK
    { 0.5839, 0.4658, 41, 471, 1, "X" }, --1.7.36  > greenkwakman
    { 0.5857, 0.1225, 42, 471, 1, "X" }, --1.6.39  > QuadroTony
    { 0.5870, 0.5062, 41, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.5932, 0.4286, 41, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.6002, 0.5728, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.6002, 0.5974, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.6111, 0.5548, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.6186, 0.3897, 43, 471, 1, "X" }, --1.6.39  > QuadroTony
    { 0.6254, 0.2068, 43, 471, 1, "X" }, --1.6.39  > QuadroTony
    { 0.6341, 0.4255, 40, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.6352, 0.4879, 2, 767167, 1, "X" }, --0.8.7   >
    { 0.6456, 0.5152, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.6494, 0.4492, 40, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.6582, 0.3496, 43, 471, 1, "X" }, --1.6.39  > QuadroTony
    { 0.6586, 0.4852, 41, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.6607, 0.4595, 40, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.6672, 0.4207, 40, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.6736, 0.4441, 43, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.6780, 0.3827, 43, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.6847, 0.5395, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.6912, 0.3675, 30, 843, 1, "4" }, --1.4.20  > SnowmanDK
    { 0.6925, 0.5401, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.6972, 0.4849, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.7045, 0.4568, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.7054, 0.3205, 30, 838, 1, "4" }, --1.4.20  > SnowmanDK
    { 0.7175, 0.3618, 43, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.7336, 0.4200, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.7405, 0.2768, 43, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.7419, 0.3965, 43, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.7426, 0.1583, 43, 471, 1, "X" }, --1.6.39  > QuadroTony
    { 0.7427, 0.1582, 43, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.7510, 0.2954, 43, 471, 1, "X" }, --1.6.39  > QuadroTony
    { 0.7600, 0.3054, 43, 471, 1, "X" }, --1.6.39  > QuadroTony
    { 0.7618, 0.2459, 2, 767167, 1, "X" }, --0.5.2   >
    { 0.7626, 0.3158, 43, 471, 1, "X" }, --1.6.39  > QuadroTony
    { 0.7640, 0.3588, 43, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.7782, 0.3657, 30, 842, 1, "5" }, --1.4.20  > SnowmanDK
    { 0.7806, 0.3946, 1, 872, 1, "X" }, --2.0.30  > gvarnadoe
    { 0.8020, 0.3370, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.8026, 0.3049, 30, 842, 1, "5" }, --1.4.20  > SnowmanDK
    { 0.8039, 0.4006, 42, 471, 1, "X" }, --1.6.39  > QuadroTony
    { 0.8156, 0.3029, 42, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.8350, 0.1430, 41, 471, 1, "X" }, --1.4.20  > SnowmanDK
    { 0.8470, 0.2814, 42, 471, 1, "X" }, --1.6.39  > QuadroTony
    { 0.8516, 0.1613, 41, 471, 1, "X" }, --1.4.20  > SnowmanDK
  },
  ----Gold Coast
  ["goldcoast_base_0"] = {
    { 0.1682, 0.4225, 20, 999999, 1, "X" }, --2.0.22  > SnowmanDK
    { 0.1764, 0.3801, 42, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.1888, 0.3589, 42, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.1913, 0.4031, 42, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.1973, 0.3092, 42, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.2032, 0.2765, 42, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.2097, 0.2107, 42, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.2230, 0.2040, 40, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.2336, 0.2235, 40, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.2356, 0.2320, 40, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.2357, 0.2183, 40, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.2358, 0.2426, 40, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.2484, 0.1367, 41, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.2491, 0.4853, 42, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.2625, 0.1341, 41, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.2699, 0.1412, 41, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.2787, 0.1229, 41, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.2862, 0.1251, 41, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.2911, 0.1045, 41, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.3083, 0.0886, 41, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.3108, 0.0984, 41, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.4585, 0.5266, 43, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.4594, 0.7290, 42, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.4636, 0.5229, 43, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.4650, 0.5222, 43, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.4712, 0.5294, 43, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.4751, 0.5286, 43, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.4821, 0.7571, 42, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.5464, 0.7658, 42, 1431, 1, "X" }, --2.0.28  > SnowmanDK
    { 0.5877, 0.7549, 42, 1431, 1, "X" }, --2.0.28  > SnowmanDK
    { 0.6144, 0.3740, 20, 999999, 1, "X" }, --2.0.8   > SnowmanDK
    { 0.6911, 0.7377, 42, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.7568, 0.3778, 43, 1431, 1, "X" }, --2.0.26  > StrangerFull
    { 0.7668, 0.3873, 43, 1431, 1, "X" }, --2.0.24  > SnowmanDK
    { 0.7748, 0.7306, 42, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.7836, 0.3889, 43, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.7941, 0.3822, 43, 1431, 1, "X" }, --2.0.24  > SnowmanDK
    { 0.7955, 0.7093, 42, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.8018, 0.3737, 43, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.8419, 0.6778, 42, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.8630, 0.6650, 30, 842, 1, "5" }, --2.0.28  > SnowmanDK
    { 0.8842, 0.6583, 42, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.9115, 0.6295, 41, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.9224, 0.6193, 41, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.235188, 0.193560, 40, 1431, 1, "X" },
    { 0.2288, 0.1913, 40, 1431, 1, "X" },
    { 0.246604, 0.297976, 50, 0, 1, "X" }, -- SnowmanDK (goldcoast_base_0)(823) comment: Lonely_Sentinel
  },
  ----Grahtwood
  ["grahtwood_base_0"] = {
    { 0.2189, 0.1441, 40, 484, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.2201, 0.5556, 42, 484, 1, "X" }, --1.4.20  > Grtwhite
    { 0.2384, 0.1345, 40, 484, 1, "X" }, --2.0.30  > Tallarain
    { 0.2406, 0.5606, 42, 484, 1, "X" }, --1.4.20  > Grtwhite
    { 0.2515, 0.1454, 40, 484, 1, "X" }, --2.0.30  > Tallarain
    { 0.2530, 0.1677, 2, 767167, 1, "X" }, --0.9.1   > Balver
    { 0.2551, 0.5914, 42, 484, 1, "X" }, --1.4.20  > Grtwhite
    { 0.2700, 0.1875, 43, 484, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.2733, 0.1626, 41, 484, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.2753, 0.1732, 43, 484, 1, "X" }, --1.7.6   > StrangerFull
    { 0.2786, 0.3348, 1, 872, 1, "X" }, --0.9.3   >
    { 0.2796, 0.2507, 40, 484, 1, "X" }, --1.7.55  > SnowmanDK
    { 0.2859, 0.5624, 42, 484, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.3103, 0.1978, 43, 484, 1, "X" }, --1.7.6   > StrangerFull
    { 0.3141, 0.5648, 42, 484, 1, "X" }, --1.4.20  > Grtwhite
    { 0.3162, 0.2293, 3, 716, 1, "X" }, --0.3.5   > Hrazmadul
    { 0.3237, 0.1998, 41, 484, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.3297, 0.3921, 2, 767167, 1, "X" }, --0.9.1   >
    { 0.3308, 0.6101, 42, 484, 1, "X" }, --1.4.20  > Grtwhite
    { 0.3395, 0.5524, 42, 484, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.3396, 0.5527, 42, 484, 1, "X" }, --1.4.20  > Grtwhite
    { 0.3464, 0.5939, 42, 484, 1, "X" }, --1.4.20  > Grtwhite
    { 0.3502, 0.5601, 42, 484, 1, "X" }, --1.4.20  > Grtwhite
    { 0.3503, 0.5602, 42, 484, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.3589, 0.6295, 42, 484, 1, "X" }, --1.4.20  > Grtwhite
    { 0.3612, 0.3984, 41, 484, 1, "X" }, --1.7.40  > Eiagra
    { 0.3612, 0.7187, 42, 484, 1, "X" }, --1.4.20  > Grtwhite
    { 0.3615, 0.4982, 41, 484, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.3688, 0.4675, 43, 484, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.3730, 0.4870, 41, 484, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.3751, 0.5497, 43, 484, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.3814, 0.6802, 42, 484, 1, "X" }, --1.4.20  > Grtwhite
    { 0.3850, 0.4695, 43, 484, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.4006, 0.7165, 42, 484, 1, "X" }, --1.7.7   > StrangerFull
    { 0.4045, 0.4646, 41, 484, 1, "X" }, --1.7.40  > Eiagra
    { 0.4077, 0.6944, 42, 484, 1, "X" }, --1.4.20  > Grtwhite
    { 0.4115, 0.2524, 1, 872, 1, "X" }, --0.5.6   >
    { 0.4333, 0.2502, 43, 484, 1, "X" }, --2.0.30  > Tallarain
    { 0.4333, 0.5398, 30, 844, 1, "3" }, --1.4.2   > SnowmanDK
    { 0.4409, 0.8088, 42, 484, 1, "X" }, --2.0.30  > Tallarain
    { 0.4419, 0.4372, 43, 484, 1, "X" }, --1.7.40  > Eiagra
    { 0.4518, 0.2518, 1, 872, 1, "X" }, --0.4.1   >
    { 0.4525, 0.4273, 43, 484, 1, "X" }, --1.7.40  > Eiagra
    { 0.4563, 0.4482, 41, 484, 1, "X" }, --1.7.40  > Eiagra
    { 0.4764, 0.8156, 42, 484, 1, "X" }, --2.0.30  > Tallarain
    { 0.4837, 0.4295, 43, 484, 1, "X" }, --1.7.40  > Eiagra
    { 0.4900, 0.4406, 43, 484, 1, "X" }, --1.7.40  > Eiagra
    { 0.4915, 0.2454, 20, 999999, 1, "X" }, --1.4.28  > SnowmanDK
    { 0.5045, 0.5803, 2, 767167, 1, "X" }, --0.3.3   >
    { 0.5105, 0.8043, 42, 484, 1, "X" }, --2.0.30  > Tallarain
    { 0.5168, 0.5296, 43, 484, 1, "X" }, --1.7.40  > Eiagra
    { 0.5300, 0.4389, 43, 484, 1, "X" }, --1.7.40  > Eiagra
    { 0.5307, 0.5234, 20, 999999, 1, "X" }, --0.5.7   >
    { 0.5316, 0.7184, 3, 716, 1, "X" }, --0.3.5   > Hrazmadul
    { 0.5374, 0.5663, 16, 1379, 1, "2" }, --2.0.24  > SnowmanDK
    { 0.5398, 0.8023, 42, 484, 1, "X" }, --1.4.20  > Grtwhite
    { 0.5409, 0.4158, 43, 484, 1, "X" }, --1.7.40  > SnowmanDK
    { 0.5497, 0.7967, 42, 484, 1, "X" }, --1.4.20  > Grtwhite
    { 0.5631, 0.4197, 43, 484, 1, "X" }, --1.7.40  > SnowmanDK
    { 0.5675, 0.7917, 42, 484, 1, "X" }, --1.4.20  > Grtwhite
    { 0.5778, 0.5383, 9, 704, 1, "X" }, --1.2.12  > SnowmanDK/xVOLx
    { 0.5816, 0.3253, 3, 716, 1, "X" }, --0.3.0   >
    { 0.5834, 0.5254, 43, 484, 1, "X" }, --1.7.40  > Eiagra
    { 0.5894, 0.2462, 40, 484, 1, "X" }, --1.7.55  > SnowmanDK
    { 0.5895, 0.4024, 3, 716, 1, "X" }, --1.2.5   > Balver
    { 0.5923, 0.5556, 43, 484, 1, "X" }, --1.7.40  > Eiagra
    { 0.5970, 0.2615, 2, 767167, 1, "X" }, --0.3.0   >
    { 0.6083, 0.3983, 43, 484, 1, "X" }, --1.7.40  > Eiagra
    { 0.6093, 0.5250, 43, 484, 1, "X" }, --1.7.40  > Eiagra
    { 0.6102, 0.4222, 41, 484, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.6145, 0.5581, 3, 716, 1, "X" }, --0.3.3   >
    { 0.6167, 0.4925, 43, 484, 1, "X" }, --1.7.40  > Eiagra
    { 0.6242, 0.3966, 43, 484, 1, "X" }, --1.7.40  > Eiagra
    { 0.6318, 0.3589, 41, 484, 1, "X" }, --2.0.30  > Tallarain
    { 0.6339, 0.5459, 43, 484, 1, "X" }, --1.7.40  > Eiagra
    { 0.6449, 0.6687, 43, 484, 1, "X" }, --2.0.30  > Tallarain
    { 0.6500, 0.7239, 3, 716, 1, "X" }, --1.0.3   >
    { 0.6517, 0.3420, 41, 484, 1, "X" }, --2.0.30  > Tallarain
    { 0.6533, 0.6197, 2, 767167, 1, "X" }, --0.4.1   >
    { 0.6545, 0.5261, 43, 484, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.6573, 0.6965, 1, 872, 1, "X" }, --0.3.3   > Garkin
    { 0.6574, 0.6724, 43, 484, 1, "X" }, --1.7.55  > SnowmanDK
    { 0.6610, 0.3467, 20, 999999, 1, "X" }, --0.3.7   > Childeric
    { 0.6612, 0.5017, 43, 484, 1, "X" }, --1.7.40  > Eiagra
    { 0.6658, 0.6201, 43, 484, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.6792, 0.2886, 43, 484, 1, "X" }, --1.7.40  > Eiagra
    { 0.6847, 0.6380, 43, 484, 1, "X" }, --2.0.30  > Tallarain
    { 0.6862, 0.6446, 3, 716, 1, "X" }, --0.3.3   >
    { 0.7041, 0.5315, 43, 484, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.7330, 0.6408, 43, 484, 1, "X" }, --2.0.30  > Tallarain
    { 0.7371, 0.5596, 43, 484, 1, "X" }, --2.0.30  > Tallarain
    { 0.7590, 0.5756, 40, 484, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.7723, 0.5609, 40, 484, 1, "X" }, --1.7.6   > StrangerFull
    { 0.7867, 0.5849, 40, 484, 1, "X" }, --1.7.6   > StrangerFull
    { 0.7944, 0.5476, 43, 484, 1, "X" }, --1.7.6   > StrangerFull
    { 0.8042, 0.7715, 42, 484, 1, "X" }, --1.7.2   > JayBe
    { 0.8058, 0.5972, 43, 484, 1, "X" }, --1.7.55  > SnowmanDK
    { 0.8088, 0.7116, 30, 842, 1, "4" }, --1.4.2   > SnowmanDK
    { 0.8133, 0.6306, 30, 842, 1, "5" }, --1.4.2   > SnowmanDK
    { 0.8224, 0.6242, 42, 484, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.8315, 0.7748, 42, 484, 1, "X" }, --1.7.2   > JayBe
    { 0.8318, 0.7113, 42, 484, 1, "X" }, --1.7.2   > JayBe
    { 0.8431, 0.6433, 42, 484, 1, "X" }, --1.7.2   > JayBe
    { 0.8522, 0.7725, 42, 484, 1, "X" }, --1.7.2   > JayBe
    { 0.2700, 0.1525, 41, 484, 1, "X" }, --1.7.7   > StrangerFull
  },
  ----Greenshade
  ["greenshade_base_0"] = {
    { 0.0583, 0.6258, 42, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.0908, 0.6508, 42, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.1131, 0.5227, 40, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.1225, 0.6797, 42, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.1242, 0.5272, 1, 872, 1, "X" }, --1.0.4   >
    { 0.1278, 0.5042, 42, 484, 1, "X" }, --2.0.30  > Tallarain
    { 0.1308, 0.6446, 42, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.1383, 0.7114, 42, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.1478, 0.6434, 42, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.1673, 0.3963, 42, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.1680, 0.6634, 43, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.1714, 0.7503, 42, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.1881, 0.7163, 42, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.2020, 0.3920, 42, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.2038, 0.6453, 2, 767167, 1, "X" }, --0.8.2   >
    { 0.2146, 0.7324, 42, 485, 1, "X" }, --1.7.7   > StrangerFull
    { 0.2281, 0.3578, 42, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.2333, 0.7620, 42, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.2454, 0.2305, 42, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.2500, 0.3911, 42, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.2537, 0.1433, 42, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.2574, 0.2542, 42, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.2776, 0.2944, 42, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.2780, 0.2946, 42, 485, 1, "X" }, --1.7.5   > StrangerFull
    { 0.2856, 0.8299, 42, 484, 1, "X" }, --2.0.30  > Tallarain
    { 0.2891, 0.6714, 2, 767167, 1, "X" }, --0.3.0   >
    { 0.2938, 0.3901, 42, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.2961, 0.0629, 42, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.2972, 0.8318, 42, 484, 1, "X" }, --2.0.30  > Tallarain
    { 0.3067, 0.7407, 41, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.3215, 0.3636, 41, 485, 1, "X" }, --1.7.5   > StrangerFull
    { 0.3306, 0.7847, 43, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.3338, 0.3250, 41, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.3365, 0.1552, 41, 484, 1, "X" }, --2.0.30  > Tallarain
    { 0.3389, 0.5215, 43, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.3390, 0.6752, 40, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.3407, 0.3696, 43, 485, 1, "X" }, --1.8.6   > SnowmanDK
    { 0.3439, 0.6533, 41, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.3478, 0.5908, 43, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.3616, 0.6776, 41, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.3618, 0.6612, 43, 484, 1, "X" }, --2.0.30  > Tallarain
    { 0.3764, 0.4732, 20, 999999, 1, "X" }, --0.3.6   > Childeric
    { 0.3798, 0.2964, 41, 485, 1, "X" }, --1.7.5   > StrangerFull
    { 0.3829, 0.4962, 2, 767167, 1, "X" }, --0.5.5   >
    { 0.3972, 0.6203, 43, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.4119, 0.3389, 41, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.4124, 0.2485, 2, 767167, 1, "X" }, --0.3.0   > Keyron74
    { 0.4171, 0.2718, 43, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.4986, 0.9050, 42, 484, 1, "X" }, --2.0.30  > Tallarain
    { 0.5040, 0.8257, 41, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.5055, 0.2536, 43, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.5103, 0.8953, 42, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.5211, 0.9077, 42, 484, 1, "X" }, --2.0.30  > Tallarain
    { 0.5370, 0.8185, 41, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.5501, 0.8412, 41, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.5504, 0.4040, 43, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.5575, 0.4246, 43, 484, 1, "X" }, --2.0.30  > Tallarain
    { 0.5613, 0.3347, 40, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.5639, 0.8615, 43, 484, 1, "X" }, --2.0.30  > Tallarain
    { 0.5818, 0.3511, 40, 484, 1, "X" }, --2.0.30  > Tallarain
    { 0.5884, 0.3675, 41, 485, 1, "X" }, --1.7.5   > StrangerFull
    { 0.6070, 0.4170, 41, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.6169, 0.9193, 42, 484, 1, "X" }, --2.0.30  > Tallarain
    { 0.6190, 0.4122, 41, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.6221, 0.8307, 43, 484, 1, "X" }, --2.0.30  > Tallarain
    { 0.6250, 0.3460, 2, 767167, 1, "X" }, --0.4.2   >
    { 0.6285, 0.8855, 1, 872, 1, "X" }, --0.4.2   >
    { 0.6327, 0.3443, 1, 872, 1, "X" }, --0.4.1   > Hrazmadul
    { 0.6375, 0.8355, 43, 484, 1, "X" }, --2.0.30  > Tallarain
    { 0.6390, 0.3604, 43, 484, 1, "X" }, --2.0.30  > Tallarain
    { 0.6523, 0.8109, 2, 767167, 1, "X" }, --0.5.5   > Hrazmadul
    { 0.6526, 0.8284, 43, 485, 1, "X" }, --1.4.20  > Grtwhite
    { 0.6661, 0.5920, 43, 484, 1, "X" }, --2.0.30  > Tallarain
    { 0.6694, 0.3969, 40, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.6695, 0.5032, 16, 1379, 1, "3" }, --2.0.24  > SnowmanDK
    { 0.6725, 0.5371, 43, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.6792, 0.6485, 43, 485, 1, "X" }, --1.4.20  > Grtwhite
    { 0.6802, 0.6064, 43, 485, 1, "X" }, --1.4.20  > Grtwhite
    { 0.6906, 0.5442, 43, 485, 1, "X" }, --1.6.22  > StrangerFull
    { 0.7003, 0.3746, 41, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.7048, 0.5081, 9, 704, 1, "X" }, --1.2.12  > SnowmanDK/xVOLx
  },
  ----Hallin's Stand
  ["hallinsstand_base_0"] = {
    { 0.4646, 0.0997, 43, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.5824, 0.0800, 40, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.6154, 0.5839, 43, 475, 1, "X" }, --1.6.44  > QuadroTony
    { 0.6316, 0.0963, 43, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.6421, 0.4481, 43, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.6518, 0.5507, 43, 475, 1, "X" }, --1.7.48  > SnowmanDK
    { 0.6661, 0.3432, 43, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.6709, 0.5947, 43, 475, 1, "X" }, --1.6.44  > QuadroTony
    { 0.7156, 0.3175, 1, 872, 1, "X" }, --1.7.49  > SnowmanDK
    { 0.7268, 0.2522, 43, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.7455, 0.0607, 43, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.7809, 0.1747, 43, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.8414, 0.3323, 43, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.8530, 0.0935, 43, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.8690, 0.4756, 2, 767167, 1, "X" }, --0.8.3   >
    { 0.9113, 0.3866, 43, 475, 1, "X" }, --1.6.9   > SnowmanDK
    { 0.9415, 0.4696, 43, 475, 1, "X" }, --1.6.9   > SnowmanDK
  },
  ----Haven
  ["haven_base_0"] = {
    { 0.7049, 0.7077, 42, 484, 1, "X" }, --1.7.2   > JayBe
    { 0.7274, 0.4143, 30, 842, 1, "4" }, --1.4.2   > SnowmanDK
    { 0.8388, 0.7243, 42, 484, 1, "X" }, --1.7.2   > JayBe
    { 0.8400, 0.4129, 42, 484, 1, "X" }, --1.7.2   > JayBe
    { 0.9402, 0.7127, 42, 484, 1, "X" }, --1.7.2   > JayBe
  },
  ----Hew's Bane
  ["hewsbane_base_0"] = {
    { 0.2590, 0.6797, 42, 1351, 1, "X" }, --2.0.29  > Tallarain
    { 0.2602, 0.5408, 42, 1351, 1, "X" }, --2.0.29  > Tallarain
    { 0.2686, 0.5781, 42, 1351, 1, "X" }, --2.0.29  > Tallarain
    { 0.2746, 0.6353, 40, 1351, 1, "X" }, --2.0.29  > Tallarain
    { 0.2819, 0.5644, 42, 1351, 1, "X" }, --2.0.29  > Tallarain
    { 0.2855, 0.4666, 42, 1351, 1, "X" }, --2.0.29  > Tallarain
    { 0.3047, 0.4669, 42, 1351, 1, "X" }, --2.0.29  > Tallarain
    { 0.3261, 0.8097, 42, 1351, 1, "X" }, --1.8.20  > StrangerFull
    { 0.3582, 0.8367, 42, 1351, 1, "X" }, --1.8.20  > StrangerFull
    { 0.3640, 0.5557, 43, 1351, 1, "X" }, --2.0.28  > Tallarain
    { 0.3698, 0.8205, 42, 1351, 1, "X" }, --1.8.20  > StrangerFull
    { 0.3738, 0.8465, 42, 1351, 1, "X" }, --1.8.20  > StrangerFull
    { 0.3892, 0.5648, 43, 1351, 1, "X" }, --2.0.28  > Tallarain
    { 0.4005, 0.8558, 42, 1351, 1, "X" }, --1.8.20  > StrangerFull
    { 0.4061, 0.5101, 43, 1351, 1, "X" }, --2.0.28  > Tallarain
    { 0.4095, 0.7464, 43, 1351, 1, "X" }, --1.8.26  > StrangerFull
    { 0.4179, 0.6347, 43, 1351, 1, "X" }, --2.0.28  > Tallarain
    { 0.4227, 0.6244, 43, 1351, 1, "X" }, --2.0.28  > Tallarain
    { 0.4294, 0.7191, 43, 1351, 1, "X" }, --1.8.18  > SnowmanDK
    { 0.4324, 0.5981, 43, 1351, 1, "X" }, --2.0.28  > Tallarain
    { 0.4324, 0.7861, 43, 1351, 1, "X" }, --2.0.28  > Tallarain
    { 0.4343, 0.5071, 43, 1351, 1, "X" }, --2.0.28  > Tallarain
    { 0.4345, 0.8500, 42, 1351, 1, "X" }, --1.8.20  > StrangerFull
    { 0.4402, 0.5891, 43, 1351, 1, "X" }, --2.0.28  > Tallarain
    { 0.4436, 0.8259, 42, 1351, 1, "X" }, --1.8.20  > StrangerFull
    { 0.4469, 0.5323, 43, 1351, 1, "X" }, --2.0.28  > Tallarain
    { 0.4488, 0.7102, 43, 1351, 1, "X" }, --1.8.18  > SnowmanDK
    { 0.4511, 0.4271, 41, 1351, 1, "X" }, --2.0.28  > Tallarain
    { 0.4547, 0.7458, 43, 1351, 1, "X" }, --2.0.28  > Tallarain
    { 0.4614, 0.7873, 40, 1351, 1, "X" }, --2.0.28  > Tallarain
    { 0.4638, 0.8135, 40, 1351, 1, "X" }, --1.8.17  > oldbushie
    { 0.4673, 0.7929, 40, 1351, 1, "X" }, --1.8.26  > StrangerFull
    { 0.4761, 0.4567, 41, 1351, 1, "X" }, --1.8.18  > SnowmanDK
    { 0.4791, 0.6017, 41, 1351, 1, "X" }, --2.0.28  > Tallarain
    { 0.4878, 0.4163, 41, 1351, 1, "X" }, --2.0.28  > Tallarain
    { 0.4947, 0.8223, 42, 1351, 1, "X" }, --1.8.26  > StrangerFull
    { 0.4953, 0.4939, 41, 1351, 1, "X" }, --1.8.18  > SnowmanDK
    { 0.5089, 0.7284, 41, 1351, 1, "X" }, --1.8.24  > StrangerFull
    { 0.5174, 0.7084, 41, 1351, 1, "X" }, --1.8.24  > StrangerFull
    { 0.5207, 0.8375, 42, 1351, 1, "X" }, --1.8.26  > StrangerFull
    { 0.5230, 0.6701, 41, 1351, 1, "X" }, --1.8.24  > StrangerFull
    { 0.5307, 0.8158, 42, 1351, 1, "X" }, --1.8.26  > StrangerFull
    { 0.5362, 0.7176, 41, 1351, 1, "X" }, --1.8.20  > StrangerFull
    { 0.5504, 0.8285, 42, 1351, 1, "X" }, --1.8.26  > StrangerFull
    { 0.5711, 0.7670, 41, 1351, 1, "X" }, --1.8.20  > StrangerFull
    { 0.5766, 0.7890, 40, 1351, 1, "X" }, --1.8.17  > oldbushie
    { 0.5882, 0.7838, 40, 1351, 1, "X" }, --1.8.17  > oldbushie
    { 0.5989, 0.5724, 15, 1349, 1, "5" }, --2.0.24  > SnowmanDK
    { 0.5991, 0.4537, 15, 1349, 1, "2" }, --2.0.24  > SnowmanDK
    { 0.6100, 0.3898, 15, 1349, 1, "3" }, --2.0.24  > SnowmanDK
    { 0.6432, 0.5220, 15, 1349, 1, "7" }, --2.0.24  > SnowmanDK
    { 0.6630, 0.3611, 15, 1349, 1, "6" }, --2.0.24  > SnowmanDK
    { 0.6674, 0.4654, 15, 1349, 1, "1" }, --2.0.24  > SnowmanDK
    { 0.6698, 0.4043, 16, 1382, 1, "1" }, --2.0.24  > SnowmanDK
    { 0.6812, 0.3695, 15, 1349, 1, "4" }, --2.0.24  > SnowmanDK
  },
  ----Hidden Tunnel (The Lion's Den)
  ["lionsDen_hiddenTunnel_base_0"] = {
    { 0.6101, 0.5024, 43, 481, 1, "X" }, --1.6.46  > QuadroTony
  },
  ----The Hollow City
  ["hollowcity_base_0"] = {
    { 0.6126, 0.6736, 9, 704, 1, "X" }, --1.2.12  > SnowmanDK/xVOLx
  },
  ----Honor's Rest (Wrothgar)
  ["honorsrestleft_base_0"] = {
    { 0.1000, 0.4759, 14, 1250, 1, "9" }, --1.7.55  > SnowmanDK
  },
  ----Khenarthi's Roost
  ["khenarthisroost_base_0"] = {
    { 0.1170, 0.5689, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.1383, 0.4795, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.1596, 0.5405, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.1649, 0.5036, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.1666, 0.5695, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.1792, 0.3416, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.1958, 0.6483, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.2054, 0.5148, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.2069, 0.4108, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.2195, 0.5834, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.2203, 0.3370, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.2252, 0.3956, 30, 838, 1, "1" }, --1.6.12  > SnowmanDK
    { 0.2252, 0.3956, 30, 842, 1, "5" }, --1.6.12  > SnowmanDK
    { 0.2266, 0.3011, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.2311, 0.6218, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.2645, 0.3244, 40, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.2689, 0.5915, 30, 838, 1, "1" }, --1.6.12  > SnowmanDK
    { 0.2689, 0.5915, 30, 842, 1, "5" }, --1.6.12  > SnowmanDK
    { 0.2724, 0.5830, 42, 492, 1, "X" }, --1.7.6   > StrangerFull
    { 0.2789, 0.3131, 30, 842, 1, "5" }, --1.6.12  > SnowmanDK
    { 0.2999, 0.6718, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.3159, 0.3104, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.3204, 0.7588, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.3320, 0.3060, 1, 872, 1, "X" }, --0.3.3   > Keyron74
    { 0.3348, 0.7085, 30, 838, 1, "1" }, --1.6.12  > SnowmanDK
    { 0.3348, 0.7085, 30, 842, 1, "5" }, --1.6.12  > SnowmanDK
    { 0.3422, 0.3648, 42, 492, 1, "X" }, --1.7.6   > StrangerFull
    { 0.3496, 0.3704, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.3498, 0.7361, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.3514, 0.3560, 40, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.3610, 0.7615, 30, 838, 1, "1" }, --1.6.12  > SnowmanDK
    { 0.3610, 0.7615, 30, 842, 1, "5" }, --1.6.12  > SnowmanDK
    { 0.3678, 0.7971, 42, 492, 1, "X" }, --1.7.6   > StrangerFull
    { 0.3714, 0.3804, 30, 838, 1, "1" }, --1.6.12  > SnowmanDK
    { 0.3714, 0.3804, 30, 842, 1, "5" }, --1.6.12  > SnowmanDK
    { 0.3813, 0.3675, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.3959, 0.3644, 42, 492, 1, "X" }, --1.7.6   > StrangerFull
    { 0.4182, 0.4516, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.4282, 0.3350, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.4283, 0.8277, 40, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.4852, 0.4550, 30, 842, 1, "5" }, --1.6.12  > SnowmanDK
    { 0.4901, 0.8103, 40, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.5457, 0.5065, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.5605, 0.8395, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.5701, 0.4880, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.5936, 0.4600, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.5965, 0.2766, 42, 492, 1, "X" }, --1.7.6   > StrangerFull
    { 0.5984, 0.2914, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.6022, 0.5443, 30, 838, 1, "1" }, --1.6.12  > SnowmanDK
    { 0.6022, 0.5443, 30, 842, 1, "5" }, --1.6.12  > SnowmanDK
    { 0.6039, 0.5063, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.6069, 0.8255, 30, 842, 1, "5" }, --1.6.12  > SnowmanDK
    { 0.6272, 0.3859, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.6324, 0.4283, 42, 492, 1, "X" }, --1.7.7   > StrangerFull
    { 0.6334, 0.3645, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.6382, 0.3003, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.6497, 0.3275, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.6508, 0.6561, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.6961, 0.6467, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.7093, 0.6575, 30, 842, 1, "5" }, --1.6.12  > SnowmanDK
    { 0.7142, 0.7374, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.7165, 0.3931, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.7230, 0.3572, 40, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.7332, 0.6578, 40, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.7378, 0.3452, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.7787, 0.5034, 30, 844, 1, "7" }, --1.6.12  > SnowmanDK
    { 0.7839, 0.6626, 42, 492, 1, "X" }, --1.7.6   > StrangerFull
    { 0.7931, 0.3408, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.8023, 0.6098, 30, 842, 1, "5" }, --1.6.12  > SnowmanDK
    { 0.8078, 0.6543, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.8145, 0.4838, 1, 872, 1, "X" }, --0.9.1   >
    { 0.8156, 0.5954, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.8223, 0.5125, 30, 842, 1, "5" }, --1.6.12  > SnowmanDK
    { 0.8223, 0.6208, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.8291, 0.4700, 40, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.8304, 0.5476, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.8330, 0.5253, 40, 492, 1, "X" }, --1.6.12  > SnowmanDK
  },
  ----Norvulk Ruins
  ["koeglinvillage_base_0"] = {
    { 0.2746, 0.7204, 42, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.3483, 0.5651, 42, 472, 1, "X" }, --1.2.25  > SnowmanDK
  },
  ----Kozanset
  ["kozanset_base_0"] = {
    { 0.7264, 0.2686, 2, 767167, 1, "X" }, --0.3.7   > Hrazmadul
  },
  ----Kragenmoor
  ["kragenmoor_base_0"] = {
    { 0.6885, 0.4654, 16, 1381, 1, "1" }, --2.0.24  > SnowmanDK
  },
  ----vatch
  ["kvatchcity_base_0"] = {
    { 0.1968, 0.3534, 43, 1431, 1, "X" }, --2.0.26  > StrangerFull
    { 0.2499, 0.4139, 43, 1431, 1, "X" }, --2.0.24  > SnowmanDK
    { 0.3463, 0.4231, 43, 1431, 1, "X" }, --2.0.24  > StrangerFull
    { 0.4064, 0.3848, 43, 1431, 1, "X" }, --2.0.24  > SnowmanDK
    { 0.4506, 0.3363, 43, 1431, 1, "X" }, --2.0.24  > StrangerFull
  },
  ----Malabal Tor
  ["malabaltor_base_0"] = {
    { 0.0524, 0.5133, 30, 842, 1, "5" }, --1.6.18  > SnowmanDK
    { 0.0579, 0.5370, 42, 486, 1, "X" }, --1.6.18  > SnowmanDK
    { 0.0627, 0.5533, 42, 486, 1, "X" }, --1.6.18  > SnowmanDK
    { 0.0671, 0.4828, 42, 486, 1, "X" }, --1.6.18  > SnowmanDK
    { 0.0714, 0.5767, 42, 486, 1, "X" }, --1.6.18  > SnowmanDK
    { 0.0833, 0.5822, 9, 704, 1, "X" }, --1.2.12  > SnowmanDK/xVOLx
    { 0.0940, 0.4863, 16, 1379, 1, "4" }, --2.0.24  > SnowmanDK
    { 0.1045, 0.4499, 42, 486, 1, "X" }, --1.6.18  > SnowmanDK
    { 0.1180, 0.4272, 40, 486, 1, "X" }, --1.6.35  > QuadroTony
    { 0.1199, 0.4254, 30, 842, 1, "5" }, --1.6.18  > SnowmanDK
    { 0.1202, 0.4910, 30, 842, 1, "5" }, --1.6.18  > SnowmanDK
    { 0.1220, 0.5203, 42, 486, 1, "X" }, --1.6.18  > SnowmanDK
    { 0.1235, 0.4796, 42, 486, 1, "X" }, --1.6.18  > SnowmanDK
    { 0.1336, 0.4616, 40, 486, 1, "X" }, --1.6.29  > StrangerFull
    { 0.1549, 0.4609, 30, 842, 1, "5" }, --1.6.18  > SnowmanDK
    { 0.1557, 0.4182, 40, 486, 1, "X" }, --1.6.35  > QuadroTony
    { 0.1743, 0.4502, 42, 486, 1, "X" }, --1.6.18  > SnowmanDK
    { 0.1906, 0.4394, 42, 486, 1, "X" }, --1.6.18  > SnowmanDK
    { 0.1926, 0.5879, 1, 872, 1, "X" }, --0.8.5   >
    { 0.2263, 0.4234, 42, 486, 1, "X" }, --1.6.18  > SnowmanDK
    { 0.2314, 0.4294, 30, 842, 1, "5" }, --1.6.18  > SnowmanDK
    { 0.2654, 0.4334, 40, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.2665, 0.3969, 42, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.2934, 0.4187, 30, 842, 1, "5" }, --1.6.18  > SnowmanDK
    { 0.3065, 0.5697, 2, 767167, 1, "X" }, --0.3.3   > Keyron74
    { 0.3159, 0.4035, 42, 486, 1, "X" }, --1.6.29  > StrangerFull
    { 0.3446, 0.3926, 42, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.3575, 0.3927, 30, 842, 1, "5" }, --1.6.18  > SnowmanDK
    { 0.3980, 0.3995, 42, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.4139, 0.4607, 42, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.4323, 0.6337, 30, 842, 1, "4" }, --1.6.19  > SnowmanDK
    { 0.4351, 0.4290, 42, 486, 1, "X" }, --1.6.29  > StrangerFull
    { 0.4360, 0.6450, 43, 486, 1, "X" }, --1.6.35  > QuadroTony
    { 0.4363, 0.5860, 1, 872, 1, "X" }, --0.9.0   >
    { 0.4484, 0.6767, 43, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.4568, 0.6248, 43, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.4603, 0.4263, 30, 842, 1, "5" }, --1.6.18  > SnowmanDK
    { 0.4614, 0.6633, 30, 842, 1, "4" }, --1.6.19  > SnowmanDK
    { 0.4622, 0.3514, 42, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.4629, 0.6131, 40, 486, 1, "X" }, --1.7.3   > JayBe
    { 0.4630, 0.3170, 42, 486, 1, "X" }, --1.6.35  > QuadroTony
    { 0.4763, 0.6484, 40, 486, 1, "X" }, --1.6.29  > StrangerFull
    { 0.4766, 0.4043, 42, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.4869, 0.6883, 30, 842, 1, "4" }, --1.6.19  > SnowmanDK
    { 0.4870, 0.6699, 43, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.4939, 0.7093, 41, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.4970, 0.5917, 30, 842, 1, "4" }, --1.6.19  > SnowmanDK
    { 0.5026, 0.6587, 40, 486, 1, "X" }, --1.6.29  > StrangerFull
    { 0.5054, 0.7247, 41, 486, 1, "X" }, --1.7.3   > JayBe
    { 0.5079, 0.6911, 20, 999999, 1, "X" }, --0.5.6   >
    { 0.5126, 0.5919, 43, 486, 1, "X" }, --1.8.9   > SnowmanDK
    { 0.5160, 0.7184, 30, 842, 1, "4" }, --1.6.19  > SnowmanDK
    { 0.5188, 0.3141, 30, 842, 1, "5" }, --1.6.18  > SnowmanDK
    { 0.5247, 0.6483, 43, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.5259, 0.4194, 42, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.5299, 0.5782, 40, 486, 1, "X" }, --1.7.5   > StrangerFull
    { 0.5302, 0.3955, 42, 486, 1, "X" }, --1.6.29  > StrangerFull
    { 0.5326, 0.6195, 40, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.5403, 0.7173, 41, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.5411, 0.5929, 43, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.5430, 0.6052, 30, 842, 1, "4" }, --1.6.19  > SnowmanDK
    { 0.5495, 0.6042, 41, 486, 1, "X" }, --1.7.5   > StrangerFull
    { 0.5551, 0.3308, 42, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.5574, 0.3134, 42, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.5598, 0.3633, 42, 486, 1, "X" }, --1.7.7   > StrangerFull
    { 0.5603, 0.7172, 41, 486, 1, "X" }, --1.7.3   > JayBe
    { 0.5608, 0.5865, 41, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.5687, 0.6607, 2, 767167, 1, "X" }, --0.8.6   >
    { 0.5698, 0.6052, 41, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.5756, 0.7479, 20, 999999, 1, "X" }, --0.9.0   >
    { 0.5768, 0.2977, 40, 486, 1, "X" }, --1.7.7   > StrangerFull
    { 0.5773, 0.3689, 30, 842, 1, "5" }, --1.6.18  > SnowmanDK
    { 0.5821, 0.7289, 30, 842, 1, "4" }, --1.6.19  > SnowmanDK
    { 0.5825, 0.4076, 2, 767167, 1, "X" }, --0.3.0   >
    { 0.5845, 0.7740, 30, 847, 1, "2" }, --1.4.0   > SnowmanDK
    { 0.5879, 0.8786, 30, 842, 1, "4" }, --1.6.19  > SnowmanDK
    { 0.5946, 0.6152, 30, 842, 1, "4" }, --1.6.19  > SnowmanDK
    { 0.5973, 0.3139, 40, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.5992, 0.7235, 41, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.6074, 0.3164, 30, 838, 1, "6" }, --1.6.18  > SnowmanDK
    { 0.6172, 0.2420, 1, 872, 1, "X" }, --0.4.3   >
    { 0.6203, 0.3173, 40, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.6229, 0.5856, 43, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.6310, 0.5980, 40, 486, 1, "X" }, --1.7.5   > StrangerFull
    { 0.6424, 0.7387, 43, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.6470, 0.7628, 41, 486, 1, "X" }, --1.7.3   > JayBe
    { 0.6514, 0.5981, 43, 486, 1, "X" }, --1.6.29  > StrangerFull
    { 0.6570, 0.6851, 43, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.6579, 0.8057, 2, 767167, 1, "X" }, --0.9.2   >
    { 0.6580, 0.2320, 42, 486, 1, "X" }, --1.6.35  > QuadroTony
    { 0.6600, 0.6566, 41, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.6600, 0.7131, 43, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.6609, 0.6434, 40, 486, 1, "X" }, --1.7.5   > StrangerFull
    { 0.6623, 0.6004, 41, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.6678, 0.2112, 42, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.6691, 0.7568, 41, 486, 1, "X" }, --1.7.3   > JayBe
    { 0.6762, 0.1781, 42, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.6772, 0.1937, 30, 842, 1, "5" }, --1.6.18  > SnowmanDK
    { 0.7068, 0.6013, 41, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.7161, 0.5722, 41, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.7169, 0.5399, 41, 486, 1, "X" }, --1.7.5   > StrangerFull
    { 0.7750, 0.3610, 41, 486, 1, "X" }, --1.6.35  > QuadroTony
    { 0.7769, 0.4228, 40, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.8028, 0.5064, 1, 872, 1, "X" }, --0.4.1   >
    { 0.8110, 0.2320, 43, 486, 1, "X" }, --1.6.35  > QuadroTony
    { 0.8122, 0.2499, 41, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.8130, 0.2850, 41, 486, 1, "X" }, --1.6.35  > QuadroTony
    { 0.8277, 0.2300, 43, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.8295, 0.2170, 41, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.8295, 0.2755, 41, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.8451, 0.2603, 2, 767167, 1, "X" }, --0.3.3   > Keyron74
    { 0.8464, 0.2101, 40, 486, 1, "X" }, --1.6.19  > SnowmanDK
    { 0.8642, 0.2327, 23, 999999, 1, "X" }, --1.0.0   >
    { 0.8642, 0.2327, 30, 846, 1, "12" }, --1.4.2  > SnowmanDK
  },
  ----Marbruk
  ["marbruk_base_0"] = {
    { 0.2730, 0.3243, 16, 1379, 1, "3" }, --2.0.24  > SnowmanDK
    { 0.2926, 0.5480, 43, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.4119, 0.5945, 43, 485, 1, "X" }, --1.6.22  > StrangerFull
    { 0.5052, 0.3568, 9, 704, 1, "X" }, --1.2.14 > SnowmanDK/xVOLx
  },
  ----Mistral
  ["mistral_base_0"] = {
    { 0.1069, 0.5113, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.1434, 0.0828, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.3532, 0.5239, 30, 842, 1, "5" }, --1.  > SnowmanDK
    { 0.5754, 0.7133, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.6652, 0.6451, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.7518, 0.5423, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.7895, 0.7127, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.8753, 0.2699, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.8981, 0.1911, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
    { 0.9579, 0.0551, 42, 492, 1, "X" }, --1.6.12  > SnowmanDK
  },
  ----Orsinium
  ["orsinium_base_0"] = {
    { 0.3715, 0.9501, 41, 1340, 1, "X" }, --1.7.24  > SnowmanDK
  },
  ----Mournhold
  ["mournhold_base_0"] = {
    { 0.2165, 0.6815, 43, 478, 1, "X" }, --1.4.14 > SnowmanDK
    { 0.3122, 0.6732, 9, 704, 1, "X" }, --1.4.14 > SnowmanDK/xVOLx
    { 0.3627, 0.2753, 41, 478, 1, "X" }, --1.4.14 > SnowmanDK
    { 0.3677, 0.3700, 41, 478, 1, "X" }, --1.7.9 > StrangerFull
    { 0.5504, 0.5495, 16, 1381, 1, "2" }, --2.0.24  > SnowmanDK
    { 0.5671, 0.4636, 43, 478, 1, "X" }, --1.4.14 > SnowmanDK
    { 0.6098, 0.0396, 41, 478, 1, "X" }, --1.4.14 > SnowmanDK
    { 0.7424, 0.1518, 41, 478, 1, "X" }, --1.4.14 > SnowmanDK
    { 0.7901, 0.2189, 41, 478, 1, "X" }, --1.4.14 > SnowmanDK
    { 0.8181, 0.1232, 41, 478, 1, "X" }, --1.4.14 > SnowmanDK
  },
  ----Narsis
  ["narsis_base_0"] = {
    { 0.0709, 0.2105, 43, 478, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.1634, 0.3425, 43, 478, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.1936, 0.1173, 43, 478, 1, "X" }, --1.6.32  > SnowmanDK
    { 0.2170, 0.1692, 43, 478, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.2818, 0.0405, 43, 478, 1, "X" }, --1.6.32  > SnowmanDK
    { 0.3169, 0.3366, 43, 478, 1, "X" }, --1.6.32  > SnowmanDK
    { 0.4117, 0.2234, 43, 478, 1, "X" }, --1.4.1   > SnowmanDK
  },
  ----Nilata Ruins
  ["nilataruins_base_0"] = {
    { 0.6504, 0.4597, 20, 999999, 1, "X" }, --1.1.6   > QuadroTony
  },
  ----Nimalten
  ["nimalten_base_0"] = {
    { 0.3044, 0.7028, 2, 767167, 1, "X" }, --0.9.2   >
    { 0.3311, 0.2624, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.3382, 0.1744, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.4551, 0.1419, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.4607, 0.2826, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.7203, 0.7719, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
  },
  ----Northpoint
  ["northpoint_base_0"] = {
    { 0.0663, 0.1180, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.4143, 0.0906, 30, 842, 1, "5" }, --1.  > SnowmanDK
    { 0.4933, 0.0439, 42, 473, 1, "X" }, --1.6.23  > StrangerFull
    { 0.6229, 0.1387, 42, 473, 1, "X" }, --1.6.23  > StrangerFull
    { 0.7536, 0.1076, 42, 473, 1, "X" }, --1.6.23  > StrangerFull
    { 0.8005, 0.9684, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.8070, 0.8358, 30, 842, 1, "5" }, --1.  > SnowmanDK
    { 0.8218, 0.1954, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.8532, 0.6220, 30, 842, 1, "5" }, --1.  > SnowmanDK
    { 0.8562, 0.8779, 1, 872, 1, "X" }, --0.9.3   >
    { 0.8788, 0.5611, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.8910, 0.8337, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.9006, 0.3012, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.9209, 0.7079, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.9249, 0.3602, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.9373, 0.4558, 42, 473, 1, "X" }, --1.  > SnowmanDK
  },
  ----Norvulk Ruins
  ["norvulkruins_base_0"] = {
    { 0.6302, 0.6827, 20, 999999, 1, "X" }, --1.0.3   >
  },
  ----Old Orsinium part 1
  ["oldorsiniummap01_base_0"] = {
  },
  ----Old Orsinium part 2
  ["oldorsiniummap02_base_0"] = {
  },
  ----Old Orsinium part 3
  ["oldorsiniummap03_base_0"] = {
  },
  ----Old Orsinium part 5
  ["oldorsiniummap05_base_0"] = {
  },
  ----Old Orsinium part 7
  ["oldorsiniummap07_base_0"] = {
    { 0.7199, 0.5831, 14, 1250, 1, "17" },
  },
  ----Orc's Finger Ruins
  ["orcsfingerruins_base_0"] = {
    { 0.6410, 0.6908, 20, 999999, 1, "X" }, --1.0.4   >
  },
  ----Orsinium
  ["orsinium_base_0"] = {
    { 0.0150, 0.3989, 11, 1316, 1, "X" }, --1.7.24  > oldbushie
    { 0.1456, 0.6960, 41, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.1902, 0.2149, 43, 1340, 1, "X" }, --1.7.30  > SnowmanDK
    { 0.2164, 0.0995, 43, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.2241, 0.1805, 43, 1340, 1, "X" }, --1.7.30  > SnowmanDK
    { 0.3699, 0.6262, 14, 1250, 1, "11" }, --1.7.55 > SnowmanDK
    { 0.3699, 0.6262, 14, 1250, 1, "12" }, --1.7.55 > SnowmanDK
    { 0.4612, 0.8175, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.5516, 0.8044, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.8257, 0.3454, 14, 1250, 1, "19" }, --1.7.55 > SnowmanDK
  },
  ----Port Hunding
  ["porthunding_base_0"] = {
    { 0.0147, 0.7016, 30, 842, 1, "5" }, --1.4.12  > SnowmanDK
    { 0.0327, 0.7280, 42, 492, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.0514, 0.8069, 42, 492, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.0671, 0.8708, 42, 492, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.2427, 0.8223, 42, 492, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.3036, 0.4565, 43, 492, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.3960, 0.0723, 42, 492, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.5972, 0.0461, 42, 492, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.7677, 0.0629, 40, 492, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.8438, 0.1680, 42, 492, 1, "X" }, --1.4.12  > SnowmanDK
  },
  ----Rawl'kha
  ["rawlkha_base_0"] = {
    { 0.0324, 0.6349, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.1308, 0.1755, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.2018, 0.1785, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.3037, 0.4383, 41, 487, 1, "X" }, --1.7.6   > StrangerFull
    { 0.6200, 0.2899, 9, 704, 1, "X" }, --1.2.12  > SnowmanDK/xVOLx
    { 0.6985, 0.3643, 16, 1379, 1, "5" }, --2.0.24  > SnowmanDK
  },
  ----Reaper’s March
  ["reapersmarch_base_0"] = {
    { 0.2216, 0.1616, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.2308, 0.3432, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.2353, 0.7253, 30, 843, 1, "7" }, --1.6.21  > SnowmanDK
    { 0.2354, 0.6627, 43, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.2416, 0.1601, 41, 487, 1, "X" }, --1.6.35  > QuadroTony
    { 0.2420, 0.6484, 30, 843, 1, "4" }, --1.6.21  > SnowmanDK
    { 0.2462, 0.6659, 43, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.2507, 0.6503, 43, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.2510, 0.3498, 41, 487, 1, "X" }, --1.7.3   > JayBe
    { 0.2579, 0.1292, 41, 487, 1, "X" }, --1.7.3   > JayBe
    { 0.2625, 0.6436, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.2639, 0.7197, 41, 487, 1, "X" }, --1.6.35  > QuadroTony
    { 0.2640, 0.7202, 41, 487, 1, "X" }, --1.6.35  > QuadroTony
    { 0.2663, 0.7959, 30, 843, 1, "3" }, --1.6.21  > SnowmanDK
    { 0.2668, 0.7684, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.2669, 0.7026, 41, 487, 1, "X" }, --1.7.6   > StrangerFull
    { 0.2728, 0.8109, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.2752, 0.7986, 43, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.2779, 0.6553, 41, 487, 1, "X" }, --1.6.35  > QuadroTony
    { 0.2896, 0.6229, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.2903, 0.1052, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.3142, 0.3652, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.3167, 0.3593, 30, 842, 1, "8" }, --1.6.21  > SnowmanDK
    { 0.3167, 0.3593, 30, 844, 1, "4" }, --1.6.21  > SnowmanDK
    { 0.3176, 0.1148, 41, 487, 1, "X" }, --1.7.6   > StrangerFull
    { 0.3250, 0.6040, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.3338, 0.7485, 2, 767167, 1, "X" }, --0.3.7   >
    { 0.3430, 0.3451, 41, 487, 1, "X" }, --1.7.3   > JayBe
    { 0.3452, 0.6032, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.3567, 0.7584, 30, 844, 1, "4" }, --1.8.13  > SnowmanDK
    { 0.3586, 0.3107, 43, 487, 1, "X" }, --1.6.35  > QuadroTony
    { 0.3605, 0.6187, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.3627, 0.4466, 21, 999999, 0, "X" }, --0.3.7
    { 0.3648, 0.3778, 21, 999999, 0, "X" }, --0.4.0
    { 0.3657, 0.3467, 43, 487, 1, "X" }, --1.7.6   > StrangerFull
    { 0.3663, 0.3465, 43, 487, 1, "X" }, --1.7.6   > StrangerFull
    { 0.3665, 0.6413, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.3681, 0.3289, 43, 487, 1, "X" }, --1.6.35  > QuadroTony
    { 0.3693, 0.7316, 1, 872, 1, "X" }, --1.1.4   > xVOLx
    { 0.37, 0.61, 21, 999999, 0, "X" }, --0.6.1
    { 0.3705, 0.6543, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.3728, 0.2441, 1, 872, 1, "X" }, --0.5.4   >
    { 0.3759, 0.7503, 30, 838, 1, "5" }, --1.8.13  > SnowmanDK
    { 0.3862, 0.5946, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.3864, 0.6900, 41, 487, 1, "X" }, --1.6.35  > QuadroTony
    { 0.3909, 0.7125, 30, 838, 1, "6" }, --1.6.21  > SnowmanDK
    { 0.3909, 0.7125, 30, 843, 1, "2" }, --1.6.21  > SnowmanDK
    { 0.3912, 0.7243, 43, 487, 1, "X" }, --1.7.6   > StrangerFull
    { 0.3969, 0.7216, 20, 999999, 1, "X" }, --0.3.6   >
    { 0.3971, 0.0934, 41, 487, 1, "X" }, --1.6.35  > QuadroTony
    { 0.4033, 0.5666, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.4064, 0.3959, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.4074, 0.7846, 43, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.4111, 0.7025, 43, 487, 1, "X" }, --1.7.6   > StrangerFull
    { 0.4128, 0.4725, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.4134, 0.4852, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.4136, 0.3784, 30, 842, 1, "5" }, --1.6.21  > SnowmanDK
    { 0.4142, 0.7150, 43, 487, 1, "X" }, --1.7.6   > StrangerFull
    { 0.4157, 0.5087, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.4166, 0.7272, 30, 843, 1, "4" }, --1.8.13  > SnowmanDK
    { 0.4172, 0.4588, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.4183, 0.8584, 30, 847, 1, "134" }, --1.4.0 > SnowmanDK
    { 0.4190, 0.4375, 41, 487, 1, "X" }, --1.7.6   > StrangerFull
    { 0.4198, 0.4383, 41, 487, 1, "X" }, --1.7.6   > StrangerFull
    { 0.4217, 0.3572, 41, 487, 1, "X" }, --1.7.3   > JayBe
    { 0.4219, 0.0932, 41, 487, 1, "X" }, --1.6.35  > QuadroTony
    { 0.4246, 0.5091, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.4299, 0.7887, 43, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.4324, 0.4586, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.4345, 0.7989, 43, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.4363, 0.7667, 30, 838, 1, "5" }, --1.8.13  > SnowmanDK
    { 0.4363, 0.7667, 30, 844, 1, "3" }, --1.8.13  > SnowmanDK
    { 0.4375, 0.5418, 41, 487, 1, "X" }, --1.7.6   > StrangerFull
    { 0.4465, 0.4735, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.4476, 0.7049, 30, 838, 1, "5" }, --1.8.13  > SnowmanDK
    { 0.4476, 0.7049, 30, 842, 1, "8" }, --1.8.13  > SnowmanDK
    { 0.4560, 0.3369, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.47, 0.71, 21, 999999, 0, "X" }, --0.6.1
    { 0.4773, 0.5231, 9, 704, 1, "X" }, --1.2.12  > SnowmanDK/xVOLx
    { 0.4842, 0.4679, 1, 872, 1, "X" }, --0.9.0   >
    { 0.4872, 0.5325, 16, 1379, 1, "5" }, --2.0.24  > SnowmanDK
    { 0.4909, 0.2673, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.4926, 0.7690, 30, 842, 1, "8" }, --1.8.13  > SnowmanDK
    { 0.4956, 0.2527, 43, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.4965, 0.2400, 43, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.4989, 0.2234, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.5043, 0.2055, 41, 487, 1, "X" }, --1.7.3   > JayBe
    { 0.5044, 0.1441, 2, 767167, 1, "X" }, --0.3.9   >
    { 0.5098, 0.3414, 1, 872, 1, "X" }, --0.3.3   > Keyron74
    { 0.5106, 0.1933, 41, 487, 1, "X" }, --1.7.3   > JayBe
    { 0.5151, 0.3112, 41, 487, 1, "X" }, --1.6.35  > QuadroTony
    { 0.5182, 0.6018, 2, 767167, 1, "X" }, --0.8.3   >
    { 0.5183, 0.1699, 41, 487, 1, "X" }, --1.7.3   > JayBe
    { 0.5293, 0.6237, 21, 999999, 0, "X" }, --0.3.7
    { 0.5391, 0.6824, 43, 487, 1, "X" }, --1.6.35  > QuadroTony
    { 0.5393, 0.0869, 40, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.5446, 0.5325, 43, 487, 1, "X" }, --1.7.6   > StrangerFull
    { 0.5475, 0.5319, 43, 487, 1, "X" }, --1.7.3   > JayBe
    { 0.5484, 0.6689, 43, 487, 1, "X" }, --1.6.35  > QuadroTony
    { 0.5497, 0.5538, 43, 487, 1, "X" }, --1.6.35  > QuadroTony
    { 0.5525, 0.5179, 43, 487, 1, "X" }, --1.7.6   > StrangerFull
    { 0.5562, 0.5175, 43, 487, 1, "X" }, --1.7.3   > JayBe
    { 0.5588, 0.6119, 40, 487, 1, "X" }, --1.6.35  > QuadroTony
    { 0.5588, 0.6763, 41, 487, 1, "X" }, --1.6.35  > QuadroTony
    { 0.5596, 0.0837, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.5681, 0.6767, 43, 487, 1, "X" }, --1.6.35  > QuadroTony
    { 0.5686, 0.0816, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.5710, 0.4155, 21, 999999, 0, "X" }, --0.3.7
    { 0.5720, 0.5971, 40, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.5724, 0.5973, 40, 487, 1, "X" }, --1.7.6   > StrangerFull
    { 0.5744, 0.0842, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.5776, 0.6763, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.5864, 0.0910, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.5937, 0.5092, 43, 487, 1, "X" }, --1.7.3   > JayBe
    { 0.6045, 0.0941, 41, 487, 1, "X" }, --1.7.3   > JayBe
    { 0.6085, 0.3301, 43, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.6152, 0.3460, 43, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.6186, 0.2173, 22, 999999, 1, "X" }, --1.0.3   >
    { 0.6276, 0.3268, 43, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.6467, 0.0926, 41, 487, 1, "X" }, --1.6.21  > SnowmanDK
    { 0.6638, 0.2053, 24, 999999, 1, "X" }, --1.4.27  > SpellBuilder
    { 0.7320, 0.3144, 21, 999999, 1, "X" }, --1.0.3   >
    { 0.7418, 0.2911, 2, 767167, 1, "X" }, --0.5.4   >
    { 0.7565, 0.2603, 21, 999999, 0, "X" }, --0.3.7
    { 0.7708, 0.2166, 2, 767167, 1, "X" }, --0.3.9   >
    { 0.7945, 0.3533, 43, 487, 1, "X" }, --1.6.36  > QuadroTony
    { 0.8011, 0.3275, 43, 487, 1, "X" }, --1.6.36  > QuadroTony
  },
  ----Redfur Trading Post
  ["redfurtradingpost_base_0"] = {
    { 0.1475, 0.6974, 43, 484, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.1580, 0.3457, 41, 484, 1, "X" }, --1.7.7   > StrangerFull
    { 0.1801, 0.4551, 41, 484, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.1991, 0.5580, 43, 484, 1, "X" }, --1.7.6   > StrangerFull
    { 0.5399, 0.7977, 43, 484, 1, "X" }, --1.7.6   > StrangerFull
    { 0.6702, 0.8168, 41, 484, 1, "X" }, --1.6.14  > SnowmanDK
  },
  ----Riften
  ["riften_base_0"] = {
    { 0.1979, 0.5314, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.2311, 0.4027, 40, 481, 1, "X" }, --1.6.38  > QuadroTony
    { 0.2734, 0.4366, 40, 481, 1, "X" }, --1.6.38  > QuadroTony
    { 0.4123, 0.5850, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.5416, 0.4774, 9, 704, 1, "X" }, --1.2.12  > SnowmanDK/xVOLx
    { 0.5484, 0.8537, 16, 1381, 1, "5" }, --2.0.24  > SnowmanDK
    { 0.5492, 0.6961, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.6433, 0.5411, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
  },
  ----Rivenspire
  ["rivenspire_base_0"] = {
    { 0.2106, 0.6532, 41, 473, 1, "X" }, --1.8.24  > QuadroTony
    { 0.2368, 0.6357, 41, 473, 1, "X" }, --1.6.22  > StrangerFull
    { 0.2447, 0.6280, 41, 473, 1, "X" }, --1.2.29  > SnowmanDK
    { 0.2775, 0.6098, 41, 473, 1, "X" }, --1.6.22  > StrangerFull
    { 0.2778, 0.5890, 41, 473, 1, "X" }, --1.2.29  > SnowmanDK
    { 0.2823, 0.5770, 41, 473, 1, "X" }, --1.7.39  > SnowmanDK
    { 0.2830, 0.5428, 41, 473, 1, "X" }, --1.6.22  > StrangerFull
    { 0.2882, 0.6374, 41, 473, 1, "X" }, --1.2.29  > SnowmanDK
    { 0.2979, 0.5736, 41, 473, 1, "X" }, --1.6.22  > StrangerFull
    { 0.3120, 0.5177, 41, 473, 1, "X" }, --1.2.29  > SnowmanDK
    { 0.3244, 0.6862, 43, 473, 1, "X" }, --1.2.29  > SnowmanDK
    { 0.3256, 0.5062, 41, 473, 1, "X" }, --1.6.22  > StrangerFull
    { 0.3283, 0.6933, 43, 473, 1, "X" }, --1.6.22  > StrangerFull
    { 0.3589, 0.3116, 30, 842, 1, "5" }, --1.  > SnowmanDK
    { 0.3738, 0.3035, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.3883, 0.3125, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.4106, 0.2921, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.4214, 0.3066, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.4218, 0.5782, 9, 704, 1, "X" }, --1.2.12  > SnowmanDK/xVOLx
    { 0.4275, 0.6006, 2, 767167, 1, "X" }, --0.5.5   >
    { 0.4395, 0.3002, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.4593, 0.3085, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.4677, 0.5891, 16, 1380, 1, "3" }, --2.0.24  > SnowmanDK
    { 0.4710, 0.2974, 42, 473, 1, "X" }, --1.7.39  > SnowmanDK
    { 0.4801, 0.7099, 1, 872, 1, "X" }, --1.0.3   >
    { 0.5025, 0.6805, 2, 767167, 1, "X" }, --0.3.3   >
    { 0.5032, 0.2426, 1, 872, 1, "X" }, --0.3.0   >
    { 0.5254, 0.2342, 30, 842, 1, "5" }, --1.  > SnowmanDK
    { 0.5254, 0.2342, 30, 842, 1, "5" }, --1.  > SnowmanDK
    { 0.5611, 0.2274, 30, 842, 1, "5" }, --1.  > SnowmanDK
    { 0.5880, 0.4609, 43, 473, 1, "X" }, --1.2.29  > SnowmanDK
    { 0.6013, 0.6313, 1, 872, 1, "X" }, --1.2.2   > TerribleOne06
    { 0.6160, 0.5056, 43, 473, 1, "X" }, --1.6.22  > StrangerFull
    { 0.6162, 0.6204, 2, 767167, 1, "X" }, --1.0.3   >
    { 0.6175, 0.1877, 2, 767167, 1, "X" }, --0.3.3   >
    { 0.6256, 0.5106, 43, 473, 1, "X" }, --1.2.29  > SnowmanDK
    { 0.6377, 0.5065, 43, 473, 1, "X" }, --1.6.22  > StrangerFull
    { 0.6518, 0.4208, 43, 473, 1, "X" }, --1.2.29  > SnowmanDK
    { 0.6604, 0.4088, 43, 473, 1, "X" }, --2.0.1   > Oliviander
    { 0.6777, 0.1699, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.6787, 0.3930, 41, 473, 1, "X" }, --1.6.39  > QuadroTony
    { 0.6834, 0.3818, 41, 473, 1, "X" }, --1.2.29  > SnowmanDK
    { 0.6867, 0.1658, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.6903, 0.3701, 41, 473, 1, "X" }, --1.2.29  > SnowmanDK
    { 0.6988, 0.1386, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.7042, 0.3756, 41, 473, 1, "X" }, --1.2.29  > SnowmanDK
    { 0.7049, 0.1073, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.7085, 0.1493, 42, 473, 1, "X" }, --1.6.23  > SnowmanDK
    { 0.7141, 0.1818, 2, 767167, 1, "X" }, --0.5.7   >
    { 0.7149, 0.1411, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.7241, 0.3649, 41, 473, 1, "X" }, --1.6.39  > QuadroTony
    { 0.7271, 0.1528, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.7290, 0.4357, 41, 473, 1, "X" }, --1.2.29  > SnowmanDK
    { 0.7297, 0.3359, 41, 473, 1, "X" }, --1.6.39  > QuadroTony
    { 0.7317, 0.3645, 41, 473, 1, "X" }, --1.6.39  > QuadroTony
    { 0.7376, 0.4303, 41, 473, 1, "X" }, --1.2.29  > SnowmanDK
    { 0.7391, 0.4154, 41, 473, 1, "X" }, --1.2.29  > SnowmanDK
    { 0.7414, 0.3832, 41, 473, 1, "X" }, --1.2.29  > SnowmanDK
    { 0.7526, 0.3386, 41, 473, 1, "X" }, --1.6.39  > QuadroTony
    { 0.7666, 0.3209, 41, 473, 1, "X" }, --1.2.29  > SnowmanDK
    { 0.7790, 0.1255, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.7792, 0.3073, 41, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.7815, 0.1486, 30, 842, 1, "5" }, --1.  > SnowmanDK
    { 0.7903, 0.1118, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.7938, 0.1413, 42, 473, 1, "X" }, --1.6.23  > StrangerFull
    { 0.8005, 0.3091, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.8019, 0.3207, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.8141, 0.1561, 42, 473, 1, "X" }, --1.6.23  > StrangerFull
    { 0.8177, 0.3244, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.8178, 0.3023, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.8223, 0.3093, 30, 842, 1, "5" }, --1.  > SnowmanDK
    { 0.8345, 0.1512, 42, 473, 1, "X" }, --1.6.23  > StrangerFull
    { 0.8365, 0.3467, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.8420, 0.2856, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.8428, 0.2650, 30, 842, 1, "5" }, --1.  > SnowmanDK
    { 0.8432, 0.3363, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.8451, 0.1649, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.8500, 0.2316, 30, 842, 1, "5" }, --1.  > SnowmanDK
    { 0.8502, 0.2726, 1, 872, 1, "X" }, --0.3.0   >
    { 0.8502, 0.2940, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.8516, 0.3277, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.8541, 0.2221, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.8560, 0.2647, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.8575, 0.1815, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.8606, 0.2450, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.8613, 0.1907, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.8629, 0.3031, 42, 473, 1, "X" }, --1.  > SnowmanDK
    { 0.8632, 0.2056, 42, 473, 1, "X" }, --1.  > SnowmanDK
  },
  ----Rubble Butte
  ["rubblebutte_base_0"] = {
    { 0.2856, 0.4507, 30, 847, 1, "4" }, --1.4.2   > SnowmanDK
    { 0.4265, 0.1677, 30, 847, 1, "4" }, --1.4.2   > SnowmanDK
    { 0.6547, 0.4605, 30, 847, 1, "4" }, --1.4.2   > SnowmanDK
    { 0.6547, 0.4605, 20, 999999, 1, "4" }, --1.4.2   > SnowmanDK
  },
  ----Sentinel
  ["sentinel_base_0"] = {
    { 0.0331, 0.4743, 42, 474, 1, "X" }, --1.6.23  > StrangerFull
    { 0.0414, 0.4293, 42, 474, 1, "X" }, --1.  > SnowmanDK
    { 0.0828, 0.3904, 42, 474, 1, "X" }, --1.6.44  > QuadroTony
    { 0.1159, 0.3751, 42, 474, 1, "X" }, --1.  > SnowmanDK
    { 0.1452, 0.3728, 42, 474, 1, "X" }, --1.6.44  > QuadroTony
    { 0.1515, 0.4133, 42, 474, 1, "X" }, --1.6.23  > StrangerFull
    { 0.2226, 0.4252, 42, 474, 1, "X" }, --1.  > SnowmanDK
    { 0.2391, 0.2423, 42, 474, 1, "X" }, --1.  > SnowmanDK
    { 0.2564, 0.4232, 42, 474, 1, "X" }, --1.  > SnowmanDK
    { 0.3021, 0.4147, 42, 474, 1, "X" }, --1.  > SnowmanDK
    { 0.3116, 0.2298, 42, 474, 1, "X" }, --1.  > SnowmanDK
    { 0.3836, 0.4998, 9, 704, 1, "X" }, --1.2.12  > SnowmanDK/xVOLx
    { 0.3984, 0.1557, 42, 474, 1, "X" }, --1.  > SnowmanDK
    { 0.4054, 0.4920, 16, 1380, 1, "4" }, --2.0.24  > SnowmanDK
    { 0.4681, 0.1489, 42, 474, 1, "X" }, --1.  > SnowmanDK
    { 0.5184, 0.0173, 42, 474, 1, "X" }, --1.  > SnowmanDK
    { 0.5567, 0.1726, 42, 474, 1, "X" }, --1.  > SnowmanDK
    { 0.5896, 0.9196, 2, 767167, 1, "X" }, --1.7.30  > Kazhiana
    { 0.6556, 0.2503, 42, 474, 1, "X" }, --1.  > SnowmanDK
    { 0.7389, 0.3081, 42, 474, 1, "X" }, --1.  > SnowmanDK
    { 0.7826, 0.1455, 42, 474, 1, "X" }, --1.  > SnowmanDK
    { 0.7857, 0.2839, 42, 474, 1, "X" }, --1.  > SnowmanDK
    { 0.7926, 0.1438, 42, 474, 1, "X" }, --1.  > SnowmanDK
    { 0.8107, 0.0971, 42, 474, 1, "X" }, --1.  > SnowmanDK
    { 0.8191, 0.4025, 30, 842, 1, "5" }, --1.  > SnowmanDK
    { 0.8311, 0.4274, 43, 474, 1, "X" }, --1.  > SnowmanDK
    { 0.8511, 0.2153, 42, 474, 1, "X" }, --1.  > SnowmanDK
    { 0.9560, 0.1805, 42, 474, 1, "X" }, --1.  > SnowmanDK
  },
  ----Shadowfen
  ["shadowfen_base_0"] = {
    { 0.1070, 0.8132, 40, 479, 1, "X" }, --1.6.35  > svan
    { 0.1270, 0.7229, 1, 872, 1, "X" }, --0.3.5   > Hrazmadul
    { 0.1525, 0.7800, 30, 842, 1, "4" }, --1.4.8   > SnowmanDK
    { 0.1531, 0.8215, 40, 479, 1, "X" }, --1.6.35  > svan
    { 0.1696, 0.5875, 40, 479, 1, "X" }, --1.6.35  > svan
    { 0.1764, 0.5800, 41, 479, 1, "X" }, --1.6.35  > svan
    { 0.1845, 0.5788, 43, 479, 1, "X" }, --1.4.8   > SnowmanDK
    { 0.2075, 0.7259, 30, 842, 1, "8" }, --1.4.8   > SnowmanDK
    { 0.2283, 0.2900, 41, 479, 1, "X" }, --1.4.8   > SnowmanDK
    { 0.2493, 0.7915, 30, 844, 1, "6" }, --1.4.8   > SnowmanDK
    { 0.2797, 0.7242, 43, 479, 1, "X" }, --1.4.8   > SnowmanDK
    { 0.2895, 0.1716, 30, 844, 1, "5" }, --1.4.8   > SnowmanDK
    { 0.2997, 0.4939, 41, 479, 1, "X" }, --1.4.8   > SnowmanDK
    { 0.3043, 0.3238, 43, 479, 1, "X" }, --1.6.35  > svan
    { 0.3046, 0.3237, 43, 479, 1, "X" }, --1.6.38  > QuadroTony
    { 0.3055, 0.1497, 41, 479, 1, "X" }, --1.6.38  > QuadroTony
    { 0.3216, 0.2731, 40, 479, 1, "X" }, --1.4.8   > SnowmanDK
    { 0.3332, 0.1664, 1, 872, 1, "X" }, --0.5.3   >
    { 0.3354, 0.6446, 30, 838, 1, "79" }, --1.4.8  > SnowmanDK
    { 0.3361, 0.6369, 43, 479, 1, "X" }, --1.4.8   > SnowmanDK
    { 0.3465, 0.5945, 2, 767167, 1, "X" }, --0.3.1   >
    { 0.3801, 0.8210, 43, 479, 1, "X" }, --1.6.38  > QuadroTony
    { 0.3822, 0.3835, 43, 479, 1, "X" }, --1.4.18  > SnowmanDK
    { 0.3828, 0.3635, 2, 767167, 1, "X" }, --0.5.3   > Noruas
    { 0.4027, 0.1786, 41, 479, 1, "X" }, --1.6.38  > QuadroTony
    { 0.4097, 0.2831, 20, 999999, 1, "X" }, --1.3.10  > SnowmanDK/o EYESICKLES o
    { 0.4183, 0.3891, 43, 479, 1, "X" }, --1.6.38  > QuadroTony
    { 0.4281, 0.2391, 9, 704, 1, "X" }, --1.2.12  > SnowmanDK/xVOLx
    { 0.4581, 0.5843, 43, 479, 1, "X" }, --1.6.38  > QuadroTony
    { 0.4582, 0.5842, 43, 479, 1, "X" }, --1.6.38  > QuadroTony
    { 0.4588, 0.8265, 43, 479, 1, "X" }, --1.4.8   > SnowmanDK
    { 0.4597, 0.2660, 16, 1381, 1, "3" }, --2.0.24  > SnowmanDK
    { 0.4611, 0.8213, 30, 842, 1, "5" }, --1.4.8   > SnowmanDK
    { 0.4740, 0.1863, 41, 479, 1, "X" }, --1.6.38  > QuadroTony
    { 0.4974, 0.3764, 43, 479, 1, "X" }, --1.4.8   > SnowmanDK
    { 0.5003, 0.5966, 30, 838, 1, "7" }, --1.4.8   > SnowmanDK
    { 0.5003, 0.5966, 30, 842, 1, "8" }, --1.4.8   > SnowmanDK
    { 0.5003, 0.7060, 30, 844, 1, "6" }, --1.4.8   > SnowmanDK
    { 0.5005, 0.8369, 43, 479, 1, "X" }, --1.6.38  > QuadroTony
    { 0.5244, 0.6902, 30, 842, 1, "8" }, --1.4.8   > SnowmanDK
    { 0.5249, 0.5269, 40, 479, 1, "X" }, --1.4.8   > SnowmanDK
    { 0.5438, 0.5124, 40, 479, 1, "X" }, --1.4.8   > SnowmanDK
    { 0.5468, 0.5268, 41, 479, 1, "X" }, --1.4.8   > SnowmanDK
    { 0.5603, 0.2700, 41, 479, 1, "X" }, --1.4.8   > SnowmanDK
    { 0.5704, 0.6343, 2, 767167, 1, "X" }, --0.3.0   >
    { 0.5718, 0.7301, 40, 479, 1, "X" }, --1.6.38  > QuadroTony
    { 0.5772, 0.3320, 41, 479, 1, "X" }, --1.4.8   > SnowmanDK
    { 0.6016, 0.7347, 40, 479, 1, "X" }, --1.6.38  > QuadroTony
    { 0.6068, 0.7612, 40, 479, 1, "X" }, --1.6.38  > QuadroTony
    { 0.6184, 0.7034, 1, 872, 1, "X" }, --1.2.5   > Onin
    { 0.6262, 0.4611, 2, 767167, 1, "X" }, --0.3.4   > Garkin
    { 0.6313, 0.6316, 30, 838, 1, "7" }, --1.4.8   > SnowmanDK
    { 0.6443, 0.4892, 43, 479, 1, "X" }, --1.6.38  > QuadroTony
    { 0.6496, 0.7117, 43, 479, 1, "X" }, --1.6.38  > QuadroTony
    { 0.6833, 0.7242, 2, 767167, 1, "X" }, --1.0.0   >
    { 0.6910, 0.8142, 43, 479, 1, "X" }, --1.7.7   > StrangerFull
    { 0.7262, 0.8239, 30, 838, 1, "67" }, --1.4.8  > SnowmanDK
    { 0.7262, 0.8239, 30, 842, 1, "58" }, --1.4.8  > SnowmanDK
    { 0.7653, 0.8303, 43, 479, 1, "X" }, --1.4.8   > SnowmanDK
    { 0.7758, 0.4558, 41, 479, 1, "X" }, --1.4.8   > SnowmanDK
    { 0.8037, 0.6405, 1, 872, 1, "X" }, --0.3.9   >
    { 0.8201, 0.3846, 41, 479, 1, "X" }, --1.8.27  > Oliviander
    { 0.8324, 0.7646, 43, 479, 1, "X" }, --1.6.38  > QuadroTony
    { 0.8344, 0.4592, 41, 479, 1, "X" }, --1.4.8   > SnowmanDK
    { 0.8385, 0.5125, 41, 479, 1, "X" }, --1.4.8   > SnowmanDK
    { 0.8569, 0.6976, 41, 479, 1, "X" }, --1.4.8   > SnowmanDK
    { 0.8794, 0.7402, 41, 479, 1, "X" }, --1.4.18  > SnowmanDK
  },
  ----Shornhelm
  ["shornhelm_base_0"] = {
    { 0.4541, 0.6480, 9, 704, 1, "X" }, --1.2.12  > SnowmanDK/xVOLx
    { 0.7502, 0.7179, 16, 1380, 1, "3" }, --2.0.24  > SnowmanDK
  },
  ----Shor's Stone
  ["shorsstone_base_0"] = {
    { 0.8298, 0.1742, 22, 999999, 1, "X" }, --1.0.0
  },
  ----Skywatch
  ["skywatch_base_0"] = {
    { 0.4143, 0.1282, 30, 842, 1, "5" }, --1.6.28  > SnowmanDK
    { 0.4143, 0.1282, 30, 843, 1, "4" }, --1.6.28  > SnowmanDK
    { 0.4587, 0.8429, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.6395, 0.4957, 16, 1379, 1, "1" }, --2.0.24  > SnowmanDK
    { 0.7115, 0.6960, 30, 842, 1, "5" }, --1.6.28  > SnowmanDK
    { 0.7906, 0.4127, 30, 841, 1, "2" }, --1.6.28  > SnowmanDK
  },
  ----Stonefalls
  ["stonefalls_base_0"] = {
    { 0.1190, 0.4525, 2, 767167, 1, "X" }, --0.3.7   > Garkin
    { 0.1510, 0.1902, 43, 477, 1, "X" }, --1.7.7   > StrangerFull
    { 0.1537, 0.1956, 43, 477, 1, "X" }, --1.7.7   > StrangerFull
    { 0.1619, 0.1745, 43, 477, 1, "X" }, --1.7.7   > StrangerFull
    { 0.1665, 0.1833, 43, 477, 1, "X" }, --1.7.7   > StrangerFull
    { 0.1730, 0.3625, 40, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.1842, 0.3490, 30, 842, 1, "7" }, --1.4.2   > SnowmanDK
    { 0.1894, 0.3523, 40, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.1918, 0.1813, 43, 477, 1, "X" }, --1.7.7   > StrangerFull
    { 0.1952, 0.3399, 40, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.2128, 0.3696, 43, 477, 1, "X" }, --1.6.36  > QuadroTony
    { 0.2143, 0.3599, 43, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.2201, 0.3606, 43, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.2309, 0.4551, 30, 842, 1, "7" }, --1.4.2   > SnowmanDK
    { 0.2541, 0.6267, 16, 1381, 1, "1" }, --2.0.24  > SnowmanDK
    { 0.2630, 0.4777, 40, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.2819, 0.4810, 40, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.2847, 0.6195, 43, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.2923, 0.4559, 40, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.2945, 0.6163, 43, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.3111, 0.4915, 40, 477, 1, "X" }, --1.6.36  > QuadroTony
    { 0.3117, 0.4766, 30, 842, 1, "3" }, --1.4.2   > SnowmanDK
    { 0.3123, 0.4175, 41, 477, 1, "X" }, --1.6.36  > QuadroTony
    { 0.3259, 0.6393, 2, 767167, 1, "X" }, --0.3.2   >
    { 0.3371, 0.4987, 40, 477, 1, "X" }, --1.6.36  > QuadroTony
    { 0.3538, 0.3856, 40, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.3613, 0.4262, 42, 477, 1, "X" }, --1.6.36  > QuadroTony
    { 0.3642, 0.4078, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.3663, 0.4499, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.3859, 0.3864, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.3884, 0.3637, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.3949, 0.4625, 1, 872, 1, "X" }, --0.3.0   > Keyron74
    { 0.4237, 0.4587, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.4476, 0.5596, 2, 767167, 1, "X" }, --0.3.6   > Hrazmadul
    { 0.4752, 0.7276, 43, 477, 1, "X" }, --1.6.36  > QuadroTony
    { 0.4795, 0.5099, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.4841, 0.7236, 1, 872, 1, "X" }, --0.3.1   > Keyron74/shootyoureyeout
    { 0.4916, 0.6208, 1, 872, 1, "X" }, --0.3.6   > Balver
    { 0.5030, 0.4590, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.5074, 0.4487, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.5137, 0.6025, 40, 477, 1, "X" }, --1.7.30  > SnowmanDK
    { 0.5157, 0.5398, 42, 477, 1, "X" }, --1.7.39  > SnowmanDK
    { 0.5163, 0.5886, 41, 477, 1, "X" }, --1.6.36  > QuadroTony
    { 0.5171, 0.6177, 41, 477, 1, "X" }, --1.7.40  > SnowmanDK
    { 0.5193, 0.4773, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.5194, 0.5486, 42, 477, 1, "X" }, --1.7.30  > SnowmanDK
    { 0.5214, 0.6227, 41, 477, 1, "X" }, --1.6.36  > QuadroTony
    { 0.5222, 0.6375, 41, 477, 1, "X" }, --1.7.40  > SnowmanDK
    { 0.5243, 0.6693, 41, 477, 1, "X" }, --1.6.36  > QuadroTony
    { 0.5257, 0.4505, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.5260, 0.5765, 41, 477, 1, "X" }, --1.7.30  > SnowmanDK
    { 0.5337, 0.3526, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.5577, 0.3847, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.5594, 0.4295, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.5677, 0.5642, 41, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.5764, 0.4578, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.5810, 0.5763, 2, 767167, 1, "X" }, --0.3.0   >
    { 0.5926, 0.4623, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.5944, 0.5325, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.6037, 0.4049, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.6053, 0.4205, 40, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.6061, 0.4957, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.6083, 0.4150, 30, 842, 1, "5" }, --1.4.2   > SnowmanDK
    { 0.6345, 0.3797, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.6444, 0.5118, 40, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.6612, 0.6139, 2, 767167, 1, "X" }, --0.3.3   > Keyron74
    { 0.6997, 0.3658, 30, 842, 1, "5" }, --1.4.2   > SnowmanDK
    { 0.7125, 0.3768, 30, 842, 1, "2" }, --1.4.2   > SnowmanDK
    { 0.7160, 0.3934, 23, 999999, 1, "X" }, --1.0.0   >
    { 0.7160, 0.3934, 30, 846, 1, "12" }, --1.4.2  > SnowmanDK
    { 0.7404, 0.3306, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.7466, 0.3393, 30, 842, 1, "5" }, --1.4.2   > SnowmanDK
    { 0.7563, 0.3174, 42, 477, 1, "X" }, --1.4.0   > SnowmanDK
    { 0.7686, 0.5289, 30, 842, 1, "2" }, --1.4.2   > SnowmanDK
    { 0.8236, 0.5064, 30, 842, 1, "3" }, --1.4.2   > SnowmanDK
    { 0.8912, 0.4005, 2, 767167, 1, "X" }, --1.2.4   > Llewellyn
    { 0.9180, 0.3396, 9, 704, 1, "X" }, --1.2.12  > SnowmanDK/xVOLx
    { 0.9462, 0.4327, 1, 872, 1, "X" }, --0.3.9   >
  },
  ----Stonetooth Fortress
  ["stonetoothfortress_base_0"] = {
    { 0.5022, 0.8346, 43, 491, 1, "X" }, --1.4.18  > SnowmanDK
    { 0.5629, 0.7721, 43, 491, 1, "X" }, --1.4.18  > SnowmanDK
    { 0.7056, 0.5154, 42, 491, 1, "X" }, --1.4.18  > SnowmanDK
    { 0.7279, 0.7406, 30, 838, 1, "4" }, --1.4.18  > SnowmanDK
    { 0.7345, 0.4497, 42, 491, 1, "X" }, --1.4.18  > SnowmanDK
  },
  ----Stormhaven
  ["stormhaven_base_0"] = {
    { 0.1368, 0.5240, 42, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.1406, 0.4297, 42, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.1493, 0.4114, 42, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.1731, 0.2532, 43, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.1758, 0.4544, 30, 842, 1, "5" }, --1.4.25  > SnowmanDK
    { 0.1797, 0.5577, 42, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.1884, 0.2697, 41, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.1929, 0.3160, 40, 472, 1, "X" }, --1.6.18  > StrangerFull
    { 0.1965, 0.2784, 41, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.2020, 0.5775, 42, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.2028, 0.3139, 40, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.2040, 0.4999, 42, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.2078, 0.3835, 40, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.2084, 0.2872, 41, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.2171, 0.3222, 41, 472, 1, "X" }, --1.7.7   > StrangerFull
    { 0.2217, 0.2522, 2, 767167, 1, "X" }, --0.8.2   >
    { 0.2291, 0.3850, 30, 842, 1, "5" }, --1.4.25  > SnowmanDK
    { 0.2306, 0.5351, 30, 842, 1, "5" }, --1.4.25  > SnowmanDK
    { 0.2415, 0.3270, 41, 472, 1, "X" }, --1.6.15  > StrangerFull
    { 0.2442, 0.5312, 41, 472, 1, "X" }, --2.0.29  > Tallarain
    { 0.2548, 0.5121, 41, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.2590, 0.3711, 41, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.2670, 0.3925, 41, 472, 1, "X" }, --1.6.15  > StrangerFull
    { 0.2689, 0.4997, 41, 472, 1, "X" }, --1.6.18  > StrangerFull
    { 0.2695, 0.4675, 41, 472, 1, "X" }, --1.6.15  > StrangerFull
    { 0.2704, 0.4153, 41, 472, 1, "X" }, --2.0.29  > Tallarain
    { 0.2706, 0.6418, 42, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.2798, 0.4433, 41, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.2815, 0.6561, 42, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.3271, 0.6743, 1, 872, 1, "X" }, --0.3.1   >
    { 0.3300, 0.6489, 42, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.3729, 0.5731, 2, 767167, 1, "X" }, --0.5.3   >
    { 0.4057, 0.5410, 40, 472, 1, "X" }, --1.6.18  > StrangerFull
    { 0.4115, 0.5242, 30, 842, 1, "5" }, --1.4.25  > SnowmanDK
    { 0.4125, 0.3789, 1, 872, 1, "X" }, --1.0.1   >
    { 0.4166, 0.5328, 40, 472, 1, "X" }, --1.6.18  > StrangerFull
    { 0.4189, 0.4783, 30, 842, 1, "5" }, --1.4.25  > SnowmanDK
    { 0.4200, 0.5487, 43, 472, 1, "X" }, --1.6.18  > StrangerFull
    { 0.4224, 0.4277, 2, 767167, 1, "X" }, --0.9.2   >
    { 0.4282, 0.5723, 41, 472, 1, "X" }, --1.6.18  > StrangerFull
    { 0.4308, 0.5856, 41, 472, 1, "X" }, --1.6.18  > StrangerFull
    { 0.4336, 0.6511, 42, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.4346, 0.6687, 42, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.4387, 0.6265, 41, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.4411, 0.5783, 41, 472, 1, "X" }, --1.6.18  > StrangerFull
    { 0.4425, 0.6046, 41, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.4488, 0.5100, 40, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.4538, 0.5653, 43, 472, 1, "X" }, --1.6.15  > StrangerFull
    { 0.4598, 0.5735, 43, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.4753, 0.6575, 42, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.4844, 0.6509, 30, 842, 1, "5" }, --1.4.25  > SnowmanDK
    { 0.4869, 0.6000, 9, 704, 1, "X" }, --1.2.12  > SnowmanDK/xVOLx
    { 0.4934, 0.6540, 42, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.5202, 0.6458, 30, 842, 1, "5" }, --1.4.25  > SnowmanDK
    { 0.5246, 0.3580, 40, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.5323, 0.3576, 40, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.5376, 0.6522, 42, 472, 1, "X" }, --1.6.18  > StrangerFull
    { 0.5507, 0.6532, 42, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.5578, 0.5979, 40, 472, 1, "X" }, --1.6.39  > QuadroTony
    { 0.5623, 0.5017, 43, 472, 1, "X" }, --1.6.18  > StrangerFull
    { 0.5661, 0.6093, 41, 472, 1, "X" }, --1.6.18  > StrangerFull
    { 0.5665, 0.5802, 41, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.5712, 0.6269, 40, 472, 1, "X" }, --1.6.18  > StrangerFull
    { 0.5714, 0.6347, 40, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.5738, 0.5445, 40, 472, 1, "X" }, --1.6.18  > StrangerFull
    { 0.5743, 0.6432, 30, 842, 1, "5" }, --1.4.25  > SnowmanDK
    { 0.5776, 0.5986, 16, 1380, 1, "2" }, --2.0.24  > SnowmanDK
    { 0.5776, 0.6224, 40, 472, 1, "X" }, --1.6.39  > QuadroTony
    { 0.5777, 0.4962, 43, 472, 1, "X" }, --1.6.18  > StrangerFull
    { 0.5796, 0.6356, 40, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.6003, 0.4851, 41, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.6008, 0.4926, 43, 472, 1, "X" }, --1.6.15  > StrangerFull
    { 0.6098, 0.5201, 41, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.6131, 0.6749, 42, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.6181, 0.6651, 42, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.6241, 0.6463, 42, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.6270, 0.3873, 43, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.6308, 0.5918, 42, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.6341, 0.5355, 41, 472, 1, "X" }, --1.7.9 > Eiagra
    { 0.6356, 0.3892, 43, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.6366, 0.6061, 1, 872, 1, "X" }, --0.8.2   >
    { 0.6408, 0.5605, 43, 472, 1, "X" }, --1.6.18  > StrangerFull
    { 0.6549, 0.3848, 43, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.6561, 0.5789, 42, 472, 1, "X" }, --1.7.9 > Eiagra
    { 0.6589, 0.4874, 30, 841, 1, "6" }, --1.4.25  > SnowmanDK
    { 0.6634, 0.3917, 41, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.6743, 0.4094, 30, 842, 1, "5" }, --1.4.25  > SnowmanDK
    { 0.6836, 0.4684, 41, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.6859, 0.5054, 41, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.6834, 0.6008, 42, 472, 1, "X" }, --2.0.1   > Oliviander
    { 0.6900, 0.4598, 41, 472, 1, "X" }, --1.6.39  > QuadroTony
    { 0.6909, 0.5267, 43, 472, 1, "X" }, --1.6.19  > StrangerFull
    { 0.6979, 0.5202, 43, 472, 1, "X" }, --1.6.18  > StrangerFull
    { 0.6979, 0.5654, 40, 472, 1, "X" }, --1.6.19  > StrangerFull
    { 0.7018, 0.5090, 41, 472, 1, "X" }, --1.6.18  > StrangerFull
    { 0.7039, 0.4841, 41, 472, 1, "X" }, --1.6.39  > QuadroTony
    { 0.7094, 0.5690, 40, 472, 1, "X" }, --1.6.18  > StrangerFull
    { 0.7180, 0.4700, 2, 767167, 1, "X" }, --0.3.3   > Keyron74
    { 0.7189, 0.5739, 42, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.7202, 0.5374, 40, 472, 1, "X" }, --1.6.18  > StrangerFull
    { 0.7292, 0.5352, 40, 472, 1, "X" }, --1.6.18  > StrangerFull
    { 0.7305, 0.5699, 42, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.7430, 0.5374, 42, 472, 1, "X" }, --1.6.18  > StrangerFull
    { 0.7505, 0.4151, 30, 844, 1, "4" }, --1.4.2   > SnowmanDK
    { 0.7619, 0.5112, 42, 472, 1, "X" }, --1.6.18  > StrangerFull
    { 0.8203, 0.4116, 41, 472, 1, "X" }, --1.6.39  > QuadroTony
    { 0.8203, 0.4356, 41, 472, 1, "X" }, --1.6.18  > StrangerFull
    { 0.8307, 0.4340, 7, 406, 1, "X" }, --0.5.7   >
    { 0.8310, 0.4505, 43, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.8384, 0.3991, 43, 472, 1, "X" }, --1.6.39  > QuadroTony
    { 0.8427, 0.4656, 41, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.8455, 0.5109, 42, 472, 1, "X" }, --2.0.29  > Tallarain
    { 0.8515, 0.4956, 2, 767167, 1, "X" }, --0.3.1   >
    { 0.8584, 0.4371, 30, 842, 1, "5" }, --1.4.25  > SnowmanDK
    { 0.8628, 0.4262, 43, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.8651, 0.4996, 30, 842, 1, "5" }, --1.4.25  > SnowmanDK
    { 0.8666, 0.4879, 43, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.8673, 0.4860, 42, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.8809, 0.4695, 1, 872, 1, "X" }, --0.8.6   >
  },
  ----Stormhold
  ["stormhold_base_0"] = {
    { 0.2232, 0.5629, 20, 999999, 1, "X" }, --1.3.10  > SnowmanDK/o EYESICKLES o
    { 0.3400, 0.2848, 9, 704, 1, "X" }, --1.2.12  > SnowmanDK/xVOLx
    { 0.3786, 0.7094, 43, 479, 1, "X" }, --1.8.27  > Oliviander
    { 0.4514, 0.3401, 41, 479, 1, "X" }, --1.8.27  > Oliviander
    { 0.5393, 0.4550, 16, 1381, 1, "3" }, --2.0.24  > SnowmanDK
    { 0.5660, 0.5539, 41, 479, 1, "X" }, --1.8.27  > Oliviander
    { 0.7143, 0.0677, 41, 479, 1, "X" }, --1.8.27  > Oliviander
  },
  ----Stros M'Kai
  ["strosmkai_base_0"] = {
    { 0.0554, 0.6285, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.0716, 0.5762, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.1066, 0.5444, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.1073, 0.5615, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.1305, 0.6210, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.3097, 0.3327, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.3145, 0.8083, 30, 842, 1, "5" }, --1.4.12  > SnowmanDK
    { 0.3156, 0.2850, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.3301, 0.3595, 30, 842, 1, "5" }, --1.4.12  > SnowmanDK
    { 0.3441, 0.4865, 23, 999999, 1, "X" }, --1.0.0   >
    { 0.3442, 0.4865, 30, 846, 1, "12" }, --1.4.2  > SnowmanDK
    { 0.3706, 0.8685, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.3819, 0.7961, 43, 491, 1, "X" }, --1.6.36  > QuadroTony
    { 0.3976, 0.8103, 30, 842, 1, "5" }, --1.4.12  > SnowmanDK
    { 0.4029, 0.2929, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.4080, 0.2653, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.4144, 0.8920, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.4300, 0.6173, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.4378, 0.5135, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.4431, 0.5059, 40, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.4436, 0.9285, 30, 842, 1, "5" }, --1.4.12  > SnowmanDK
    { 0.4545, 0.5036, 30, 842, 1, "5" }, --1.4.12  > SnowmanDK
    { 0.4621, 0.5146, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.4647, 0.9709, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.4656, 0.1217, 30, 838, 1, "4" }, --1.4.12  > SnowmanDK
    { 0.4656, 0.1217, 30, 842, 1, "5" }, --1.4.12  > SnowmanDK
    { 0.4699, 0.5476, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.4720, 0.3793, 30, 846, 1, "12" }, --1.4.2  > SnowmanDK
    { 0.4765, 0.5744, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.4787, 0.9512, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.4930, 0.6296, 30, 842, 1, "5" }, --1.4.12  > SnowmanDK
    { 0.5101, 0.9002, 30, 842, 1, "5" }, --1.4.12  > SnowmanDK
    { 0.5118, 0.9158, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.5334, 0.0802, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.5379, 0.8991, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.5499, 0.5541, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.5678, 0.8755, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.5754, 0.4011, 43, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.5881, 0.8783, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.6141, 0.2403, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.6141, 0.8612, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.6187, 0.8811, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.6233, 0.8136, 30, 842, 1, "5" }, --1.4.12  > SnowmanDK
    { 0.6276, 0.8273, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.6322, 0.6932, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.6408, 0.7609, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.6436, 0.8030, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.6861, 0.0804, 30, 842, 1, "5" }, --1.4.12  > SnowmanDK
    { 0.6982, 0.2293, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.7447, 0.5988, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.7555, 0.5766, 30, 842, 1, "5" }, --1.4.12  > SnowmanDK
    { 0.7696, 0.2364, 40, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.7837, 0.5832, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.8014, 0.2803, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.8146, 0.4615, 30, 842, 1, "5" }, --1.4.12  > SnowmanDK
    { 0.8149, 0.5526, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.8183, 0.5001, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.8500, 0.1477, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.8534, 0.1665, 30, 842, 1, "5" }, --1.4.12  > SnowmanDK
    { 0.8610, 0.2052, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.8969, 0.3561, 30, 842, 1, "5" }, --1.4.12  > SnowmanDK
    { 0.8991, 0.3113, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.9015, 0.3728, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
    { 0.9068, 0.2051, 42, 491, 1, "X" }, --1.4.12  > SnowmanDK
  },
  ----The Lion's Den
  ["thelionsden_base_0"] = {
    { 0.1267, 0.1982, 43, 481, 1, "X" }, --1.6.46  > SnowmanDK
    { 0.1401, 0.2449, 43, 481, 1, "X" }, --1.6.46  > QuadroTony
    { 0.1607, 0.8245, 41, 481, 1, "X" }, --1.6.46  > QuadroTony
    { 0.1643, 0.2099, 43, 481, 1, "X" }, --1.6.46  > SnowmanDK
    { 0.1939, 0.1496, 43, 481, 1, "X" }, --1.6.46  > QuadroTony
  },
  ----The Rift
  ["therift_base_0"] = {
    { 0.3104, 0.2509, 43, 481, 1, "X" }, --1.6.38  > QuadroTony
    { 0.5902, 0.4656, 43, 481, 1, "X" }, --1.6.38  > QuadroTony
    { 0.8246, 0.5019, 40, 481, 1, "X" }, --1.6.38  > QuadroTony
    { 0.8162, 0.5008, 40, 481, 1, "X" }, --1.6.38  > QuadroTony
    { 0.0991, 0.3076, 41, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.1075, 0.2940, 41, 481, 1, "X" }, --1.5.2   > StrangerFull
    { 0.1143, 0.3250, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.1252, 0.3184, 43, 481, 1, "X" }, --1.5.2   > SnowmanDK
    { 0.1360, 0.2609, 41, 481, 1, "X" }, --1.5.2   > StrangerFull
    { 0.1397, 0.3331, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.1453, 0.3669, 2, 767167, 1, "X" }, --0.4.0   >
    { 0.1460, 0.3021, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.1520, 0.3300, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.1616, 0.2989, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.1682, 0.3941, 21, 999999, 0, "X" }, --0.3.8
    { 0.1880, 0.2920, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.1896, 0.3378, 43, 481, 1, "X" }, --1.5.2   > StrangerFull
    { 0.1916, 0.2824, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.2047, 0.2756, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.2078, 0.4297, 2, 767167, 1, "X" }, --0.3.5   > Hrazmadul
    { 0.2089, 0.2615, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.2125, 0.3523, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.2127, 0.3049, 43, 481, 1, "X" }, --1.5.2   > StrangerFull
    { 0.2138, 0.3368, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.2159, 0.2493, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.2203, 0.2864, 43, 481, 1, "X" }, --1.5.2   > StrangerFull
    { 0.2343, 0.3311, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.2353, 0.3558, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.2680, 0.4724, 21, 999999, 0, "X" }, --0.3.8
    { 0.2809, 0.4418, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.2924, 0.2889, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.3171, 0.4983, 21, 999999, 0, "X" }, --0.3.8
    { 0.3501, 0.4740, 2, 767167, 1, "X" }, --1.4.20  > Balver
    { 0.3695, 0.4192, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.3717, 0.5353, 21, 999999, 0, "X" }, --0.3.8
    { 0.3848, 0.5731, 23, 999999, 1, "X" }, --1.0.0   >
    { 0.3848, 0.5731, 30, 846, 1, "12" }, --1.4.2  > SnowmanDK
    { 0.3887, 0.4638, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.3896, 0.4965, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.3912, 0.4279, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.4010, 0.4139, 40, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.4051, 0.3268, 30, 844, 1, "3" }, --1.4.2   > SnowmanDK
    { 0.4114, 0.4377, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.4319, 0.4868, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.4378, 0.4379, 43, 481, 1, "X" }, --1.5.2   > StrangerFull
    { 0.4442, 0.5126, 21, 999999, 0, "X" }, --0.3.8
    { 0.4621, 0.5776, 21, 999999, 0, "X" }, --0.3.8
    { 0.4644, 0.5397, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.4647, 0.4721, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.4696, 0.4365, 40, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.4696, 0.4641, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.4739, 0.5782, 30, 844, 1, "3" }, --1.4.2   > SnowmanDK
    { 0.4748, 0.5097, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.4784, 0.4657, 1, 872, 1, "X" }, --0.4.1   >
    { 0.4934, 0.3607, 1, 872, 1, "X" }, --0.9.2   >
    { 0.4937, 0.5096, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.4966, 0.4340, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.5080, 0.5660, 2, 767167, 1, "X" }, --1.0.5   > Amiarah
    { 0.5127, 0.5482, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.5359, 0.6068, 21, 999999, 0, "X" }, --0.3.8
    { 0.5385, 0.5393, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.5423, 0.4963, 40, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.5579, 0.5674, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.5640, 0.4801, 40, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.5661, 0.5115, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.6837, 0.5175, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.6898, 0.4655, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.5955, 0.3323, 2, 767167, 1, "X" }, --0.3.7   >
    { 0.5975, 0.5416, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.6340, 0.4942, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.6370, 0.3505, 21, 999999, 0, "X" }, --0.3.8
    { 0.6387, 0.4760, 40, 481, 1, "X" }, --1.6.38  > QuadroTony
    { 0.6447, 0.4808, 40, 481, 1, "X" }, --1.6.38  > QuadroTony
    { 0.6458, 0.5866, 21, 999999, 0, "X" }, --0.3.8
    { 0.6643, 0.5018, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.6826, 0.4866, 9, 704, 1, "X" }, --1.2.12  > SnowmanDK/xVOLx
    { 0.6836, 0.5398, 16, 1381, 1, "5" }, --2.0.24  > SnowmanDK
    { 0.6971, 0.4956, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.7128, 0.6718, 1, 872, 1, "X" }, --1.2.5   > Aerdrie
    { 0.7230, 0.2522, 22, 999999, 1, "X" }, --1.0.0
    { 0.7407, 0.6327, 1, 872, 1, "X" }, --1.1.4   > DeuxEx
    { 0.7891, 0.4220, 24, 999999, 1, "X" }, --1.1.4   > SnowmanDK
    { 0.7998, 0.4961, 40, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.8295, 0.5897, 30, 838, 1, "3" }, --1.4.10  > SnowmanDK
    { 0.8295, 0.5897, 30, 844, 1, "3" }, --1.4.10  > SnowmanDK
    { 0.8295, 0.5897, 30, 843, 1, "4" }, --1.4.10  > SnowmanDK
    { 0.8385, 0.5705, 41, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.8464, 0.5562, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
    { 0.8542, 0.5527, 43, 481, 1, "X" }, --1.4.9   > SnowmanDK
  },
  ----Thukhozod's Sanctum
  ["thukozods_base_0"] = {
    { 0.2622, 0.5115, 14, 1250, 1, "13" }, --1.7.55 > SnowmanDK
  },
  ----Velyn Harbor
  ["velynharbor_base_0"] = {
    { 0.2022, 0.5131, 30, 842, 1, "5" }, --1.6.18  > SnowmanDK
    { 0.2262, 0.6164, 42, 486, 1, "X" }, --1.6.18  > SnowmanDK
    { 0.2470, 0.6874, 42, 486, 1, "X" }, --1.6.18  > SnowmanDK
    { 0.2663, 0.3805, 42, 486, 1, "X" }, --1.6.18  > SnowmanDK
    { 0.2847, 0.7897, 42, 486, 1, "X" }, --1.6.18  > SnowmanDK
    { 0.3367, 0.8134, 9, 704, 1, "X" }, --1.2.12  > SnowmanDK/xVOLx
    { 0.3831, 0.3955, 16, 1379, 1, "4" }, --2.0.24  > SnowmanDK
    { 0.4293, 0.2370, 42, 486, 1, "X" }, --1.6.18  > SnowmanDK
    { 0.4820, 0.1450, 40, 486, 1, "X" }, --1.6.35  > QuadroTony
    { 0.4962, 0.1302, 30, 842, 1, "5" }, --1.6.18  > SnowmanDK
    { 0.4975, 0.4160, 30, 842, 1, "5" }, --1.6.18  > SnowmanDK
    { 0.5054, 0.5437, 42, 486, 1, "X" }, --1.6.18  > SnowmanDK
    { 0.5119, 0.3665, 42, 486, 1, "X" }, --1.6.18  > SnowmanDK
    { 0.5557, 0.2880, 40, 486, 1, "X" }, --1.6.29  > StrangerFull
    { 0.6460, 0.0970, 40, 486, 1, "X" }, --1.6.35  > QuadroTony
    { 0.6488, 0.2850, 30, 842, 1, "5" }, --1.6.18  > SnowmanDK
    { 0.7332, 0.2384, 42, 486, 1, "X" }, --1.6.18  > SnowmanDK
    { 0.8043, 0.1912, 42, 486, 1, "X" }, --1.6.18  > SnowmanDK
  },
  ----Village of the Lost
  ["villageofthelost_base_0"] = {
    { 0.1590, 0.4367, 30, 847, 1, "2" }, --1.4.2   > SnowmanDK
    { 0.1994, 0.4672, 40, 490, 1, "X" }, --1.4.2   > SnowmanDK
    { 0.2134, 0.5282, 40, 490, 1, "X" }, --1.4.2   > SnowmanDK
    { 0.2337, 0.5431, 30, 847, 1, "1" }, --1.4.2   > SnowmanDK
    { 0.3552, 0.2758, 40, 490, 1, "X" }, --1.6.43  > QuadroTony
    { 0.3886, 0.7643, 40, 490, 1, "X" }, --1.6.43  > QuadroTony
    { 0.4112, 0.7941, 30, 847, 1, "1" }, --1.4.2   > SnowmanDK
    { 0.4206, 0.6356, 40, 490, 1, "X" }, --1.4.2   > SnowmanDK
    { 0.4442, 0.5366, 30, 847, 1, "1" }, --1.4.2   > SnowmanDK
    { 0.4537, 0.4722, 40, 490, 1, "X" }, --1.6.43  > QuadroTony
    { 0.4548, 0.3468, 30, 847, 1, "1" }, --1.4.2   > SnowmanDK
    { 0.7719, 0.3962, 40, 490, 1, "X" }, --1.4.2   > SnowmanDK
    { 0.8217, 0.3744, 30, 847, 1, "2" }, --1.4.2   > SnowmanDK
  },
  ----Vulkhel Guard
  ["vulkhelguard_base_0"] = {
    { 0.3566, 0.7146, 42, 483, 1, "X" }, --1.7.5   > StrangerFull
    { 0.3636, 0.7047, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.3901, 0.6510, 9, 704, 1, "X" }, --1.4.14 > SnowmanDK/xVOLx
    { 0.4970, 0.7055, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.5724, 0.6466, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.6712, 0.6234, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.7845, 0.7716, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
    { 0.8389, 0.7328, 42, 483, 1, "X" }, --1.6.28  > SnowmanDK
  },
  ----Wayrest
  ["wayrest_base_0"] = {
    { 0.0695, 0.7864, 42, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.1158, 0.7533, 30, 842, 1, "5" }, --1.4.25  > SnowmanDK
    { 0.1282, 0.4961, 9, 704, 1, "X" }, --1.2.12  > SnowmanDK/xVOLx
    { 0.1609, 0.7689, 42, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.2965, 0.7275, 30, 842, 1, "5" }, --1.4.25  > SnowmanDK
    { 0.3932, 0.7606, 42, 472, 1, "X" }, --1.6.39  > QuadroTony
    { 0.4518, 0.7635, 42, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.4860, 0.4856, 40, 472, 1, "X" }, --1.6.39  > QuadroTony
    { 0.5301, 0.3963, 41, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.5389, 0.5571, 41, 472, 1, "X" }, --1.6.39  > QuadroTony
    { 0.5546, 0.6717, 40, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.5693, 0.7142, 30, 842, 1, "5" }, --1.4.25  > SnowmanDK
    { 0.5860, 0.4895, 16, 1380, 1, "2" }, --2.0.24  > SnowmanDK
    { 0.5860, 0.6093, 40, 472, 1, "X" }, --1.6.39  > QuadroTony
    { 0.5961, 0.6760, 40, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.7479, 0.0938, 41, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.7655, 0.8746, 42, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.7907, 0.8251, 42, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.8206, 0.7303, 42, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.8548, 0.4551, 42, 472, 1, "X" }, --1.2.25  > SnowmanDK
    { 0.8711, 0.1705, 41, 472, 1, "X" }, --1.7.9 > Eiagra
    { 0.9821, 0.3898, 42, 472, 1, "X" }, --1.7.9 > Eiagra
  },
  ----Windhelm
  ["windhelm_base_0"] = {
    { 0.5156, 0.4763, 16, 1381, 1, "4" }, --2.0.24  > SnowmanDK
    { 0.5957, 0.5386, 9, 704, 1, "X" }, --1.6.0   > Sir Quackberry
    { 0.7875, 0.5404, 42, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.7904, 0.4478, 42, 480, 1, "X" }, --1.6.38  > QuadroTony
    { 0.8334, 0.5588, 42, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.8611, 0.5048, 42, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.8662, 0.4168, 42, 480, 1, "X" }, --1.6.38  > QuadroTony
    { 0.9511, 0.1249, 42, 480, 1, "X" }, --1.4.1   > SnowmanDK
    { 0.9844, 0.2310, 42, 480, 1, "X" }, --1.4.1   > SnowmanDK
  },
  ----Woodhearth
  ["woodhearth_base_0"] = {
    { 0.1004, 0.4606, 42, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.2244, 0.5562, 42, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.3092, 0.0674, 40, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.3452, 0.6664, 42, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.3767, 0.5326, 42, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.4053, 0.7874, 42, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.4416, 0.5278, 42, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.5188, 0.6043, 43, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.5317, 0.9357, 42, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.5954, 0.8060, 42, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.6483, 0.5346, 2, 767167, 1, "X" }, --0.8.2   >
    { 0.6966, 0.8668, 42, 485, 1, "X" }, --1.6.14  > SnowmanDK
    { 0.7677, 0.9802, 42, 485, 1, "X" }, --1.6.14  > SnowmanDK
  },
  ----Wrothgar
  ["wrothgar_base_0"] = {
    { 0.0835, 0.7754, 14, 1250, 1, "6" }, --1.7.55  > SnowmanDK
    { 0.1058, 0.7796, 14, 1250, 1, "4" }, --1.7.55  > SnowmanDK
    { 0.1423, 0.7752, 11, 1316, 1, "X" }, --1.7.24  > oldbushie
    { 0.1610, 0.7483, 10, 1247, 1, "X" }, --1.7.24  > oldbushie
    { 0.1687, 0.6594, 14, 1250, 1, "17" }, --1.7.55 > SnowmanDK
    { 0.1933, 0.6820, 14, 1250, 1, "2" }, --1.7.55  > SnowmanDK
    { 0.1946, 0.6733, 42, 1340, 1, "X" }, --2.0.25  > Tallarain
    { 0.1953, 0.7721, 43, 1340, 1, "X" }, --2.0.25  > Tallarain
    { 0.1987, 0.6782, 42, 1340, 1, "X" }, --2.0.25  > Tallarain
    { 0.2033, 0.7898, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.2034, 0.7852, 43, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.2076, 0.6948, 10, 1247, 1, "X" }, --1.7.24  > oldbushie
    { 0.2245, 0.7981, 43, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.2258, 0.6746, 42, 1340, 1, "X" }, --2.0.25  > Tallarain
    { 0.2370, 0.7798, 43, 1340, 1, "X" }, --2.0.25  > Tallarain
    { 0.2387, 0.6745, 42, 1340, 1, "X" }, --2.0.25  > Tallarain
    { 0.2395, 0.6673, 42, 1340, 1, "X" }, --2.0.25  > Tallarain
    { 0.2440, 0.7655, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.2447, 0.8180, 43, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.2456, 0.7839, 11, 1316, 1, "X" }, --1.7.24  > oldbushie
    { 0.2495, 0.7504, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.2509, 0.8334, 10, 1247, 1, "X" }, --1.7.24  > oldbushie
    { 0.2555, 0.8267, 43, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.2626, 0.6940, 42, 1340, 1, "X" }, --2.0.25  > Tallarain
    { 0.2716, 0.6697, 42, 1340, 1, "X" }, --2.0.25  > Tallarain
    { 0.2803, 0.6570, 42, 1340, 1, "X" }, --2.0.25  > Tallarain
    { 0.2824, 0.8402, 14, 1250, 1, "9" }, --1.7.55  > SnowmanDK
    { 0.2926, 0.6861, 42, 1340, 1, "X" }, --2.0.25  > Tallarain
    { 0.2958, 0.7391, 14, 1250, 1, "13" }, --1.7.55 > SnowmanDK
    { 0.3059, 0.8211, 10, 1247, 1, "X" }, --2.0.27  > bry
    { 0.3064, 0.6939, 42, 1340, 1, "X" }, --2.0.25  > Tallarain
    { 0.3070, 0.6709, 42, 1340, 1, "X" }, --2.0.25  > Tallarain
    { 0.3188, 0.6263, 42, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.3200, 0.6543, 42, 1340, 1, "X" }, --2.0.25  > Tallarain
    { 0.3219, 0.6650, 42, 1340, 1, "X" }, --2.0.25  > Tallarain
    { 0.3221, 0.6000, 42, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.3225, 0.6787, 42, 1340, 1, "X" }, --2.0.25  > Tallarain
    { 0.3246, 0.6417, 42, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.3260, 0.6743, 10, 1247, 1, "X" }, --1.7.24  > oldbushie
    { 0.3267, 0.6188, 42, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.3369, 0.6795, 41, 1340, 1, "X" }, --2.0.25  > Tallarain
    { 0.3370, 0.5780, 42, 1340, 1, "X" }, --2.0.25  > Tallarain
    { 0.3377, 0.8390, 14, 1250, 1, "18" }, --1.7.55 > SnowmanDK
    { 0.3395, 0.6449, 41, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.3397, 0.5993, 41, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.3408, 0.7345, 43, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.3415, 0.7215, 43, 1340, 1, "X" }, --2.0.25  > Tallarain
    { 0.3458, 0.7479, 43, 1340, 1, "X" }, --2.0.25  > Tallarain
    { 0.3462, 0.6141, 41, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.3510, 0.7874, 11, 1316, 1, "X" }, --1.7.24  > oldbushie
    { 0.3540, 0.7503, 12, 1331, 1, "X" }, --1.7.30  > SnowmanDK
    { 0.3555, 0.5681, 42, 1340, 1, "X" }, --2.0.26  > Tallarain
    { 0.3565, 0.7234, 43, 1340, 1, "X" }, --2.0.25  > Tallarain
    { 0.3583, 0.6310, 41, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.3614, 0.6540, 41, 1340, 1, "X" }, --2.0.25  > Tallarain
    { 0.3619, 0.8498, 40, 1340, 1, "X" }, --2.0.25  > Tallarain
    { 0.3673, 0.5552, 42, 1340, 1, "X" }, --2.0.26  > Tallarain
    { 0.3697, 0.6526, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.3719, 0.5609, 30, 842, 1, "5" }, --1.8.7   > SnowmanDK
    { 0.3737, 0.7101, 43, 1340, 1, "X" }, --2.0.25  > Tallarain
    { 0.3783, 0.6530, 11, 1316, 1, "X" }, --1.7.24  > oldbushie
    { 0.3806, 0.5599, 42, 1340, 1, "X" }, --2.0.26  > Tallarain
    { 0.3816, 0.5747, 10, 1247, 1, "X" }, --1.7.24  > oldbushie
    { 0.3846, 0.6728, 43, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.3851, 0.5476, 42, 1340, 1, "X" }, --1.8.7   > SnowmanDK
    { 0.3868, 0.6933, 43, 1340, 1, "X" }, --2.0.25  > Tallarain
    { 0.3874, 0.5159, 42, 1340, 1, "X" }, --1.8.7   > SnowmanDK
    { 0.3902, 0.7050, 43, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.3931, 0.5222, 42, 1340, 1, "X" }, --1.8.7   > SnowmanDK
    { 0.3938, 0.5786, 30, 843, 1, "1" }, --1.8.7   > SnowmanDK
    { 0.3942, 0.6851, 43, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.3959, 0.5428, 42, 1340, 1, "X" }, --1.8.7   > SnowmanDK
    { 0.4019, 0.5318, 10, 1247, 1, "X" }, --1.7.24  > oldbushie
    { 0.4030, 0.5002, 42, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.4036, 0.5081, 30, 842, 1, "5" }, --1.8.7   > SnowmanDK
    { 0.4045, 0.5493, 41, 1340, 1, "X" }, --1.8.7   > SnowmanDK
    { 0.4074, 0.4892, 42, 1340, 1, "X" }, --1.8.7   > SnowmanDK
    { 0.4077, 0.5523, 41, 1340, 1, "X" }, --1.8.7   > SnowmanDK
    { 0.4078, 0.5182, 41, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.4086, 0.7298, 40, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.4142, 0.7287, 40, 1340, 1, "X" }, --2.0.25  > Tallarain
    { 0.4155, 0.4983, 42, 1340, 1, "X" }, --2.0.26  > Tallarain
    { 0.4180, 0.4822, 42, 1340, 1, "X" }, --2.0.26  > Tallarain
    { 0.4246, 0.6303, 14, 1250, 1, "1" }, --1.7.55  > SnowmanDK
    { 0.4267, 0.7506, 40, 1340, 1, "X" }, --2.0.25  > Tallarain
    { 0.4281, 0.5008, 41, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.4301, 0.5238, 41, 1340, 1, "X" }, --2.0.26  > Tallarain
    { 0.4318, 0.7635, 40, 1340, 1, "X" }, --2.0.25  > Tallarain
    { 0.4332, 0.7529, 40, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.4360, 0.8382, 14, 1250, 1, "5" }, --1.7.55  > SnowmanDK
    { 0.4426, 0.4951, 41, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.4438, 0.7711, 40, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.4440, 0.4824, 42, 1340, 1, "X" }, --2.0.26  > Tallarain
    { 0.4517, 0.6465, 10, 1247, 1, "X" }, --1.7.24  > oldbushie
    { 0.4560, 0.7915, 40, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.4577, 0.7859, 40, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.4584, 0.7813, 40, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.4600, 0.5219, 41, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.4623, 0.7871, 40, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.4642, 0.7863, 40, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.4762, 0.6604, 11, 1316, 1, "X" }, --1.7.24  > oldbushie
    { 0.4778, 0.4432, 42, 1340, 1, "X" }, --2.0.26  > Tallarain
    { 0.4822, 0.4378, 42, 1340, 1, "X" }, --2.0.26  > Tallarain
    { 0.4875, 0.7385, 10, 1247, 1, "X" }, --1.7.24  > svan
    { 0.4905, 0.4361, 42, 1340, 1, "X" }, --2.0.26  > Tallarain
    { 0.4906, 0.5123, 41, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.4991, 0.4248, 42, 1340, 1, "X" }, --2.0.26  > Tallarain
    { 0.4997, 0.5125, 43, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.5099, 0.4074, 42, 1340, 1, "X" }, --2.0.26  > Tallarain
    { 0.5212, 0.5315, 10, 1247, 1, "X" }, --2.0.27  > bry
    { 0.5228, 0.4190, 42, 1340, 1, "X" }, --2.0.26  > Tallarain
    { 0.5229, 0.3911, 42, 1340, 1, "X" }, --2.0.26  > Tallarain
    { 0.5230, 0.4090, 10, 1247, 1, "X" }, --1.7.39  > AngryNord
    { 0.5263, 0.5220, 43, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.5336, 0.4309, 43, 1340, 1, "X" }, --2.0.26  > Tallarain
    { 0.5339, 0.4626, 41, 1340, 1, "X" }, --2.0.26  > Tallarain
    { 0.5348, 0.4194, 42, 1340, 1, "X" }, --2.0.26  > Tallarain
    { 0.5350, 0.3323, 43, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.5353, 0.3642, 43, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.5369, 0.5142, 41, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.5413, 0.5854, 14, 1250, 1, "14" }, --1.7.55 > SnowmanDK
    { 0.5435, 0.6631, 11, 1316, 1, "X" }, --1.7.24  > oldbushie
    { 0.5442, 0.3730, 43, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.5453, 0.5428, 41, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.5457, 0.5550, 41, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.5471, 0.5120, 41, 1340, 1, "X" }, --2.0.26  > Tallarain
    { 0.5498, 0.4003, 42, 1340, 1, "X" }, --2.0.26  > Tallarain
    { 0.5517, 0.4933, 41, 1340, 1, "X" }, --2.0.26  > Tallarain
    { 0.5532, 0.4122, 43, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.5563, 0.5815, 41, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.5602, 0.3916, 43, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.5633, 0.4021, 43, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.5635, 0.4170, 43, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.5644, 0.3830, 43, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.5646, 0.3831, 43, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.5684, 0.3939, 43, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.5695, 0.4241, 43, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.5727, 0.3730, 43, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.5767, 0.6383, 41, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.5841, 0.6774, 41, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.5928, 0.6555, 41, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.5987, 0.6583, 41, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.6052, 0.6462, 14, 1250, 1, "10" }, --1.7.55 > SnowmanDK
    { 0.6112, 0.6050, 11, 1316, 1, "X" }, --1.7.24  > oldbushie
    { 0.6152, 0.6563, 41, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.6180, 0.6603, 41, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.6333, 0.4303, 14, 1250, 1, "7" }, --1.7.55  > SnowmanDK
    { 0.6362, 0.6620, 41, 1340, 1, "X" }, --1.7.24  > SnowmanDK
    { 0.6387, 0.3198, 10, 1247, 1, "X" }, --1.7.45  > Gordjuk
    { 0.6448, 0.5698, 43, 1340, 1, "X" }, --1.7.30  > SnowmanDK
    { 0.6498, 0.5476, 43, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.6512, 0.5632, 43, 1340, 1, "X" }, --1.7.30  > SnowmanDK
    { 0.6792, 0.6486, 14, 1250, 1, "11" }, --1.7.55 > SnowmanDK
    { 0.6792, 0.6486, 14, 1250, 1, "12" }, --1.7.55 > SnowmanDK
    { 0.6967, 0.6853, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.7014, 0.5324, 11, 1316, 1, "X" }, --1.7.24  > oldbushie
    { 0.7046, 0.3615, 11, 1316, 1, "X" }, --1.7.48  > Raal
    { 0.7102, 0.3794, 23, 999999, 1, "X" }, --1.7.43  > SnowmanDK
    { 0.7139, 0.3078, 10, 1247, 1, "X" }, --1.7.24  > oldbushie
    { 0.7140, 0.6828, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.7228, 0.3258, 10, 1247, 1, "X" }, --1.7.30  > tap3ah
    { 0.7248, 0.2410, 14, 1250, 1, "3" }, --1.7.55  > SnowmanDK
    { 0.7330, 0.2816, 14, 1250, 1, "20" }, --1.7.55 > SnowmanDK
    { 0.7417, 0.3550, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.7546, 0.3668, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.7589, 0.3063, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.7608, 0.4734, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.7655, 0.4876, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.7657, 0.4619, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.7666, 0.5948, 14, 1250, 1, "19" }, --1.7.55 > SnowmanDK
    { 0.7699, 0.4156, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.7703, 0.4311, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.7735, 0.3930, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.7819, 0.4978, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.7855, 0.4996, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.7906, 0.5390, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.7910, 0.5045, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.7913, 0.5193, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.8004, 0.5657, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.8040, 0.6031, 14, 1250, 1, "15" }, --1.7.55 > SnowmanDK
    { 0.8049, 0.5604, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.8097, 0.5559, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.8195, 0.3375, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.8227, 0.3424, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.8276, 0.4097, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.8303, 0.5591, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.8345, 0.5630, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.8347, 0.4110, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.8359, 0.4884, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.8408, 0.5640, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.8490, 0.4277, 14, 1250, 1, "8" }, --1.7.55  > SnowmanDK
    { 0.8496, 0.4795, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.8675, 0.5395, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.8694, 0.5489, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.8749, 0.4709, 41, 1340, 1, "X" }, --1.7.29  > SnowmanDK
    { 0.8830, 0.4794, 14, 1250, 1, "16" }, --1.7.55 > SnowmanDK
    { 0.8955, 0.4723, 23, 999999, 1, "X" }, --1.7.47  > SnowmanDK
  },
  ["artaeum_base_0"] = {
    { 0.3734, 0.4068, 42, 2240, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.4492, 0.3491, 42, 2240, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.4694, 0.3404, 42, 2240, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.4842, 0.3297, 42, 2240, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.4979, 0.3219, 42, 2240, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.7277, 0.3091, 42, 2240, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.7307, 0.3377, 42, 2240, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.7374, 0.4436, 42, 2240, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.7453, 0.3540, 42, 2240, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.7454, 0.4200, 42, 2240, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.7521, 0.3732, 42, 2240, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.7132, 0.5085, 42, 2240, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.7374, 0.4971, 42, 2240, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.7294, 0.5276, 42, 2240, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.7349, 0.4675, 42, 2240, 1, "X" }, --3.1.3   > AssemblerManiac
  },
  ["clockwork_base_0"] = {
    { 0.2265, 0.4708, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.2874, 0.4295, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.3015, 0.4266, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.3251, 0.4518, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.3443, 0.4885, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.3680, 0.4880, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.4015, 0.4953, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.4133, 0.5163, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.4303, 0.4982, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.4581, 0.5000, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.4740, 0.5126, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.4892, 0.4912, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.5025, 0.5147, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.5182, 0.4905, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.5466, 0.5066, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.5576, 0.4891, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.5963, 0.5027, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.6146, 0.5082, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.6408, 0.5111, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.6529, 0.5356, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.6539, 0.4889, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.6593, 0.5132, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.6845, 0.5565, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.6898, 0.5831, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.6937, 0.6093, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.7393, 0.5931, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.7446, 0.6130, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.7841, 0.6392, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.7891, 0.5928, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.8085, 0.6147, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.8408, 0.7160, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.8412, 0.5756, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.8479, 0.6373, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.8492, 0.6121, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.8818, 0.7107, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.9007, 0.6433, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.1747, 0.4946, 40, 2027, 1, "X" }, --3.1.3   > AssemblerManiac

  },
  ["summerset_base_0"] = {
    { 0.4409, 0.7376, 42, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.4557, 0.7234, 42, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.4621, 0.7415, 42, 2191, 1, "X" }, --3.1.3   > AssemblerManiac - ocean
    { 0.4634, 0.7000, 41, 2191, 1, "X" }, --3.1.3   > AssemblerManiac - river
    { 0.4781, 0.7449, 42, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.4945, 0.7490, 40, 2191, 1, "X" }, --3.1.3   > AssemblerManiac - foul
    { 0.4955, 0.7267, 41, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.5021, 0.7510, 42, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.5038, 0.6971, 41, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.5118, 0.7606, 42, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.5311, 0.6961, 41, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.5353, 0.6958, 41, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.7046, 0.5577, 42, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.7076, 0.6817, 42, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.7128, 0.6843, 42, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.7168, 0.6674, 42, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.7206, 0.6312, 42, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.7234, 0.6048, 42, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.7244, 0.5848, 42, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.7601, 0.7194, 42, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.5835, 0.5690, 43, 2191, 1, "X" }, --3.1.3   > AssemblerManiac - lake
    { 0.5893, 0.5843, 43, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.5177, 0.5458, 41, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.5078, 0.5444, 41, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.5290, 0.5293, 41, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.5386, 0.5086, 41, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.4522, 0.1183, 42, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.4738, 0.1133, 42, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.4859, 0.1284, 42, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.2902, 0.4947, 42, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.2972, 0.4908, 42, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.2973, 0.4684, 42, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.3095, 0.4795, 42, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.3106, 0.4662, 42, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.2937, 0.4685, 42, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.181322, 0.452481, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.196323, 0.366474, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.197674, 0.615601, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.201450, 0.400693, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.202060, 0.369167, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.210942, 0.267898, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.211696, 0.389267, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.217220, 0.272162, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.227049, 0.335208, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.231391, 0.332843, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.234240, 0.556012, 40, 2191, 1, "X" }, -- SnowmanDK
    { 0.236546, 0.301854, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.237869, 0.288399, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.240260, 0.554405, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.241333, 0.296447, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.242064, 0.278590, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.249790, 0.443016, 40, 2191, 1, "X" }, -- SnowmanDK
    { 0.250112, 0.539418, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.255529, 0.264470, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.262032, 0.456813, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.265443, 0.449077, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.268364, 0.510971, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.269693, 0.241460, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.280334, 0.211499, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.280523, 0.502894, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.290205, 0.494739, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.295642, 0.405897, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.295738, 0.190072, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.315555, 0.467395, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.321797, 0.460169, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.323211, 0.400029, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.332371, 0.472030, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.337336, 0.398076, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.351234, 0.415215, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.424176, 0.358037, 43, 2191, 1, "X" }, -- SnowmanDK
    { 0.492349, 0.199194, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.525942, 0.245519, 41, 2191, 1, "X" }, -- SnowmanDK
    { 0.527481, 0.241818, 41, 2191, 1, "X" }, -- SnowmanDK
    { 0.537328, 0.222332, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.537881, 0.468321, 41, 2191, 1, "X" }, -- SnowmanDK
    { 0.557167, 0.440419, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.574253, 0.437127, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.597654, 0.486229, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.601042, 0.413674, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.607159, 0.379872, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.612796, 0.494496, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.613752, 0.473219, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.615265, 0.368324, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.619841, 0.236618, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.624618, 0.505233, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.626052, 0.363414, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.654242, 0.525186, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.706392, 0.695590, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.716842, 0.667318, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.724371, 0.584920, 42, 2191, 1, "X" }, -- SnowmanDK
  },
  ["shimmerene_base_0"] = {
    { 0.289105, 0.465858, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.469821, 0.307647, 42, 2191, 1, "X" }, -- SnowmanDK
    { 0.555561, 0.709329, 42, 2191, 1, "X" }, -- SnowmanDK
  },
  ["sum_karnwasten_base_0"] = {
    { 0.6055, 0.4922, 42, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.6073, 0.5176, 40, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.5992, 0.5512, 42, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.5510, 0.5150, 42, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.5314, 0.5303, 42, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
    { 0.5262, 0.4847, 42, 2191, 1, "X" }, --3.1.3   > AssemblerManiac
  },
  ["westernskryim_base_0"] = {
    { 0.129891, 0.356130, 42, 2655, 1, "X" }, -- Sharlikran
  },
  ["vvardenfell_base_0"] = {
    { 0.365400, 0.793900, 42, 1882, 1, "X" }, -- Sharlikran
    { 0.376515, 0.911537, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.102444, 0.306696, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.121088, 0.311701, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.130051, 0.284156, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.139425, 0.344949, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.145559, 0.279071, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.155834, 0.367086, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.166804, 0.375885, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.169586, 0.396614, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.169806, 0.415662, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.173980, 0.274804, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.190971, 0.274559, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.193895, 0.429982, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.219076, 0.431946, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.221825, 0.248021, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.224416, 0.476104, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.237031, 0.233964, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.248579, 0.554523, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.251999, 0.530323, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.257920, 0.226063, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.264465, 0.560006, 40, 1882, 1, "X" }, -- SnowmanDK
    { 0.268063, 0.586531, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.268743, 0.645744, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.274975, 0.565976, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.277968, 0.517515, 40, 1882, 1, "X" }, -- SnowmanDK
    { 0.278382, 0.210848, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.280224, 0.711966, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.283360, 0.525756, 40, 1882, 1, "X" }, -- SnowmanDK
    { 0.286634, 0.667448, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.287983, 0.517671, 40, 1882, 1, "X" }, -- SnowmanDK
    { 0.288981, 0.608598, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.290659, 0.726092, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.290734, 0.648482, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.291439, 0.531661, 40, 1882, 1, "X" }, -- SnowmanDK
    { 0.293939, 0.683054, 40, 1882, 1, "X" }, -- SnowmanDK
    { 0.295246, 0.524262, 40, 1882, 1, "X" }, -- SnowmanDK
    { 0.297144, 0.542060, 40, 1882, 1, "X" }, -- SnowmanDK
    { 0.297297, 0.731575, 40, 1882, 1, "X" }, -- SnowmanDK
    { 0.299780, 0.711684, 40, 1882, 1, "X" }, -- SnowmanDK
    { 0.299797, 0.583137, 40, 1882, 1, "X" }, -- SnowmanDK
    { 0.300264, 0.598059, 40, 1882, 1, "X" }, -- SnowmanDK
    { 0.303631, 0.745152, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.304569, 0.693466, 40, 1882, 1, "X" }, -- SnowmanDK
    { 0.305209, 0.530270, 40, 1882, 1, "X" }, -- SnowmanDK
    { 0.305271, 0.590874, 40, 1882, 1, "X" }, -- SnowmanDK
    { 0.308309, 0.604995, 40, 1882, 1, "X" }, -- SnowmanDK
    { 0.311821, 0.600048, 40, 1882, 1, "X" }, -- SnowmanDK
    { 0.320635, 0.541331, 40, 1882, 1, "X" }, -- SnowmanDK
    { 0.326207, 0.194491, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.328400, 0.745089, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.329509, 0.586269, 40, 1882, 1, "X" }, -- SnowmanDK
    { 0.329763, 0.817328, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.330180, 0.565344, 40, 1882, 1, "X" }, -- SnowmanDK
    { 0.330514, 0.578801, 40, 1882, 1, "X" }, -- SnowmanDK
    { 0.330838, 0.595983, 40, 1882, 1, "X" }, -- SnowmanDK
    { 0.337795, 0.605684, 40, 1882, 1, "X" }, -- SnowmanDK
    { 0.340715, 0.785025, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.347473, 0.189888, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.365268, 0.793901, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.376990, 0.193646, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.390613, 0.801573, 40, 1882, 1, "X" }, -- SnowmanDK
    { 0.392433, 0.813839, 40, 1882, 1, "X" }, -- SnowmanDK
    { 0.397490, 0.851265, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.417594, 0.870287, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.437149, 0.855923, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.459185, 0.208512, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.478018, 0.228941, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.513868, 0.226114, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.531557, 0.225052, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.544807, 0.815297, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.549116, 0.889867, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.558297, 0.854498, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.562122, 0.831305, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.570076, 0.904948, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.574908, 0.930315, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.576828, 0.871942, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.596645, 0.913133, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.602459, 0.882535, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.615234, 0.865260, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.644704, 0.227652, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.646373, 0.890684, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.662530, 0.795061, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.668713, 0.235122, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.678958, 0.776155, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.690477, 0.228570, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.698251, 0.809329, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.701132, 0.279255, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.702430, 0.289101, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.703772, 0.853434, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.704639, 0.260838, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.709326, 0.252813, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.716562, 0.458809, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.723710, 0.304349, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.724178, 0.315263, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.727908, 0.324324, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.729701, 0.340095, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.734353, 0.369067, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.736546, 0.331825, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.736864, 0.376485, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.736949, 0.356748, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.738338, 0.568574, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.738371, 0.568718, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.741502, 0.263605, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.743396, 0.378281, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.757269, 0.291110, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.758155, 0.322893, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.761596, 0.602859, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.763127, 0.843451, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.767158, 0.378930, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.767841, 0.926884, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.768410, 0.430435, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.768447, 0.430171, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.773079, 0.386400, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.780386, 0.541124, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.786509, 0.342488, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.793734, 0.864288, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.793863, 0.828387, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.797946, 0.471301, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.804193, 0.594950, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.814023, 0.659287, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.818186, 0.673464, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.818544, 0.657578, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.823251, 0.680023, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.825027, 0.668468, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.827353, 0.528612, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.828631, 0.628606, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.861075, 0.600126, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.864526, 0.790703, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.870153, 0.676760, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.872047, 0.648226, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.874383, 0.567918, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.881039, 0.492917, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.882732, 0.532801, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.885293, 0.707383, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.885408, 0.597028, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.885611, 0.753937, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.887084, 0.616223, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.908564, 0.518462, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.213973, 0.378532, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.220042, 0.300375, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.229819, 0.338872, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.241896, 0.334039, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.251732, 0.295052, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.252555, 0.325149, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.259084, 0.303531, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.260764, 0.294106, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.276926, 0.310585, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.346995, 0.720260, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.366831, 0.689864, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.370673, 0.681194, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.389542, 0.645486, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.390304, 0.640059, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.396789, 0.618748, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.408722, 0.623219, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.414240, 0.614929, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.417778, 0.606642, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.432871, 0.740718, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.444514, 0.716073, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.449964, 0.738873, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.451351, 0.783365, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.460256, 0.753839, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.465256, 0.775586, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.469664, 0.788145, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.470766, 0.737702, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.472942, 0.756433, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.484952, 0.826918, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.485303, 0.733917, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.486363, 0.774612, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.494024, 0.720083, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.501153, 0.773732, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.501629, 0.711893, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.507114, 0.758429, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.509097, 0.729357, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.513497, 0.752119, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.517246, 0.731215, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.517942, 0.744309, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.519269, 0.652651, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.525820, 0.731121, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.527883, 0.655036, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.527927, 0.643895, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.539982, 0.745149, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.545091, 0.633536, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.551716, 0.762091, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.562773, 0.696798, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.563907, 0.707134, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.568316, 0.658992, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.568720, 0.730226, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.568929, 0.753128, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.569180, 0.738873, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.573294, 0.773150, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.577423, 0.778951, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.601208, 0.609316, 40, 1882, 1, "X" }, -- SnowmanDK
    { 0.644257, 0.648600, 40, 1882, 1, "X" }, -- SnowmanDK
    { 0.679387, 0.568418, 40, 1882, 1, "X" }, -- SnowmanDK
    { 0.688328, 0.546760, 40, 1882, 1, "X" }, -- SnowmanDK
    { 0.724390, 0.782927, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.726519, 0.788243, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.734451, 0.770534, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.742800, 0.787758, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.744821, 0.780642, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.756024, 0.792328, 43, 1882, 1, "X" }, -- SnowmanDK
    { 0.788576, 0.786849, 42, 1882, 1, "X" }, -- SnowmanDK
  },
  ["viviccity_base_0"] = {
    { 0.706671, 0.309698, 42, 1882, 1, "X" }, -- SnowmanDK
    { 0.654616, 0.510232, 42, 1882, 1, "X" }, -- SnowmanDK
  },
  ["sadrithmora_base_0"] = {
    { 0.270513, 0.684387, 42, 1882, 1, "X" }, -- SnowmanDK
  },
  ["balmora_base_0"] = {
    { 0.494756, 0.440598, 41, 1882, 1, "X" }, -- SnowmanDK
    { 0.502697, 0.384056, 41, 1882, 1, "X" }, -- SnowmanDK
  },
  ["riverholdcity_base_0"] = {
    { 0.463100, 0.959200, 41, 2412, 1, "X" }, -- Sharlikran
    { 0.376515, 0.911537, 41, 2412, 1, "X" }, -- SnowmanDK
  },
  ["elsweyr_base_0"] = {
    { 0.475800, 0.190100, 41, 2412, 1, "X" }, -- Sharlikran
    { 0.4854, 0.1930, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.468332, 0.177342, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.457795, 0.169180, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.436351, 0.173991, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.431935, 0.169188, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.437889, 0.161701, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.432785, 0.155620, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.423115, 0.157144, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.436426, 0.220194, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.541416, 0.224069, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.559508, 0.278363, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.729913, 0.449494, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.733024, 0.444371, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.664672, 0.495625, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.440393, 0.642902, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.433414, 0.657964, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.429563, 0.655982, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.430427, 0.650397, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.395455, 0.664492, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.390273, 0.669508, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.361166, 0.653354, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.344107, 0.723771, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.335676, 0.720210, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.328350, 0.727757, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.304411, 0.732685, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.312408, 0.724205, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.317783, 0.720489, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.317219, 0.718628, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.300005, 0.737154, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.294473, 0.741071, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.277140, 0.746689, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.282735, 0.751329, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.288651, 0.752199, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.249968, 0.743746, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.236768, 0.743857, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.174902, 0.746487, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.159474, 0.754973, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.134190, 0.752400, 41, 2412, 1, "X" }, -- SnowmanDK
    { 0.453867, 0.500464, 1, 0, 0, "X" }, -- M'aiq
  },
  ["southernelsweyr_base_0"] = {
    { 0.408900, 0.534300, 41, 2566, 1, "X" }, -- Sharlikran
    { 0.153097, 0.643062, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.166954, 0.640486, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.180066, 0.628639, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.178851, 0.653863, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.223819, 0.646747, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.251963, 0.686773, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.288426, 0.675906, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.290807, 0.707151, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.319869, 0.703452, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.359762, 0.689717, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.477903, 0.735984, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.462934, 0.721878, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.477663, 0.736013, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.496212, 0.741836, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.504620, 0.718278, 40, 2566, 1, "X" }, -- SnowmanDK
    { 0.512739, 0.729334, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.589474, 0.716817, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.617006, 0.712215, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.628982, 0.724777, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.655035, 0.745184, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.709773, 0.767427, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.738451, 0.757472, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.760531, 0.677290, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.729074, 0.649815, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.706894, 0.655573, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.691504, 0.634940, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.678673, 0.620705, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.667272, 0.605530, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.639283, 0.574564, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.633539, 0.556833, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.625179, 0.546172, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.588576, 0.524373, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.578395, 0.507868, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.785909, 0.344056, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.5546, 0.4840, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.4950, 0.4493, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.4631, 0.4551, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.471819, 0.380613, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.522065, 0.326147, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.549060, 0.304653, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.515215, 0.266080, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.500051, 0.265245, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.484613, 0.266755, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.482372, 0.295933, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.479075, 0.316123, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.353027, 0.294538, 40, 2566, 1, "X" }, -- SnowmanDK
    { 0.354113, 0.302072, 40, 2566, 1, "X" }, -- SnowmanDK
    { 0.346477, 0.303587, 40, 2566, 1, "X" }, -- SnowmanDK
    { 0.341702, 0.302749, 40, 2566, 1, "X" }, -- SnowmanDK
    { 0.402272, 0.216291, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.398796, 0.211446, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.431900, 0.188217, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.420647, 0.188036, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.392772, 0.193491, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.336796, 0.218756, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.320232, 0.225992, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.281636, 0.259493, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.287291, 0.281925, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.308444, 0.333297, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.300802, 0.343712, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.286133, 0.350016, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.163652, 0.331356, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.167469, 0.338558, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.166886, 0.346588, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.173776, 0.352158, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.177267, 0.346691, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.174439, 0.340719, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.194987, 0.341722, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.201365, 0.341977, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.219033, 0.318213, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.219076, 0.332108, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.226075, 0.333108, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.307850, 0.437469, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.330512, 0.445806, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.345533, 0.443824, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.401206, 0.447667, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.415744, 0.455057, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.412302, 0.470753, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.4316, 0.4697, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.440096, 0.456961, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.418491, 0.488690, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.320655, 0.598988, 40, 2566, 1, "X" }, -- SnowmanDK
    { 0.324600, 0.614115, 40, 2566, 1, "X" }, -- SnowmanDK
    { 0.322099, 0.584622, 40, 2566, 1, "X" }, -- SnowmanDK
    { 0.307303, 0.586421, 40, 2566, 1, "X" }, -- SnowmanDK
    { 0.298621, 0.575259, 40, 2566, 1, "X" }, -- SnowmanDK
    { 0.290750, 0.566396, 40, 2566, 1, "X" }, -- SnowmanDK
    { 0.283780, 0.600855, 40, 2566, 1, "X" }, -- SnowmanDK
    { 0.295382, 0.600741, 40, 2566, 1, "X" }, -- SnowmanDK
    { 0.288126, 0.611345, 40, 2566, 1, "X" }, -- SnowmanDK
    { 0.277407, 0.626157, 40, 2566, 1, "X" }, -- SnowmanDK
    { 0.299673, 0.625291, 40, 2566, 1, "X" }, -- SnowmanDK
    { 0.312138, 0.642839, 40, 2566, 1, "X" }, -- SnowmanDK
    { 0.298998, 0.648506, 40, 2566, 1, "X" }, -- SnowmanDK
    { 0.292711, 0.638825, 40, 2566, 1, "X" }, -- SnowmanDK
    { 0.289735, 0.660367, 40, 2566, 1, "X" }, -- SnowmanDK
    { 0.282691, 0.573281, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.278257, 0.549160, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.286164, 0.533293, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.268470, 0.506135, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.233917, 0.446781, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.270217, 0.477048, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.274969, 0.488047, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.238606, 0.405629, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.230183, 0.410066, 41, 2566, 1, "X" }, -- SnowmanDK
    { 0.214576, 0.413116, 41, 2566, 1, "X" }, -- SnowmanDK
  },
  ["senchal_base_0"] = {
    { 0.785561, 0.344982, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.483959, 0.169584, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.322417, 0.198904, 42, 2566, 1, "X" }, -- SnowmanDK
    { 0.162959, 0.272731, 41, 2566, 1, "X" }, -- SnowmanDK
  },
  ["murkmire_base_0"] = {
    { 0.244857, 0.613835, 42, 2295, 1, "X" }, -- SnowmanDK
    { 0.319154, 0.641611, 40, 2295, 1, "X" }, -- SnowmanDK
    { 0.340760, 0.558810, 41, 2295, 1, "X" }, -- SnowmanDK
    { 0.344477, 0.614902, 43, 2295, 1, "X" }, -- SnowmanDK
    { 0.349677, 0.666316, 43, 2295, 1, "X" }, -- SnowmanDK
    { 0.380184, 0.518929, 41, 2295, 1, "X" }, -- SnowmanDK
    { 0.395491, 0.597089, 43, 2295, 1, "X" }, -- SnowmanDK
    { 0.404432, 0.691316, 41, 2295, 1, "X" }, -- SnowmanDK
    { 0.408757, 0.699902, 41, 2295, 1, "X" }, -- SnowmanDK
    { 0.417465, 0.675658, 41, 2295, 1, "X" }, -- SnowmanDK
    { 0.422073, 0.658835, 41, 2295, 1, "X" }, -- SnowmanDK
    { 0.428896, 0.648070, 41, 2295, 1, "X" }, -- SnowmanDK
    { 0.430695, 0.638630, 41, 2295, 1, "X" }, -- SnowmanDK
    { 0.430924, 0.606917, 41, 2295, 1, "X" }, -- SnowmanDK
    { 0.431611, 0.626398, 41, 2295, 1, "X" }, -- SnowmanDK
    { 0.439595, 0.593213, 41, 2295, 1, "X" }, -- SnowmanDK
    { 0.458189, 0.656096, 41, 2295, 1, "X" }, -- SnowmanDK
    { 0.460548, 0.642919, 41, 2295, 1, "X" }, -- SnowmanDK
    { 0.461341, 0.627813, 41, 2295, 1, "X" }, -- SnowmanDK
    { 0.461881, 0.599836, 41, 2295, 1, "X" }, -- SnowmanDK
    { 0.464914, 0.613978, 41, 2295, 1, "X" }, -- SnowmanDK
    { 0.469644, 0.669399, 41, 2295, 1, "X" }, -- SnowmanDK
    { 0.486370, 0.688226, 41, 2295, 1, "X" }, -- SnowmanDK
    { 0.501868, 0.706112, 41, 2295, 1, "X" }, -- SnowmanDK
    { 0.566631, 0.599841, 43, 2295, 1, "X" }, -- SnowmanDK
    { 0.566688, 0.599804, 43, 2295, 1, "X" }, -- SnowmanDK
    { 0.576112, 0.543679, 43, 2295, 1, "X" }, -- SnowmanDK
    { 0.576562, 0.543994, 43, 2295, 1, "X" }, -- SnowmanDK
    { 0.584771, 0.647817, 43, 2295, 1, "X" }, -- SnowmanDK
    { 0.584877, 0.648079, 43, 2295, 1, "X" }, -- SnowmanDK
    { 0.595998, 0.663062, 43, 2295, 1, "X" }, -- SnowmanDK
    { 0.598798, 0.466443, 41, 2295, 1, "X" }, -- SnowmanDK
    { 0.621263, 0.454808, 41, 2295, 1, "X" }, -- SnowmanDK
    { 0.636889, 0.516460, 41, 2295, 1, "X" }, -- SnowmanDK
    { 0.637146, 0.516541, 41, 2295, 1, "X" }, -- SnowmanDK
    { 0.647179, 0.463115, 41, 2295, 1, "X" }, -- SnowmanDK
    { 0.658982, 0.546913, 41, 2295, 1, "X" }, -- SnowmanDK
    { 0.698467, 0.585666, 41, 2295, 1, "X" }, -- SnowmanDK
    { 0.718193, 0.481509, 41, 2295, 1, "X" }, -- SnowmanDK
    { 0.738262, 0.622003, 43, 2295, 1, "X" }, -- SnowmanDK
    { 0.769064, 0.618087, 43, 2295, 1, "X" }, -- SnowmanDK
    { 0.496778, 0.712400, 41, 2295, 1, "X" }, -- SnowmanDK
    { 0.502003, 0.705564, 41, 2295, 1, "X" }, -- SnowmanDK
    { 0.502212, 0.741603, 41, 2295, 1, "X" }, -- SnowmanDK
    { 0.505773, 0.729215, 41, 2295, 1, "X" }, -- SnowmanDK
    { 0.539235, 0.714301, 43, 2295, 1, "X" }, -- SnowmanDK
    { 0.624141, 0.796713, 43, 2295, 1, "X" }, -- SnowmanDK
    { 0.651733, 0.789804, 43, 2295, 1, "X" }, -- SnowmanDK
    { 0.747690, 0.814338, 42, 2295, 1, "X" }, -- SnowmanDK
    { 0.761807, 0.808545, 42, 2295, 1, "X" }, -- SnowmanDK
    { 0.772739, 0.803729, 42, 2295, 1, "X" }, -- SnowmanDK
    { 0.789300, 0.597700, 42, 2295, 1, "X" }, -- Sharlikran
    { 0.862318, 0.695307, 43, 2295, 1, "X" }, -- SnowmanDK
    --6254 = the ID for the quest "Death Among the Dead-Water", which is a pre-requisite to be able to do the achievement "Vine-Tongue Traveler".
    { 0.203430, 0.515531, 50, 2357, 1, "6254" }, -- SnowmanDK comment: Vine-Tongue_Traveler achievement (code 50 = "Undetermined")
    { 0.249563, 0.619064, 50, 2357, 1, "6254" }, -- SnowmanDK comment: Vine-Tongue_Traveler achievement (code 50 = "Undetermined")
    { 0.444215, 0.501905, 50, 2357, 1, "6254" }, -- SnowmanDK comment: Vine-Tongue_Traveler achievement (code 50 = "Undetermined")
    { 0.466357, 0.374137, 50, 2357, 1, "6254" }, -- SnowmanDK comment: Vine-Tongue_Traveler achievement (code 50 = "Undetermined")
    { 0.556210, 0.306030, 50, 2357, 1, "6254" }, -- SnowmanDK comment: Vine-Tongue_Traveler achievement (code 50 = "Undetermined")
    { 0.865061, 0.635507, 50, 2357, 1, "6254" }, -- SnowmanDK comment: Vine-Tongue_Traveler achievement (code 50 = "Undetermined")
    { 0.191815, 0.436259, 50, 2341, 1, "X" }, -- SnowmanDK comment: Poems_of_Nothing achievement (code 50 = "Undetermined")
    { 0.395940, 0.305119, 50, 2341, 1, "X" }, -- SnowmanDK comment: Poems_of_Nothing achievement (code 50 = "Undetermined")
    { 0.577445, 0.599178, 50, 2358, 1, "X" }, -- SnowmanDK comment: Swamp_Rescuer achievement (code 50 = "Undetermined")
    { 0.704444, 0.458917, 50, 2330, 1, "X" }, -- SnowmanDK comment: Surreptitiously_Shadowed achievement (code 50 = "Undetermined")
    { 0.745548, 0.291321, 50, 2341, 1, "X" }, -- SnowmanDK comment: Poems_of_Nothing achievement (code 50 = "Undetermined")
    { 0.755568, 0.555065, 50, 2341, 1, "X" }, -- SnowmanDK comment: Poems_of_Nothing achievement (code 50 = "Undetermined")
    { 0.770229, 0.726549, 50, 2341, 1, "X" }, -- SnowmanDK comment: Poems_of_Nothing achievement (code 50 = "Undetermined")
  },
  ["lilmothcity_base_0"] = {
    { 0.306251, 0.601673, 42, 2295, 1, "X" }, -- SnowmanDK
    { 0.359065, 0.580000, 42, 2295, 1, "X" }, -- SnowmanDK
    { 0.399963, 0.561983, 42, 2295, 1, "X" }, -- SnowmanDK
    { 0.390572, 0.273245, 50, 2341, 1, "X" }, -- SnowmanDK comment: Poems_of_Nothing achievement (code 50 = "Undetermined")
  },
  ["teethofsithis02b_base_0"] = {
    { 0.604651, 0.327907, 50, 2357, 1, "6254" }, -- SnowmanDK comment: Vine-Tongue_Traveler achievement (code 50 = "Undetermined")
  },
  ["ui_map_tsofeercavern01_0"] = {
    { 0.623866, 0.395227, 50, 2357, 1, "6254" }, -- SnowmanDK comment: Vine-Tongue_Traveler achievement (code 50 = "Undetermined")
  },
  ["deadwatervillage_base_0"] = {
    { 0.290297, 0.811046, 50, 2341, 1, "X" }, -- SnowmanDK comment: Poems_of_Nothing achievement (code 50 = "Undetermined")
  },
  ["brightthroatvillage_base_0"] = {
    { 0.745671, 0.500847, 50, 2341, 1, "X" }, -- SnowmanDK comment: Poems_of_Nothing achievement (code 50 = "Undetermined")
    { 0.208272, 0.788842, 41, 2295, 1, "X" }, -- SnowmanDK
  },
  -- The Reach, and Arkthzand Cavern are the same fishing ach
  -- The Reach
  ["reach_base_0"] = {
    { 0.3631984591, 0.5200211405, 43, 2861, 1, "X" }, -- Sharlikran
    { 0.4107987284, 0.4797009229, 41, 2861, 1, "X" }, -- Sharlikran
  },
  -- Arkthzand Cavern
  ["u28_blackreach_base_0"] = {
    { 0.335290551, 0.297058612, 41, 2861, 1, "X" }, -- Sharlikran
  },
  -- Blackwood
  ["blackwood_base_0"] = {
    { 0.2875977754, 0.4839881360, 42, 2981, 1, "X" }, -- Sharlikran
    { 0.3351792693, 0.6328297853, 20, 999999, 1, "X" }, -- Sharlikran
    { 0.6207196712, 0.7159832715, 20, 999999, 1, "X" }, -- Sharlikran
    { 0.4226815402, 0.4672343432, 20, 999999, 1, "X" }, -- Sharlikran
    { 0.4413733482, 0.1940076649, 20, 999999, 1, "X" }, -- Sharlikran
    { 0.1440, 0.5920, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.1840, 0.4280, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.2520, 0.3550, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.2600, 0.5160, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.2670, 0.3140, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.3130, 0.6160, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.3730, 0.1790, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.3850, 0.5070, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.4180, 0.3170, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.4480, 0.6170, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.4700, 0.5280, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.5150, 0.2600, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.5330, 0.7900, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.6057025790, 0.2294649928, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.6120, 0.4420, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.6365278959, 0.7118381261, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.6440, 0.3600, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.6542717814, 0.5402227044, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.7370, 0.3690, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.7470, 0.8300, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
  },
  -- Arkthzand Cavern
  ["vunalk2_base_0"] = {
    { 0.7836887240, 0.2897340059, 20, 999999, 1, "X" }, -- Sharlikran
  },
  -- Deadlands
  ["u32deadlandszone_base_0"] = {
    { 0.8387016057, 0.2812155783, 40, 3144, 1, "X" }, -- Sharlikran
    { 0.8740, 0.4640, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.4980, 0.6660, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.5450, 0.5710, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.6800, 0.4170, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.7710, 0.4100, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.7730, 0.3390, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.6810, 0.3040, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.4570, 0.5560, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.3260, 0.5270, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.3940, 0.5150, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.2900, 0.5760, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.2490, 0.7250, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.3500, 0.6870, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.4920, 0.5930, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.5680, 0.3280, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.5500, 0.4440, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.1930, 0.5610, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
    { 0.7800, 0.2540, 25, 999999, 1, "X" }, -- Sharlikran Deadlands
  },
  -- High Isle
  ["u34_systreszone_base_0"] = {
    { 0.1804388016, 0.5292015671, 26, 3298, 1, "X" }, -- Sharlikran (1)
    { 0.4095820486, 0.5600040555, 26, 3298, 1, "X" }, -- Sharlikran (2)
    { 0.4223474562, 0.7643600106, 26, 3298, 1, "X" }, -- Sharlikran (3)
    { 0.5397703647, 0.5882382988, 26, 3298, 1, "X" }, -- Sharlikran (4)
    { 0.7043770551, 0.3688865900, 26, 3298, 1, "X" }, -- Sharlikran (5)
  },
  -- Galen
  ["u36_galenisland_base_0"] = {
    { 0.3544013500, 0.5929176807, 43, 3500, 1, "X" }, -- Sharlikran
    { 0.3529, 0.4494, 43, 3500, 1, "X" }, -- SnowmanDK
    { 0.3577, 0.4558, 43, 3500, 1, "X" }, -- SnowmanDK
    { 0.3510, 0.3796, 40, 3500, 1, "X" }, -- SnowmanDK
    { 0.3466, 0.3751, 40, 3500, 1, "X" }, -- SnowmanDK
    { 0.3281, 0.3870, 40, 3500, 1, "X" }, -- SnowmanDK
    { 0.1044, 0.2673, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.0930, 0.2736, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.0700, 0.3704, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.1383, 0.5335, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.1625, 0.5564, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.1922, 0.5991, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.3166, 0.5989, 43, 3500, 1, "X" }, -- SnowmanDK
    { 0.3175, 0.5886, 43, 3500, 1, "X" }, -- SnowmanDK
    { 0.3232, 0.5893, 43, 3500, 1, "X" }, -- SnowmanDK
    { 0.3507, 0.5599, 43, 3500, 1, "X" }, -- SnowmanDK
    { 0.3552, 0.5586, 43, 3500, 1, "X" }, -- SnowmanDK
    { 0.3587, 0.5709, 43, 3500, 1, "X" }, -- SnowmanDK
    { 0.3583, 0.5780, 43, 3500, 1, "X" }, -- SnowmanDK
    { 0.3483, 0.6057, 43, 3500, 1, "X" }, -- SnowmanDK
    { 0.3433, 0.6155, 43, 3500, 1, "X" }, -- SnowmanDK
    { 0.3297, 0.6679, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.3310, 0.6539, 43, 3500, 1, "X" }, -- SnowmanDK
    { 0.3287, 0.6436, 43, 3500, 1, "X" }, -- SnowmanDK
    { 0.3276, 0.6194, 43, 3500, 1, "X" }, -- SnowmanDK
    { 0.3271, 0.6792, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.3312, 0.7043, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.3140, 0.7273, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.3696, 0.7006, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.3976, 0.7057, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.4358, 0.7098, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.4431, 0.7008, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.4976, 0.6692, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.5218, 0.6279, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.5397, 0.5892, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.5030, 0.5186, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.4533, 0.4997, 43, 3500, 1, "X" }, -- SnowmanDK
    { 0.4570, 0.5006, 43, 3500, 1, "X" }, -- SnowmanDK
    { 0.4610, 0.4964, 43, 3500, 1, "X" }, -- SnowmanDK
    { 0.4556, 0.4947, 43, 3500, 1, "X" }, -- SnowmanDK
    { 0.5356, 0.3915, 40, 3500, 1, "X" }, -- SnowmanDK
    { 0.6734, 0.3686, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.6646, 0.2901, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.6372, 0.2758, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.6253, 0.2554, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.6248, 0.2508, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.6165, 0.2316, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.5097, 0.1657, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.4894, 0.1786, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.4732, 0.1860, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.4569, 0.1764, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.4484, 0.1757, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.4381, 0.1744, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.4415, 0.1551, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.4190, 0.1693, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.3801, 0.1372, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.3422, 0.1426, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.3317, 0.1488, 42, 3500, 1, "X" }, -- SnowmanDK
    { 0.2426, 0.1207, 42, 3500, 1, "X" }, -- SnowmanDK
  },
  -- Vastyr City, Galen Island
  ["u36_vastyrcity_base_0"] = {
    { 0.8898, 0.6256, 42, 3500, 1, "X" }, -- SnowmanDK
  },
  -- Telvanni Peninsula
  ["u38_telvannipeninsula_base_0"] = {
    { 0.673287, 0.400269, 41, 3636, 1, "X" }, -- telvanni/u38_telvannipeninsula_base_0
  },
  -- Apocrypha
  ["u38_apocrypha_base_0"] = {
  { 0.177181, 0.267983, 40, 3636, 1, "X" }, -- apocrypha/u38_apocrypha_base_0
  },
  -- West Weald
  ["westwealdoverland_base_0"] = {
  { 0.869512, 0.671947, 41, 3948, 1, "X" }, -- westweald/westwealdoverland_base_0
  },
}

-- vunalk
Destinations.ACHDataStore["vunalk1_base_0"] = Destinations.ACHDataStore["vunalk2_base_0"]

--[[
TYPES:
     1 = "Docks High Isle"
     2 = "Stables"
     3 = "Portals"
]]--
Destinations.DocksHighIsle = 1
Destinations.Stable = 2
Destinations.Portals = 3

--[[For LibMapPins-1.0 use:
Key: mapId
pinName: Name for tooltip
]]--
Destinations.QOLDataStore = {
  [2114] = {
    { x = 0.3763126432, y = 0.7147346735, pinName = "To All Flags Islet", pinsType = Destinations.DocksHighIsle },
    { x = 0.3117929697, y = 0.6673734784, pinName = "To Steadfast Manor", pinsType = Destinations.DocksHighIsle },
    { x = 0.6510598659, y = 0.4716517329, pinName = "To Dufort Shipyard", pinsType = Destinations.DocksHighIsle },
  },
  [2214] = {
    { x = 0.2604621052, y = 0.5057994127, pinName = "To Dufort Shipyard", pinsType = Destinations.DocksHighIsle },
  },
  [160] = {
    { x = 0.3663540780, y = 0.2584021091, pinName = "Bitterblade Stables", pinTitle = "Bitterblade Fine Steeds", pinsType = Destinations.Stable },
  },
  [448] = {
    { x = 0.6495081782341, y = 0.63021856546402, pinName = "Portal to Eyevea", pinsType = Destinations.Portals },
  },
  [1940] = {
    { x = 0.16614331305027, y = 0.48378404974937, pinName = "Portal to Fargrave", pinsType = Destinations.Portals },
  },
  [2343] = {
    { x = 0.6000816822052, y = 0.52468365430832, pinName = "Portal to Apocrypha", pinsType = Destinations.Portals },
  },
  [2514] = {
    { x = 0.3430613577, y = 0.8155988454, pinName = "Portal to The Scholarium", pinsType = Destinations.Portals },
  },
  -- [2000] = {
  -- { x = 0.20910930633545, y = 0.1810761988163, pinName = "Atoll Portal", pinsType = Destinations.Portals },
  -- { x = 0.17482243478298, y = 0.36620065569878, pinName = "Atoll Portal", pinsType = Destinations.Portals },
  -- { x = 0.2842923104763, y = 0.41839998960495, pinName = "Atoll Portal", pinsType = Destinations.Portals },
  -- { x = 0.3700675368309, y = 0.34489288926125, pinName = "Atoll Portal", pinsType = Destinations.Portals },
  -- { x = 0.44089758396149, y = 0.46782067418098, pinName = "Atoll Portal", pinsType = Destinations.Doorway }, Doorway
  -- { x = 0.73640447854996, y = 0.18979497253895, pinName = "Atoll Portal", pinsType = Destinations.Doorway }, Doorway
  -- },
}
--[[
  ["u30_oblivion_portal_base_0"] = { --Atoll of Immolation
  {0.4110,0.2170,3076},
  {0.2080,0.5990,3076},
  {0.2230,0.4300,3076},
  {0.4270,0.4540,3076},
  {0.4420,0.5490,3076},
  {0.5380,0.4850,3076},
  {0.7710,0.5550,3076},
  {0.5510,0.7060,3076},
  {0.5850,0.2940,3076}
  },
  ["u30_oblivion_portal_tower"] = {
  {0.478,0.574,3076},
  },
  ["u30_oblivion_portal_boss_base_0"] = {
  {0.7385361194, 0.4922370016, 3076},
  },
  -- ach 3096 Ruinach Rumble
]]--

--[[ Tome of unknown color
X: 0.15867671370506, Y: 0.22877429425716
X: 0.64143264293671, Y: 0.47950917482376
]]--